#!/bin/csh -f
# ---------------------------------------------------------------
# --
# -- for X11R3
# --

# set to the location of the X11 exectuables
set Xbin = /usr/bin/X11

if (($#argv == 2) && (-e ${2})) then
    if ("${1}" == 'Objects') then
	set sun_loc = 10
	set geometry = '80x22+640+1'
	set title = 'ACE Debugger: Objects Observation'
    else
	set sun_loc = 327
	set geometry = '80x24+640+340'
	set title = 'ACE Debugger: Statements Observation'
    endif
    if ($?DISPLAY) then
      ( (${Xbin}/xterm \
	    -g ${geometry} \
	    -T "${title}" \
	    -sb \
	    -sl 10000 \
	    -e tail -f ${2}) >& /dev/null &)
    else if ($?WINDOW_PARENT) then
      ( (cmdtool \
	    -Wl "${title}" \
	    -WL "${1}" \
	    -WI observe_window.icn \
	    -Wp 640 ${sun_loc} \
	    -Wh 24 \
	    tail -f ${2}) >& /dev/null & )
    endif
endif
