--|$Log:	hp_widgets.a,v $
--|Revision 8.0  91/01/17  10:37:28  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - Hp_Widgets
--
----------------------------------------------------------------------------
--
--
-- Abstract
--
-- This package offers a sample selection of the Hewlett-Packard widget set,
-- implemented as calls to the Xt object library.  Implementers
-- should feel free to add as many more as they wish, following the
-- pattern laid down here.
--
-- This package will eventually be replaced by the STARS Ada
-- implementation of the Xt toolkit.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------
with System;
with Intrinsics;
use Intrinsics;
with Widget_Package;
use Widget_Package;
package Hp_Widgets is
   use Intrinsics.Xt_Ancillary_Types;

   Xw_Single : constant Integer := 0;
   Xw_Multiple : constant Integer := 1;
   Xw_Border : constant Integer := 0;
   Xw_Invert : constant Integer := 1;
   Xw_No_Bias : constant Integer := 0;
   Xw_Row_Bias : constant Integer := 1;
   Xw_Col_Bias : constant Integer := 2;
   Xw_Instant : constant Integer := 0;
   Xw_Sticky : constant Integer := 1;
   Xw_No_Shrink : constant Integer := 0;
   Xw_Shrink_Column : constant Integer := 1;
   Xw_Shrink_All : constant Integer := 2;
   Xw_Auto_Scroll_Off : constant Integer := 0;
   Xw_Auto_Scroll_Horizontal : constant Integer := 1;
   Xw_Auto_Scroll_Vertical : constant Integer := 2;
   Xw_Grow_Off : constant Integer := 0;
   Xw_Grow_Horizontal : constant Integer := 1;
   Xw_Grow_Vertical : constant Integer := 2;
   Xw_N_Of_Many : constant Integer := 0;
   Xw_One_Of_Many : constant Integer := 1;
   Xw_Requested_Columns : constant Integer := 0;
   Xw_Maximum_Columns : constant Integer := 1;
   Xw_Maximum_Unaligned : constant Integer := 2;
   Xw_Right : constant Integer := 0;
   Xw_Left : constant Integer := 1;
   Xw_Center : constant Integer := 2;
   Xw_String : constant Integer := 0;
   Xw_Image : constant Integer := 1;
   Xw_No_Line : constant Integer := 0;
   Xw_Single_Line : constant Integer := 1;
   Xw_Double_Line : constant Integer := 2;
   Xw_Single_Dashed_Line : constant Integer := 3;
   Xw_Double_Dashed_Line : constant Integer := 4;
   Xw_Solid : constant Integer := 0;
   Xw_Pattern : constant Integer := 1;
   Xw_Transparent : constant Integer := 2;
   Xw_Horizontal : constant Integer := 0;
   Xw_Vertical : constant Integer := 1;
   Xw_Top : constant Integer := 1;
   Xw_Bottom : constant Integer := 2;
   Xw_Foreground : constant Integer := 0;
   Xw_Background : constant Integer := 1;
   Xw_25_Foreground : constant Integer := 2;
   Xw_50_Foreground : constant Integer := 3;
   Xw_75_Foreground : constant Integer := 4;
   Xw_Vertical_Tile : constant Integer := 5;
   Xw_Horizontal_Tile : constant Integer := 6;
   Xw_Slant_Right : constant Integer := 7;
   Xw_Slant_Left : constant Integer := 8;
   Xw_Highlight_Off : constant Integer := 0;
   Xw_Highlight_Enter : constant Integer := 1;
   Xw_Highlight_Traversal : constant Integer := 2;
   Xw_Arrow_Up : constant Integer := 0;
   Xw_Arrow_Down : constant Integer := 1;
   Xw_Arrow_Left : constant Integer := 2;
   Xw_Arrow_Right : constant Integer := 3;
   Xw_Pattern_Border : constant Integer := 1;
   Xw_Widget_Defined : constant Integer := 2;
   Xw_Ignore : constant Integer := 0;
   Xw_Minimize : constant Integer := 1;
   Xw_Maximize : constant Integer := 2;

   Tf_No_Fit           : constant Integer := 16#01#;
   Tf_Include_Tab      : constant Integer := 16#02#;
   Tf_End_Text         : constant Integer := 16#04#;
   Tf_Newline          : constant Integer := 16#08#;
   Tf_Wrap_White_Space : constant Integer := 16#10#;
   Tf_Wrap_Any         : constant Integer := 16#20#;
   Word_Break          : constant Integer := 16#01#;
   Scroll_Vertical     : constant Integer := 16#02#;
   Scroll_Horizontal   : constant Integer := 16#04#;
   Scroll_On_Overflow  : constant Integer := 16#08#;
   Resize_Width        : constant Integer := 16#10#;
   Resize_Height       : constant Integer := 16#20#;
   Editable            : constant Integer := 16#40#;

   Xt_N_Traversal_On           : constant String := "traversalOn";
   Xt_N_Traversal_Type         : constant String := "traversalType";
   Xt_N_Highlight_Style        : constant String := "highlightStyle";
   Xt_N_Highlight_Tile         : constant String := "highlightTile";
   Xt_N_Highlight_Thickness    : constant String := "highlightThickness";
   Xt_N_Highlight_Color        : constant String := "highlightColor";
   Xt_N_Background_Tile        : constant String := "backgroundTile";
   Xt_N_Cursor                 : constant String := "cursor";
   Xt_N_Recompute_Size         : constant String := "recomputeSize";
   Xt_N_Layout                 : constant String := "layout";
   Xt_N_Label_Location         : constant String := "labelLocation";
   Xt_N_Sensitive_Tile         : constant String := "sensitiveTile";
   Xt_N_Columns                : constant String := "columns";
   Xt_N_Mode                   : constant String := "mode";
   Xt_N_Set                    : constant String := "set";
   Xt_N_Select                 : constant String := "select";
   Xt_N_Release                : constant String := "release";
   Xt_N_Next_Top               : constant String := "nextTop";
   Xt_N_Title_Showing          : constant String := "titleShowing";
   Xt_N_Mgr_Title_Override     : constant String := "mgrTitleOverride";
   Xt_N_Title_Type             : constant String := "titleType";
   Xt_N_Title_String           : constant String := "titleString";
   Xt_N_Title_Image            : constant String := "titleImage";
   Xt_N_Font_Color             : constant String := "fontColor";
   Xt_N_Mnemonic               : constant String := "mnemonic";
   Xt_N_Underline_Title        : constant String := "underlineTitle";
   Xt_N_Mgr_Underline_Override : constant String := "mgrUnderlineOverride";
   Xt_N_Underline_Position     : constant String := "underlinePosition";
   Xt_N_Attach_To              : constant String := "attachTo";
   Xt_N_Kbd_Accelerator        : constant String := "kbdAccelerator";
   Xt_N_Associate_Children     : constant String := "associateChildren";
   Xt_N_Menu_Post              : constant String := "menuPost";
   Xt_N_Menu_Select            : constant String := "menuSelect";
   Xt_N_Post_Accelerator       : constant String := "postAccelerator";
   Xt_N_Menu_Unpost            : constant String := "menuUnpost";
   Xt_N_Kbd_Select             : constant String := "kbdSelect";
   Xt_N_Num_Columns            : constant String := "numColumns";
   Xt_N_Row_Position           : constant String := "rowPosition";
   Xt_N_Column_Position        : constant String := "columnPosition";
   Xt_N_Selection_Method       : constant String := "selectionMethod";
   Xt_N_Element_Highlight      : constant String := "elementHighlight";
   Xt_N_Selection_Bias         : constant String := "selectionBias";
   Xt_N_Selection_Style        : constant String := "selectionStyle";
   Xt_N_Column_Width           : constant String := "columnWidth";
   Xt_N_Element_Height         : constant String := "elementHeight";
   Xt_N_Selected_Elements      : constant String := "selectedElements";
   Xt_N_Num_Selected_Elements  : constant String := "numSelectedElements";
   Xt_N_Destroy_Mode           : constant String := "destroyMode";
   Xt_N_Layout_Type            : constant String := "layoutType";
   Xt_N_Force_Size             : constant String := "forceSize";
   Xt_N_Single_Row             : constant String := "singleRow";
   Xt_N_Separator_Type         : constant String := "separatorType";
   Xt_N_Vsb_X                  : constant String := "vsbX";
   Xt_N_Vsb_Y                  : constant String := "vsbY";
   Xt_N_Vsb_Width              : constant String := "vsbWidth";
   Xt_N_Vsb_Height             : constant String := "vsbHeight";
   Xt_N_Hsb_X                  : constant String := "hsbX";
   Xt_N_Hsb_Y                  : constant String := "hsbY";
   Xt_N_Hsb_Width              : constant String := "hsbWidth";
   Xt_N_Hsb_Height             : constant String := "hsbHeight";
   Xt_N_V_Slider_Min           : constant String := "vSliderMin";
   Xt_N_V_Slider_Max           : constant String := "vSliderMax";
   Xt_N_V_Slider_Origin        : constant String := "vSliderOrigin";
   Xt_N_V_Slider_Extent        : constant String := "vSliderExtent";
   Xt_N_H_Slider_Min           : constant String := "hSliderMin";
   Xt_N_H_Slider_Max           : constant String := "hSliderMax";
   Xt_N_H_Slider_Origin        : constant String := "hSliderOrigin";
   Xt_N_H_Slider_Extent        : constant String := "hSliderExtent";
   Xt_N_H_Scroll_Event         : constant String := "hScrollEvent";
   Xt_N_V_Scroll_Event         : constant String := "vScrollEvent";
   Xt_N_V_Scroll_Bar_Width     : constant String := "vScrollBarWidth";
   Xt_N_V_Scroll_Bar_Height    : constant String := "vScrollBarHeight";
   Xt_N_H_Scroll_Bar_Width     : constant String := "hScrollBarWidth";
   Xt_N_H_Scroll_Bar_Height    : constant String := "hScrollBarHeight";
   Xt_N_Force_Vertical_Sb      : constant String := "forceVerticalSB";
   Xt_N_Force_Horizontal_Sb    : constant String := "forceHorizontalSB";
   Xt_N_Initial_X              : constant String := "initialX";
   Xt_N_Initial_Y              : constant String := "initialY";
   Xt_N_Border_Pad             : constant String := "borderPad";
   Xt_N_S_Rimage               : constant String := "rasterImage";
   Xt_N_Show_Selected          : constant String := "showSelected";
   Xt_N_Display_Position       : constant String := "displayPosition";
   Xt_N_Insert_Position        : constant String := "insertPosition";
   Xt_N_Left_Margin            : constant String := "leftMargin";
   Xt_N_Right_Margin           : constant String := "rightMargin";
   Xt_N_Top_Margin             : constant String := "topMargin";
   Xt_N_Bottom_Margin          : constant String := "bottomMargin";
   Xt_N_Selection_Array        : constant String := "selectionArray";
   Xt_N_Text_Source            : constant String := "textSource";
   Xt_N_Selection              : constant String := "selection";
   Xt_N_Maximum_Size           : constant String := "maximumSize";
   Xt_N_Edit_Type              : constant String := "editType";
   Xt_N_File                   : constant String := "file";
   -- Xt_N_String : constant String := "string"; -- defined in Xt_Stringdefs
   Xt_N_Length : constant String := "length";
   -- Xt_N_Font : constant String := "font"; -- defined in Xt_Stringdefs
   Xt_N_Disk_Src                  : constant String := "disksrc";
   Xt_N_String_Src                : constant String := "stringsrc";
   Xt_N_Execute                   : constant String := "execute";
   Xt_N_Source_Type               : constant String := "sourceType";
   Xt_N_Motion_Verification       : constant String := "motionVerification";
   Xt_N_Modify_Verification       : constant String := "modifyVerification";
   Xt_N_Leave_Verification        : constant String := "leaveVerification";
   Xt_N_Wrap : constant String := "wrap";
   Xt_N_Wrap_Form                 : constant String := "wrapForm";
   Xt_N_Wrap_Break                : constant String := "wrapBreak";
   Xt_N_Scroll                    : constant String := "scroll";
   Xt_N_Grow : constant String := "grow";
   Xt_N_Alignment                 : constant String := "alignment";
   Xt_N_Line_Space                : constant String := "lineSpace";
   Xt_N_Gravity                   : constant String := "gravity";
   Xt_N_Slider_Min                : constant String := "sliderMin";
   Xt_N_Slider_Max                : constant String := "sliderMax";
   Xt_N_Slider_Origin             : constant String := "sliderOrigin";
   Xt_N_Slider_Extent             : constant String := "sliderExtent";
   Xt_N_Slider_Color              : constant String := "sliderColor";
   Xt_N_Slide_Orientation         : constant String := "slideOrientation";
   Xt_N_Slide_Move_Type           : constant String := "slideMoveType";
   Xt_N_Slide_Area_Tile           : constant String := "slideAreaTile";
   Xt_N_Slider_Moved              : constant String := "sliderMoved";
   Xt_N_Area_Selected             : constant String := "areaSelected";
   Xt_N_Slider_Tile               : constant String := "sliderTile";
   Xt_N_Slider_Released           : constant String := "sliderReleased";
   Xt_N_X_Ref_Name                : constant String := "xRefName";
   Xt_N_X_Ref_Widget              : constant String := "xRefWidget";
   Xt_N_X_Offset                  : constant String := "xOffset";
   Xt_N_X_Add_Width               : constant String := "xAddWidth";
   Xt_N_X_Vary_Offset             : constant String := "xVaryOffset";
   Xt_N_X_Resizable               : constant String := "xResizable";
   Xt_N_X_Attach_Right            : constant String := "xAttachRight";
   Xt_N_X_Attach_Offset           : constant String := "xAttachOffset";
   Xt_N_Y_Ref_Name                : constant String := "yRefName";
   Xt_N_Y_Ref_Widget              : constant String := "yRefWidget";
   Xt_N_Y_Offset                  : constant String := "yOffset";
   Xt_N_Y_Add_Height              : constant String := "yAddHeight";
   Xt_N_Y_Vary_Offset             : constant String := "yVaryOffset";
   Xt_N_Y_Resizable               : constant String := "yResizable";
   Xt_N_Y_Attach_Bottom           : constant String := "yAttachBottom";
   Xt_N_Y_Attach_Offset           : constant String := "yAttachOffset";
   Xt_N_Pixel_Scale               : constant String := "pixelScale";
   Xt_N_Grid_Thickness            : constant String := "gridThickness";
   Xt_N_Image                     : constant String := "image";
   Xt_N_Draw_Color                : constant String := "drawColor";
   Xt_N_Erase_Color               : constant String := "eraseColor";
   Xt_N_Erase_On                  : constant String := "eraseOn";
   Xt_N_Label_Type                : constant String := "labelType";
   Xt_N_Label_Image               : constant String := "labelImage";
   Xt_N_Cascade_Image             : constant String := "cascadeImage";
   Xt_N_Mark_Image                : constant String := "markImage";
   Xt_N_Set_Mark                  : constant String := "setMark";
   Xt_N_Cascade_On                : constant String := "cascadeOn";
   Xt_N_Invert_On_Enter           : constant String := "invertOnEnter";
   Xt_N_Mgr_Override_Mnemonic     : constant String := "mgrOverrideMnemonic";
   Xt_N_Cascade_Select            : constant String := "cascadeSelect";
   Xt_N_Cascade_Unselect          : constant String := "cascadeUnselect";
   Xt_N_Menu_Mgr_Id               : constant String := "menuMgrId";
   Xt_N_Scrollbar_Orientation     : constant String := "scrollbarOrientation";
   Xt_N_Selection_Color           : constant String := "selectionColor";
   Xt_N_Initial_Delay             : constant String := "initialDelay";
   Xt_N_Repeat_Rate               : constant String := "repeatRate";
   Xt_N_Granularity               : constant String := "granularity";
   Xt_N_Invert_On_Select          : constant String := "invertOnSelect";
   Xt_N_Toggle                    : constant String := "toggle";
   Xt_N_Square                    : constant String := "square";
   Xt_N_Select_Color              : constant String := "selectColor";
   Xt_N_Allow_Resize              : constant String := "allowResize";
   Xt_N_Sash_Indent               : constant String := "sashIndent";
   Xt_N_Refigure_Mode             : constant String := "refigureMode";
   Xt_N_Padding                   : constant String := "padding";
   Xt_N_Min : constant String := "min";
   Xt_N_Max : constant String := "max";
   Xt_N_Skip_Adjust               : constant String := "skipAdjust";
   Xt_N_Framed                    : constant String := "framed";
   Xt_N_Border_Frame              : constant String := "borderFrame";
   Xt_N_Expose                    : constant String := "expose";
   Xt_N_Resize                    : constant String := "resize";
   Xt_N_Key_Down                  : constant String := "keyDown";
   Xt_N_Sticky_Menus              : constant String := "stickyMenus";
   Xt_N_Allow_Cascades            : constant String := "allowCascades";
   Xt_N_Pulldown_Bar_Id           : constant String := "pulldownBarId";
   Xt_N_Strip                     : constant String := "strip";
   Xt_N_Title_Precedence          : constant String := "titlePrecedence";
   Xt_N_Title_Foreground          : constant String := "titleForeground";
   Xt_N_Title_Background          : constant String := "titleBackground";
   Xt_N_Title_Region              : constant String := "titleRegion";
   Xt_N_Title_Position            : constant String := "titlePosition";
   Xt_N_Title_Rpadding            : constant String := "titleRPadding";
   Xt_N_Title_Lpadding            : constant String := "titleLPadding";
   Xt_N_Title_Border_Width        : constant String := "titleBorderWidth";
   Xt_N_Title_Translations        : constant String := "titleTranslations";
   Xt_N_Title_Hspace              : constant String := "titleHSpace";
   Xt_N_Title_Vspace              : constant String := "titleVSpace";
   Xt_N_Title_Select              : constant String := "titleSelect";
   Xt_N_Title_Release             : constant String := "titleRelease";
   Xt_N_Title_Next_Top            : constant String := "titleNextTop";
   Xt_N_Titlebar_Tile             : constant String := "titlebarTile";
   Xt_N_Enter                     : constant String := "enter";
   Xt_N_Leave                     : constant String := "leave";
   Xt_N_Region                    : constant String := "region";
   Xt_N_Position                  : constant String := "position";
   Xt_N_L_Padding                 : constant String := "lPadding";
   Xt_N_R_Padding                 : constant String := "rPadding";
   Xt_N_Precedence                : constant String := "precedence";
   Xt_N_Title_To_Menu_Pad         : constant String := "titleToMenuPad";
   Xt_N_Work_Space_To_Sibling_Pad : constant String := "workSpaceToSiblingPad";
   Xt_N_Widget_Type               : constant String := "widgetType";
   Xt_N_Top_Level                 : constant String := "topLevel";
   Xt_N_Display_Title             : constant String := "displayTitle";
   Xt_N_Causes_Resize             : constant String := "causesResize";
   Xt_N_Arrow_Direction           : constant String := "arrowDirection";

   subtype Xw_Text_Position is Cardinal;

   type Xw_Text_Source_Ptr is new System.Address;
   type Xw_Text_Sink_Ptr is new System.Address;

   type Xw_Alignment is
      (Xw_Align_None,
       Xw_Align_Left,
       Xw_Align_Center,
       Xw_Align_Right);

   type Xw_Widget_Type is (Xw_Unknown, Xw_Pulldown, Xw_Title, Xw_Work_Space);

   type Xw_Scan_Direction is (Xw_Sd_Left, Xw_Sd_Right);

   type Xw_Scan_Type is
      (Xw_St_Positions,
       Xw_St_White_Space,
       Xw_St_Eol,
       Xw_St_Last);

   type Xw_Edit_Type is (Xw_Text_Read, Xw_Text_Append, Xw_Text_Edit);

   type Xw_Edit_Result is
      (Xw_Edit_Done,
       Xw_Edit_Error,
       Xw_Edit_Pos_Error,
       Xw_Edit_Reject);

   type Xw_Verify_Op_Type is (Motion_Verify, Mod_Verify, Leave_Verify);

   type Xw_Source_Type is (Xw_String_Src, Xw_Disk_Src, Xw_Prog_Defined_Src);

   type Xw_Wrap is (Xw_Wrap_Off, Xw_Soft_Wrap, Xw_Hard_Wrap);

   type Xw_Wrap_Form is (Xw_Source_Form, Xw_Display_Form);

   type Xw_Wrap_Break is (Xw_Wrap_Any, Xw_Wrap_White_Space);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_<name>_Widget_Class
   --
   --    Last Mod:    Wed May 30 11:40:24 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  The widget classes are simple interfaces to C objects,
   --  but TeleSoft requires all interfaces to be to subprograms
   --
   --=========================================================================

   function Xw_Arrow_Widget_Class return Widget_Class;
   function Xw_Bulletin_Board_Widget_Class return Widget_Class;
   function Xw_Bulletin_Widget_Class return Widget_Class;
   function Xw_Button_Widget_Class return Widget_Class;
   function Xw_Cascade_Widget_Class return Widget_Class;
   function Xw_Form_Widget_Class return Widget_Class;
   function Xw_Image_Edit_Widget_Class return Widget_Class;
   function Xw_List_Widget_Class return Widget_Class;
   function Xw_Listrow_Col_Widget_Class return Widget_Class;
   function Xw_Manager_Widget_Class return Widget_Class;
   function Xw_Menu_Button_Widget_Class return Widget_Class;
   function Xw_Menu_Sep_Widget_Class return Widget_Class;
   function Xw_Menubutton_Widget_Class return Widget_Class;
   function Xw_Menumgr_Widget_Class return Widget_Class;
   function Xw_Menupane_Widget_Class return Widget_Class;
   function Xw_Panel_Widget_Class return Widget_Class;
   function Xw_Popup_Mgr_Widget_Class return Widget_Class;
   function Xw_Popupmgr_Widget_Class return Widget_Class;
   function Xw_Primitive_Widget_Class return Widget_Class;
   function Xw_Push_Button_Widget_Class return Widget_Class;
   function Xw_Row_Col_Widget_Class return Widget_Class;
   function Xw_Sash_Widget_Class return Widget_Class;
   function Xw_Scroll_Bar_Widget_Class return Widget_Class;
   function Xw_Scrollbar_Widget_Class return Widget_Class;
   function Xw_Scrolled_Window_Widget_Class return Widget_Class;
   function Xw_Sraster_Widget_Class return Widget_Class;
   function Xw_Static_Raster_Widget_Class return Widget_Class;
   function Xw_Static_Text_Widget_Class return Widget_Class;
   function Xw_Statictext_Widget_Class return Widget_Class;
   function Xw_Swindow_Widget_Class return Widget_Class;
   function Xw_Text_Edit_Widget_Class return Widget_Class;
   function Xw_Textedit_Widget_Class return Widget_Class;
   function Xw_Title_Bar_Widget_Class return Widget_Class;
   function Xw_Titlebar_Widget_Class return Widget_Class;
   function Xw_Toggle_Widget_Class return Widget_Class;
   function Xw_V_Paned_Widget_Class return Widget_Class;
   function Xw_Valuator_Widget_Class return Widget_Class;
   function Xw_Work_Space_Widget_Class return Widget_Class;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Clear_Buffer
   --
   --    Last Mod:    Fri May 18 17:09:59 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextClearBuffer.
   --
   --=========================================================================
   procedure Xw_Text_Clear_Buffer (W : in Widget);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Copy_Buffer
   --
   --    Last Mod:    Fri May 18 17:09:59 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextCopyBuffer.
   --
   --=========================================================================
   function Xw_Text_Copy_Buffer (W : in Widget) return String;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Copy_Selection
   --
   --    Last Mod:    Fri May 18 17:09:59 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextCopySelection.
   --
   --=========================================================================
   function Xw_Text_Copy_Selection (W : in Widget) return String;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Read_Sub_String
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextReadSubString.
   --
   --=========================================================================
   procedure Xw_Text_Read_Sub_String (W           : in Widget;
                                      Start_Pos   : in Xw_Text_Position;
                                      End_Pos     : in Xw_Text_Position;
                                      Target      : out String;
                                      Target_Used : out Integer;
                                      Source_Used : out Integer);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Unset_Selection
   --
   --    Last Mod:    Mon May 21 17:54:57 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextUnsetSelection.
   --
   --=========================================================================
   procedure Xw_Text_Unset_Selection (W : in Widget);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Set_Selection
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextSetSelection.
   --
   --=========================================================================
   procedure Xw_Text_Set_Selection (W     : in Widget;
                                    Left  : in Xw_Text_Position;
                                    Right : in Xw_Text_Position);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Replace
   --
   --    Last Mod:    Mon May 21 18:14:39 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextReplace.
   --
   --=========================================================================
   function Xw_Text_Replace (W         : in Widget;
                             Start_Pos : in Xw_Text_Position;
                             End_Pos   : in Xw_Text_Position;
                             S         : in String) return Xw_Edit_Result;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Redraw
   --
   --    Last Mod:    Mon May 21 18:19:42 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextRedraw.
   --
   --=========================================================================
   procedure Xw_Text_Redraw (W : in Widget);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Update
   --
   --    Last Mod:    Mon May 21 18:19:42 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextUpdate.
   --
   --=========================================================================
   procedure Xw_Text_Update (W      : in Widget;
                             Status : in Boolean);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Insert
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextInsert.
   --
   --=========================================================================
   procedure Xw_Text_Insert (W : in Widget;
                             S : in String);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Get_Last_Pos
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextGetLastPos.
   --
   --=========================================================================
   function Xw_Text_Get_Last_Pos (W : in Widget) return Xw_Text_Position;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Get_Selection_Pos
   --
   --    Last Mod:    Tue May 22 13:45:37 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextGetSelectionPos.
   --
   --=========================================================================
   procedure Xw_Text_Get_Selection_Pos (W     : in Widget;
                                        Left  : out Xw_Text_Position;
                                        Right : out Xw_Text_Position);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Set_Insert_Pos
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextSetInsertPos.
   --
   --=========================================================================
   procedure Xw_Text_Set_Insert_Pos (W   : in Widget;
                                     Pos : in Xw_Text_Position);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Get_Insert_Pos
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextGetInsertPos.
   --
   --=========================================================================
   function Xw_Text_Get_Insert_Pos (W : in Widget) return Xw_Text_Position;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Set_Source
   --
   --    Last Mod:    Tue May 22 14:03:27 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextSetSource.
   --
   --=========================================================================
   procedure Xw_Text_Set_Source (W         : in Widget;
                                 Source    : in Xw_Text_Source_Ptr;
                                 Start_Pos : in Xw_Text_Position);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Ascii_Sink_Create
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwAsciiSinkCreate.
   --
   --=========================================================================
   function Xw_Ascii_Sink_Create
       (W    : in Widget;
        Args : in Xt_Arg_List) return Xw_Text_Sink_Ptr;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Disk_Source_Create
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwDiskSourceCreate.
   --
   --=========================================================================
   function Xw_Disk_Source_Create
       (W    : in Widget;
        Args : in Xt_Arg_List) return Xw_Text_Source_Ptr;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Disk_Source_Destroy
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwDiskSourceDestroy.
   --
   --=========================================================================
   procedure Xw_Disk_Source_Destroy (Src : in Xw_Text_Source_Ptr);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_String_Source_Create
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwStringSourceCreate.
   --
   --=========================================================================
   function Xw_String_Source_Create
       (W    : in Widget;
        Args : in Xt_Arg_List) return Xw_Text_Source_Ptr;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_String_Source_Destroy
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwStringSourceDestroy.
   --
   --=========================================================================
   procedure Xw_String_Source_Destroy (Src : in Xw_Text_Source_Ptr);

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Move_Focus
   --
   --    Last Mod:    Wed May 16 12:51:30 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwMoveFocus.
   --
   --=========================================================================
   procedure Xw_Move_Focus (W : in Widget);

   --=========================================================================
   --  <Subprogram Name>
   --    Xt_Set_Arg
   --
   --    Last Mod:    Mon May 21 16:47:56 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   -- This set of overloaded procedures provides a strongly typed,
   -- Ada version of the C macro XtSetArg.
   --
   -- The overloading provided here permits the Value parameter to be one
   -- of the enumerated types defined in this package, namely:
   --
   --     Xw_Alignment
   --     Xw_Widget_Type
   --     Xw_Scan_Direction
   --     Xw_Scan_Type
   --     Xw_Edit_Type
   --     Xw_Edit_Result
   --     Xw_Verify_Op_Type
   --     Xw_Source_Type
   --     Xw_Wrap
   --     Xw_Wrap_Form
   --     Xw_Wrap_Break
   --
   --=========================================================================
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Alignment);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Widget_Type);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Scan_Direction);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Scan_Type);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Edit_Type);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Edit_Result);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Verify_Op_Type);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Source_Type);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Wrap);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Wrap_Form);
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Wrap_Break);

end Hp_Widgets;
