--|$Log:	intrinsics.a,v $
--|Revision 8.0  91/01/17  10:37:29  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
with System;
with Renamed_Xlib_Types;
with Compiler_Dependent;
with X_Windows;

pragma ELABORATE (Compiler_Dependent);
package Intrinsics is

   type Cardinal is  range 0 .. (2 ** 31 - 1);
   for Cardinal'SIZE use 32;

   type Short_Cardinal is  range 0 .. (2 ** 16 - 1);
   for Short_Cardinal'SIZE use 16;

   subtype Position is X_Windows.Pixels;
   subtype Dimension is Short_Cardinal;

   type Widget is new System.Address; -- implementation defined
   type Widget_Class is new System.Address; -- implementation defined

   Null_Widget : constant Widget := Widget (Compiler_Dependent.Null_Address);
   Null_Widget_Class : constant Widget_Class :=
      Widget_Class (Compiler_Dependent.Null_Address);

   Null_Caddr_T : constant X_Windows.Caddr_T :=
      X_Windows.Caddr_T (Compiler_Dependent.Null_Address);

   type Xt_App_Context is new System.Address; -- implementation defined

   package Xt_Ancillary_Types is

      subtype Xt_Arg_Val is X_Windows.Caddr_T;
      type Xt_Arg is
         record
            Name  : Renamed_Xlib_Types.Xt_String;
            Value : Xt_Arg_Val;
         end record;

   end Xt_Ancillary_Types;

end Intrinsics;
