--|$Log:	stringdefs.a,v $
--|Revision 8.0  91/01/17  10:37:36  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
-- -------------------- Title   ---------------------------------------
-- Ada/Xt : Ada implementation of the MIT X Toolkit (Xt).
--
-- -------------------- Development Info ------------------------------
--
-- Compiled under Vads 5.5(t), Alsys Sun/3.4, TeleSoft 1.4(a)
-- on Sun Unix OS 3.5.
-- -------------------- Contact ---------------------------------------
--
--			Kurt Wallnau
--			Unisys
--			kurt@prc.unisys.com
--			(215) 648-7458
--
--			Robert Smith
--			Unisys
--			smith@prc.unisys.com
--			(215) 648-7209
--
-- -------------------- Disclaimer ------------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.

-- Synopsis:  A package which contains commonly used resource name constants.
--

package xt_stringdefs is

   -- resource name constants
   xt_n_accelerators            : constant string := "accelerators";
   xt_n_allow_horiz	        : constant string := "allowHoriz";
   xt_n_allow_vert	        : constant string := "allowVert";
   xt_n_ancestor_sensitive      : constant string := "ancestorSensitive";
   xt_n_background	        : constant string := "background";
   xt_n_background_pixmap       : constant string := "backgroundPixmap";
   xt_n_bitmap		        : constant string := "bitmap";
   xt_n_border_color		: constant string := "borderColor";
   xt_n_border		        : constant string := "borderColor";
   xt_n_border_pixmap		: constant string := "borderPixmap";
   xt_n_border_width		: constant string := "borderWidth";
   xt_n_callback		: constant string := "callback";
   xt_n_colormap		: constant string := "colormap";
   xt_n_depth		        : constant string := "depth";
   xt_n_destroy_callback        : constant string := "destroyCallback";
   xt_n_edit_type		: constant string := "editType";
   xt_n_file			: constant string := "file";
   xt_n_font			: constant string := "font";
   xt_n_force_bars		: constant string := "forceBars";
   xt_n_foreground		: constant string := "foreground";
   xt_n_function		: constant string := "function";
   xt_n_height		        : constant string := "height";
   xt_n_highlight		: constant string := "highlight";
   xt_n_h_Space		        : constant string := "hSpace";
   xt_n_index		        : constant string := "index";
   xt_n_inner_height		: constant string := "innerHeight";
   xt_n_inner_width		: constant string := "innerWidth";
   xt_n_inner_window		: constant string := "innerWindow";
   xt_n_insert_position	        : constant string := "insertPosition";
   xt_n_internal_height	        : constant string := "internalHeight";
   xt_n_internal_width	        : constant string := "internalWidth";
   xt_n_jump_proc		: constant string := "jumpProc";
   xt_n_justify		        : constant string := "justify";
   xt_n_knob_height		: constant string := "knobHeight";
   xt_n_knob_indent		: constant string := "knobIndent";
   xt_n_knob_pixel		: constant string := "knobPixel";
   xt_n_knob_width		: constant string := "knobWidth";
   xt_n_label		        : constant string := "label";
   xt_n_length		        : constant string := "length";
   xt_n_lower_right		: constant string := "lowerRight";
   xt_n_mapped_when_managed	: constant string := "mappedWhenManaged";
   xt_n_menu_entry		: constant string := "menuEntry";
   xt_n_name			: constant string := "name";
   xt_n_notify		        : constant string := "notify";
   xt_n_orientation		: constant string := "orientation";
   xt_n_parameter		: constant string := "parameter";
   xt_n_pixmap		        : constant string := "pixmap";
   xt_n_popup_callback	        : constant string := "popupCallback";
   xt_n_popdown_callback	: constant string := "popdownCallback";
   xt_n_resize		        : constant string := "resize";
   xt_n_reverse_video		: constant string := "reverseVideo";
   xt_n_screen                  : constant string := "screen";
   xt_n_scroll_proc		: constant string := "scrollProc";
   xt_n_scroll_d_cursor	        : constant string := "scrollDCursor";
   xt_n_scroll_h_cursor	        : constant string := "scrollHCursor";
   xt_n_scroll_l_cursor	        : constant string := "scrollLCursor";
   xt_n_scroll_r_cursor	        : constant string := "scrollRCursor";
   xt_n_scroll_u_cursor	        : constant string := "scrollUCursor";
   xt_n_scroll_v_cursor	        : constant string := "scrollVCursor";
   xt_n_selection		: constant string := "selection";
   xt_n_selection_array	        : constant string := "selectionArray";
   xt_n_sensitive		: constant string := "sensitive";
   xt_n_shown		        : constant string := "shown";
   xt_n_space		        : constant string := "space";
   xt_n_string		        : constant string := "string";
   xt_n_text_options		: constant string := "textOptions";
   xt_n_text_sink		: constant string := "textSink";
   xt_n_text_source		: constant string := "textSource";
   xt_n_thickness		: constant string := "thickness";
   xt_n_thumb		        : constant string := "thumb";
   xt_n_thumb_proc		: constant string := "thumbProc";
   xt_n_top			: constant string := "top";
   xt_n_translations		: constant string := "translations";
   xt_n_update		        : constant string := "update";
   xt_n_use_bottom		: constant string := "useBottom";
   xt_n_use_right		: constant string := "useRight";
   xt_n_value		        : constant string := "value";
   xt_n_v_space		        : constant string := "vSpace";
   xt_n_width		        : constant string := "width";
   xt_n_window		        : constant string := "window";
   xt_n_x			: constant string := "x";
   xt_n_y			: constant string := "y";

   -- resource class constants
   xt_c_accelerators            : constant string := "Accelerators";
   xt_c_background		: constant string := "Background";
   xt_c_bitmap		        : constant string := "Bitmap";
   xt_c_boolean		        : constant string := "Boolean";
   xt_c_border_color		: constant string := "BorderColor";
   xt_c_border_width		: constant string := "BorderWidth";
   xt_c_callback                : constant string := "Callback";
   xt_c_colormap		: constant string := "Colormap";
   xt_c_color		        : constant string := "Color";
   xt_c_cursor		        : constant string := "Cursor";
   xt_c_depth		        : constant string := "Depth";
   xt_c_edit_type		: constant string := "EditType";
   xt_c_event_bindings	        : constant string := "EventBindings";
   xt_c_file			: constant string := "File";
   xt_c_font			: constant string := "Font";
   xt_c_foreground		: constant string := "Foreground";
   xt_c_fraction		: constant string := "Fraction";
   xt_c_function		: constant string := "Function";
   xt_c_height		        : constant string := "Height";
   xt_c_h_space		        : constant string := "HSpace";
   xt_c_index		        : constant string := "Index";
   xt_c_insert_position	        : constant string := "InsertPosition";
   xt_c_interval		: constant string := "Interval";
   xt_c_justify		        : constant string := "Justify";
   xt_c_knob_indent		: constant string := "KnobIndent";
   xt_c_knob_pixel		: constant string := "KnobPixel";
   xt_c_label		        : constant string := "Label";
   xt_c_length		        : constant string := "Length";
   xt_c_mapped_when_managed	: constant string := "MappedWhenManaged";
   xt_c_margin		        : constant string := "Margin";
   xt_c_menu_entry		: constant string := "MenuEntry";
   xt_c_notify		        : constant string := "Notify";
   xt_c_orientation		: constant string := "Orientation";
   xt_c_parameter		: constant string := "Parameter";
   xt_c_pixmap		        : constant string := "Pixmap";
   xt_c_position		: constant string := "Position";
   xt_c_resize		        : constant string := "Resize";
   xt_c_reverse_video		: constant string := "ReverseVideo";
   xt_c_screen                  : constant string := "Screen";
   xt_c_scroll_proc		: constant string := "ScrollProc";
   xt_c_scroll_d_cursor	        : constant string := "ScrollDCursor";
   xt_c_scroll_h_cursor	        : constant string := "ScrollHCursor";
   xt_c_scroll_l_cursor	        : constant string := "ScrollLCursor";
   xt_c_scroll_r_cursor	        : constant string := "ScrollRCursor";
   xt_c_scroll_u_cursor	        : constant string := "ScrollUCursor";
   xt_c_scroll_v_cursor	        : constant string := "ScrollVCursor";
   xt_c_selection		: constant string := "Selection";
   xt_c_sensitive		: constant string := "Sensitive";
   xt_c_selection_array	        : constant string := "SelectionArray";
   xt_c_space		        : constant string := "Space";
   xt_c_string		        : constant string := "String";
   xt_c_text_options		: constant string := "TextOptions";
   xt_c_text_position		: constant string := "TextPosition";
   xt_c_text_sink		: constant string := "TextSink";
   xt_c_text_source		: constant string := "TextSource";
   xt_c_thickness		: constant string := "Thickness";
   xt_c_thumb		        : constant string := "Thumb";
   xt_c_translations		: constant string := "Translations";
   xt_c_value		        : constant string := "Value";
   xt_c_v_space		        : constant string := "VSpace";
   xt_c_width		        : constant string := "Width";
   xt_c_window		        : constant string := "Window";
   xt_c_x			: constant string := "X";
   xt_c_y			: constant string := "Y";


   -- resource type  constants  
   xt_r_accelerator_table       : constant string := "AcceleratorTable";
   xt_r_bool			: constant string := "Bool";
   xt_r_boolean		        : constant string := "Boolean";
   xt_r_callback                : constant string := "Callback";
   xt_r_call_proc               : constant string := "CallProc";
   xt_r_color		        : constant string := "Color";
   xt_r_cursor		        : constant string := "Cursor";
   xt_r_dimension		: constant string := "Dimension";
   xt_r_display		        : constant string := "Display";
   xt_r_edit_mode		: constant string := "EditMode";
   xt_r_file			: constant string := "File";
   xt_r_font			: constant string := "Font";
   xt_r_font_struct		: constant string := "FontStruct";
   xt_r_function		: constant string := "Function";
   xt_r_geometry		: constant string := "Geometry";
   xt_r_immediate		: constant string := "Immediate";
   xt_r_int			: constant string := "Int";
   xt_r_justify		        : constant string := "Justify";
   xt_r_long_boolean		: constant string := "Bool"; --xt_r_Bool		/* Compatibility */
   xt_r_orientation		: constant string := "Orientation";
   xt_r_pixel		        : constant string := "Pixel";
   xt_r_pixmap		        : constant string := "Pixmap";
   xt_r_pointer		        : constant string := "Pointer";
   xt_r_position		: constant string := "Position";
   xt_r_short                   : constant string := "Short";
   xt_r_string		        : constant string := "String";
   xt_r_string_table		: constant string := "StringTable";
   xt_r_unsigned_char           : constant string := "UnsignedChar";
   xt_r_translation_table       : constant string := "TranslationTable";
   xt_r_window		        : constant string := "Window";

-- shell specific stringdefs

   xt_n_icon_name 		: constant string := "iconName";
   xt_c_icon_name 		: constant string := "IconName";
   xt_n_icon_pixmap 		: constant string := "iconPixmap";
   xt_c_icon_pixmap 		: constant string := "IconPixmap";
   xt_n_icon_window 		: constant string := "iconWindow";
   xt_c_icon_window 		: constant string := "IconWindow";
   xt_n_icon_mask 		: constant string := "iconMask";
   xt_c_icon_mask 		: constant string := "IconMask";
   xt_n_window_group 		: constant string := "windowGroup";
   xt_c_window_group 		: constant string := "WindowGroup";
 
   xt_n_save_under	 	: constant string := "saveUnder";
   xt_c_save_under	 	: constant string := "SaveUnder";
   xt_n_transient	 	: constant string := "transient";
   xt_c_transient	 	: constant string := "Transient";
   xt_n_override_redirect 	: constant string := "overrideRedirect";
   xt_c_override_redirect 	: constant string := "OverrideRedirect";

   xt_n_allow_shell_resize 	: constant string := "allowShellResize";
   xt_c_allow_shell_resize 	: constant string := "AllowShellResize";
   xt_n_create_popup_child_proc : constant string := "createPopupChildProc";
   xt_c_create_popup_child_proc	: constant string := "CreatePopupChildProc";

   xt_n_title 			: constant string := "title";
   xt_c_title 			: constant string := "Title";

 -- The following are only used at creation and can not be changed via 
 -- SetValues.

   xt_n_argc	 		: constant string := "argc";
   xt_c_argc	 		: constant string := "Argc";
   xt_n_argv	 		: constant string := "argv";
   xt_c_argv	 		: constant string := "Argv";
   xt_n_icon_x 			: constant string := "iconX";
   xt_c_icon_x 			: constant string := "IconX";
   xt_n_icon_y 			: constant string := "iconY";
   xt_c_icon_y 			: constant string := "IconY";
   xt_n_input 			: constant string := "input";
   xt_c_input 			: constant string := "Input";
   xt_n_iconic 			: constant string := "iconic";
   xt_c_iconic 			: constant string := "Iconic";
   xt_n_initial_state 		: constant string := "initialState";
   xt_c_initial_state 		: constant string := "InitialState";
   xt_n_geometry 		: constant string := "geometry";
   xt_c_geometry 		: constant string := "Geometry";
   xt_n_min_width 		: constant string := "minWidth";
   xt_c_min_width 		: constant string := "MinWidth";
   xt_n_min_height 		: constant string := "minHeight";
   xt_c_min_height 		: constant string := "MinHeight";
   xt_n_max_width 		: constant string := "maxWidth";
   xt_c_max_width 		: constant string := "MaxWidth";
   xt_n_max_height 		: constant string := "maxHeight";
   xt_c_max_height 		: constant string := "MaxHeight";
   xt_n_width_inc 		: constant string := "widthInc";
   xt_c_width_inc 		: constant string := "WidthInc";
   xt_n_height_inc 		: constant string := "heightInc";
   xt_c_height_inc 		: constant string := "HeightInc";
   xt_n_min_aspect_y 		: constant string := "minAspectY";
   xt_c_min_aspect_y 		: constant string := "MinAspectY";
   xt_n_max_aspect_y 		: constant string := "maxAspectY";
   xt_c_max_aspect_y 		: constant string := "MaxAspectY";
   xt_n_min_aspect_x	 	: constant string := "minAspectX";
   xt_c_min_aspect_x	 	: constant string := "MinAspectX";
   xt_n_max_aspect_x	 	: constant string := "maxAspectX";
   xt_c_max_aspect_x	 	: constant string := "MaxAspectX";
   xt_n_wm_timeout	 	: constant string := "wmTimeout";
   xt_c_wm_timeout	 	: constant string := "WmTimeout";
   xt_n_wait_for_wm	 	: constant string := "waitforwm";
   xt_c_wait_for_wm	 	: constant string := "Waitforwm";


end xt_stringdefs;
