--|$Log:	hp_widgets_.a,v $
--|Revision 8.0  91/01/17  10:37:37  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - Hp_Widgets
--
----------------------------------------------------------------------------
--
--
-- Abstract
--
-- This package offers a sample selection of the Hewlett-Packard widget set,
-- implemented as calls to the Xt object library.  Implementers
-- should feel free to add as many more as they wish, following the
-- pattern laid down here.
--
-- This package will eventually be replaced by the STARS Ada
-- implementation of the Xt toolkit.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------
with System;
use System;
with String_Encapsulation;
use String_Encapsulation;
with Os_Dependent;
use Os_Dependent;
package body Hp_Widgets is

   type Arg_Type is
      record
         Name  : Address;
         Value : Xt_Arg_Val;
      end record;
   type Arg_Array is array (Integer range <>) of Arg_Type;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_<name>_Widget_Class
   --
   --    Last Mod:    Wed May 30 11:40:24 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  The widget classes are simple interfaces to C objects,
   --  but TeleSoft requires all interfaces to be to subprograms
   --
   --=========================================================================

   function Xw_Arrow_Widget_Class return Widget_Class is
      function Get_Xw_Arrow_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Arrow_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Arrow_Widget_Class);
   end Xw_Arrow_Widget_Class;

   function Xw_Bulletin_Board_Widget_Class return Widget_Class is
      function Get_Xw_Bulletin_Board_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Bulletin_Board_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Bulletin_Board_Widget_Class);
   end Xw_Bulletin_Board_Widget_Class;

   function Xw_Bulletin_Widget_Class return Widget_Class is
      function Get_Xw_Bulletin_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Bulletin_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Bulletin_Widget_Class);
   end Xw_Bulletin_Widget_Class;

   function Xw_Button_Widget_Class return Widget_Class is
      function Get_Xw_Button_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Button_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Button_Widget_Class);
   end Xw_Button_Widget_Class;

   function Xw_Cascade_Widget_Class return Widget_Class is
      function Get_Xw_Cascade_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Cascade_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Cascade_Widget_Class);
   end Xw_Cascade_Widget_Class;

   function Xw_Form_Widget_Class return Widget_Class is
      function Get_Xw_Form_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Form_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Form_Widget_Class);
   end Xw_Form_Widget_Class;

   function Xw_Image_Edit_Widget_Class return Widget_Class is
      function Get_Xw_Image_Edit_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Image_Edit_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Image_Edit_Widget_Class);
   end Xw_Image_Edit_Widget_Class;

   function Xw_List_Widget_Class return Widget_Class is
      function Get_Xw_List_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_List_Widget_Class);
   begin
      return Widget_Class (Get_Xw_List_Widget_Class);
   end Xw_List_Widget_Class;

   function Xw_Listrow_Col_Widget_Class return Widget_Class is
      function Get_Xw_Listrow_Col_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Listrow_Col_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Listrow_Col_Widget_Class);
   end Xw_Listrow_Col_Widget_Class;

   function Xw_Manager_Widget_Class return Widget_Class is
      function Get_Xw_Manager_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Manager_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Manager_Widget_Class);
   end Xw_Manager_Widget_Class;

   function Xw_Menu_Button_Widget_Class return Widget_Class is
      function Get_Xw_Menu_Button_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Menu_Button_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Menu_Button_Widget_Class);
   end Xw_Menu_Button_Widget_Class;

   function Xw_Menu_Sep_Widget_Class return Widget_Class is
      function Get_Xw_Menu_Sep_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Menu_Sep_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Menu_Sep_Widget_Class);
   end Xw_Menu_Sep_Widget_Class;

   function Xw_Menubutton_Widget_Class return Widget_Class is
      function Get_Xw_Menubutton_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Menubutton_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Menubutton_Widget_Class);
   end Xw_Menubutton_Widget_Class;

   function Xw_Menumgr_Widget_Class return Widget_Class is
      function Get_Xw_Menumgr_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Menumgr_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Menumgr_Widget_Class);
   end Xw_Menumgr_Widget_Class;

   function Xw_Menupane_Widget_Class return Widget_Class is
      function Get_Xw_Menupane_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Menupane_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Menupane_Widget_Class);
   end Xw_Menupane_Widget_Class;

   function Xw_Panel_Widget_Class return Widget_Class is
      function Get_Xw_Panel_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Panel_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Panel_Widget_Class);
   end Xw_Panel_Widget_Class;

   function Xw_Popup_Mgr_Widget_Class return Widget_Class is
      function Get_Xw_Popup_Mgr_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Popup_Mgr_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Popup_Mgr_Widget_Class);
   end Xw_Popup_Mgr_Widget_Class;

   function Xw_Popupmgr_Widget_Class return Widget_Class is
      function Get_Xw_Popupmgr_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Popupmgr_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Popupmgr_Widget_Class);
   end Xw_Popupmgr_Widget_Class;

   function Xw_Primitive_Widget_Class return Widget_Class is
      function Get_Xw_Primitive_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Primitive_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Primitive_Widget_Class);
   end Xw_Primitive_Widget_Class;

   function Xw_Push_Button_Widget_Class return Widget_Class is
      function Get_Xw_Push_Button_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Push_Button_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Push_Button_Widget_Class);
   end Xw_Push_Button_Widget_Class;

   function Xw_Row_Col_Widget_Class return Widget_Class is
      function Get_Xw_Row_Col_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Row_Col_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Row_Col_Widget_Class);
   end Xw_Row_Col_Widget_Class;

   function Xw_Sash_Widget_Class return Widget_Class is
      function Get_Xw_Sash_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Sash_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Sash_Widget_Class);
   end Xw_Sash_Widget_Class;

   function Xw_Scroll_Bar_Widget_Class return Widget_Class is
      function Get_Xw_Scroll_Bar_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Scroll_Bar_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Scroll_Bar_Widget_Class);
   end Xw_Scroll_Bar_Widget_Class;

   function Xw_Scrollbar_Widget_Class return Widget_Class is
      function Get_Xw_Scrollbar_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Scrollbar_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Scrollbar_Widget_Class);
   end Xw_Scrollbar_Widget_Class;

   function Xw_Scrolled_Window_Widget_Class return Widget_Class is
      function Get_Xw_Scrolled_Window_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Scrolled_Window_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Scrolled_Window_Widget_Class);
   end Xw_Scrolled_Window_Widget_Class;

   function Xw_Sraster_Widget_Class return Widget_Class is
      function Get_Xw_Sraster_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Sraster_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Sraster_Widget_Class);
   end Xw_Sraster_Widget_Class;

   function Xw_Static_Raster_Widget_Class return Widget_Class is
      function Get_Xw_Static_Raster_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Static_Raster_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Static_Raster_Widget_Class);
   end Xw_Static_Raster_Widget_Class;

   function Xw_Static_Text_Widget_Class return Widget_Class is
      function Get_Xw_Static_Text_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Static_Text_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Static_Text_Widget_Class);
   end Xw_Static_Text_Widget_Class;

   function Xw_Statictext_Widget_Class return Widget_Class is
      function Get_Xw_Statictext_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Statictext_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Statictext_Widget_Class);
   end Xw_Statictext_Widget_Class;

   function Xw_Swindow_Widget_Class return Widget_Class is
      function Get_Xw_Swindow_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Swindow_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Swindow_Widget_Class);
   end Xw_Swindow_Widget_Class;

   function Xw_Text_Edit_Widget_Class return Widget_Class is
      function Get_Xw_Text_Edit_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Text_Edit_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Text_Edit_Widget_Class);
   end Xw_Text_Edit_Widget_Class;

   function Xw_Textedit_Widget_Class return Widget_Class is
      function Get_Xw_Textedit_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Textedit_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Textedit_Widget_Class);
   end Xw_Textedit_Widget_Class;

   function Xw_Title_Bar_Widget_Class return Widget_Class is
      function Get_Xw_Title_Bar_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Title_Bar_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Title_Bar_Widget_Class);
   end Xw_Title_Bar_Widget_Class;

   function Xw_Titlebar_Widget_Class return Widget_Class is
      function Get_Xw_Titlebar_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Titlebar_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Titlebar_Widget_Class);
   end Xw_Titlebar_Widget_Class;

   function Xw_Toggle_Widget_Class return Widget_Class is
      function Get_Xw_Toggle_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Toggle_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Toggle_Widget_Class);
   end Xw_Toggle_Widget_Class;

   function Xw_V_Paned_Widget_Class return Widget_Class is
      function Get_Xw_V_Paned_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_V_Paned_Widget_Class);
   begin
      return Widget_Class (Get_Xw_V_Paned_Widget_Class);
   end Xw_V_Paned_Widget_Class;

   function Xw_Valuator_Widget_Class return Widget_Class is
      function Get_Xw_Valuator_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Valuator_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Valuator_Widget_Class);
   end Xw_Valuator_Widget_Class;

   function Xw_Work_Space_Widget_Class return Widget_Class is
      function Get_Xw_Work_Space_Widget_Class return Address;
      pragma INTERFACE (C, Get_Xw_Work_Space_Widget_Class);
   begin
      return Widget_Class (Get_Xw_Work_Space_Widget_Class);
   end Xw_Work_Space_Widget_Class;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Clear_Buffer
   --
   --    Last Mod:    Fri May 18 17:09:59 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextClearBuffer.
   --
   --=========================================================================
   procedure Xw_Text_Clear_Buffer (W : in Widget) is

      procedure C_Xw_Text_Clear_Buffer (W : in Address);
      pragma INTERFACE (C, C_Xw_Text_Clear_Buffer);
      pragma INTERFACE_NAME (C_Xw_Text_Clear_Buffer, "_XwTextClearBuffer");

   begin
      C_Xw_Text_Clear_Buffer (Address (W));
   end Xw_Text_Clear_Buffer;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Copy_Buffer
   --
   --    Last Mod:    Fri May 18 17:09:59 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextCopyBuffer.
   --
   --=========================================================================
   function Xw_Text_Copy_Buffer (W : in Widget) return String is

      function C_Xw_Text_Copy_Buffer (W : in Address) return Address;
      pragma INTERFACE (C, C_Xw_Text_Copy_Buffer);
      pragma INTERFACE_NAME (C_Xw_Text_Copy_Buffer, "_XwTextCopyBuffer");

      Local_C_String : C_String;

   begin
      Local_C_String := C_String (C_Xw_Text_Copy_Buffer (Address (W)));
      declare
         Local_Ada_String : constant String := Make_Ada_String (Local_C_String);
      begin
         Free (Local_C_String);
         return Local_Ada_String;
      end;
   end Xw_Text_Copy_Buffer;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Copy_Selection
   --
   --    Last Mod:    Fri May 18 17:09:59 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextCopySelection.
   --
   --=========================================================================
   function Xw_Text_Copy_Selection (W : in Widget) return String is

      function C_Xw_Text_Copy_Selection (W : in Address) return Address;
      pragma INTERFACE (C, C_Xw_Text_Copy_Selection);
      pragma INTERFACE_NAME (C_Xw_Text_Copy_Selection, "_XwTextCopySelection");

      Local_C_String : C_String;

   begin
      Local_C_String := C_String (C_Xw_Text_Copy_Selection (Address (W)));
      declare
         Local_Ada_String : constant String := Make_Ada_String (Local_C_String);
      begin
         Free (Local_C_String);
         return Local_Ada_String;
      end;
   end Xw_Text_Copy_Selection;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Read_Sub_String
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextReadSubString.
   --
   --=========================================================================
   procedure Xw_Text_Read_Sub_String (W           : in Widget;
                                      Start_Pos   : in Xw_Text_Position;
                                      End_Pos     : in Xw_Text_Position;
                                      Target      : out String;
                                      Target_Used : out Integer;
                                      Source_Used : out Integer) is

      Local_Target_Used : Long;
      Local_Source_Used : Long;

      function C_Xw_Text_Read_Sub_String
          (W          : in Address;
           Startpos   : in Integer;
           Endpos     : in Long;
           Target     : in Address;
           Targetsize : in Long;
           Targetused : in Address) return Long;
      pragma INTERFACE (C, C_Xw_Text_Read_Sub_String);
      pragma INTERFACE_NAME (C_Xw_Text_Read_Sub_String, "_XwTextReadSubString");

   begin
      Local_Source_Used :=
         C_Xw_Text_Read_Sub_String (Address (W), Integer (Start_Pos),
                                    Long (End_Pos),
                                    Target (Target'FIRST)'ADDRESS,
                                    Target'LENGTH, Local_Target_Used'ADDRESS);
      Target_Used := Integer (Local_Target_Used);
      Source_Used := Integer (Local_Source_Used);
   end Xw_Text_Read_Sub_String;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Unset_Selection
   --
   --    Last Mod:    Mon May 21 17:54:57 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextUnsetSelection.
   --
   --=========================================================================
   procedure Xw_Text_Unset_Selection (W : in Widget) is

      procedure C_Xw_Text_Unset_Selection (W : in Address);
      pragma INTERFACE (C, C_Xw_Text_Unset_Selection);
      pragma INTERFACE_NAME
          (C_Xw_Text_Unset_Selection, "_XwTextUnsetSelection");

   begin
      C_Xw_Text_Unset_Selection (Address (W));
   end Xw_Text_Unset_Selection;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Set_Selection
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextSetSelection.
   --
   --=========================================================================
   procedure Xw_Text_Set_Selection (W     : in Widget;
                                    Left  : in Xw_Text_Position;
                                    Right : in Xw_Text_Position) is

      procedure C_Xw_Text_Set_Selection (W     : in Address;
                                         Left  : in Long;
                                         Right : in Long);
      pragma INTERFACE (C, C_Xw_Text_Set_Selection);
      pragma INTERFACE_NAME (C_Xw_Text_Set_Selection, "_XwTextSetSelection");

   begin
      C_Xw_Text_Set_Selection (Address (W), Long (Left), Long (Right));
   end Xw_Text_Set_Selection;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Replace
   --
   --    Last Mod:    Mon May 21 18:14:39 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextReplace.
   --
   --=========================================================================
   function Xw_Text_Replace (W         : in Widget;
                             Start_Pos : in Xw_Text_Position;
                             End_Pos   : in Xw_Text_Position;
                             S         : in String) return Xw_Edit_Result is

      Local_C_String : C_String;
      C_Return_Value : Long;

      function C_Xw_Text_Replace (W         : in Address;
                                  Start_Pos : in Long;
                                  End_Pos   : in Long;
                                  S         : in Address) return Long;
      pragma INTERFACE (C, C_Xw_Text_Replace);
      pragma INTERFACE_NAME (C_Xw_Text_Replace, "_XwTextReplace");

   begin
      Local_C_String := Make_C_String (S);
      C_Return_Value := C_Xw_Text_Replace (Address (W), Long (Start_Pos),
                                           Long (End_Pos),
                                           Address (Local_C_String));
      Free (Local_C_String);
      return (Xw_Edit_Result'VAL (C_Return_Value));
   end Xw_Text_Replace;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Redraw
   --
   --    Last Mod:    Mon May 21 18:19:42 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextRedraw.
   --
   --=========================================================================
   procedure Xw_Text_Redraw (W : in Widget) is

      procedure C_Xw_Text_Redraw (W : in Address);
      pragma INTERFACE (C, C_Xw_Text_Redraw);
      pragma INTERFACE_NAME (C_Xw_Text_Redraw, "_XwTextRedraw");

   begin
      C_Xw_Text_Redraw (Address (W));
   end Xw_Text_Redraw;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Update
   --
   --    Last Mod:    Mon May 21 18:19:42 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextUpdate.
   --
   --=========================================================================
   procedure Xw_Text_Update (W      : in Widget;
                             Status : in Boolean) is

      procedure C_Xw_Text_Update (W      : in Address;
                                  Status : in Long);
      pragma INTERFACE (C, C_Xw_Text_Update);
      pragma INTERFACE_NAME (C_Xw_Text_Update, "_XwTextUpdate");

   begin
      C_Xw_Text_Update (Address (W), Boolean'POS (Status));
   end Xw_Text_Update;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Insert
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextInsert.
   --
   --=========================================================================
   procedure Xw_Text_Insert (W : in Widget;
                             S : in String) is

      procedure C_Xw_Text_Insert (W : in Address;
                                  S : in Address);
      pragma INTERFACE (C, C_Xw_Text_Insert);
      pragma INTERFACE_NAME (C_Xw_Text_Insert, "_XwTextInsert");

      Local_C_String : C_String;

   begin
      Local_C_String := Make_C_String (S);
      C_Xw_Text_Insert (Address (W), Address (Local_C_String));
      Free (Local_C_String);
   end Xw_Text_Insert;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Get_Last_Pos
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextGetLastPos.
   --
   --=========================================================================
   function Xw_Text_Get_Last_Pos (W : in Widget) return Xw_Text_Position is

      function C_Xw_Text_Get_Last_Pos (W : in Address) return Long;
      pragma INTERFACE (C, C_Xw_Text_Get_Last_Pos);
      pragma INTERFACE_NAME (C_Xw_Text_Get_Last_Pos, "_XwTextGetLastPos");

   begin
      return Xw_Text_Position (C_Xw_Text_Get_Last_Pos (Address (W)));
   end Xw_Text_Get_Last_Pos;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Get_Selection_Pos
   --
   --    Last Mod:    Tue May 22 13:45:37 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextGetSelectionPos.
   --
   --=========================================================================
   procedure Xw_Text_Get_Selection_Pos (W     : in Widget;
                                        Left  : out Xw_Text_Position;
                                        Right : out Xw_Text_Position) is

      procedure C_Xw_Text_Get_Selection_Pos (W     : in Address;
                                             Left  : in Address;
                                             Right : in Address);
      pragma INTERFACE (C, C_Xw_Text_Get_Selection_Pos);
      pragma INTERFACE_NAME (C_Xw_Text_Get_Selection_Pos,
                             "_XwTextGetSelectionPos");

      Local_Left  : Xw_Text_Position;
      Local_Right : Xw_Text_Position;

   begin
      C_Xw_Text_Get_Selection_Pos (Address (W), Local_Left'ADDRESS,
                                   Local_Right'ADDRESS);
      Left  := Local_Left;
      Right := Local_Right;
   end Xw_Text_Get_Selection_Pos;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Set_Insert_Pos
   --
   --    Last Mod:    Thu Apr 19 16:16:47 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextSetInsertPos.
   --
   --=========================================================================
   procedure Xw_Text_Set_Insert_Pos (W   : in Widget;
                                     Pos : in Xw_Text_Position) is

      procedure C_Xw_Text_Set_Insert_Pos (W   : in Address;
                                          Pos : in Long);
      pragma INTERFACE (C, C_Xw_Text_Set_Insert_Pos);
      pragma INTERFACE_NAME (C_Xw_Text_Set_Insert_Pos, "_XwTextSetInsertPos");

   begin
      C_Xw_Text_Set_Insert_Pos (Address (W), Long (Pos));
   end Xw_Text_Set_Insert_Pos;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Get_Insert_Pos
   --
   --    Last Mod:    Tue May 22 14:03:35 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextGetInsertPos.
   --
   --=========================================================================
   function Xw_Text_Get_Insert_Pos (W : in Widget) return Xw_Text_Position is

      function C_Xw_Text_Get_Insert_Pos (W : in Address) return Long;
      pragma INTERFACE (C, C_Xw_Text_Get_Insert_Pos);
      pragma INTERFACE_NAME (C_Xw_Text_Get_Insert_Pos, "_XwTextGetInsertPos");

   begin
      return Xw_Text_Position (C_Xw_Text_Get_Insert_Pos (Address (W)));
   end Xw_Text_Get_Insert_Pos;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Text_Set_Source
   --
   --    Last Mod:    Tue May 22 14:03:27 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwTextSetSource.
   --
   --=========================================================================
   procedure Xw_Text_Set_Source (W         : in Widget;
                                 Source    : in Xw_Text_Source_Ptr;
                                 Start_Pos : in Xw_Text_Position) is

      procedure C_Xw_Text_Set_Source (W         : in Address;
                                      Source    : in Address;
                                      Start_Pos : in Long);
      pragma INTERFACE (C, C_Xw_Text_Set_Source);
      pragma INTERFACE_NAME (C_Xw_Text_Set_Source, "_XwTextSetSource");

   begin
      C_Xw_Text_Set_Source (Address (W), Address (Source), Long (Start_Pos));
   end Xw_Text_Set_Source;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Ascii_Sink_Create
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwAsciiSinkCreate.
   --
   --=========================================================================
   function Xw_Ascii_Sink_Create
       (W    : in Widget;
        Args : in Xt_Arg_List) return Xw_Text_Sink_Ptr is

      Local_Args   : Arg_Array (Args'RANGE);
      Local_Return : Address;

      function C_Xw_Ascii_Sink_Create (W         : in Address;
                                       Args      : in Address;
                                       Arg_Count : in Long) return Address;
      pragma INTERFACE (C, C_Xw_Ascii_Sink_Create);
      pragma INTERFACE_NAME (C_Xw_Ascii_Sink_Create, "_XwAsciiSinkCreate");

   begin
      for I in Args'RANGE loop
         Local_Args (I).Name  := Address (Make_C_String (Args (I).Name.all));
         Local_Args (I).Value := Args (I).Value;
      end loop;

      Local_Return := C_Xw_Ascii_Sink_Create (Address (W), Local_Args'ADDRESS,
                                              Local_Args'LENGTH);

      for I in Args'RANGE loop
         Free (C_String (Local_Args (I).Name));

         -- We should also free some of the value fields,
         -- but how can we know which ones?

      end loop;

      return Xw_Text_Sink_Ptr (Local_Return);
   end Xw_Ascii_Sink_Create;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Disk_Source_Create
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwDiskSourceCreate.
   --
   --=========================================================================
   function Xw_Disk_Source_Create
       (W    : in Widget;
        Args : in Xt_Arg_List) return Xw_Text_Source_Ptr is

      Local_Args   : Arg_Array (Args'RANGE);
      Local_Return : Address;

      function C_Xw_Disk_Source_Create (W         : in Address;
                                        Args      : in Address;
                                        Arg_Count : in Long) return Address;
      pragma INTERFACE (C, C_Xw_Disk_Source_Create);
      pragma INTERFACE_NAME (C_Xw_Disk_Source_Create, "_XwDiskSourceCreate");

   begin
      for I in Args'RANGE loop
         Local_Args (I).Name  := Address (Make_C_String (Args (I).Name.all));
         Local_Args (I).Value := Args (I).Value;
      end loop;

      Local_Return :=
         C_Xw_Disk_Source_Create (Address (W), Local_Args'ADDRESS,
                                  Local_Args'LENGTH);

      for I in Args'RANGE loop
         Free (C_String (Local_Args (I).Name));

         -- We should also free some of the value fields,
         -- but how can we know which ones?

      end loop;

      return Xw_Text_Source_Ptr (Local_Return);
   end Xw_Disk_Source_Create;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Disk_Source_Destroy
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwDiskSourceDestroy.
   --
   --=========================================================================
   procedure Xw_Disk_Source_Destroy (Src : in Xw_Text_Source_Ptr) is

      procedure C_Xw_Disk_Source_Destroy (Src : in Address);
      pragma INTERFACE (C, C_Xw_Disk_Source_Destroy);
      pragma INTERFACE_NAME (C_Xw_Disk_Source_Destroy, "_XwDiskSourceDestroy");

   begin
      C_Xw_Disk_Source_Destroy (Address (Src));
   end Xw_Disk_Source_Destroy;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_String_Source_Create
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwStringSourceCreate.
   --
   --=========================================================================
   function Xw_String_Source_Create
       (W    : in Widget;
        Args : in Xt_Arg_List) return Xw_Text_Source_Ptr is

      Local_Args   : Arg_Array (Args'RANGE);
      Local_Return : Address;

      function C_Xw_String_Source_Create (W         : in Address;
                                          Args      : in Address;
                                          Arg_Count : in Long) return Address;
      pragma INTERFACE (C, C_Xw_String_Source_Create);
      pragma INTERFACE_NAME
          (C_Xw_String_Source_Create, "_XwStringSourceCreate");

   begin
      for I in Args'RANGE loop
         Local_Args (I).Name  := Address (Make_C_String (Args (I).Name.all));
         Local_Args (I).Value := Args (I).Value;
      end loop;

      Local_Return := C_Xw_String_Source_Create (Address (W),
                                                 Local_Args'ADDRESS,
                                                 Local_Args'LENGTH);

      for I in Args'RANGE loop
         Free (C_String (Local_Args (I).Name));

         -- We should also free some of the value fields,
         -- but how can we know which ones?

      end loop;

      return Xw_Text_Source_Ptr (Local_Return);
   end Xw_String_Source_Create;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_String_Source_Destroy
   --
   --    Last Mod:    Tue May 22 14:31:12 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwStringSourceDestroy.
   --
   --=========================================================================
   procedure Xw_String_Source_Destroy (Src : in Xw_Text_Source_Ptr) is

      procedure C_Xw_String_Source_Destroy (Src : in Address);
      pragma INTERFACE (C, C_Xw_String_Source_Destroy);
      pragma INTERFACE_NAME (C_Xw_String_Source_Destroy,
                             "_XwStringSourceDestroy");

   begin
      C_Xw_String_Source_Destroy (Address (Src));
   end Xw_String_Source_Destroy;

   --=========================================================================
   --  <Subprogram Name>
   --    Xw_Move_Focus
   --
   --    Last Mod:    Wed May 16 12:51:30 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   --  Ada interface to the widget procedure XwMoveFocus.
   --
   --=========================================================================
   procedure Xw_Move_Focus (W : in Widget) is

      procedure C_Xw_Move_Focus (W : in Address);
      pragma INTERFACE (C, C_Xw_Move_Focus);
      pragma INTERFACE_NAME (C_Xw_Move_Focus, "_XwMoveFocus");

   begin
      C_Xw_Move_Focus (Address (W));
   end Xw_Move_Focus;

   --=========================================================================
   --  <Subprogram Name>
   --    Xt_Set_Arg
   --
   --    Last Mod:    Mon May 21 16:47:56 EDT 1990 (rhp)
   --    Author:      Robert H. Pollack
   --
   --  <Description>
   --
   -- This set of overloaded procedures provides a strongly typed,
   -- Ada version of the C macro XtSetArg.
   --
   -- The overloading provided here permits the Value parameter to be one
   -- of the enumerated types defined in this package, namely:
   --
   --     Xw_Alignment
   --     Xw_Widget_Type
   --     Xw_Scan_Direction
   --     Xw_Scan_Type
   --     Xw_Edit_Type
   --     Xw_Edit_Result
   --     Xw_Verify_Op_Type
   --     Xw_Source_Type
   --     Xw_Wrap
   --     Xw_Wrap_Form
   --     Xw_Wrap_Break
   --
   --=========================================================================
   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Alignment) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Alignment'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Widget_Type) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Widget_Type'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Scan_Direction) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Scan_Direction'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Scan_Type) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Scan_Type'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Edit_Type) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Edit_Type'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Edit_Result) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Edit_Result'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Verify_Op_Type) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Verify_Op_Type'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Source_Type) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Source_Type'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Wrap) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Wrap'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Wrap_Form) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Wrap_Form'POS (Value)));
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Xt_Arg;
                         Name  : in String;
                         Value : in Xw_Wrap_Break) is
   begin
      Xt_Set_Arg (Arg, Name, Integer (Xw_Wrap_Break'POS (Value)));
   end Xt_Set_Arg;

end Hp_Widgets;
