--|$Log:	ace_hp_widgets.a,v $
--|Revision 8.0  91/01/17  10:40:51  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
with Ace_Universal_Types;
use Ace_Universal_Types;
with Hp_Widgets;
package Ace_Hp_Widgets is

   function Xw_Arrow_Widget_Class return Ace_Integer;
   function Xw_Bulletin_Board_Widget_Class return Ace_Integer;
   function Xw_Bulletin_Widget_Class return Ace_Integer;
   function Xw_Button_Widget_Class return Ace_Integer;
   function Xw_Cascade_Widget_Class return Ace_Integer;
   function Xw_Form_Widget_Class return Ace_Integer;
   function Xw_Image_Edit_Widget_Class return Ace_Integer;
   function Xw_List_Widget_Class return Ace_Integer;
   function Xw_Listrow_Col_Widget_Class return Ace_Integer;
   function Xw_Manager_Widget_Class return Ace_Integer;
   function Xw_Menu_Button_Widget_Class return Ace_Integer;
   function Xw_Menu_Sep_Widget_Class return Ace_Integer;
   function Xw_Menubutton_Widget_Class return Ace_Integer;
   function Xw_Menumgr_Widget_Class return Ace_Integer;
   function Xw_Menupane_Widget_Class return Ace_Integer;
   function Xw_Panel_Widget_Class return Ace_Integer;
   function Xw_Popup_Mgr_Widget_Class return Ace_Integer;
   function Xw_Popupmgr_Widget_Class return Ace_Integer;
   function Xw_Primitive_Widget_Class return Ace_Integer;
   function Xw_Push_Button_Widget_Class return Ace_Integer;
   function Xw_Row_Col_Widget_Class return Ace_Integer;
   function Xw_Sash_Widget_Class return Ace_Integer;
   function Xw_Scroll_Bar_Widget_Class return Ace_Integer;
   function Xw_Scrollbar_Widget_Class return Ace_Integer;
   function Xw_Scrolled_Window_Widget_Class return Ace_Integer;
   function Xw_Sraster_Widget_Class return Ace_Integer;
   function Xw_Static_Raster_Widget_Class return Ace_Integer;
   function Xw_Static_Text_Widget_Class return Ace_Integer;
   function Xw_Statictext_Widget_Class return Ace_Integer;
   function Xw_Swindow_Widget_Class return Ace_Integer;
   function Xw_Text_Edit_Widget_Class return Ace_Integer;
   function Xw_Textedit_Widget_Class return Ace_Integer;
   function Xw_Title_Bar_Widget_Class return Ace_Integer;
   function Xw_Titlebar_Widget_Class return Ace_Integer;
   function Xw_Toggle_Widget_Class return Ace_Integer;

   -- Using Xw_V_Paned_Widget_Class creates a demand for a procedure
   -- called _XtCreateFontCursor, which does not seem to be in any
   -- X library (rhp, 5/2/90)
   -- Aha!  This is apparently a misprint for _XCreateFontCursor (rhp)

   -- function Xw_V_Paned_Widget_Class return Ace_Integer;

   function Xw_Valuator_Widget_Class return Ace_Integer;
   function Xw_Work_Space_Widget_Class return Ace_Integer;

   procedure Xw_Text_Clear_Buffer (W : in Ace_Integer);

   function Xw_Text_Copy_Buffer (W : in Ace_Integer) return String;

   function Xw_Text_Copy_Selection (W : in Ace_Integer) return String;

   procedure Xw_Text_Read_Sub_String (W           : in Ace_Integer;
                                      Start_Pos   : in Ace_Integer;
                                      End_Pos     : in Ace_Integer;
                                      Target      : out String;
                                      Target_Used : out Ace_Integer;
                                      Source_Used : out Ace_Integer);

   procedure Xw_Text_Unset_Selection (W : in Ace_Integer);

   procedure Xw_Text_Set_Selection (W     : in Ace_Integer;
                                    Left  : in Ace_Integer;
                                    Right : in Ace_Integer);

   function Xw_Text_Replace
       (W         : in Ace_Integer;
        Start_Pos : in Ace_Integer;
        End_Pos   : in Ace_Integer;
        S         : in String) return Hp_Widgets.Xw_Edit_Result;

   procedure Xw_Text_Redraw (W : in Ace_Integer);

   procedure Xw_Text_Update (W      : in Ace_Integer;
                             Status : in Boolean);

   procedure Xw_Text_Insert (W : in Ace_Integer;
                             S : in String);

   function Xw_Text_Get_Last_Pos (W : in Ace_Integer) return Ace_Integer;

   procedure Xw_Text_Get_Selection_Pos (W     : in Ace_Integer;
                                        Left  : out Ace_Integer;
                                        Right : out Ace_Integer);

   procedure Xw_Text_Set_Insert_Pos (W   : in Ace_Integer;
                                     Pos : in Ace_Integer);

   function Xw_Text_Get_Insert_Pos (W : in Ace_Integer) return Ace_Integer;

   procedure Xw_Text_Set_Source (W         : in Ace_Integer;
                                 Source    : in Ace_Integer;
                                 Start_Pos : in Ace_Integer);

   function Xw_Ascii_Sink_Create (W    : in Ace_Integer;
                                  Args : in Ace_Integer) return Ace_Integer;

   function Xw_Disk_Source_Create (W    : in Ace_Integer;
                                   Args : in Ace_Integer) return Ace_Integer;

   procedure Xw_Disk_Source_Destroy (Src : in Ace_Integer);

   function Xw_String_Source_Create (W    : in Ace_Integer;
                                     Args : in Ace_Integer) return Ace_Integer;

   procedure Xw_String_Source_Destroy (Src : in Ace_Integer);

   procedure Xw_Move_Focus (W : in Ace_Integer);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Alignment);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Widget_Type);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Scan_Direction);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Scan_Type);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Edit_Type);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Edit_Result);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Verify_Op_Type);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Source_Type);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Wrap);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Wrap_Form);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Wrap_Break);

end Ace_Hp_Widgets;
