--|$Log:	ace_widget.a,v $
--|Revision 8.0  91/01/17  10:40:52  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
with Ace_Universal_Types;
use Ace_Universal_Types;
with Context_Control;
with System;
with Ace_X_Windows;
with Intrinsics;

package Ace_Widget_Package is

   function Null_Xrm_Option_List return Ace_Integer;
   function Null_Xt_Arg_List return Ace_Integer;

   function Make_Xt_String (S : in String) return Ace_Integer;

   procedure Xt_Initialize (Out_Value : out Ace_Integer;
                            Name      : in String;
                            Classname : in String;
                            Urlist    : in Ace_Integer;
                            Num_Urs   : in Ace_Integer;
                            Argc      : in out Ace_Integer;
                            Argv      : in out Ace_Integer);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Boolean);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in String);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Integer);

   procedure Xt_Set_Arg_Address (Arg   : out Ace_Integer;
                                 Name  : in String;
                                 Value : in Ace_Integer);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Intrinsics.Dimension);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Intrinsics.Position);

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Ace_X_Windows.Gravity_Type);

   procedure Create_Xt_Arg_List (Arg_List : out Ace_Integer;
                                 First    : in Ace_Integer;
                                 Last     : in Ace_Integer);

   procedure Put_Xt_Arg_List (Arg_List  : in out Ace_Integer;
                              Subscript : in Ace_Integer;
                              Value     : in Ace_Integer);

   function Get_Xt_Arg_List (Arg_List  : in Ace_Integer;
                             Subscript : in Ace_Integer) return Ace_Integer;

   function Get_Xt_Arg_List (Arg_List : in Ace_Integer;
                             First    : in Ace_Integer;
                             Last     : in Ace_Integer) return Ace_Integer;

   procedure Xt_Set_Values (W        : in Ace_Integer;
                            Arg_List : in Ace_Integer);

   function Xt_Get_Value (W    : in Ace_Integer;
                          Name : in String) return Boolean;

   function Xt_Get_Value (W    : in Ace_Integer;
                          Name : in String) return Intrinsics.Dimension;

   function Xt_Get_Value_Font_Record (W    : in Ace_Integer;
                                      Name : in String) return Ace_Integer;

   procedure Xt_Add_Callback (W             : in Ace_Integer;
                              Name          : in String;
                              Callback_Proc : in Ace_Integer;
                              Closure       : in Ace_Integer);

   procedure Xt_Create_Widget (Out_Value   : out Ace_Integer;
                               Name        : in String;
                               Widgetclass : in Ace_Integer;
                               Parent      : in Ace_Integer;
                               Arg_List    : in Ace_Integer);

   procedure Xt_Create_Managed_Widget (Out_Value   : out Ace_Integer;
                                       Name        : in String;
                                       Widgetclass : in Ace_Integer;
                                       Parent      : in Ace_Integer;
                                       Arg_List    : in Ace_Integer);

   procedure Xt_Realize_Widget (W : in Ace_Integer);

   procedure Xt_Main_Loop;

   procedure Xt_Destroy_Widget (W : in Ace_Integer);

   function X_Text_Width (F : in Ace_Integer;
                          S : in String) return Ace_X_Windows.Pixels;

   function Xt_Parse_Translation_Table (S : in String) return Ace_Integer;
   procedure Xt_Override_Translations (W : in Ace_Integer;
                                       T : in Ace_Integer);
   procedure Xt_Augment_Translations (W : in Ace_Integer;
                                      T : in Ace_Integer);

   procedure Xt_Add_Actions (Arg_List : in Ace_Integer);

   function Action_Procedure_Pointer
       (Context        : in Context_Control.Context_Definition;
        Procedure_Name : in String) return Ace_Integer;

   function Callback_Procedure_Pointer
       (Context        : in Context_Control.Context_Definition;
        Procedure_Name : in String) return Ace_Integer;

   function Xt_Default_App_Context return Ace_Integer;

   function Xt_App_Next_Event (App : in Ace_Integer) return Ace_Integer;

   procedure Xt_Dispatch_Event (E : in Ace_Integer);

end Ace_Widget_Package;
