--|$Log:	amain.a,v $
--|Revision 8.0  91/01/17  10:40:53  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - ACE
--
---------------------------------------------------------------
--
--
-- Abstract
--
--   This is the driving routine for the ACE prototype.
--   One construct entered by the user is put into tree form
--   by the pre_parser and parsers, and passed to the tree
--   evaluator for execution.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------

with Context_Control;

pragma ELABORATE (Context_Control);
package Ace is

   -- used to track the recursive levels of ACE (i.e., when a
   -- ^C is typed)
   Ace_Level           : Natural := 0;

   -- The context of Ada programs not included in any tasks
   Main_Thread_Context : Context_Control.Context_Definition :=
      Context_Control.Create;

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Ace_Main
   --
   --  <Description>
   --
   --    This is the main procedure for ACE (it is called by an outer
   --    block -- see procedure main -- that controls the user's exit
   --    for ACE by allowing the exception Super_Terminate, Interrupt_Error,
   --    and End_Ace to pass to the outer block.
   --
   --==========================================================================
   procedure Ace_Main;

end Ace;
