--|$Log:	cpu.a,v $
--|Revision 8.0  91/01/17  10:41:01  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - Cpu
--
---------------------------------------------------------------
--
--
-- Abstract
--
--  This is a package for reporting the amount of
--  CPU time used, and can be used to time events in the ACE
--  environments.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------
with Text_Io;
use Text_Io;
package Cpu is
   type Time is private;

   package Duration_Io is new Fixed_Io (Duration);
   use Duration_Io;

   --  --------------------------------------------------------------------
   --  <Subprogram Name>
   --    Clock
   --
   --    Last Mod:    Thu Aug 17 17:24:25 1989
   --    Author:      William P Loftus <wpl@huey>
   --
   --  <Description>
   --
   --  The time returned by Clock can only be used to determine the
   --  difference between two times.
   --  --------------------------------------------------------------------
   function Clock return Time;

   --  --------------------------------------------------------------------
   --  <Subprogram Name>
   --    Put_Cpu_Time
   --
   --    Last Mod:    Thu Aug 17 17:24:48 1989
   --    Author:      William P Loftus <wpl@huey>
   --
   --  <Description>
   --
   -- subtracting two times will result in the duration (seconds),
   -- and this routine will output the result of the subtraction.
   --  --------------------------------------------------------------------
   procedure Put_Cpu_Time (Stop_Time, Start_Time : Time;
                           Fore                  : Field := Default_Fore;
                           Aft                   : Field := Default_Aft;
                           Exp                   : Field := Default_Exp);

private

   type Time is access Duration;

end Cpu;
