--|$Log:	expand.a,v $
--|Revision 8.0  91/01/17  10:41:11  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
with Literals;
use literals;

with Symbol_Table_Structures;
use symbol_Table_Structures;

with Context_Control;
use Context_Control;

with Statement_Database;
use Statement_Database;

package Expdname is
   procedure Handle_Expanded_Name
       (Context        : in Context_Definition;
        Object_Name    : in out Ref_String;
        Enclosing_Unit : out Ref_Symbol_Table_Entry);

   function Is_Declaration (Node : in Ref_Statement_Database) return Boolean;

   function Do_Forms_Match (Ref      : Ref_Symbol_Table_Entry;
                           Form_Str : String) return Boolean;

   procedure Find_Next_Matching_Name
       (Context    : in Context_Definition;
        Curr_Stmt : in out  Ref_Statement_Database;
        Name       : in Ref_String;
		  form_str   : in String;
        Found_Node : out Ref_Symbol_Table_Entry;
        Entry_Type : in Type_Entry_Enumeration := Unknown);

   procedure Find_Matching_Name (Context       : in Context_Definition;
                                 Enclosing_Pkg : in Ref_Symbol_Table_Entry;
                                 Name          : in Ref_String;
											Form_Str		  : in String;
                                 Found_Node    : out Ref_Symbol_Table_Entry;
                                 Last_Stmt     : out Ref_Statement_Database;
                                 Entry_Type    : in Type_Entry_Enumeration :=
      Unknown);
end Expdname;
