--|$Log:	preprs.a,v $
--|Revision 8.0  91/01/17  10:41:20  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - Pre_Parser
--
---------------------------------------------------------------
--
--
-- Abstract
--   The Pre_parser package controls the routines needed for
--   parsing dynamic Ada constructs.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------
with Statement_Database;
package Pre_Parser is

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Pre_Parse
   --
   --  <Description>
   --
   --   Routines can call Pre_Parse passing a Ref_Statement_Database object
   --   and a abstract syntax tree of the input entered (through routines
   --   in the body of this package that are not exported) will be passed
   --   out of the Pre_Parse routine.
   --
   --
   --  <Exceptions Handled>
   --
   --   Parser_Error, but Parser_Error is still propagated to a higher block.
   --
   --==========================================================================

   procedure Pre_Parse (Tree : out Statement_Database.Ref_Statement_Database);

end Pre_Parser;
