--|$Log:	prsdef.a,v $
--|Revision 8.0  91/01/17  10:41:21  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - Parserdefs  [spec]
--
---------------------------------------------------------------
--
--
-- Abstract
--
--   This package is the definitions of the internal form
--   for tokens.  This method of defining internal form is
--   driven by AdaYacc.  Later this should be an enumerated
--   type.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------
with Statement_Database;
use Statement_Database;

package Parserdefs is

   Abort_Tk          : constant Integer := 257;
   Abs_Tk            : constant Integer := 258;
   Accept_Tk         : constant Integer := 259;
   Access_Tk         : constant Integer := 260;
   All_Tk            : constant Integer := 261;
   And_Tk            : constant Integer := 262;
   Array_Tk          : constant Integer := 263;
   At_Tk             : constant Integer := 264;
   Begin_Tk          : constant Integer := 265;
   Body_Tk           : constant Integer := 266;
   Case_Tk           : constant Integer := 267;
   Constant_Tk       : constant Integer := 268;
   Declare_Tk        : constant Integer := 269;
   Delay_Tk          : constant Integer := 270;
   Delta_Tk          : constant Integer := 271;
   Digits_Tk         : constant Integer := 272;
   Do_Tk             : constant Integer := 273;
   Else_Tk           : constant Integer := 274;
   Elsif_Tk          : constant Integer := 275;
   End_Tk            : constant Integer := 276;
   Entry_Tk          : constant Integer := 277;
   Exception_Tk      : constant Integer := 278;
   Exit_Tk           : constant Integer := 279;
   For_Tk            : constant Integer := 280;
   Function_Tk       : constant Integer := 281;
   Generic_Tk        : constant Integer := 282;
   Goto_Tk           : constant Integer := 283;
   If_Tk             : constant Integer := 284;
   In_Tk             : constant Integer := 285;
   Is_Tk             : constant Integer := 286;
   Limited_Tk        : constant Integer := 287;
   Loop_Tk           : constant Integer := 288;
   Mod_Tk            : constant Integer := 289;
   New_Tk            : constant Integer := 290;
   Not_Tk            : constant Integer := 291;
   Null_Tk           : constant Integer := 292;
   Of_Tk             : constant Integer := 293;
   Or_Tk             : constant Integer := 294;
   Others_Tk         : constant Integer := 295;
   Out_Tk            : constant Integer := 296;
   Package_Tk        : constant Integer := 297;
   Pragma_Tk         : constant Integer := 298;
   Private_Tk        : constant Integer := 299;
   Procedure_Tk      : constant Integer := 300;
   Raise_Tk          : constant Integer := 301;
   Range_Tk          : constant Integer := 302;
   Record_Tk         : constant Integer := 303;
   Rem_Tk            : constant Integer := 304;
   Renames_Tk        : constant Integer := 305;
   Return_Tk         : constant Integer := 306;
   Reverse_Tk        : constant Integer := 307;
   Select_Tk         : constant Integer := 308;
   Separate_Tk       : constant Integer := 309;
   Subtype_Tk        : constant Integer := 310;
   Task_Tk           : constant Integer := 311;
   Terminate_Tk      : constant Integer := 312;
   Then_Tk           : constant Integer := 313;
   Type_Tk           : constant Integer := 314;
   Use_Tk            : constant Integer := 315;
   When_Tk           : constant Integer := 316;
   While_Tk          : constant Integer := 317;
   With_Tk           : constant Integer := 318;
   Xor_Tk            : constant Integer := 319;
   Identifier        : constant Integer := 320;
   Numeric_Literal   : constant Integer := 321;
   String_Literal    : constant Integer := 322;
   Character_Literal : constant Integer := 323;
   Arrow_Tk          : constant Integer := 324;
   Dbldot_Tk         : constant Integer := 325;
   Exp_Tk            : constant Integer := 326;
   Assign_Tk         : constant Integer := 327;
   Noteql_Tk         : constant Integer := 328;
   Gteql_Tk          : constant Integer := 329;
   Lteq_Tk           : constant Integer := 330;
   L_Lbl_Tk          : constant Integer := 331;
   R_Lbl_Tk          : constant Integer := 332;
   Box_Tk            : constant Integer := 333;

   subtype Stack_Element is Ref_Statement_Database;

end Parserdefs;
