--|$Log:	rwace.a,v $
--|Revision 8.0  91/01/17  10:41:22  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - Reader_Writer
--
---------------------------------------------------------------
--
--
-- Abstract
--    This package provides most of the routines to write a representation
--   of the ACE internal information. Since the many of the definitions
--   within context_definition are either private or hidden, some dump routines
--   will be found in the context_control package.
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------
with Context_Control;
use Context_Control;

with Storage_Management;
with Text_Io;
use Text_Io;

with Symbol_Table_Structures;

package Reader_Writer is

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Dump_Ref_Data_Storage
   --
   --  <Description>
   --
   --    Will dump out data_storage nodes. Must be visible to
   --  context_definition.
   --
   --==========================================================================
   procedure Dump_Ref_Data_Storage
       (Outfile    : File_Type;
        Data_Stack : Storage_Management.Ref_Data_Storage);

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Dump_Symbol_Table_Node
   --
   --  <Description>
   --
   --    Will dump out symbol table nodes and keep track of them via a hashed
   --  lookup table.  Must be visible to context_definition.
   --
   --==========================================================================
   procedure Dump_Symbol_Table_Node
       (Outfile : File_Type;
        Node    : Symbol_Table_Structures.Ref_Symbol_Table_Entry);

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Dump_Symbol_Table
   --
   --  <Description>
   --
   --    An old routine subroutine used for debugging.. should now be removed
   --  and replaced with Dump_Context, since that is what it does anyway...
   --
   --==========================================================================
   procedure Dump_Symbol_Table (Outfile : File_Type;
                                Context : Context_Definition);

end Reader_Writer;
