--|$Log:	stmtev.a,v $
--|Revision 8.0  91/01/17  10:41:30  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Program Name - Statement_Evaluator
--
------------------------------------------------------------
--
--
-- Abstract
--
--   The statement evaluator for the ACE ACLI.
--   Evaluates Ada statements, declarations and expressions.
--
-- Update Log - :
--
-- End of Header
-------------------------------------------------------------------------

with Statement_Database;
use Statement_Database;

with Ace_Universal_Types;
use Ace_Universal_Types;

with Context_Control;

package Statement_Evaluator is


   -- --------------------------------------------------------------------
   --=====================================================================
   --  <Subprogram Name>
   --
   --    Evaluate_Statement
   --
   --  <Description>
   --
   --    Evaluates the list of statement (including declaration) node
   --    structures.
   --
   --=====================================================================
   procedure Evaluate_Statement
       (Context : in out Context_Control.Context_Definition;
        Node    : in Ref_Statement_Database);

end Statement_Evaluator;
