--|$Log:	string.a,v $
--|Revision 8.0  91/01/17  10:41:30  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - String_Constants
--
---------------------------------------------------------------
--
--
-- Abstract
--
--   This package containt the String constants used in ACE
--
-- Uses Building Blocks -
--
-- Specification Withs - Literals
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------
with Literals;
use Literals;

package String_Constants is

   Ref_Plus_String : constant Ref_String := Convert_To_Ref_String ("+");
   Ref_Minus_String : constant Ref_String := Convert_To_Ref_String ("-");
   Ref_Times_String : constant Ref_String := Convert_To_Ref_String ("*");
   Ref_Divide_String : constant Ref_String := Convert_To_Ref_String ("/");
   Ref_Mod_String : constant Ref_String := Convert_To_Ref_String ("mod");

   Ref_Rem_String : constant Ref_String := Convert_To_Ref_String ("rem");
   Ref_Abs_String : constant Ref_String := Convert_To_Ref_String ("abs");
   Ref_Exp_String : constant Ref_String := Convert_To_Ref_String ("**");
   Ref_Equal_String : constant Ref_String := Convert_To_Ref_String ("=");
   Ref_Not_Equal_String : constant Ref_String := Convert_To_Ref_String ("/=");

   Ref_Greater_Eq_String : constant Ref_String := Convert_To_Ref_String (">=");
   Ref_Greaterthan_String : constant Ref_String := Convert_To_Ref_String (">");
   Ref_Lessthan_String : constant Ref_String := Convert_To_Ref_String ("<");
   Ref_Less_Eq_String : constant Ref_String := Convert_To_Ref_String ("<=");
   Ref_And_String : constant Ref_String := Convert_To_Ref_String ("and");

   Ref_Or_String : constant Ref_String := Convert_To_Ref_String ("or");
   Ref_Xor_String : constant Ref_String := Convert_To_Ref_String ("xor");
   Ref_Not_String : constant Ref_String := Convert_To_Ref_String ("not");
   Ref_Concat_String : constant Ref_String := Convert_To_Ref_String ("&");
   Ref_Put_String : constant Ref_String := Convert_To_Ref_String ("put");

   Ref_Put_Line_String          : constant Ref_String :=
      Convert_To_Ref_String ("put_line");
   Ref_New_Line_String          : constant Ref_String :=
      Convert_To_Ref_String ("new_line");
   Ref_Open_String : constant Ref_String := Convert_To_Ref_String ("open");
   Ref_Eval_String : constant Ref_String := Convert_To_Ref_String ("eval");
   Ref_Host_String : constant Ref_String := Convert_To_Ref_String ("host");

   Ref_Dump_Symtbl_String       : constant Ref_String :=
      Convert_To_Ref_String ("dump_symtbl");
   Ref_Dump_Entry_String        : constant Ref_String :=
      Convert_To_Ref_String ("dump_entry");
   Ref_Dump_Dss_String          : constant Ref_String :=
      Convert_To_Ref_String ("dump_dss");
   Ref_Dump_Display_String      : constant Ref_String :=
      Convert_To_Ref_String ("dump_display");
   Ref_Break_String : constant Ref_String := Convert_To_Ref_String ("break");

   Ref_Continue_String          : constant Ref_String :=
      Convert_To_Ref_String ("continue");
   Ref_Quit_String : constant Ref_String := Convert_To_Ref_String ("quit");
   Ref_Create_String : constant Ref_String := Convert_To_Ref_String ("create");
   Ref_Is_Open_String           : constant Ref_String :=
      Convert_To_Ref_String ("is_open");
   Ref_Mode_String : constant Ref_String := Convert_To_Ref_String ("mode");

   Ref_Close_String : constant Ref_String := Convert_To_Ref_String ("close");
   Ref_Delete_String : constant Ref_String := Convert_To_Ref_String ("delete");
   Ref_Get_String : constant Ref_String := Convert_To_Ref_String ("get");
   Ref_Get_Line_String          : constant Ref_String :=
      Convert_To_Ref_String ("get_line");
   Ref_Skip_Line_String         : constant Ref_String :=
      Convert_To_Ref_String ("skip_line");

   Ref_End_Of_Line_String       : constant Ref_String :=
      Convert_To_Ref_String ("end_of_line");
   Ref_End_Of_File_String       : constant Ref_String :=
      Convert_To_Ref_String ("end_of_file");
   Ref_Copy_String : constant Ref_String := Convert_To_Ref_String ("copy");
   Ref_Rename_String : constant Ref_String := Convert_To_Ref_String ("rename");
   Ref_List_String : constant Ref_String := Convert_To_Ref_String ("list");

   Ref_Change_Directory_String  : constant Ref_String :=
      Convert_To_Ref_String ("change_directory");
   Ref_Edit_String : constant Ref_String := Convert_To_Ref_String ("edit");
   Ref_Compile_String           : constant Ref_String :=
      Convert_To_Ref_String ("compile");
   Ref_Stub_String : constant Ref_String := Convert_To_Ref_String ("stub");

   Ref_First_String : constant Ref_String := Convert_To_Ref_String ("first");
   Ref_Image_String : constant Ref_String := Convert_To_Ref_String ("image");
   Ref_Last_String : constant Ref_String := Convert_To_Ref_String ("last");
   Ref_Pos_String : constant Ref_String := Convert_To_Ref_String ("pos");
   Ref_Pred_String : constant Ref_String := Convert_To_Ref_String ("pred");
   Ref_Succ_String : constant Ref_String := Convert_To_Ref_String ("succ");
   Ref_Val_String : constant Ref_String := Convert_To_Ref_String ("val");

   Ref_Address_String           : constant Ref_String :=
      Convert_To_Ref_String ("address");
   Ref_Aft_String : constant Ref_String := Convert_To_Ref_String ("aft");
   Ref_Base_String : constant Ref_String := Convert_To_Ref_String ("base");
   Ref_Callable_String          : constant Ref_String :=
      Convert_To_Ref_String ("callable");
   Ref_Constrained_String       : constant Ref_String :=
      Convert_To_Ref_String ("constrained");

   Ref_Count_String : constant Ref_String := Convert_To_Ref_String ("count");
   Ref_Delta_String : constant Ref_String := Convert_To_Ref_String ("delta");
   Ref_Digits_String : constant Ref_String := Convert_To_Ref_String ("digits");
   Ref_Emax_String : constant Ref_String := Convert_To_Ref_String ("emax");

   Ref_Epsilon_String           : constant Ref_String :=
      Convert_To_Ref_String ("epsilon");
   Ref_First_Bit_String         : constant Ref_String :=
      Convert_To_Ref_String ("first_bit");
   Ref_Fore_String : constant Ref_String := Convert_To_Ref_String ("fore");
   Ref_Large_String : constant Ref_String := Convert_To_Ref_String ("large");
   Ref_Last_Bit_String          : constant Ref_String :=
      Convert_To_Ref_String ("last_bit");

   Ref_Length_String : constant Ref_String := Convert_To_Ref_String ("length");
   Ref_Machine_Emax_String      : constant Ref_String :=
      Convert_To_Ref_String ("machine_emax");
   Ref_Machine_Emin_String      : constant Ref_String :=
      Convert_To_Ref_String ("machine_emin");
   Ref_Machine_Mantissa_String  : constant Ref_String :=
      Convert_To_Ref_String ("machine_mantissa");
   Ref_Machine_Overflows_String : constant Ref_String :=
      Convert_To_Ref_String ("machine_overflows");

   Ref_Machine_Radix_String     : constant Ref_String :=
      Convert_To_Ref_String ("machine_radix");
   Ref_Machine_Rounds_String    : constant Ref_String :=
      Convert_To_Ref_String ("machine_rounds");
   Ref_Mantissa_String          : constant Ref_String :=
      Convert_To_Ref_String ("mantissa");
   Ref_Position_String          : constant Ref_String :=
      Convert_To_Ref_String ("position");
   Ref_Range_String : constant Ref_String := Convert_To_Ref_String ("range");

   Ref_Safe_Emax_String         : constant Ref_String :=
      Convert_To_Ref_String ("safe_emax");
   Ref_Safe_Large_String        : constant Ref_String :=
      Convert_To_Ref_String ("safe_large");
   Ref_Safe_Small_String        : constant Ref_String :=
      Convert_To_Ref_String ("safe_small");
   Ref_Size_String : constant Ref_String := Convert_To_Ref_String ("size");
   Ref_Small_String : constant Ref_String := Convert_To_Ref_String ("small");

   Ref_Storage_Size_String      : constant Ref_String :=
      Convert_To_Ref_String ("storage_size");
   Ref_Terminated_String        : constant Ref_String :=
      Convert_To_Ref_String ("terminated");
   Ref_Value_String : constant Ref_String := Convert_To_Ref_String ("value");
   Ref_Width_String : constant Ref_String := Convert_To_Ref_String ("width");

   Ref_Character_String         : constant Ref_String :=
      Convert_To_Ref_String ("character");
   Ref_Integer_String           : constant Ref_String :=
      Convert_To_Ref_String ("integer");
end String_Constants;
