--|$Log:	tokens_definition.a,v $
--|Revision 8.0  91/01/17  10:41:36  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
with Statement_Database;

with Yyval_Error;

package Tokens_Definition is

   subtype Yystype is Statement_Database.Ref_Statement_Database;
   --YYLVal, YYVal : YYSType; -- yyval conflicts with yyerr.a yyval [TBD]
   Yylval       : Yystype renames Yyval_Error.Lval; -- Fix when we
   -- introduce the alex scanner.. [TBD]
   type Token is
      (End_Of_Input,
       Error,
       Abort_Tk,
       Abs_Tk,
       Accept_Tk,
       Access_Tk,
       All_Tk,
       And_Tk,
       Array_Tk,
       At_Tk,
       Begin_Tk,
       Body_Tk,
       Case_Tk,
       Constant_Tk,
       Declare_Tk,
       Delay_Tk,
       Delta_Tk,
       Digits_Tk,
       Do_Tk,
       Else_Tk,
       Elsif_Tk,
       End_Tk,
       Entry_Tk,
       Exception_Tk,
       Exit_Tk,
       For_Tk,
       Function_Tk,
       Generic_Tk,
       Goto_Tk,
       If_Tk,
       In_Tk,
       Is_Tk,
       Limited_Tk,
       Loop_Tk,
       Mod_Tk,
       New_Tk,
       Not_Tk,
       Null_Tk,
       Of_Tk,
       Or_Tk,
       Others_Tk,
       Out_Tk,
       Package_Tk,
       Pragma_Tk,
       Private_Tk,
       Procedure_Tk,
       Raise_Tk,
       Range_Tk,
       Record_Tk,
       Rem_Tk,
       Renames_Tk,
       Return_Tk,
       Reverse_Tk,
       Select_Tk,
       Separate_Tk,
       Subtype_Tk,
       Task_Tk,
       Terminate_Tk,
       Then_Tk,
       Type_Tk,
       Use_Tk,
       When_Tk,
       While_Tk,
       With_Tk,
       Xor_Tk,
       Identifier,
       Numeric_Literal,
       String_Literal,
       Character_Literal,
       Arrow_Tk,
       Dbldot_Tk,
       Exp_Tk,
       Assign_Tk,
       Noteql_Tk,
       Gteql_Tk,
       Lteq_Tk,
       L_Lbl_Tk,
       R_Lbl_Tk,
       Box_Tk,
       ';',
       ':',
       '(',
       ')',
       '.',
       ''',
       '=',
       '<',
       '>',
       '+',
       '-',
       '&',
       '*',
       '/',
       ',',
       '|');

   Syntax_Error : exception;

end Tokens_Definition;



