--|$Log:	sunview.a,v $
--|Revision 8.0  91/01/17  10:41:42  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - Sun_ Windows
--
---------------------------------------------------------------
--
--
-- Abstract
--
--    This package contains the set of Ada routines that interface with the
--    SunView window manipulation routines.  This set of routines allows ACE
--    to support windows under SunView.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------

package Sun_Windows is

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Create_Observe_Subprograms_Window
   --
   --  <Description>
   --
   --    This procedure creates an observation window for subprograms
   --
   --  <Called By>
   --
   --    External
   --
   --  <Exceptions Raised>
   --
   --    [none]
   --
   --  <Exceptions Handled>
   --
   --    [none]
   --==========================================================================

   procedure Create_Observe_Subprograms_Window;
   pragma INTERFACE (C, Create_Observe_Subprograms_Window);
   pragma INTERFACE_NAME (Create_Observe_Subprograms_Window,
                          "_sun_create_obs_subpgms_win");

   --==========================================================================
   --  <Subprogram Name>
   --
   --    End_Of_Displaying_Lines
   --
   --  <Description>
   --
   --    This procedure handles the end of displaying lines into the
   --    subprogram observation window.
   --
   --  <Called By>
   --
   --    External
   --
   --  <Exceptions Raised>
   --
   --    [none]
   --
   --  <Exceptions Handled>
   --
   --    [none]
   --==========================================================================

   procedure End_Of_Displaying_Lines;
   pragma INTERFACE (C, End_Of_Displaying_Lines);
   pragma INTERFACE_NAME (End_Of_Displaying_Lines, "_sun_end_dsp_lines");

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Clear_Textwindow
   --
   --  <Description>
   --
   --    This procedure clears a text window within the SunView windowing
   --    environment.
   --
   --  <Called By>
   --
   --    External
   --
   --  <Exceptions Raised>
   --
   --    [none]
   --
   --  <Exceptions Handled>
   --
   --    [none]
   --==========================================================================

   procedure Clear_Textwindow;
   pragma INTERFACE (C, Clear_Textwindow);
   pragma INTERFACE_NAME (Clear_Textwindow, "_sun_clear_text_win");

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Find_String
   --
   --  <Description>
   --
   --    This procedure locates a string within a subprogram observation window.
   --
   --  <Called By>
   --
   --    External
   --
   --  <Exceptions Raised>
   --
   --    [none]
   --
   --  <Exceptions Handled>
   --
   --    all
   --==========================================================================

   procedure Find_String (Str : in String);

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Display_Line
   --
   --  <Description>
   --
   --    This procedure displays a line of text within the subprogram
   --    observation window.
   --
   --  <Called By>
   --
   --    External
   --
   --  <Exceptions Raised>
   --
   --    [none]
   --
   --  <Exceptions Handled>
   --
   --    all
   --==========================================================================

   procedure Display_Line (Str : in String);

   -- -----------------------------------------------------------------------

end Sun_Windows;
