--|$Log:	ws.a,v $
--|Revision 8.0  91/01/17  10:41:39  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - Window_System
--
---------------------------------------------------------------
--
--
-- Abstract
--
--  This package contains the routines needed for creating and updating
--  the observe windows.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------

package Window_System is

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Running_Under_Windowing_System
   --
   --  <Description>
   --
   --    Return true is ACE is running under a particular windowing system
   --    known to ACE (so far that means X, and Sunview).
   --
   --==========================================================================
   function Running_Under_Windowing_System return Boolean;

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Create_Observe_Subprograms_Window
   --
   --  <Description>
   --
   --    This routine creates the subprogram observation window.
   --
   --==========================================================================
   procedure Create_Observe_Subprograms_Window;

   --==========================================================================
   --  <Subprogram Name>
   --
   --    End_Of_Displaying_Lines
   --
   --  <Description>
   --
   --    This routine signals the window that the end of input has come.
   --
   --==========================================================================
   procedure End_Of_Displaying_Lines;

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Clear_Textwindow
   --
   --  <Description>
   --
   --    This routine clears a window.
   --
   --==========================================================================
   procedure Clear_Textwindow;

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Synchonize_With_Textwindow
   --
   --  <Description>
   --
   --    This routine slows the interpreter down, so that the display
   --    functions can keep up.
   --
   --==========================================================================
   procedure Synchonize_With_Textwindow;

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Kill_Window
   --
   --  <Description>
   --
   --    This routine kills the window.
   --
   --==========================================================================
   procedure Kill_Window;

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Show_Statement
   --
   --  <Description>
   --
   --    This routine highlights a statement in a window.
   --
   --==========================================================================
   procedure Show_Statement (Str : in String);

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Display_Line
   --
   --  <Description>
   --
   --    This routine displays a line window
   --
   --==========================================================================
   procedure Display_Line (Str : in String);

end Window_System;
