--|$Log:	ace_hp_widgets.a,v $
--|Revision 8.0  91/01/17  10:43:31  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
with Unchecked_Conversion;
with Intrinsics;
with Widget_Package;
package body Ace_Hp_Widgets is

   --=========================================
   -- Supporting types and constants
   --=========================================

   type Xt_Arg_List_Ptr is access Widget_Package.Xt_Arg_List;
   type Xt_Arg_Ptr is access Intrinsics.Xt_Ancillary_Types.Xt_Arg;

   --=========================================
   -- Unchecked conversion functions
   --=========================================

   -- TeleSoft doesn't always handle Unchecked_Conversion properly
   -- if Unchecked_Conversion is called as part of an actual parameter

   -- function To_Widget is new Unchecked_Conversion (Ace_Integer,
   --                                                 Intrinsics.Widget);
   -- function To_Ace_Integer is new Unchecked_Conversion (Intrinsics.Widget,
   --                                                      Ace_Integer);

   -- function To_Widget_Class is new Unchecked_Conversion
   --     (Ace_Integer, Intrinsics.Widget_Class);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Intrinsics.Widget_Class, Ace_Integer);

   -- function To_Text_Source_Ptr is new Unchecked_Conversion
   --     (Ace_Integer, Hp_Widgets.Xw_Text_Source_Ptr);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Hp_Widgets.Xw_Text_Source_Ptr, Ace_Integer);

   -- function To_Text_Sink_Ptr is new Unchecked_Conversion
   --     (Ace_Integer, Hp_Widgets.Xw_Text_Sink_Ptr);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Hp_Widgets.Xw_Text_Sink_Ptr, Ace_Integer);

   -- function To_Xt_Arg_List_Ptr is new Unchecked_Conversion (Ace_Integer,
   --                                                          Xt_Arg_List_Ptr);
   -- function To_Ace_Integer is new Unchecked_Conversion (Xt_Arg_List_Ptr,
   --                                                      Ace_Integer);

   -- function To_Xt_Arg_Ptr is new Unchecked_Conversion (Ace_Integer,
   --                                                     Xt_Arg_Ptr);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Xt_Arg_Ptr, Ace_Integer);

   function To_Widget
       (Ace_Integer_Parameter : in Ace_Integer) return Intrinsics.Widget;
   function To_Ace_Integer
       (Widget_Parameter : in Intrinsics.Widget) return Ace_Integer;
   function To_Widget_Class
       (Ace_Integer_Parameter : in Ace_Integer) return Intrinsics.Widget_Class;
   function To_Ace_Integer (Widget_Class_Parameter : in Intrinsics.Widget_Class
                            ) return Ace_Integer;
   function To_Text_Source_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return
         Hp_Widgets.Xw_Text_Source_Ptr;
   function To_Ace_Integer
       (Xw_Text_Source_Ptr_Parameter : in Hp_Widgets.Xw_Text_Source_Ptr)
       return Ace_Integer;
   function To_Text_Sink_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return
         Hp_Widgets.Xw_Text_Sink_Ptr;
   function To_Ace_Integer
       (Xw_Text_Sink_Ptr_Parameter : in Hp_Widgets.Xw_Text_Sink_Ptr) return
         Ace_Integer;
   function To_Xt_Arg_List_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return Xt_Arg_List_Ptr;
   function To_Ace_Integer
       (Xt_Arg_List_Ptr_Parameter : in Xt_Arg_List_Ptr) return Ace_Integer;
   function To_Xt_Arg_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return Xt_Arg_Ptr;
   function To_Ace_Integer
       (Xt_Arg_Ptr_Parameter : in Xt_Arg_Ptr) return Ace_Integer;

   --=========================================
   -- HP widget classes
   --=========================================

   function Xw_Arrow_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Arrow_Widget_Class));
   end Xw_Arrow_Widget_Class;

   function Xw_Bulletin_Board_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Bulletin_Board_Widget_Class));
   end Xw_Bulletin_Board_Widget_Class;

   function Xw_Bulletin_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Bulletin_Widget_Class));
   end Xw_Bulletin_Widget_Class;

   function Xw_Button_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Button_Widget_Class));
   end Xw_Button_Widget_Class;

   function Xw_Cascade_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Cascade_Widget_Class));
   end Xw_Cascade_Widget_Class;

   function Xw_Form_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Form_Widget_Class));
   end Xw_Form_Widget_Class;

   function Xw_Image_Edit_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Image_Edit_Widget_Class));
   end Xw_Image_Edit_Widget_Class;

   function Xw_List_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_List_Widget_Class));
   end Xw_List_Widget_Class;

   function Xw_Listrow_Col_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Listrow_Col_Widget_Class));
   end Xw_Listrow_Col_Widget_Class;

   function Xw_Manager_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Manager_Widget_Class));
   end Xw_Manager_Widget_Class;

   function Xw_Menu_Button_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Menu_Button_Widget_Class));
   end Xw_Menu_Button_Widget_Class;

   function Xw_Menu_Sep_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Menu_Sep_Widget_Class));
   end Xw_Menu_Sep_Widget_Class;

   function Xw_Menubutton_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Menubutton_Widget_Class));
   end Xw_Menubutton_Widget_Class;

   function Xw_Menumgr_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Menumgr_Widget_Class));
   end Xw_Menumgr_Widget_Class;

   function Xw_Menupane_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Menupane_Widget_Class));
   end Xw_Menupane_Widget_Class;

   function Xw_Panel_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Panel_Widget_Class));
   end Xw_Panel_Widget_Class;

   function Xw_Popup_Mgr_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Popup_Mgr_Widget_Class));
   end Xw_Popup_Mgr_Widget_Class;

   function Xw_Popupmgr_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Popupmgr_Widget_Class));
   end Xw_Popupmgr_Widget_Class;

   function Xw_Primitive_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Primitive_Widget_Class));
   end Xw_Primitive_Widget_Class;

   function Xw_Push_Button_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Push_Button_Widget_Class));
   end Xw_Push_Button_Widget_Class;

   function Xw_Row_Col_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Row_Col_Widget_Class));
   end Xw_Row_Col_Widget_Class;

   function Xw_Sash_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Sash_Widget_Class));
   end Xw_Sash_Widget_Class;

   function Xw_Scroll_Bar_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Scroll_Bar_Widget_Class));
   end Xw_Scroll_Bar_Widget_Class;

   function Xw_Scrollbar_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Scrollbar_Widget_Class));
   end Xw_Scrollbar_Widget_Class;

   function Xw_Scrolled_Window_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Scrolled_Window_Widget_Class));
   end Xw_Scrolled_Window_Widget_Class;

   function Xw_Sraster_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Sraster_Widget_Class));
   end Xw_Sraster_Widget_Class;

   function Xw_Static_Raster_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Static_Raster_Widget_Class));
   end Xw_Static_Raster_Widget_Class;

   function Xw_Static_Text_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Static_Text_Widget_Class));
   end Xw_Static_Text_Widget_Class;

   function Xw_Statictext_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Statictext_Widget_Class));
   end Xw_Statictext_Widget_Class;

   function Xw_Swindow_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Swindow_Widget_Class));
   end Xw_Swindow_Widget_Class;

   function Xw_Text_Edit_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Text_Edit_Widget_Class));
   end Xw_Text_Edit_Widget_Class;

   function Xw_Textedit_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Textedit_Widget_Class));
   end Xw_Textedit_Widget_Class;

   function Xw_Title_Bar_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Title_Bar_Widget_Class));
   end Xw_Title_Bar_Widget_Class;

   function Xw_Titlebar_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Titlebar_Widget_Class));
   end Xw_Titlebar_Widget_Class;

   function Xw_Toggle_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Toggle_Widget_Class));
   end Xw_Toggle_Widget_Class;

   -- Using Xw_V_Paned_Widget_Class creates a demand for a procedure
   -- called _XtCreateFontCursor, which does not seem to be in any
   -- X library (rhp, 5/2/90)
   -- Aha!  This is apparently a misprint for _XCreateFontCursor (rhp)

   -- function Xw_V_Paned_Widget_Class return Ace_Integer is
   -- begin
   --    return (To_Ace_Integer (Hp_Widgets.Xw_V_Paned_Widget_Class));
   -- end Xw_V_Paned_Widget_Class;

   function Xw_Valuator_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Valuator_Widget_Class));
   end Xw_Valuator_Widget_Class;

   function Xw_Work_Space_Widget_Class return Ace_Integer is
   begin
      return (To_Ace_Integer (Hp_Widgets.Xw_Work_Space_Widget_Class));
   end Xw_Work_Space_Widget_Class;

   --=========================================
   -- HP widget routines
   --=========================================

   procedure Xw_Text_Clear_Buffer (W : in Ace_Integer) is
   begin
      Hp_Widgets.Xw_Text_Clear_Buffer (To_Widget (W));
   end Xw_Text_Clear_Buffer;

   function Xw_Text_Copy_Buffer (W : in Ace_Integer) return String is
   begin
      return Hp_Widgets.Xw_Text_Copy_Buffer (To_Widget (W));
   end Xw_Text_Copy_Buffer;

   function Xw_Text_Copy_Selection (W : in Ace_Integer) return String is
   begin
      return Hp_Widgets.Xw_Text_Copy_Selection (To_Widget (W));
   end Xw_Text_Copy_Selection;

   procedure Xw_Text_Read_Sub_String (W           : in Ace_Integer;
                                      Start_Pos   : in Ace_Integer;
                                      End_Pos     : in Ace_Integer;
                                      Target      : out String;
                                      Target_Used : out Ace_Integer;
                                      Source_Used : out Ace_Integer) is

      Target_Used_Result : Integer;
      Source_Used_Result : Integer;

   begin
      Hp_Widgets.Xw_Text_Read_Sub_String
          (To_Widget (W), Hp_Widgets.Xw_Text_Position (Start_Pos),
           Hp_Widgets.Xw_Text_Position (End_Pos), Target, Target_Used_Result,
           Source_Used_Result);
      Target_Used := Ace_Integer (Target_Used_Result);
      Source_Used := Ace_Integer (Source_Used_Result);
   end Xw_Text_Read_Sub_String;

   procedure Xw_Text_Unset_Selection (W : in Ace_Integer) is
   begin
      Hp_Widgets.Xw_Text_Unset_Selection (To_Widget (W));
   end Xw_Text_Unset_Selection;

   procedure Xw_Text_Set_Selection (W     : in Ace_Integer;
                                    Left  : in Ace_Integer;
                                    Right : in Ace_Integer) is
   begin
      Hp_Widgets.Xw_Text_Set_Selection (To_Widget (W),
                                        Hp_Widgets.Xw_Text_Position (Left),
                                        Hp_Widgets.Xw_Text_Position (Right));
   end Xw_Text_Set_Selection;

   function Xw_Text_Replace
       (W         : in Ace_Integer;
        Start_Pos : in Ace_Integer;
        End_Pos   : in Ace_Integer;
        S         : in String) return Hp_Widgets.Xw_Edit_Result is
   begin
      return
         Hp_Widgets.Xw_Text_Replace (To_Widget (W),
                                     Hp_Widgets.Xw_Text_Position (Start_Pos),
                                     Hp_Widgets.Xw_Text_Position (End_Pos), S);
   end Xw_Text_Replace;

   procedure Xw_Text_Redraw (W : in Ace_Integer) is
   begin
      Hp_Widgets.Xw_Text_Redraw (To_Widget (W));
   end Xw_Text_Redraw;

   procedure Xw_Text_Update (W      : in Ace_Integer;
                             Status : in Boolean) is
   begin
      Hp_Widgets.Xw_Text_Update (To_Widget (W), Status);
   end Xw_Text_Update;

   procedure Xw_Text_Insert (W : in Ace_Integer;
                             S : in String) is
   begin
      Hp_Widgets.Xw_Text_Insert (To_Widget (W), S);
   end Xw_Text_Insert;

   function Xw_Text_Get_Last_Pos (W : in Ace_Integer) return Ace_Integer is
   begin
      return Ace_Integer (Hp_Widgets.Xw_Text_Get_Last_Pos (To_Widget (W)));
   end Xw_Text_Get_Last_Pos;

   procedure Xw_Text_Get_Selection_Pos (W     : in Ace_Integer;
                                        Left  : out Ace_Integer;
                                        Right : out Ace_Integer) is

      Left_Result  : Hp_Widgets.Xw_Text_Position;
      Right_Result : Hp_Widgets.Xw_Text_Position;

   begin
      Hp_Widgets.Xw_Text_Get_Selection_Pos (To_Widget (W), Left_Result,
                                            Right_Result);
      Left  := Ace_Integer (Left_Result);
      Right := Ace_Integer (Right_Result);
   end Xw_Text_Get_Selection_Pos;

   procedure Xw_Text_Set_Insert_Pos (W   : in Ace_Integer;
                                     Pos : in Ace_Integer) is
   begin
      Hp_Widgets.Xw_Text_Set_Insert_Pos (To_Widget (W),
                                         Hp_Widgets.Xw_Text_Position (Pos));
   end Xw_Text_Set_Insert_Pos;

   function Xw_Text_Get_Insert_Pos (W : in Ace_Integer) return Ace_Integer is
   begin
      return Ace_Integer (Hp_Widgets.Xw_Text_Get_Insert_Pos (To_Widget (W)));
   end Xw_Text_Get_Insert_Pos;

   procedure Xw_Text_Set_Source (W         : in Ace_Integer;
                                 Source    : in Ace_Integer;
                                 Start_Pos : in Ace_Integer) is
   begin
      Hp_Widgets.Xw_Text_Set_Source
          (To_Widget (W), To_Text_Source_Ptr (Source),
           Hp_Widgets.Xw_Text_Position (Start_Pos));
   end Xw_Text_Set_Source;

   function Xw_Ascii_Sink_Create (W    : in Ace_Integer;
                                  Args : in Ace_Integer) return Ace_Integer is
   begin
      return
         To_Ace_Integer
             (Hp_Widgets.Xw_Ascii_Sink_Create (To_Widget (W),
                                               To_Xt_Arg_List_Ptr (Args).all));
   end Xw_Ascii_Sink_Create;

   function Xw_Disk_Source_Create (W    : in Ace_Integer;
                                   Args : in Ace_Integer) return Ace_Integer is
   begin
      return
         To_Ace_Integer
             (Hp_Widgets.Xw_Disk_Source_Create (To_Widget (W),
                                                To_Xt_Arg_List_Ptr (Args).all));
   end Xw_Disk_Source_Create;

   procedure Xw_Disk_Source_Destroy (Src : in Ace_Integer) is
   begin
      Hp_Widgets.Xw_Disk_Source_Destroy (To_Text_Source_Ptr (Src));
   end Xw_Disk_Source_Destroy;

   function Xw_String_Source_Create (W    : in Ace_Integer;
                                     Args : in Ace_Integer) return Ace_Integer
                                    is
   begin
      return
         To_Ace_Integer
             (Hp_Widgets.Xw_String_Source_Create
                  (To_Widget (W), To_Xt_Arg_List_Ptr (Args).all));
   end Xw_String_Source_Create;

   procedure Xw_String_Source_Destroy (Src : in Ace_Integer) is
   begin
      Hp_Widgets.Xw_String_Source_Destroy (To_Text_Source_Ptr (Src));
   end Xw_String_Source_Destroy;

   procedure Xw_Move_Focus (W : in Ace_Integer) is
   begin
      Hp_Widgets.Xw_Move_Focus (To_Widget (W));
   end Xw_Move_Focus;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Alignment) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Widget_Type) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Scan_Direction) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Scan_Type) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Edit_Type) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Edit_Result) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Verify_Op_Type) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Source_Type) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Wrap) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Wrap_Form) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Hp_Widgets.Xw_Wrap_Break) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Hp_Widgets.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   --===================================================
   -- TeleSoft-compatible unchecked conversion functions
   --===================================================

   function To_Widget
       (Ace_Integer_Parameter : in Ace_Integer) return Intrinsics.Widget is

      Ace_Integer_Input : Ace_Integer;
      Widget_Result     : Intrinsics.Widget;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Intrinsics.Widget);

   begin
      Ace_Integer_Input := Ace_Integer_Parameter;
      Widget_Result     := Convert_Ace_Integer (Ace_Integer_Input);
      return Widget_Result;
   end To_Widget;

   function To_Ace_Integer
       (Widget_Parameter : in Intrinsics.Widget) return Ace_Integer is

      Widget_Input       : Intrinsics.Widget;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Widget is new Unchecked_Conversion (Intrinsics.Widget,
                                                           Ace_Integer);

   begin
      Widget_Input       := Widget_Parameter;
      Ace_Integer_Result := Convert_Widget (Widget_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Widget_Class
       (Ace_Integer_Parameter : in Ace_Integer) return Intrinsics.Widget_Class
       is

      Ace_Integer_Input   : Ace_Integer;
      Widget_Class_Result : Intrinsics.Widget_Class;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Intrinsics.Widget_Class);

   begin
      Ace_Integer_Input   := Ace_Integer_Parameter;
      Widget_Class_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Widget_Class_Result;
   end To_Widget_Class;

   function To_Ace_Integer (Widget_Class_Parameter : in Intrinsics.Widget_Class
                            ) return Ace_Integer is

      Widget_Class_Input : Intrinsics.Widget_Class;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Widget_Class is new Unchecked_Conversion
          (Intrinsics.Widget_Class, Ace_Integer);

   begin
      Widget_Class_Input := Widget_Class_Parameter;
      Ace_Integer_Result := Convert_Widget_Class (Widget_Class_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Text_Source_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return
         Hp_Widgets.Xw_Text_Source_Ptr is

      Ace_Integer_Input         : Ace_Integer;
      Xw_Text_Source_Ptr_Result : Hp_Widgets.Xw_Text_Source_Ptr;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Hp_Widgets.Xw_Text_Source_Ptr);

   begin
      Ace_Integer_Input         := Ace_Integer_Parameter;
      Xw_Text_Source_Ptr_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Xw_Text_Source_Ptr_Result;
   end To_Text_Source_Ptr;

   function To_Ace_Integer
       (Xw_Text_Source_Ptr_Parameter : in Hp_Widgets.Xw_Text_Source_Ptr)
       return Ace_Integer is

      Xw_Text_Source_Ptr_Input : Hp_Widgets.Xw_Text_Source_Ptr;
      Ace_Integer_Result       : Ace_Integer;
      function Convert_Xw_Text_Source_Ptr is new Unchecked_Conversion
          (Hp_Widgets.Xw_Text_Source_Ptr, Ace_Integer);

   begin
      Xw_Text_Source_Ptr_Input := Xw_Text_Source_Ptr_Parameter;
      Ace_Integer_Result       :=
         Convert_Xw_Text_Source_Ptr (Xw_Text_Source_Ptr_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Text_Sink_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return
         Hp_Widgets.Xw_Text_Sink_Ptr is

      Ace_Integer_Input       : Ace_Integer;
      Xw_Text_Sink_Ptr_Result : Hp_Widgets.Xw_Text_Sink_Ptr;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Hp_Widgets.Xw_Text_Sink_Ptr);

   begin
      Ace_Integer_Input       := Ace_Integer_Parameter;
      Xw_Text_Sink_Ptr_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Xw_Text_Sink_Ptr_Result;
   end To_Text_Sink_Ptr;

   function To_Ace_Integer
       (Xw_Text_Sink_Ptr_Parameter : in Hp_Widgets.Xw_Text_Sink_Ptr) return
         Ace_Integer is

      Xw_Text_Sink_Ptr_Input : Hp_Widgets.Xw_Text_Sink_Ptr;
      Ace_Integer_Result     : Ace_Integer;
      function Convert_Xw_Text_Sink_Ptr is new Unchecked_Conversion
          (Hp_Widgets.Xw_Text_Sink_Ptr, Ace_Integer);

   begin
      Xw_Text_Sink_Ptr_Input := Xw_Text_Sink_Ptr_Parameter;
      Ace_Integer_Result := Convert_Xw_Text_Sink_Ptr (Xw_Text_Sink_Ptr_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Xt_Arg_List_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return Xt_Arg_List_Ptr is

      Ace_Integer_Input      : Ace_Integer;
      Xt_Arg_List_Ptr_Result : Xt_Arg_List_Ptr;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Xt_Arg_List_Ptr);

   begin
      Ace_Integer_Input      := Ace_Integer_Parameter;
      Xt_Arg_List_Ptr_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Xt_Arg_List_Ptr_Result;
   end To_Xt_Arg_List_Ptr;

   function To_Ace_Integer
       (Xt_Arg_List_Ptr_Parameter : in Xt_Arg_List_Ptr) return Ace_Integer is

      Xt_Arg_List_Ptr_Input : Xt_Arg_List_Ptr;
      Ace_Integer_Result    : Ace_Integer;
      function Convert_Xt_Arg_List_Ptr is new Unchecked_Conversion
          (Xt_Arg_List_Ptr, Ace_Integer);

   begin
      Xt_Arg_List_Ptr_Input := Xt_Arg_List_Ptr_Parameter;
      Ace_Integer_Result    := Convert_Xt_Arg_List_Ptr (Xt_Arg_List_Ptr_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Xt_Arg_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return Xt_Arg_Ptr is

      Ace_Integer_Input : Ace_Integer;
      Xt_Arg_Ptr_Result : Xt_Arg_Ptr;
      function Convert_Ace_Integer is new Unchecked_Conversion (Ace_Integer,
                                                                Xt_Arg_Ptr);

   begin
      Ace_Integer_Input := Ace_Integer_Parameter;
      Xt_Arg_Ptr_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Xt_Arg_Ptr_Result;
   end To_Xt_Arg_Ptr;

   function To_Ace_Integer
       (Xt_Arg_Ptr_Parameter : in Xt_Arg_Ptr) return Ace_Integer is

      Xt_Arg_Ptr_Input   : Xt_Arg_Ptr;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Xt_Arg_Ptr is new Unchecked_Conversion (Xt_Arg_Ptr,
                                                               Ace_Integer);

   begin
      Xt_Arg_Ptr_Input   := Xt_Arg_Ptr_Parameter;
      Ace_Integer_Result := Convert_Xt_Arg_Ptr (Xt_Arg_Ptr_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

end Ace_Hp_Widgets;
