--|$Log:	ace_widget.a,v $
--|Revision 8.0  91/01/17  10:43:32  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
with Unchecked_Conversion;
with Ace_Adt;
with System_Dependent_Routines;
with Misc;
with X_Windows;
with Renamed_Xlib_Types;
with Widget_Package;
with Hp_Widgets;
with Intrinsics;
with Text_Io;
with X_Windows_Interface;
with Os_Dependent;
with Error_Handler;

package body Ace_Widget_Package is

   --=========================================
   -- Supporting types and constants
   --=========================================

   Null_Xrm_Option_List_Ptr : constant X_Windows.Resource_Manager.
      Xrm_Option_Desc_List_Ptr :=
      new X_Windows.Resource_Manager.Xrm_Option_Desc_List'(
         Widget_Package.Null_Xrm_Option_List);

   type Xt_Arg_List_Ptr is access Widget_Package.Xt_Arg_List;
   Null_Xt_Arg_List_Ptr : constant Xt_Arg_List_Ptr :=
      new Widget_Package.Xt_Arg_List'(Widget_Package.Null_Xt_Arg_List);

   type Xt_Arg_Ptr is access Intrinsics.Xt_Ancillary_Types.Xt_Arg;

   type String_Pointer is access String;

   type Parameter_Order is (Unknown_Order, C_Order, Reverse_C_Order);
   This_Compilers_Parameter_Order : Parameter_Order := Unknown_Order;

   type Action_Procedure_Rec is
      record
         Procedure_Address : System.Address;
         Procedure_Name    : String_Pointer;
      end record;

   type Callback_Registration_Rec is
      record
         Procedure_Context : Context_Control.Context_Definition;
         Procedure_Name    : String_Pointer;
      end record;

   type Callback_Registration_Pointer is access Callback_Registration_Rec;

   type Callback_Rec is
      record
         Registration : Callback_Registration_Pointer;
         Client_Data  : Ace_Integer;
      end record;

   type Callback_Rec_Pointer is access Callback_Rec;

   --=========================================
   -- Unchecked conversion functions
   --=========================================

   -- TeleSoft doesn't always handle Unchecked_Conversion properly
   -- if Unchecked_Conversion is called as part of an actual parameter

   -- function To_Font_Record_Pointer is new Unchecked_Conversion
   --     (Ace_Integer, X_Windows.Fonts.Font_Record_Pointer);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (X_Windows.Fonts.Font_Record_Pointer, Ace_Integer);

   -- function To_Xrm_Option_Desc_List_Ptr is new Unchecked_Conversion
   --     (Ace_Integer, X_Windows.Resource_Manager.Xrm_Option_Desc_List_Ptr);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (X_Windows.Resource_Manager.Xrm_Option_Desc_List_Ptr, Ace_Integer);

   -- function To_Xt_Arg_List_Ptr is new Unchecked_Conversion (Ace_Integer,
   --                                                          Xt_Arg_List_Ptr);
   -- function To_Ace_Integer is new Unchecked_Conversion (Xt_Arg_List_Ptr,
   --                                                      Ace_Integer);

   -- function To_Xt_String is new Unchecked_Conversion
   --     (Ace_Integer, Renamed_Xlib_Types.Xt_String);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Renamed_Xlib_Types.Xt_String, Ace_Integer);

   -- function To_Widget is new Unchecked_Conversion (Ace_Integer,
   --                                                 Intrinsics.Widget);
   -- function To_Ace_Integer is new Unchecked_Conversion (Intrinsics.Widget,
   --                                                      Ace_Integer);

   -- function To_Argv_Type is new Unchecked_Conversion
   --     (Ace_Integer, Renamed_Xlib_Types.Argv_Type);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Renamed_Xlib_Types.Argv_Type, Ace_Integer);

-- function To_Xt_Arg_Ptr is new Unchecked_Conversion (Ace_Integer, Xt_Arg_Ptr);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Xt_Arg_Ptr, Ace_Integer);

   -- function To_Address is new Unchecked_Conversion
   --     (Ace_Integer, System.Address);
   -- function To_Ace_Integer is new Unchecked_Conversion (System.Address,
   --                                                      Ace_Integer);

   -- function To_Widget_Class is new Unchecked_Conversion
   --     (Ace_Integer, Intrinsics.Widget_Class);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Intrinsics.Widget_Class, Ace_Integer);

   -- function To_Xt_Translations is new Unchecked_Conversion
   --     (Ace_Integer, Widget_Package.Xt_Translations);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Widget_Package.Xt_Translations, Ace_Integer);

   -- function To_Event is new Unchecked_Conversion (Ace_Integer,
   --                                                X_Windows.Events.Event);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (X_Windows.Events.Event, Ace_Integer);

   -- function To_String_List is new Unchecked_Conversion (Ace_Integer,
 --                                                      X_Windows.String_List);
   -- -- function To_Ace_Integer is new Unchecked_Conversion
   -- --     (X_Windows.String_List, Ace_Integer);

   -- -- (currently (5/4/90) same profile as function for
   -- --  Renamed_Xlib_Types.Argv_Type (rhp))

   -- function To_Callback_Registration_Pointer is new Unchecked_Conversion
   --     (Ace_Integer, Callback_Registration_Pointer);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Callback_Registration_Pointer, Ace_Integer);

   -- function To_Callback_Rec_Pointer is new Unchecked_Conversion
   --     (Ace_Integer, Callback_Rec_Pointer);
   -- function To_Address is new Unchecked_Conversion (Callback_Rec_Pointer,
   --                                                  System.Address);
   -- function To_Ace_Integer is new Unchecked_Conversion (Callback_Rec_Pointer,
   --                                                      Ace_Integer);

   -- function To_Xt_App_Context is new Unchecked_Conversion
   --     (Ace_Integer, Intrinsics.Xt_App_Context);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --     (Intrinsics.Xt_App_Context, Ace_Integer);

   function To_Font_Record_Pointer
       (Ace_Integer_Parameter : in Ace_Integer) return
         X_Windows.Fonts.Font_Record_Pointer;
   function To_Ace_Integer
       (Font_Record_Pointer_Parameter : in X_Windows.Fonts.Font_Record_Pointer)
       return Ace_Integer;
   function To_Xrm_Option_Desc_List_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return
         X_Windows.Resource_Manager.Xrm_Option_Desc_List_Ptr;
   function To_Ace_Integer
       (Xrm_Option_Desc_List_Ptr_Parameter : in X_Windows.Resource_Manager.
           Xrm_Option_Desc_List_Ptr) return Ace_Integer;
   function To_Xt_Arg_List_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return Xt_Arg_List_Ptr;
   function To_Ace_Integer
       (Xt_Arg_List_Ptr_Parameter : in Xt_Arg_List_Ptr) return Ace_Integer;
   function To_Xt_String
       (Ace_Integer_Parameter : in Ace_Integer) return
         Renamed_Xlib_Types.Xt_String;
   function To_Ace_Integer
       (Xt_String_Parameter : in Renamed_Xlib_Types.Xt_String) return
         Ace_Integer;
   function To_Widget
       (Ace_Integer_Parameter : in Ace_Integer) return Intrinsics.Widget;
   function To_Ace_Integer
       (Widget_Parameter : in Intrinsics.Widget) return Ace_Integer;
   function To_Argv_Type
       (Ace_Integer_Parameter : in Ace_Integer) return
         Renamed_Xlib_Types.Argv_Type;
   function To_Ace_Integer
       (Argv_Type_Parameter : in Renamed_Xlib_Types.Argv_Type) return
         Ace_Integer;
   function To_Xt_Arg_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return Xt_Arg_Ptr;
   function To_Ace_Integer
       (Xt_Arg_Ptr_Parameter : in Xt_Arg_Ptr) return Ace_Integer;
   function To_Address
       (Ace_Integer_Parameter : in Ace_Integer) return System.Address;
   function To_Ace_Integer
       (Address_Parameter : in System.Address) return Ace_Integer;
   function To_Widget_Class
       (Ace_Integer_Parameter : in Ace_Integer) return Intrinsics.Widget_Class;
   function To_Ace_Integer (Widget_Class_Parameter : in Intrinsics.Widget_Class
                            ) return Ace_Integer;
   function To_Xt_Translations
       (Ace_Integer_Parameter : in Ace_Integer) return
         Widget_Package.Xt_Translations;
   function To_Ace_Integer
       (Xt_Translations_Parameter : in Widget_Package.Xt_Translations) return
         Ace_Integer;
   function To_Event
       (Ace_Integer_Parameter : in Ace_Integer) return X_Windows.Events.Event;
   function To_Ace_Integer
       (Event_Parameter : in X_Windows.Events.Event) return Ace_Integer;
   function To_String_List
       (Ace_Integer_Parameter : in Ace_Integer) return X_Windows.String_List;
   function To_Callback_Registration_Pointer
       (Ace_Integer_Parameter : in Ace_Integer) return
         Callback_Registration_Pointer;
   function To_Ace_Integer
       (Callback_Registration_Pointer_Parameter : in
        Callback_Registration_Pointer) return Ace_Integer;
   function To_Callback_Rec_Pointer
       (Ace_Integer_Parameter : in Ace_Integer) return Callback_Rec_Pointer;
   function To_Address
       (Callback_Rec_Pointer_Parameter : in Callback_Rec_Pointer) return
         System.Address;
   function To_Ace_Integer
       (Callback_Rec_Pointer_Parameter : in Callback_Rec_Pointer) return
         Ace_Integer;
   function To_Xt_App_Context
       (Ace_Integer_Parameter : in Ace_Integer) return
         Intrinsics.Xt_App_Context;
   function To_Ace_Integer
       (Xt_App_Context_Parameter : in Intrinsics.Xt_App_Context) return
         Ace_Integer;

   --=========================================
   -- Callback and action procedure declarations
   --=========================================

   procedure Master_Callback_Procedure_C (W           : in Intrinsics.Widget;
                                          Client_Data : in Ace_Integer;
                                          Call_Data   : in Ace_Integer);

   procedure Master_Callback_Procedure_R (Call_Data   : in Ace_Integer;
                                          Client_Data : in Ace_Integer;
                                          W           : in Intrinsics.Widget);

   Master_Callback_Procedure_Address : System.Address :=
      Master_Callback_Procedure_C'ADDRESS;

   Max_Action_Procedures : constant := 32;

   procedure Action_Procedure_1_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List);

   procedure Action_Procedure_2_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List);

   procedure Action_Procedure_3_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List);

   procedure Action_Procedure_4_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List);

   procedure Action_Procedure_5_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List);

   procedure Action_Procedure_6_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List);

   procedure Action_Procedure_7_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List);

   procedure Action_Procedure_8_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List);

   procedure Action_Procedure_9_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List);

   procedure Action_Procedure_10_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_11_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_12_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_13_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_14_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_15_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_16_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_17_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_18_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_19_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_20_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_21_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_22_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_23_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_24_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_25_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_26_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_27_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_28_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_29_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_30_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_31_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_32_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List);

   procedure Action_Procedure_1_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget);

   procedure Action_Procedure_2_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget);

   procedure Action_Procedure_3_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget);

   procedure Action_Procedure_4_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget);

   procedure Action_Procedure_5_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget);

   procedure Action_Procedure_6_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget);

   procedure Action_Procedure_7_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget);

   procedure Action_Procedure_8_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget);

   procedure Action_Procedure_9_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget);

   procedure Action_Procedure_10_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_11_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_12_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_13_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_14_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_15_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_16_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_17_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_18_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_19_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_20_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_21_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_22_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_23_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_24_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_25_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_26_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_27_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_28_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_29_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_30_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_31_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   procedure Action_Procedure_32_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget);

   type Action_Procedure_Array is
      array (1 .. Max_Action_Procedures) of Action_Procedure_Rec;

   Action_Procedure_C : constant Action_Procedure_Array :=
      ((Action_Procedure_1_C'ADDRESS, null),
       (Action_Procedure_2_C'ADDRESS, null),
       (Action_Procedure_3_C'ADDRESS, null),
       (Action_Procedure_4_C'ADDRESS, null),
       (Action_Procedure_5_C'ADDRESS, null),
       (Action_Procedure_6_C'ADDRESS, null),
       (Action_Procedure_7_C'ADDRESS, null),
       (Action_Procedure_8_C'ADDRESS, null),
       (Action_Procedure_9_C'ADDRESS, null),
       (Action_Procedure_10_C'ADDRESS, null),
       (Action_Procedure_11_C'ADDRESS, null),
       (Action_Procedure_12_C'ADDRESS, null),
       (Action_Procedure_13_C'ADDRESS, null),
       (Action_Procedure_14_C'ADDRESS, null),
       (Action_Procedure_15_C'ADDRESS, null),
       (Action_Procedure_16_C'ADDRESS, null),
       (Action_Procedure_17_C'ADDRESS, null),
       (Action_Procedure_18_C'ADDRESS, null),
       (Action_Procedure_19_C'ADDRESS, null),
       (Action_Procedure_20_C'ADDRESS, null),
       (Action_Procedure_21_C'ADDRESS, null),
       (Action_Procedure_22_C'ADDRESS, null),
       (Action_Procedure_23_C'ADDRESS, null),
       (Action_Procedure_24_C'ADDRESS, null),
       (Action_Procedure_25_C'ADDRESS, null),
       (Action_Procedure_26_C'ADDRESS, null),
       (Action_Procedure_27_C'ADDRESS, null),
       (Action_Procedure_28_C'ADDRESS, null),
       (Action_Procedure_29_C'ADDRESS, null),
       (Action_Procedure_30_C'ADDRESS, null),
       (Action_Procedure_31_C'ADDRESS, null),
       (Action_Procedure_32_C'ADDRESS, null));

   Action_Procedure_R : constant Action_Procedure_Array :=
      ((Action_Procedure_1_R'ADDRESS, null),
       (Action_Procedure_2_R'ADDRESS, null),
       (Action_Procedure_3_R'ADDRESS, null),
       (Action_Procedure_4_R'ADDRESS, null),
       (Action_Procedure_5_R'ADDRESS, null),
       (Action_Procedure_6_R'ADDRESS, null),
       (Action_Procedure_7_R'ADDRESS, null),
       (Action_Procedure_8_R'ADDRESS, null),
       (Action_Procedure_9_R'ADDRESS, null),
       (Action_Procedure_10_R'ADDRESS, null),
       (Action_Procedure_11_R'ADDRESS, null),
       (Action_Procedure_12_R'ADDRESS, null),
       (Action_Procedure_13_R'ADDRESS, null),
       (Action_Procedure_14_R'ADDRESS, null),
       (Action_Procedure_15_R'ADDRESS, null),
       (Action_Procedure_16_R'ADDRESS, null),
       (Action_Procedure_17_R'ADDRESS, null),
       (Action_Procedure_18_R'ADDRESS, null),
       (Action_Procedure_19_R'ADDRESS, null),
       (Action_Procedure_20_R'ADDRESS, null),
       (Action_Procedure_21_R'ADDRESS, null),
       (Action_Procedure_22_R'ADDRESS, null),
       (Action_Procedure_23_R'ADDRESS, null),
       (Action_Procedure_24_R'ADDRESS, null),
       (Action_Procedure_25_R'ADDRESS, null),
       (Action_Procedure_26_R'ADDRESS, null),
       (Action_Procedure_27_R'ADDRESS, null),
       (Action_Procedure_28_R'ADDRESS, null),
       (Action_Procedure_29_R'ADDRESS, null),
       (Action_Procedure_30_R'ADDRESS, null),
       (Action_Procedure_31_R'ADDRESS, null),
       (Action_Procedure_32_R'ADDRESS, null));

   Action_Procedure : Action_Procedure_Array := Action_Procedure_C;

   Action_Procedure_Context : array (1 .. Max_Action_Procedures) of
   Context_Control.Context_Definition;

   --=========================================
   -- General Xt routines
   --=========================================

   function Add_Action_Procedure
       (Context        : in Context_Control.Context_Definition;
        Procedure_Name : in String) return System.Address is
   begin
      for I in Action_Procedure'RANGE loop
         if Action_Procedure (I).Procedure_Name = null then
            Action_Procedure (I).Procedure_Name := new String'(Procedure_Name);
            Action_Procedure_Context (I)        := Context;
            return Action_Procedure (I).Procedure_Address;
         end if;
      end loop;

      raise Constraint_Error;
   end Add_Action_Procedure;

   procedure Master_Action_Procedure (N       : in Integer;
                                      W       : in Intrinsics.Widget;
                                      X_Event : in X_Windows.Events.Event;
                                      Params  : in X_Windows.String_List) is
      Error : Boolean := False;

      W_String : constant String := Ace_Integer'IMAGE (To_Ace_Integer (W));
      X_Event_String : constant String :=
         Ace_Integer'IMAGE (To_Ace_Integer (X_Event));
      Params_String : constant String :=
         Ace_Integer'IMAGE (To_Ace_Integer (Params));

   begin
      Ace_Adt.Interpret (Action_Procedure_Context (N),
                         Action_Procedure (N).Procedure_Name.all & " (" &

                         "Widget (" & W_String & "), " & "Event (" &
                         X_Event_String & "), " & "String_List (" &
                         Params_String & "));",

      -- Should be the following, when ACE can do expanded names;
      -- meanwhile, be sure to "use" the necessary packages
      -- (rhp, 5/4/90)

      -- "Intrinsics.Widget (" & W_String & "), " &
      -- "X_Windows.Events.Event (" & X_Event_String & "), " &
      -- "X_Windows.String_List (" & Params_String & "));",

                         Error);
      if Error then
         raise End_Ace;
      end if;

   exception
      when End_Ace =>
         Text_Io.Put_Line ("Exiting ACE Xt");
         System_Dependent_Routines.System_Exit (0);
      when others =>

         -- No exception can be propagated out of a callback routine!

         null;
   end Master_Action_Procedure;

   procedure Master_Callback_Procedure_C (W           : in Intrinsics.Widget;
                                          Client_Data : in Ace_Integer;
                                          Call_Data   : in Ace_Integer) is
      Error : Boolean := False;

      W_String : constant String := Ace_Integer'IMAGE (To_Ace_Integer (W));
      Client_Data_String : constant String :=
         Ace_Integer'IMAGE (To_Callback_Rec_Pointer (Client_Data).Client_Data);
      Call_Data_String : constant String := Ace_Integer'IMAGE (Call_Data);

   begin
      Ace_Adt.Interpret
          (To_Callback_Rec_Pointer (Client_Data).Registration.Procedure_Context,
           To_Callback_Rec_Pointer (Client_Data).Registration.Procedure_Name
           .all & " (" &

           "Widget (" & W_String & "), " &

      -- Should be the following, when ACE can do expanded names;
      -- meanwhile, be sure to "use" the necessary packages
      -- (rhp, 5/4/90)

      -- "Intrinsics.Widget (" & W_String & "), " &

           Client_Data_String & ", " & Call_Data_String & ");",


           Error);
      if Error then
         raise End_Ace;
      end if;

   exception
      when End_Ace =>
         Text_Io.Put_Line ("Exiting ACE Xt");
         System_Dependent_Routines.System_Exit (0);
      when others =>

         -- No exception can be propagated out of a callback routine!

         null;
   end Master_Callback_Procedure_C;

   procedure Master_Callback_Procedure_R (Call_Data   : in Ace_Integer;
                                          Client_Data : in Ace_Integer;
                                          W           : in Intrinsics.Widget)
                                         is
   begin
      Master_Callback_Procedure_C (W, Client_Data, Call_Data);
   end Master_Callback_Procedure_R;

   function Null_Xrm_Option_List return Ace_Integer is
   begin
      return To_Ace_Integer (Null_Xrm_Option_List_Ptr);
   end Null_Xrm_Option_List;

   function Null_Xt_Arg_List return Ace_Integer is
   begin
      return To_Ace_Integer (Null_Xt_Arg_List_Ptr);
   end Null_Xt_Arg_List;

   function Make_Xt_String (S : in String) return Ace_Integer is
   begin
      return To_Ace_Integer (Widget_Package.Make_Xt_String (S));
   end Make_Xt_String;

   procedure Xt_Initialize (Out_Value : out Ace_Integer;
                            Name      : in String;
                            Classname : in String;
                            Urlist    : in Ace_Integer;
                            Num_Urs   : in Ace_Integer;
                            Argc      : in out Ace_Integer;
                            Argv      : in out Ace_Integer) is

      Out_Value_Result : Intrinsics.Widget;
      Argc_Result      : Intrinsics.Cardinal := Intrinsics.Cardinal (Argc);
      Argv_Result      : Renamed_Xlib_Types.Argv_Type := To_Argv_Type (Argv);

      Pid1 : Integer;
      Pid2 : Integer;

      function Fork return Integer;
      pragma INTERFACE (C, Fork);

      function Wait (Status : in Integer) return Integer;
      pragma INTERFACE (C, Wait);

   begin
      Pid1 := Fork;
      if Pid1 = 0 then

         Misc.Set_Main_Prompt ("ACE Xt> ");

         if Argc = 0 or else Argv = 0 then

            -- Avoid giving Xt_Initialize an empty argv list -- he gets upset

            Argc_Result     := 1;
            Argv_Result     := new X_Windows.String_Pointer_Array (0 .. 0);
            Argv_Result (0) := new String'("ACE");
         end if;

         Widget_Package.Xt_Initialize
             (Out_Value_Result, Name, Classname,
              To_Xrm_Option_Desc_List_Ptr (Urlist).all,
              Intrinsics.Cardinal (Num_Urs), Argc_Result, Argv_Result);

         Out_Value := To_Ace_Integer (Out_Value_Result);
         Argc      := Ace_Integer (Argc_Result);
         Argv      := To_Ace_Integer (Argv_Result);

      else
         Pid2 := Wait (0);
      end if;
   end Xt_Initialize;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Boolean) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Widget_Package.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in String) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Widget_Package.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Integer) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Widget_Package.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg_Address (Arg   : out Ace_Integer;
                                 Name  : in String;
                                 Value : in Ace_Integer) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Widget_Package.Xt_Set_Arg (Result, Name, To_Address (Value));
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg_Address;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Intrinsics.Dimension) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Widget_Package.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Intrinsics.Position) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Widget_Package.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Xt_Set_Arg (Arg   : out Ace_Integer;
                         Name  : in String;
                         Value : in Ace_X_Windows.Gravity_Type) is

      Result     : Intrinsics.Xt_Ancillary_Types.Xt_Arg;
      Result_Ptr : Xt_Arg_Ptr;

   begin
      Widget_Package.Xt_Set_Arg (Result, Name, Value);
      Result_Ptr := new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(Result);
      Arg        := To_Ace_Integer (Result_Ptr);
   end Xt_Set_Arg;

   procedure Create_Xt_Arg_List (Arg_List : out Ace_Integer;
                                 First    : in Ace_Integer;
                                 Last     : in Ace_Integer) is
   begin
      Arg_List :=
         To_Ace_Integer (new Widget_Package.Xt_Arg_List (Integer (First) ..
                               Integer (Last)));
   end Create_Xt_Arg_List;

   procedure Put_Xt_Arg_List (Arg_List  : in out Ace_Integer;
                              Subscript : in Ace_Integer;
                              Value     : in Ace_Integer) is

      Array_Pointer : Xt_Arg_List_Ptr := To_Xt_Arg_List_Ptr (Arg_List);
      Element_Ptr   : Xt_Arg_Ptr      := To_Xt_Arg_Ptr (Value);

   begin
      Array_Pointer (Integer (Subscript)) := Element_Ptr.all;
   end Put_Xt_Arg_List;

   function Get_Xt_Arg_List (Arg_List  : in Ace_Integer;
                             Subscript : in Ace_Integer) return Ace_Integer is

      Array_Pointer : Xt_Arg_List_Ptr := To_Xt_Arg_List_Ptr (Arg_List);

   begin
      return
         To_Ace_Integer
             (new Intrinsics.Xt_Ancillary_Types.Xt_Arg'(
                 Array_Pointer (Integer (Subscript))));
   end Get_Xt_Arg_List;

   function Get_Xt_Arg_List (Arg_List : in Ace_Integer;
                             First    : in Ace_Integer;
                             Last     : in Ace_Integer) return Ace_Integer is
   begin
      return
         To_Ace_Integer
             (new Widget_Package.Xt_Arg_List'(
                 To_Xt_Arg_List_Ptr (Arg_List) (Integer (First) ..
                                                Integer (Last))));
   end Get_Xt_Arg_List;

   procedure Xt_Set_Values (W        : in Ace_Integer;
                            Arg_List : in Ace_Integer) is
   begin
      Widget_Package.Xt_Set_Values (To_Widget (W),
                                    To_Xt_Arg_List_Ptr (Arg_List).all);
   end Xt_Set_Values;

   function Xt_Get_Value (W    : in Ace_Integer;
                          Name : in String) return Boolean is
   begin
      return Widget_Package.Xt_Get_Value (To_Widget (W), Name);
   end Xt_Get_Value;

   function Xt_Get_Value (W    : in Ace_Integer;
                          Name : in String) return Intrinsics.Dimension is
   begin
      return Widget_Package.Xt_Get_Value (To_Widget (W), Name);
   end Xt_Get_Value;

   function Xt_Get_Value_Font_Record (W    : in Ace_Integer;
                                      Name : in String) return Ace_Integer is
   begin
      return
         To_Ace_Integer
             (new X_Windows.Fonts.Font_Record'(
                 Widget_Package.Xt_Get_Value (To_Widget (W), Name)));
   end Xt_Get_Value_Font_Record;

   procedure Xt_Add_Callback (W             : in Ace_Integer;
                              Name          : in String;
                              Callback_Proc : in Ace_Integer;
                              Closure       : in Ace_Integer) is
   begin
      Widget_Package.Xt_Add_Callback
          (To_Widget (W), Name, Master_Callback_Procedure_Address,
           To_Address
               (new Callback_Rec'
                   (To_Callback_Registration_Pointer (Callback_Proc), Closure))
           );
   end Xt_Add_Callback;

   procedure Xt_Create_Widget (Out_Value   : out Ace_Integer;
                               Name        : in String;
                               Widgetclass : in Ace_Integer;
                               Parent      : in Ace_Integer;
                               Arg_List    : in Ace_Integer) is

      Out_Value_Result : Intrinsics.Widget;

   begin
      Widget_Package.Xt_Create_Widget (Out_Value_Result, Name,
                                       To_Widget_Class (Widgetclass),
                                       To_Widget (Parent),
                                       To_Xt_Arg_List_Ptr (Arg_List).all);
      Out_Value := To_Ace_Integer (Out_Value_Result);
   end Xt_Create_Widget;

   procedure Xt_Create_Managed_Widget (Out_Value   : out Ace_Integer;
                                       Name        : in String;
                                       Widgetclass : in Ace_Integer;
                                       Parent      : in Ace_Integer;
                                       Arg_List    : in Ace_Integer) is

      Out_Value_Result : Intrinsics.Widget;

   begin
      Widget_Package.Xt_Create_Managed_Widget
          (Out_Value_Result, Name, To_Widget_Class (Widgetclass),
           To_Widget (Parent), To_Xt_Arg_List_Ptr (Arg_List).all);
      Out_Value := To_Ace_Integer (Out_Value_Result);
   end Xt_Create_Managed_Widget;

   procedure Xt_Realize_Widget (W : in Ace_Integer) is
   begin
      Widget_Package.Xt_Realize_Widget (To_Widget (W));
   end Xt_Realize_Widget;

   procedure Xt_Main_Loop is
   begin
      Widget_Package.Xt_Main_Loop;
   end Xt_Main_Loop;

   procedure Xt_Destroy_Widget (W : in Ace_Integer) is
   begin
      Widget_Package.Xt_Destroy_Widget (To_Widget (W));
   end Xt_Destroy_Widget;

   function X_Text_Width (F : in Ace_Integer;
                          S : in String) return Ace_X_Windows.Pixels is
   begin
      return
         Ace_X_Windows.Pixels
             (Widget_Package.X_Text_Width (To_Font_Record_Pointer (F).all, S));
   end X_Text_Width;

   function Xt_Parse_Translation_Table (S : in String) return Ace_Integer is
   begin
      return To_Ace_Integer (Widget_Package.Xt_Parse_Translation_Table (S));
   end Xt_Parse_Translation_Table;

   procedure Xt_Override_Translations (W : in Ace_Integer;
                                       T : in Ace_Integer) is
   begin
      Widget_Package.Xt_Override_Translations (To_Widget (W),
                                               To_Xt_Translations (T));
   end Xt_Override_Translations;

   procedure Xt_Augment_Translations (W : in Ace_Integer;
                                      T : in Ace_Integer) is
   begin
      Widget_Package.Xt_Augment_Translations (To_Widget (W),
                                              To_Xt_Translations (T));
   end Xt_Augment_Translations;


   procedure Xt_Add_Actions (Arg_List : in Ace_Integer) is
   begin
      Widget_Package.Xt_Add_Actions (To_Xt_Arg_List_Ptr (Arg_List).all);
   end Xt_Add_Actions;

   function Action_Procedure_Pointer
       (Context        : in Context_Control.Context_Definition;
        Procedure_Name : in String) return Ace_Integer is
   begin
      return To_Ace_Integer (Add_Action_Procedure (Context, Procedure_Name));
   end Action_Procedure_Pointer;

   function Callback_Procedure_Pointer
       (Context        : in Context_Control.Context_Definition;
        Procedure_Name : in String) return Ace_Integer is
   begin
      return
         To_Ace_Integer
             (new Callback_Registration_Rec'(Context,
                                             new String'(Procedure_Name)));
   end Callback_Procedure_Pointer;

   function Xt_Default_App_Context return Ace_Integer is
   begin
      return To_Ace_Integer (Widget_Package.Xt_Default_App_Context);
   end Xt_Default_App_Context;

   function Xt_App_Next_Event (App : in Ace_Integer) return Ace_Integer is
   begin
      return
         To_Ace_Integer
             (Widget_Package.Xt_App_Next_Event (To_Xt_App_Context (App)));
   end Xt_App_Next_Event;

   procedure Xt_Dispatch_Event (E : in Ace_Integer) is
   begin
      Widget_Package.Xt_Dispatch_Event (To_Event (E));
   end Xt_Dispatch_Event;

   --=========================================
   -- Action procedure executables
   --=========================================

   procedure Action_Procedure_1_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (1, W, X_Event, Params);
   end Action_Procedure_1_C;

   procedure Action_Procedure_2_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (2, W, X_Event, Params);
   end Action_Procedure_2_C;

   procedure Action_Procedure_3_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (3, W, X_Event, Params);
   end Action_Procedure_3_C;

   procedure Action_Procedure_4_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (4, W, X_Event, Params);
   end Action_Procedure_4_C;

   procedure Action_Procedure_5_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (5, W, X_Event, Params);
   end Action_Procedure_5_C;

   procedure Action_Procedure_6_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (6, W, X_Event, Params);
   end Action_Procedure_6_C;

   procedure Action_Procedure_7_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (7, W, X_Event, Params);
   end Action_Procedure_7_C;

   procedure Action_Procedure_8_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (8, W, X_Event, Params);
   end Action_Procedure_8_C;

   procedure Action_Procedure_9_C (W       : in Intrinsics.Widget;
                                   X_Event : in X_Windows.Events.Event;
                                   Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (9, W, X_Event, Params);
   end Action_Procedure_9_C;

   procedure Action_Procedure_10_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (10, W, X_Event, Params);
   end Action_Procedure_10_C;

   procedure Action_Procedure_11_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (11, W, X_Event, Params);
   end Action_Procedure_11_C;

   procedure Action_Procedure_12_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (12, W, X_Event, Params);
   end Action_Procedure_12_C;

   procedure Action_Procedure_13_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (13, W, X_Event, Params);
   end Action_Procedure_13_C;

   procedure Action_Procedure_14_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (14, W, X_Event, Params);
   end Action_Procedure_14_C;

   procedure Action_Procedure_15_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (15, W, X_Event, Params);
   end Action_Procedure_15_C;

   procedure Action_Procedure_16_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (16, W, X_Event, Params);
   end Action_Procedure_16_C;

   procedure Action_Procedure_17_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (17, W, X_Event, Params);
   end Action_Procedure_17_C;

   procedure Action_Procedure_18_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (18, W, X_Event, Params);
   end Action_Procedure_18_C;

   procedure Action_Procedure_19_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (19, W, X_Event, Params);
   end Action_Procedure_19_C;

   procedure Action_Procedure_20_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (20, W, X_Event, Params);
   end Action_Procedure_20_C;

   procedure Action_Procedure_21_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (21, W, X_Event, Params);
   end Action_Procedure_21_C;

   procedure Action_Procedure_22_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (22, W, X_Event, Params);
   end Action_Procedure_22_C;

   procedure Action_Procedure_23_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (23, W, X_Event, Params);
   end Action_Procedure_23_C;

   procedure Action_Procedure_24_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (24, W, X_Event, Params);
   end Action_Procedure_24_C;

   procedure Action_Procedure_25_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (25, W, X_Event, Params);
   end Action_Procedure_25_C;

   procedure Action_Procedure_26_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (26, W, X_Event, Params);
   end Action_Procedure_26_C;

   procedure Action_Procedure_27_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (27, W, X_Event, Params);
   end Action_Procedure_27_C;

   procedure Action_Procedure_28_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (28, W, X_Event, Params);
   end Action_Procedure_28_C;

   procedure Action_Procedure_29_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (29, W, X_Event, Params);
   end Action_Procedure_29_C;

   procedure Action_Procedure_30_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (30, W, X_Event, Params);
   end Action_Procedure_30_C;

   procedure Action_Procedure_31_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (31, W, X_Event, Params);
   end Action_Procedure_31_C;

   procedure Action_Procedure_32_C (W       : in Intrinsics.Widget;
                                    X_Event : in X_Windows.Events.Event;
                                    Params  : in X_Windows.String_List) is
   begin
      Master_Action_Procedure (32, W, X_Event, Params);
   end Action_Procedure_32_C;

   procedure Action_Procedure_1_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (1, W, X_Event, Params);
   end Action_Procedure_1_R;

   procedure Action_Procedure_2_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (2, W, X_Event, Params);
   end Action_Procedure_2_R;

   procedure Action_Procedure_3_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (3, W, X_Event, Params);
   end Action_Procedure_3_R;

   procedure Action_Procedure_4_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (4, W, X_Event, Params);
   end Action_Procedure_4_R;

   procedure Action_Procedure_5_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (5, W, X_Event, Params);
   end Action_Procedure_5_R;

   procedure Action_Procedure_6_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (6, W, X_Event, Params);
   end Action_Procedure_6_R;

   procedure Action_Procedure_7_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (7, W, X_Event, Params);
   end Action_Procedure_7_R;

   procedure Action_Procedure_8_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (8, W, X_Event, Params);
   end Action_Procedure_8_R;

   procedure Action_Procedure_9_R (Params  : in X_Windows.String_List;
                                   X_Event : in X_Windows.Events.Event;
                                   W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (9, W, X_Event, Params);
   end Action_Procedure_9_R;

   procedure Action_Procedure_10_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (10, W, X_Event, Params);
   end Action_Procedure_10_R;

   procedure Action_Procedure_11_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (11, W, X_Event, Params);
   end Action_Procedure_11_R;

   procedure Action_Procedure_12_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (12, W, X_Event, Params);
   end Action_Procedure_12_R;

   procedure Action_Procedure_13_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (13, W, X_Event, Params);
   end Action_Procedure_13_R;

   procedure Action_Procedure_14_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (14, W, X_Event, Params);
   end Action_Procedure_14_R;

   procedure Action_Procedure_15_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (15, W, X_Event, Params);
   end Action_Procedure_15_R;

   procedure Action_Procedure_16_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (16, W, X_Event, Params);
   end Action_Procedure_16_R;

   procedure Action_Procedure_17_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (17, W, X_Event, Params);
   end Action_Procedure_17_R;

   procedure Action_Procedure_18_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (18, W, X_Event, Params);
   end Action_Procedure_18_R;

   procedure Action_Procedure_19_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (19, W, X_Event, Params);
   end Action_Procedure_19_R;

   procedure Action_Procedure_20_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (20, W, X_Event, Params);
   end Action_Procedure_20_R;

   procedure Action_Procedure_21_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (21, W, X_Event, Params);
   end Action_Procedure_21_R;

   procedure Action_Procedure_22_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (22, W, X_Event, Params);
   end Action_Procedure_22_R;

   procedure Action_Procedure_23_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (23, W, X_Event, Params);
   end Action_Procedure_23_R;

   procedure Action_Procedure_24_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (24, W, X_Event, Params);
   end Action_Procedure_24_R;

   procedure Action_Procedure_25_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (25, W, X_Event, Params);
   end Action_Procedure_25_R;

   procedure Action_Procedure_26_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (26, W, X_Event, Params);
   end Action_Procedure_26_R;

   procedure Action_Procedure_27_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (27, W, X_Event, Params);
   end Action_Procedure_27_R;

   procedure Action_Procedure_28_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (28, W, X_Event, Params);
   end Action_Procedure_28_R;

   procedure Action_Procedure_29_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (29, W, X_Event, Params);
   end Action_Procedure_29_R;

   procedure Action_Procedure_30_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (30, W, X_Event, Params);
   end Action_Procedure_30_R;

   procedure Action_Procedure_31_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (31, W, X_Event, Params);
   end Action_Procedure_31_R;

   procedure Action_Procedure_32_R (Params  : in X_Windows.String_List;
                                    X_Event : in X_Windows.Events.Event;
                                    W       : in Intrinsics.Widget) is
   begin
      Master_Action_Procedure (32, W, X_Event, Params);
   end Action_Procedure_32_R;

   --===================================================
   -- TeleSoft-compatible unchecked conversion functions
   --===================================================

   function To_Font_Record_Pointer
       (Ace_Integer_Parameter : in Ace_Integer) return
         X_Windows.Fonts.Font_Record_Pointer is

      Ace_Integer_Input          : Ace_Integer;
      Font_Record_Pointer_Result : X_Windows.Fonts.Font_Record_Pointer;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, X_Windows.Fonts.Font_Record_Pointer);

   begin
      Ace_Integer_Input          := Ace_Integer_Parameter;
      Font_Record_Pointer_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Font_Record_Pointer_Result;
   end To_Font_Record_Pointer;

   function To_Ace_Integer
       (Font_Record_Pointer_Parameter : in X_Windows.Fonts.Font_Record_Pointer)
       return Ace_Integer is

      Font_Record_Pointer_Input : X_Windows.Fonts.Font_Record_Pointer;
      Ace_Integer_Result        : Ace_Integer;
      function Convert_Font_Record_Pointer is new Unchecked_Conversion
          (X_Windows.Fonts.Font_Record_Pointer, Ace_Integer);

   begin
      Font_Record_Pointer_Input := Font_Record_Pointer_Parameter;
      Ace_Integer_Result        :=
         Convert_Font_Record_Pointer (Font_Record_Pointer_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Xrm_Option_Desc_List_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return
         X_Windows.Resource_Manager.Xrm_Option_Desc_List_Ptr is

      Ace_Integer_Input               : Ace_Integer;
      Xrm_Option_Desc_List_Ptr_Result : X_Windows.Resource_Manager.
         Xrm_Option_Desc_List_Ptr;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, X_Windows.Resource_Manager.Xrm_Option_Desc_List_Ptr);

   begin
      Ace_Integer_Input               := Ace_Integer_Parameter;
      Xrm_Option_Desc_List_Ptr_Result :=
         Convert_Ace_Integer (Ace_Integer_Input);
      return Xrm_Option_Desc_List_Ptr_Result;
   end To_Xrm_Option_Desc_List_Ptr;

   function To_Ace_Integer
       (Xrm_Option_Desc_List_Ptr_Parameter : in X_Windows.Resource_Manager.
           Xrm_Option_Desc_List_Ptr) return Ace_Integer is

      Xrm_Option_Desc_List_Ptr_Input : X_Windows.Resource_Manager.
         Xrm_Option_Desc_List_Ptr;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Xrm_Option_Desc_List_Ptr is new Unchecked_Conversion
          (X_Windows.Resource_Manager.Xrm_Option_Desc_List_Ptr, Ace_Integer);

   begin
      Xrm_Option_Desc_List_Ptr_Input := Xrm_Option_Desc_List_Ptr_Parameter;
      Ace_Integer_Result             :=
         Convert_Xrm_Option_Desc_List_Ptr (Xrm_Option_Desc_List_Ptr_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Xt_Arg_List_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return Xt_Arg_List_Ptr is

      Ace_Integer_Input      : Ace_Integer;
      Xt_Arg_List_Ptr_Result : Xt_Arg_List_Ptr;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Xt_Arg_List_Ptr);

   begin
      Ace_Integer_Input      := Ace_Integer_Parameter;
      Xt_Arg_List_Ptr_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Xt_Arg_List_Ptr_Result;
   end To_Xt_Arg_List_Ptr;

   function To_Ace_Integer
       (Xt_Arg_List_Ptr_Parameter : in Xt_Arg_List_Ptr) return Ace_Integer is

      Xt_Arg_List_Ptr_Input : Xt_Arg_List_Ptr;
      Ace_Integer_Result    : Ace_Integer;
      function Convert_Xt_Arg_List_Ptr is new Unchecked_Conversion
          (Xt_Arg_List_Ptr, Ace_Integer);

   begin
      Xt_Arg_List_Ptr_Input := Xt_Arg_List_Ptr_Parameter;
      Ace_Integer_Result    := Convert_Xt_Arg_List_Ptr (Xt_Arg_List_Ptr_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Xt_String
       (Ace_Integer_Parameter : in Ace_Integer) return
         Renamed_Xlib_Types.Xt_String is

      Ace_Integer_Input : Ace_Integer;
      Xt_String_Result  : Renamed_Xlib_Types.Xt_String;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Renamed_Xlib_Types.Xt_String);

   begin
      Ace_Integer_Input := Ace_Integer_Parameter;
      Xt_String_Result  := Convert_Ace_Integer (Ace_Integer_Input);
      return Xt_String_Result;
   end To_Xt_String;

   function To_Ace_Integer
       (Xt_String_Parameter : in Renamed_Xlib_Types.Xt_String) return
         Ace_Integer is

      Xt_String_Input    : Renamed_Xlib_Types.Xt_String;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Xt_String is new Unchecked_Conversion
          (Renamed_Xlib_Types.Xt_String, Ace_Integer);

   begin
      Xt_String_Input    := Xt_String_Parameter;
      Ace_Integer_Result := Convert_Xt_String (Xt_String_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Widget
       (Ace_Integer_Parameter : in Ace_Integer) return Intrinsics.Widget is

      Ace_Integer_Input : Ace_Integer;
      Widget_Result     : Intrinsics.Widget;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Intrinsics.Widget);

   begin
      Ace_Integer_Input := Ace_Integer_Parameter;
      Widget_Result     := Convert_Ace_Integer (Ace_Integer_Input);
      return Widget_Result;
   end To_Widget;

   function To_Ace_Integer
       (Widget_Parameter : in Intrinsics.Widget) return Ace_Integer is

      Widget_Input       : Intrinsics.Widget;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Widget is new Unchecked_Conversion (Intrinsics.Widget,
                                                           Ace_Integer);

   begin
      Widget_Input       := Widget_Parameter;
      Ace_Integer_Result := Convert_Widget (Widget_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Argv_Type
       (Ace_Integer_Parameter : in Ace_Integer) return
         Renamed_Xlib_Types.Argv_Type is

      Ace_Integer_Input : Ace_Integer;
      Argv_Type_Result  : Renamed_Xlib_Types.Argv_Type;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Renamed_Xlib_Types.Argv_Type);

   begin
      Ace_Integer_Input := Ace_Integer_Parameter;
      Argv_Type_Result  := Convert_Ace_Integer (Ace_Integer_Input);
      return Argv_Type_Result;
   end To_Argv_Type;

   function To_Ace_Integer
       (Argv_Type_Parameter : in Renamed_Xlib_Types.Argv_Type) return
         Ace_Integer is

      Argv_Type_Input    : Renamed_Xlib_Types.Argv_Type;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Argv_Type is new Unchecked_Conversion
          (Renamed_Xlib_Types.Argv_Type, Ace_Integer);

   begin
      Argv_Type_Input    := Argv_Type_Parameter;
      Ace_Integer_Result := Convert_Argv_Type (Argv_Type_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Xt_Arg_Ptr
       (Ace_Integer_Parameter : in Ace_Integer) return Xt_Arg_Ptr is

      Ace_Integer_Input : Ace_Integer;
      Xt_Arg_Ptr_Result : Xt_Arg_Ptr;
      function Convert_Ace_Integer is new Unchecked_Conversion (Ace_Integer,
                                                                Xt_Arg_Ptr);

   begin
      Ace_Integer_Input := Ace_Integer_Parameter;
      Xt_Arg_Ptr_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Xt_Arg_Ptr_Result;
   end To_Xt_Arg_Ptr;

   function To_Ace_Integer
       (Xt_Arg_Ptr_Parameter : in Xt_Arg_Ptr) return Ace_Integer is

      Xt_Arg_Ptr_Input   : Xt_Arg_Ptr;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Xt_Arg_Ptr is new Unchecked_Conversion (Xt_Arg_Ptr,
                                                               Ace_Integer);

   begin
      Xt_Arg_Ptr_Input   := Xt_Arg_Ptr_Parameter;
      Ace_Integer_Result := Convert_Xt_Arg_Ptr (Xt_Arg_Ptr_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Address
       (Ace_Integer_Parameter : in Ace_Integer) return System.Address is

      Ace_Integer_Input : Ace_Integer;
      Address_Result    : System.Address;
      function Convert_Ace_Integer is new Unchecked_Conversion (Ace_Integer,
                                                                System.Address);

   begin
      Ace_Integer_Input := Ace_Integer_Parameter;
      Address_Result    := Convert_Ace_Integer (Ace_Integer_Input);
      return Address_Result;
   end To_Address;

   function To_Ace_Integer
       (Address_Parameter : in System.Address) return Ace_Integer is

      Address_Input      : System.Address;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Address is new Unchecked_Conversion (System.Address,
                                                            Ace_Integer);

   begin
      Address_Input      := Address_Parameter;
      Ace_Integer_Result := Convert_Address (Address_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Widget_Class
       (Ace_Integer_Parameter : in Ace_Integer) return Intrinsics.Widget_Class
       is

      Ace_Integer_Input   : Ace_Integer;
      Widget_Class_Result : Intrinsics.Widget_Class;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Intrinsics.Widget_Class);

   begin
      Ace_Integer_Input   := Ace_Integer_Parameter;
      Widget_Class_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Widget_Class_Result;
   end To_Widget_Class;

   function To_Ace_Integer (Widget_Class_Parameter : in Intrinsics.Widget_Class
                            ) return Ace_Integer is

      Widget_Class_Input : Intrinsics.Widget_Class;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Widget_Class is new Unchecked_Conversion
          (Intrinsics.Widget_Class, Ace_Integer);

   begin
      Widget_Class_Input := Widget_Class_Parameter;
      Ace_Integer_Result := Convert_Widget_Class (Widget_Class_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Xt_Translations
       (Ace_Integer_Parameter : in Ace_Integer) return
         Widget_Package.Xt_Translations is

      Ace_Integer_Input      : Ace_Integer;
      Xt_Translations_Result : Widget_Package.Xt_Translations;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Widget_Package.Xt_Translations);

   begin
      Ace_Integer_Input      := Ace_Integer_Parameter;
      Xt_Translations_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Xt_Translations_Result;
   end To_Xt_Translations;

   function To_Ace_Integer
       (Xt_Translations_Parameter : in Widget_Package.Xt_Translations) return
         Ace_Integer is

      Xt_Translations_Input : Widget_Package.Xt_Translations;
      Ace_Integer_Result    : Ace_Integer;
      function Convert_Xt_Translations is new Unchecked_Conversion
          (Widget_Package.Xt_Translations, Ace_Integer);

   begin
      Xt_Translations_Input := Xt_Translations_Parameter;
      Ace_Integer_Result    := Convert_Xt_Translations (Xt_Translations_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Event
       (Ace_Integer_Parameter : in Ace_Integer) return X_Windows.Events.Event
       is

      Ace_Integer_Input : Ace_Integer;
      Event_Result      : X_Windows.Events.Event;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, X_Windows.Events.Event);

   begin
      Ace_Integer_Input := Ace_Integer_Parameter;
      Event_Result      := Convert_Ace_Integer (Ace_Integer_Input);
      return Event_Result;
   end To_Event;

   function To_Ace_Integer
       (Event_Parameter : in X_Windows.Events.Event) return Ace_Integer is

      Event_Input        : X_Windows.Events.Event;
      Ace_Integer_Result : Ace_Integer;
      function Convert_Event is new Unchecked_Conversion
          (X_Windows.Events.Event, Ace_Integer);

   begin
      Event_Input        := Event_Parameter;
      Ace_Integer_Result := Convert_Event (Event_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_String_List
       (Ace_Integer_Parameter : in Ace_Integer) return X_Windows.String_List is

      Ace_Integer_Input  : Ace_Integer;
      String_List_Result : X_Windows.String_List;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, X_Windows.String_List);

   begin
      Ace_Integer_Input  := Ace_Integer_Parameter;
      String_List_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return String_List_Result;
   end To_String_List;

   function To_Callback_Registration_Pointer
       (Ace_Integer_Parameter : in Ace_Integer) return
         Callback_Registration_Pointer is

      Ace_Integer_Input                    : Ace_Integer;
      Callback_Registration_Pointer_Result : Callback_Registration_Pointer;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Callback_Registration_Pointer);

   begin
      Ace_Integer_Input                    := Ace_Integer_Parameter;
      Callback_Registration_Pointer_Result :=
         Convert_Ace_Integer (Ace_Integer_Input);
      return Callback_Registration_Pointer_Result;
   end To_Callback_Registration_Pointer;

   function To_Ace_Integer
       (Callback_Registration_Pointer_Parameter : in
        Callback_Registration_Pointer) return Ace_Integer is

      Callback_Registration_Pointer_Input : Callback_Registration_Pointer;
      Ace_Integer_Result                  : Ace_Integer;
      function Convert_Callback_Registration_Pointer is new
         Unchecked_Conversion (Callback_Registration_Pointer, Ace_Integer);

   begin
      Callback_Registration_Pointer_Input :=
         Callback_Registration_Pointer_Parameter;
      Ace_Integer_Result :=
         Convert_Callback_Registration_Pointer
             (Callback_Registration_Pointer_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Callback_Rec_Pointer
       (Ace_Integer_Parameter : in Ace_Integer) return Callback_Rec_Pointer is

      Ace_Integer_Input           : Ace_Integer;
      Callback_Rec_Pointer_Result : Callback_Rec_Pointer;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Callback_Rec_Pointer);

   begin
      Ace_Integer_Input           := Ace_Integer_Parameter;
      Callback_Rec_Pointer_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Callback_Rec_Pointer_Result;
   end To_Callback_Rec_Pointer;

   function To_Address
       (Callback_Rec_Pointer_Parameter : in Callback_Rec_Pointer) return
         System.Address is

      Callback_Rec_Pointer_Input : Callback_Rec_Pointer;
      Address_Result             : System.Address;
      function Convert_Callback_Rec_Pointer is new Unchecked_Conversion
          (Callback_Rec_Pointer, System.Address);

   begin
      Callback_Rec_Pointer_Input := Callback_Rec_Pointer_Parameter;
      Address_Result             :=
         Convert_Callback_Rec_Pointer (Callback_Rec_Pointer_Input);
      return Address_Result;
   end To_Address;

   function To_Ace_Integer
       (Callback_Rec_Pointer_Parameter : in Callback_Rec_Pointer) return
         Ace_Integer is

      Callback_Rec_Pointer_Input : Callback_Rec_Pointer;
      Ace_Integer_Result         : Ace_Integer;
      function Convert_Callback_Rec_Pointer is new Unchecked_Conversion
          (Callback_Rec_Pointer, Ace_Integer);

   begin
      Callback_Rec_Pointer_Input := Callback_Rec_Pointer_Parameter;
      Ace_Integer_Result         :=
         Convert_Callback_Rec_Pointer (Callback_Rec_Pointer_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   function To_Xt_App_Context
       (Ace_Integer_Parameter : in Ace_Integer) return
         Intrinsics.Xt_App_Context is

      Ace_Integer_Input     : Ace_Integer;
      Xt_App_Context_Result : Intrinsics.Xt_App_Context;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, Intrinsics.Xt_App_Context);

   begin
      Ace_Integer_Input     := Ace_Integer_Parameter;
      Xt_App_Context_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Xt_App_Context_Result;
   end To_Xt_App_Context;

   function To_Ace_Integer
       (Xt_App_Context_Parameter : in Intrinsics.Xt_App_Context) return
         Ace_Integer is

      Xt_App_Context_Input : Intrinsics.Xt_App_Context;
      Ace_Integer_Result   : Ace_Integer;
      function Convert_Xt_App_Context is new Unchecked_Conversion
          (Intrinsics.Xt_App_Context, Ace_Integer);

   begin
      Xt_App_Context_Input := Xt_App_Context_Parameter;
      Ace_Integer_Result   := Convert_Xt_App_Context (Xt_App_Context_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

   --===================================================
   -- Procedure for testing callback parameter order
   --===================================================

   procedure Sample_Callback_Procedure (First  : in X_Windows_Interface.Long;
                                        Second : in X_Windows_Interface.Long;
                                        Third  : in X_Windows_Interface.Long)
                                       is
      use X_Windows_Interface;
      use Os_Dependent;
   begin
      if First = 1 and Second = 2 and Third = 3 then
         This_Compilers_Parameter_Order := C_Order;
      elsif First = 3 and Second = 2 and Third = 1 then
         This_Compilers_Parameter_Order := Reverse_C_Order;
      else
         This_Compilers_Parameter_Order := Unknown_Order;
      end if;
   end Sample_Callback_Procedure;

   procedure Callback_Tester (A : in System.Address);
   pragma INTERFACE (C, Callback_Tester);

   --===================================================
   -- Package initialization
   --===================================================

begin
   Callback_Tester (Sample_Callback_Procedure'ADDRESS);

   case This_Compilers_Parameter_Order is

      when C_Order =>
         Master_Callback_Procedure_Address :=
            Master_Callback_Procedure_C'ADDRESS;
         Action_Procedure := Action_Procedure_C;

      when Reverse_C_Order =>
         Master_Callback_Procedure_Address :=
            Master_Callback_Procedure_R'ADDRESS;
         Action_Procedure := Action_Procedure_R;

      when Unknown_Order =>
         Master_Callback_Procedure_Address :=
            Master_Callback_Procedure_C'ADDRESS;
         Action_Procedure := Action_Procedure_C;

         Error_Handler.Show_Error (5001, Error_Handler.Internal);

   end case;

end Ace_Widget_Package;
