--|$Log:	ace_x_windows.a,v $
--|Revision 8.0  91/01/17  10:43:33  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
with Unchecked_Conversion;
package body Ace_X_Windows is

   -- TeleSoft doesn't always handle Unchecked_Conversion properly
   -- if Unchecked_Conversion is called as part of an actual parameter

   -- function To_Font_Record_Pointer is new Unchecked_Conversion
   --    (Ace_Integer, X_Windows.Fonts.Font_Record_Pointer);
   -- function To_Ace_Integer is new Unchecked_Conversion
   --    (X_Windows.Fonts.Font_Record_Pointer, Ace_Integer);

   function To_Font_Record_Pointer
       (Ace_Integer_Parameter : in Ace_Integer) return
         X_Windows.Fonts.Font_Record_Pointer;
   function To_Ace_Integer
       (Font_Record_Pointer_Parameter : in X_Windows.Fonts.Font_Record_Pointer)
       return Ace_Integer;

   function Ascent (F : in Ace_Integer) return Pixels is
   begin
      return To_Font_Record_Pointer (F).Ascent;
   end Ascent;

   function Descent (F : in Ace_Integer) return Pixels is
   begin
      return To_Font_Record_Pointer (F).Descent;
   end Descent;

   function To_Font_Record_Pointer
       (Ace_Integer_Parameter : in Ace_Integer) return
         X_Windows.Fonts.Font_Record_Pointer is

      Ace_Integer_Input          : Ace_Integer;
      Font_Record_Pointer_Result : X_Windows.Fonts.Font_Record_Pointer;
      function Convert_Ace_Integer is new Unchecked_Conversion
          (Ace_Integer, X_Windows.Fonts.Font_Record_Pointer);

   begin
      Ace_Integer_Input          := Ace_Integer_Parameter;
      Font_Record_Pointer_Result := Convert_Ace_Integer (Ace_Integer_Input);
      return Font_Record_Pointer_Result;
   end To_Font_Record_Pointer;

   function To_Ace_Integer
       (Font_Record_Pointer_Parameter : in X_Windows.Fonts.Font_Record_Pointer)
       return Ace_Integer is

      Font_Record_Pointer_Input : X_Windows.Fonts.Font_Record_Pointer;
      Ace_Integer_Result        : Ace_Integer;
      function Convert_Font_Record_Pointer is new Unchecked_Conversion
          (X_Windows.Fonts.Font_Record_Pointer, Ace_Integer);

   begin
      Font_Record_Pointer_Input := Font_Record_Pointer_Parameter;
      Ace_Integer_Result        :=
         Convert_Font_Record_Pointer (Font_Record_Pointer_Input);
      return Ace_Integer_Result;
   end To_Ace_Integer;

end Ace_X_Windows;
