/*
--|$Log:	sys_env.c,v $
--|Revision 8.0  91/01/17  10:47:46  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
*/
/* return number of command line arguments */
short get_argc() 
{
   extern int ada__argc_save;

   return ada__argc_save;
}

/* return one char * element of argv */
char *get_arg (index)
    int index;
{
    extern char **ada__argv_save;    

    return ada__argv_save [index];
}    

/* return the length of the command line argument indexed         */
/* by the parameter; meanwhile load the argument into the address */
short get_argument (index, arg_addr)
         short index;
         char *arg_addr;
{
   extern int ada__argc_save;
   extern char **ada__argv_save;

   short i;
   char temp_char;

   if (index > ada__argc_save - 1) return (0);

   for (i = 0; temp_char = ada__argv_save[index][i]; i++)
      arg_addr[i] = temp_char;
 
   return (i);
}

/* return a pointer to an array of pointers to the command line  */
/* argument strings */
char **get_args()
{
   extern char **ada__argv_save;
 
   return ada__argv_save;
}
