/*
--|$Log:	xws.c,v $
--|Revision 8.0  91/01/17  10:47:46  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
*/
/*****************************************************************
--
-- Company Name - : Unisys Corporation
--
-- Address -    : Paoli Research Center
--              : P.O. Box 517
--              : Paoli, PA 19301-0517
--
------------------ Disclaimer ---------------------------------
--
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
---------------------------------------------------------------
--
-- for X11R2
--
*****************************************************************/

#include <stdio.h>

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/AsciiText.h>
#include <X11/Text.h>
#include <X11/TextSrcP.h>

#define WIDTH   484
#define HEIGHT  316
#define MAXBUF  32000
#define NUMCOLS 60
#define BUFFER_SIZE 128



void x_create_obs_subpgms_win ();
void x_create_obs_tasks_win ();

extern int strncmp ();
extern char *strchr ();

static void show_new_file ();
static void my_pipe_reader();

static FILE *fp_tochild, *fp_fromparent;
static int childpid;
static int fildes[2];

int	argc = 1;
char	*argv[10] = { "ACE Debugger: Subprograms Observation", NULL };


ace_sync (w)
    Widget w;
{
    XSync (XtDisplay (w), 0);
}


/* raf: gotta get this outta here! */
void x_create_obs_tasks_win ()
{};


int
is_under_X ()
{
    if ((char *) getenv("DISPLAY"))
	return TRUE;
    else
	return FALSE;
}

void
x_find_string (str)
    char *str;
{
    fputc ('/', fp_tochild);
    fputs (str, fp_tochild);
    fputc ('\n', fp_tochild);
}

void
x_display_line (str)
    char *str;
{
    fputc ('+', fp_tochild);
    fputs (str, fp_tochild);
    fputc ('\n', fp_tochild);
}

void
x_end_dsp_lines ()
{
    fputs (".\n", fp_tochild);
}

void
x_kill_window ()
{
    fputs ("~\n", fp_tochild);
}

void
x_synchronize ()
{
    fputs ("%%\n", fp_tochild);
}

void
x_clear_text_win ()
{
    fputs ("-\n", fp_tochild);
}

void
DoNothing()
{
}

void
x_create_obs_subpgms_win ()
{
    if (pipe(fildes) == -1)
    {
	perror ("pipe");
	exit (1);
    }

    fp_tochild = fdopen (fildes[1], "w");
    fp_fromparent = fdopen (fildes[0], "r");
    setbuf (fp_tochild, NULL);

    switch (childpid = fork())
    {
    case -1:
	perror ("ACE_x_observe_window");
	exit(1);
    
    case 0: /* child */
    {

	Widget toplevel, textwin;
 	Arg arg[10];
	int i, j, k, n;
	XtTextSource str_source;
     	XtTranslations textwin_actions;
        static XtActionsRec action_table[] = {
        	{"x_kill_window", (XtActionProc)x_kill_window},
		{"DoNothing", (XtActionProc)DoNothing}
        	};
	char buffer[ MAXBUF ];

	toplevel = XtInitialize("TTest", "TopLevel", 0, 0, &argc, argv);

	n = 0;
  	XtSetArg(arg[n], XtNx, 100);  n++;
  	XtSetArg(arg[n], XtNy, 100);  n++;
 	XtSetArg(arg[n], XtNwidth, (Dimension) WIDTH);  n++;
   	XtSetArg(arg[n], XtNheight, (Dimension) HEIGHT);  n++;
   	XtSetArg(arg[n], XtNstring, (XtArgVal) buffer);  n++;
   	XtSetArg(arg[n], XtNlength, (XtArgVal) MAXBUF);  n++;
   	XtSetArg(arg[n], XtNeditType, (XtArgVal) XttextEdit);  n++;
   	XtSetArg(arg[n], XtNtextOptions, 
	     (XtArgVal)(scrollVertical | scrollHorizontal | scrollOnOverflow));
        n++;
	textwin = XtCreateManagedWidget( argv[0], asciiStringWidgetClass, 
		 		toplevel, arg, n );
	XtAsciiSinkCreate(textwin, NULL,0);
	XtStringSourceCreate(textwin, NULL,0);
	XtAddActions(action_table, 2);
	textwin_actions = XtParseTranslationTable(
    			"<Key>q: x_kill_window() \n \
		 	 <Key>: DoNothing() \n \
			 <Btn2Down>,<Btn2Up>: DoNothing() \n");
	XtOverrideTranslations(textwin, textwin_actions);


	XtAddInput (fildes[0], (caddr_t)XtInputReadMask, 
			(XtInputCallbackProc)my_pipe_reader, textwin);

	XtRealizeWidget(toplevel);
	XtMainLoop();

	exit (0);
    }

    default: /* parent */

	return;
    }
}

/**************************************************************************
 *  Purpose: textsw_insert replaces the text in widget w with
 *           text_to_insert.
**************************************************************************/
void
textsw_insert(w, text_to_insert)
 Widget w;
 char *text_to_insert;
{
  XtTextBlock text;
  XtTextSource  curr_source;
  int text_size;

    text.length = strlen(text_to_insert);
    text.firstPos = 0;
    text.ptr = text_to_insert;
    curr_source = XtTextGetSource(w);
    text_size = (*curr_source->Scan)(curr_source, 0, XtstAll, XtsdRight, 0,0);
    if (text.length == 0)
     {
	/* want to reset text window */
	XtTextReplace(w, 0, text_size, &text);	
        XtTextSetInsertionPoint(w, (XtTextPosition)0);
     }
    else
     {
	/* append new text to existing text */
    	XtTextReplace (w, text_size, text_size, &text);
    	XtTextSetInsertionPoint(w, (XtTextPosition)text_size);
     }
}

/**************************************************************************
 *  Purpose: start_of_line function tests whether or not the string found
 *  	occurs at the beginning of a line in the text widget given.
**************************************************************************/
start_of_line(w, str_start)
  Widget w;
  int str_start;
{
  XtTextSource  curr_source;
  int linestart;

    curr_source = XtTextGetSource(w);
    linestart = (*curr_source->Scan)(curr_source, str_start,
                                        XtstEOL, XtsdLeft,1,1) + 1;
    if (linestart == str_start)
    	return(TRUE);
    else
    	return(FALSE);
}



static void 
my_pipe_reader (w, fid, id)
    Widget w;
    int    *fid;
    XtInputId *id;
{
    Arg arg[2];
    char searchbuf[ BUFFER_SIZE ], *psearchbuf;
    char *textbuf;
    int i, n, begin, end;
    char *s1, *s2;
    XtTextPosition startpos, endpos; 
    XtTextPosition laststart, lastend;
    int more_text = TRUE;
    int firsttime = TRUE;
    int found = FALSE;
    int found_not_start = FALSE;
    int insertpt;

    XtSetArg(arg[0], XtNstring, (XtArgVal)&textbuf);
    XtGetValues(w, arg, 1);

    fgets (searchbuf, BUFFER_SIZE, fp_fromparent);

    psearchbuf = searchbuf;

    switch (*psearchbuf)
    {
    case '/': /* find string */
	++psearchbuf;
	XtTextGetSelectionPos(w, &laststart, &lastend);
 	if (laststart == lastend)
	 /* no current selection yet */
	 begin = 0;
	else
	 /* start search at last selection */
	 begin = lastend;

   	 end = strlen(textbuf);
        
	while (more_text)
	{
 	for( i = begin; i < end; i++)
    	{
        	n = strlen(searchbuf) - 2;
        	s1 = &textbuf[i];
        	s2 = psearchbuf;
        	while ((--n >= 0) && (*s1++ == *s2++));

	    /* if only want to make the start of a line selectable,
		then keep this start_of_line test */
        	if (n < 0)  
		  {
		    if (start_of_line(w, i))
	 	     {
			/* found string */
			found = TRUE;
            		break;
		     }
		     else /* note that found but not at beginning of line */
			found_not_start = TRUE;
		  }
    	}
	    if ((found) || (begin == 0) || !(firsttime))
		/* already did a complete text search or found string */
		more_text = FALSE;
	    else	
	/* haven't found string and want to wraparound to search from
		beginning of text up until where we started last search */
	    {
		end = begin;
		begin = 0;
		firsttime = FALSE; 
	    }
  	}

        if (found)
    	{
   	      insertpt = i;
              XtTextSetInsertionPoint(w, (XtTextPosition)(insertpt));
       	      startpos = insertpt;
              endpos = insertpt + (strlen(searchbuf)-2);
	      XtTextSetSelection(w, (XtTextPosition)startpos, 
						(XtTextPosition)endpos);
        }
/*	else
	 if (found_not_start)
	  printf("Found string but was NOT at the beginning of a line\n");
	else
	  printf("Couldn't find string wanted--\"%s\"\n", psearchbuf);
*/
	break;

    case '+': /* insert one line */
	++psearchbuf;
        textsw_insert(w, psearchbuf);
	break;

    case '.': /* end of inserting lines */
	/* is this where you want to perform selection ??? */
	/* is this necessary ? */
	XFlush(XtDisplay(w));
	fflush(fp_fromparent);
	break;

    case '-': /* reset textsw */
        textsw_insert(w, "");
	break;

    case '%': /* synchronize */
	ace_sync (w);
	break;

    case '~': /* kill_window */
	XtDestroyWidget (XtParent(w));
	exit (0);

    default:
	break; /* ignore */
    }
}

