--|$Log:	common_parser.a,v $
--|Revision 8.0  91/01/17  10:43:48  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|

with Ace_Text_Io;

with Lex_Pkg;

with Parserdefs;

package body Common_Parser_Routines is

   function Yylex return Token is
   begin
      case Lex_Pkg.Yylex is
         when 0 =>
            return End_Of_Input;
         when Parserdefs.Abort_Tk   =>
            return Abort_Tk;
         when Parserdefs.Abs_Tk     =>
            return Abs_Tk;
         when Parserdefs.Accept_Tk  =>
            return Accept_Tk;
         when Parserdefs.Access_Tk  =>
            return Access_Tk;
         when Parserdefs.All_Tk     =>
            return All_Tk;
         when Parserdefs.And_Tk     =>
            return And_Tk;
         when Parserdefs.Array_Tk   =>
            return Array_Tk;
         when Parserdefs.At_Tk =>
            return At_Tk;
         when Parserdefs.Begin_Tk   =>
            return Begin_Tk;
         when Parserdefs.Body_Tk    =>
            return Body_Tk;
         when Parserdefs.Case_Tk    =>
            return Case_Tk;
         when Parserdefs.Constant_Tk     =>
            return Constant_Tk;
         when Parserdefs.Declare_Tk =>
            return Declare_Tk;
         when Parserdefs.Delay_Tk   =>
            return Delay_Tk;
         when Parserdefs.Delta_Tk   =>
            return Delta_Tk;
         when Parserdefs.Digits_Tk  =>
            return Digits_Tk;
         when Parserdefs.Do_Tk =>
            return Do_Tk;
         when Parserdefs.Else_Tk    =>
            return Else_Tk;
         when Parserdefs.Elsif_Tk   =>
            return Elsif_Tk;
         when Parserdefs.End_Tk     =>
            return End_Tk;
         when Parserdefs.Entry_Tk   =>
            return Entry_Tk;
         when Parserdefs.Exception_Tk    =>
            return Exception_Tk;
         when Parserdefs.Exit_Tk    =>
            return Exit_Tk;
         when Parserdefs.For_Tk     =>
            return For_Tk;
         when Parserdefs.Function_Tk     =>
            return Function_Tk;
         when Parserdefs.Generic_Tk =>
            return Generic_Tk;
         when Parserdefs.Goto_Tk    =>
            return Goto_Tk;
         when Parserdefs.If_Tk =>
            return If_Tk;
         when Parserdefs.In_Tk =>
            return In_Tk;
         when Parserdefs.Is_Tk =>
            return Is_Tk;
         when Parserdefs.Limited_Tk =>
            return Limited_Tk;
         when Parserdefs.Loop_Tk    =>
            return Loop_Tk;
         when Parserdefs.Mod_Tk     =>
            return Mod_Tk;
         when Parserdefs.New_Tk     =>
            return New_Tk;
         when Parserdefs.Not_Tk     =>
            return Not_Tk;
         when Parserdefs.Null_Tk    =>
            return Null_Tk;
         when Parserdefs.Of_Tk =>
            return Of_Tk;
         when Parserdefs.Or_Tk =>
            return Or_Tk;
         when Parserdefs.Others_Tk  =>
            return Others_Tk;
         when Parserdefs.Out_Tk     =>
            return Out_Tk;
         when Parserdefs.Package_Tk =>
            return Package_Tk;
         when Parserdefs.Pragma_Tk  =>
            return Pragma_Tk;
         when Parserdefs.Private_Tk =>
            return Private_Tk;
         when Parserdefs.Procedure_Tk    =>
            return Procedure_Tk;
         when Parserdefs.Raise_Tk   =>
            return Raise_Tk;
         when Parserdefs.Range_Tk   =>
            return Range_Tk;
         when Parserdefs.Record_Tk  =>
            return Record_Tk;
         when Parserdefs.Rem_Tk     =>
            return Rem_Tk;
         when Parserdefs.Renames_Tk =>
            return Renames_Tk;
         when Parserdefs.Return_Tk  =>
            return Return_Tk;
         when Parserdefs.Reverse_Tk =>
            return Reverse_Tk;
         when Parserdefs.Select_Tk  =>
            return Select_Tk;
         when Parserdefs.Separate_Tk     =>
            return Separate_Tk;
         when Parserdefs.Subtype_Tk =>
            return Subtype_Tk;
         when Parserdefs.Task_Tk    =>
            return Task_Tk;
         when Parserdefs.Terminate_Tk    =>
            return Terminate_Tk;
         when Parserdefs.Then_Tk    =>
            return Then_Tk;
         when Parserdefs.Type_Tk    =>
            return Type_Tk;
         when Parserdefs.Use_Tk     =>
            return Use_Tk;
         when Parserdefs.When_Tk    =>
            return When_Tk;
         when Parserdefs.While_Tk   =>
            return While_Tk;
         when Parserdefs.With_Tk    =>
            return With_Tk;
         when Parserdefs.Xor_Tk     =>
            return Xor_Tk;
         when Parserdefs.Identifier =>
            return Identifier;
         when Parserdefs.Numeric_Literal =>
            return Numeric_Literal;
         when Parserdefs.String_Literal  =>
            return String_Literal;
         when Parserdefs.Character_Literal    =>
            return Character_Literal;
         when Parserdefs.Arrow_Tk   =>
            return Arrow_Tk;
         when Parserdefs.Dbldot_Tk  =>
            return Dbldot_Tk;
         when Parserdefs.Exp_Tk     =>
            return Exp_Tk;
         when Parserdefs.Assign_Tk  =>
            return Assign_Tk;
         when Parserdefs.Noteql_Tk  =>
            return Noteql_Tk;
         when Parserdefs.Gteql_Tk   =>
            return Gteql_Tk;
         when Parserdefs.Lteq_Tk    =>
            return Lteq_Tk;
         when Parserdefs.L_Lbl_Tk   =>
            return L_Lbl_Tk;
         when Parserdefs.R_Lbl_Tk   =>
            return R_Lbl_Tk;
         when Parserdefs.Box_Tk     =>
            return Box_Tk;
         when Character'POS ('&')   =>
            return '&';
         when Character'POS ('(')   =>
            return '(';
         when Character'POS (')')   =>
            return ')';
         when Character'POS ('*')   =>
            return '*';
         when Character'POS ('+')   =>
            return '+';
         when Character'POS (',')   =>
            return ',';
         when Character'POS ('-')   =>
            return '-';
         when Character'POS ('.')   =>
            return '.';
         when Character'POS ('/')   =>
            return '/';
         when Character'POS (':')   =>
            return ':';
         when Character'POS (';')   =>
            return ';';
         when Character'POS ('<')   =>
            return '<';
         when Character'POS ('=')   =>
            return '=';
         when Character'POS ('>')   =>
            return '>';
         when Character'POS ('|')   =>
            return '|';
         when Character'POS (''')   =>
            return ''';
         when others =>
            return Error;
      end case;
   end Yylex;

   procedure Yyerror (S : in String) is
   begin
      if S = "Syntax Error" then
         Ace_Text_Io.Put_Line (Ace_Text_Io.Current_Ace_Output,
                               "Syntax Error: on or near: `" &
                               Lex_Pkg.Yytext (1 .. Lex_Pkg.Yyleng) & "'");
         raise Syntax_Error;
      else
         Ace_Text_Io.Put_Line (Ace_Text_Io.Current_Ace_Output, S);
      end if;
   end Yyerror;

end Common_Parser_Routines;
