--|$Log:	compilation_unit_shift_reduce.a,v $
--|Revision 8.0  91/01/17  10:44:09  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
package Compilation_Unit_Shift_Reduce is

    type Small_Integer is range -32_000 .. 32_000;

    type Shift_Reduce_Entry is record
        T   : Small_Integer;
        Act : Small_Integer;
    end record;
    pragma Pack(Shift_Reduce_Entry);

    subtype Row is Integer range -1 .. Integer'Last;

  --pragma suppress(index_check);

    type Shift_Reduce_Array is array (Row  range <>) of Shift_Reduce_Entry;

    Shift_Reduce_Matrix : constant Shift_Reduce_Array :=
        ( (-1,-1) -- Dummy Entry

-- state  0
,(-1,-302)
-- state  1
,(-1,-4)
-- state  2
,( 26,-1),( 27,-1)
,( 42,-1),( 45,-1),( 54,-1),( 63,-1)
,( 65,-1),(-1,-245)
-- state  3
,( 43,-1),(-1,-435)

-- state  4
,( 0,-1001),(-1,-1000)
-- state  5
,(-1,-2)
-- state  6
,( 63, 13)
,(-1,-257)
-- state  7
,(-1,-438)
-- state  8
,(-1,-302)
-- state  9
,( 43, 16)
,(-1,-1000)
-- state  10
,(-1,-303)
-- state  11
,(-1,-1000)
-- state  12
,( 54, 28)
,(-1,-1)
-- state  13
,( 65, 32),(-1,-1000)
-- state  14
,(-1,-302)

-- state  15
,( 43,-1),(-1,-436)
-- state  16
,( 65, 36),(-1,-1000)

-- state  17
,(-1,-248)
-- state  18
,(-1,-249)
-- state  19
,(-1,-250)
-- state  20
,(-1,-251)

-- state  21
,(-1,-252)
-- state  22
,(-1,-253)
-- state  23
,(-1,-254)
-- state  24
,(-1,-255)

-- state  25
,( 26, 38),( 27, 42),( 42, 43),( 45, 37)
,( 65, 39),(-1,-1000)
-- state  26
,( 79, 47),(-1,-1000)

-- state  27
,(-1,-256)
-- state  28
,( 81, 48),(-1,-1000)
-- state  29
,(-1,-437)

-- state  30
,(-1,-246)
-- state  31
,(-1,-247)
-- state  32
,(-1,-107)
-- state  33
,(-1,-442)

-- state  34
,( 43,-1),(-1,-440)
-- state  35
,( 60,-1),(-1,-439)

-- state  36
,( 81, 52),(-1,-304)
-- state  37
,( 65, 54),(-1,-1000)

-- state  38
,( 65, 55),( 67, 57),(-1,-1000)
-- state  39
,(-1,-310)

-- state  40
,( 26, 60),( 45, 37),(-1,-1)
-- state  41
,( 31, 65)
,( 50, 66),(-1,-2)
-- state  42
,(-1,-446)
-- state  43
,( 11, 69)
,( 65, 68),(-1,-1000)
-- state  44
,( 80, 70),(-1,-1000)

-- state  45
,(-1,-2)
-- state  46
,( 35, 72),(-1,-1000)
-- state  47
,(-1,-210)

-- state  48
,( 65, 73),(-1,-1000)
-- state  49
,( 79, 75),( 93, 76)
,(-1,-1000)
-- state  50
,( 60, 77),(-1,-1000)
-- state  51
,(-1,-302)

-- state  52
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 82),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  53
,( 79, 118),(-1,-1000)
-- state  54
,( 81, 120),(-1,-395)

-- state  55
,(-1,-200)
-- state  56
,(-1,-201)
-- state  57
,(-1,-202)
-- state  58
,( 31, 123)
,( 81, 120),(-1,-395)
-- state  59
,( 93, 124),(-1,-24)

-- state  60
,( 65, 55),( 67, 57),(-1,-1000)
-- state  61
,( 42, 126)
,(-1,-1000)
-- state  62
,(-1,-269)
-- state  63
,(-1,-270)
-- state  64
,( 79, 127)
,(-1,-1000)
-- state  65
,( 35,-453),(-1,-208)
-- state  66
,( 65, 32)
,( 67, 57),( 68, 111),(-1,-1000)
-- state  67
,( 59,-1)
,( 63, 134),( 65, 39),(-1,-271)
-- state  68
,( 50, 137)
,(-1,-3)
-- state  69
,( 65, 32),(-1,-1000)
-- state  70
,( 23, 141)
,( 65, 73),(-1,-1000)
-- state  71
,( 79, 142),(-1,-1000)

-- state  72
,( 65, 73),(-1,-1000)
-- state  73
,(-1,-314)
-- state  74
,( 82, 144)
,( 83, 145),(-1,-1000)
-- state  75
,(-1,-258)
-- state  76
,( 65, 32)
,(-1,-1000)
-- state  77
,( 65, 73),(-1,-1000)
-- state  78
,( 43,-1)
,(-1,-441)
-- state  79
,(-1,-306)
-- state  80
,( 82, 148),( 93, 149)
,(-1,-1000)
-- state  81
,(-1,-6)
-- state  82
,( 69, 150),(-1,-107)

-- state  83
,( 7, 151),(-1,-122)
-- state  84
,( 7, 152),(-1,-123)

-- state  85
,( 39, 153),(-1,-124)
-- state  86
,( 39, 154),(-1,-125)

-- state  87
,(-1,-126)
-- state  88
,( 7, 155),( 39, 156),( 64, 157)
,(-1,-342)
-- state  89
,( 64, 158),(-1,-343)
-- state  90
,( 30,-353)
,( 36, 160),( 73, 162),( 74, 166),( 75, 164)
,( 85, 161),( 86, 163),( 87, 165),(-1,-350)

-- state  91
,(-1,-128)
-- state  92
,( 88, 169),( 89, 170),( 90, 171)
,(-1,-129)
-- state  93
,(-1,-355)
-- state  94
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),(-1,-1000)

-- state  95
,( 34, 176),( 49, 177),( 91, 174),( 92, 175)
,(-1,-130)
-- state  96
,(-1,-149)
-- state  97
,(-1,-150)
-- state  98
,(-1,-358)

-- state  99
,( 71, 179),(-1,-360)
-- state  100
,( 35, 108),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),(-1,-1000)
-- state  101
,( 35, 108),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),(-1,-1000)
-- state  102
,(-1,-134)
-- state  103
,(-1,-135)

-- state  104
,(-1,-136)
-- state  105
,(-1,-137)
-- state  106
,( 81,-116),( 83,-116)
,( 84,-116),(-1,-138)
-- state  107
,(-1,-139)
-- state  108
,( 65, 73)
,(-1,-1000)
-- state  109
,(-1,-155)
-- state  110
,(-1,-101)
-- state  111
,(-1,-102)

-- state  112
,(-1,-103)
-- state  113
,(-1,-104)
-- state  114
,(-1,-105)
-- state  115
,(-1,-106)

-- state  116
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 40, 188),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  117
,( 81, 116),( 83, 191),( 84, 192)
,(-1,-1000)
-- state  118
,(-1,-2)
-- state  119
,(-1,-396)
-- state  120
,( 65, 39)
,(-1,-1000)
-- state  121
,(-1,-198)
-- state  122
,( 51, 196),(-1,-1000)

-- state  123
,( 35, 197),(-1,-1000)
-- state  124
,( 65, 198),(-1,-1000)

-- state  125
,( 81, 120),(-1,-395)
-- state  126
,( 65, 199),(-1,-1000)

-- state  127
,(-1,-197)
-- state  128
,(-1,-302)
-- state  129
,( 81, 116),( 83, 191)
,( 84, 204),(-1,-1000)
-- state  130
,( 81,-116),( 83,-116)
,( 84,-116),(-1,-2)
-- state  131
,( 80, 206),(-1,-1000)

-- state  132
,( 59, 207),(-1,-1000)
-- state  133
,(-1,-274)
-- state  134
,( 26, 60)
,( 45, 37),(-1,-1000)
-- state  135
,(-1,-447)
-- state  136
,( 31, 209)
,(-1,-1000)
-- state  137
,( 65, 73),(-1,-1000)
-- state  138
,( 31, 211)
,(-1,-1000)
-- state  139
,( 83, 145),(-1,-39)
-- state  140
,( 50, 212)
,(-1,-1000)
-- state  141
,( 50, 213),(-1,-1000)
-- state  142
,(-1,-268)

-- state  143
,( 81, 215),( 83, 145),(-1,-454)
-- state  144
,(-1,-1)

-- state  145
,( 65, 222),(-1,-1000)
-- state  146
,(-1,-443)
-- state  147
,( 83, 145)
,(-1,-410)
-- state  148
,(-1,-305)
-- state  149
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 82),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  150
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  151
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  152
,( 58, 227),(-1,-1000)

-- state  153
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  154
,( 19, 229),(-1,-1000)
-- state  155
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 58, 231),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  156
,( 3, 100)
,( 19, 233),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  157
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  158
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  159
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  160
,(-1,-354)
-- state  161
,(-1,-140)
-- state  162
,(-1,-141)
-- state  163
,(-1,-142)

-- state  164
,(-1,-143)
-- state  165
,(-1,-144)
-- state  166
,(-1,-145)
-- state  167
,(-1,-127)

-- state  168
,( 30, 237),(-1,-1000)
-- state  169
,(-1,-146)
-- state  170
,(-1,-147)

-- state  171
,(-1,-148)
-- state  172
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),(-1,-1000)
-- state  173
,(-1,-356)

-- state  174
,(-1,-151)
-- state  175
,(-1,-152)
-- state  176
,(-1,-153)
-- state  177
,(-1,-154)

-- state  178
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),(-1,-1000)
-- state  179
,( 35, 108),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),(-1,-1000)
-- state  180
,(-1,-131)
-- state  181
,(-1,-132)

-- state  182
,(-1,-133)
-- state  183
,( 81, 116),( 84, 242),(-1,-156)

-- state  184
,(-1,-118)
-- state  185
,(-1,-330)
-- state  186
,( 30,-353),( 36, 160)
,( 69,-77),( 70, 244),( 73, 162),( 74, 166)
,( 75, 164),( 85, 161),( 86, 163),( 87, 165)
,( 94,-77),(-1,-350)
-- state  187
,( 47, 245),( 81,-116)
,( 83,-116),( 84,-116),(-1,-138)
-- state  188
,(-1,-80)

-- state  189
,(-1,-336)
-- state  190
,(-1,-108)
-- state  191
,( 6, 251),( 65, 32)
,( 67, 57),( 68, 249),(-1,-1000)
-- state  192
,( 65, 32)
,( 81, 116),(-1,-1000)
-- state  193
,(-1,-5)
-- state  194
,( 80, 256)
,(-1,-1000)
-- state  195
,(-1,-397)
-- state  196
,( 65, 73),(-1,-1000)

-- state  197
,( 65, 73),(-1,-1000)
-- state  198
,(-1,-311)
-- state  199
,(-1,-3)

-- state  200
,(-1,-401)
-- state  201
,( 25,-1),( 26,-1),( 27,-1)
,( 42,-1),( 45,-1),( 55,-1),( 56,-1)
,( 59,-1),( 60,-1),( 65,-1),(-1,-84)

-- state  202
,( 43,-1),(-1,-332)
-- state  203
,( 10, 289),(-1,-1000)

-- state  204
,( 65, 32),(-1,-1000)
-- state  205
,( 79, 290),(-1,-1000)

-- state  206
,( 30, 292),(-1,-399)
-- state  207
,( 65, 294),(-1,-1000)

-- state  208
,( 31, 295),(-1,-450)
-- state  209
,( 35, 298),(-1,-211)

-- state  210
,( 83, 145),(-1,-2)
-- state  211
,(-1,-213)
-- state  212
,( 65, 32)
,( 67, 57),( 68, 111),(-1,-1000)
-- state  213
,( 65, 73)
,(-1,-1000)
-- state  214
,(-1,-455)
-- state  215
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  216
,(-1,-2)
-- state  217
,(-1,-98)

-- state  218
,(-1,-99)
-- state  219
,(-1,-100)
-- state  220
,( 26, 60),( 42, 313)
,( 45, 37),( 56, 314),(-1,-1000)
-- state  221
,(-1,-262)

-- state  222
,(-1,-315)
-- state  223
,( 93, 316),(-1,-2)
-- state  224
,(-1,-307)

-- state  225
,(-1,-7)
-- state  226
,(-1,-339)
-- state  227
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  228
,(-1,-341)
-- state  229
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  230
,(-1,-338)

-- state  231
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  232
,(-1,-340)
-- state  233
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  234
,(-1,-344)
-- state  235
,(-1,-345)
-- state  236
,(-1,-351)

-- state  237
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  238
,(-1,-357)
-- state  239
,(-1,-359)
-- state  240
,(-1,-361)
-- state  241
,(-1,-157)

-- state  242
,( 81, 116),(-1,-1000)
-- state  243
,( 69, 325),( 94, 326)
,(-1,-1000)
-- state  244
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  245
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  246
,( 82,-121),( 93,-121),(-1,-78)

-- state  247
,( 82, 329),( 93, 330),(-1,-1000)
-- state  248
,(-1,-110)

-- state  249
,(-1,-111)
-- state  250
,(-1,-112)
-- state  251
,(-1,-113)
-- state  252
,(-1,-109)

-- state  253
,(-1,-115)
-- state  254
,(-1,-114)
-- state  255
,(-1,-362)
-- state  256
,( 30, 332)
,( 41, 333),(-1,-399)
-- state  257
,( 79, 336),( 82, 335)
,(-1,-1000)
-- state  258
,(-1,-199)
-- state  259
,( 81, 215),( 83, 145)
,(-1,-454)
-- state  260
,( 31, 338),(-1,-1000)
-- state  261
,(-1,-96)

-- state  262
,(-1,-97)
-- state  263
,(-1,-86)
-- state  264
,(-1,-87)
-- state  265
,(-1,-88)

-- state  266
,( 25, 340),( 26, 38),( 27, 42),( 42, 344)
,( 45, 37),( 55, 343),( 56, 345),( 59, 342)
,( 60, 77),( 65, 39),(-1,-1000)
-- state  267
,(-1,-8)

-- state  268
,(-1,-9)
-- state  269
,(-1,-10)
-- state  270
,(-1,-11)
-- state  271
,(-1,-12)

-- state  272
,(-1,-13)
-- state  273
,(-1,-14)
-- state  274
,(-1,-15)
-- state  275
,(-1,-16)

-- state  276
,(-1,-17)
-- state  277
,(-1,-18)
-- state  278
,(-1,-290)
-- state  279
,(-1,-291)

-- state  280
,(-1,-25)
-- state  281
,(-1,-26)
-- state  282
,(-1,-27)
-- state  283
,( 79, 347)
,(-1,-1000)
-- state  284
,(-1,-292)
-- state  285
,(-1,-293)
-- state  286
,(-1,-294)

-- state  287
,(-1,-302)
-- state  288
,(-1,-302)
-- state  289
,(-1,-302)
-- state  290
,(-1,-221)

-- state  291
,(-1,-448)
-- state  292
,( 41, 353),(-1,-400)
-- state  293
,( 65, 73)
,(-1,-1000)
-- state  294
,( 31, 356),( 81, 355),(-1,-1000)

-- state  295
,( 65, 32),( 67, 57),( 68, 111),( 78, 359)
,(-1,-1000)
-- state  296
,( 79, 360),(-1,-1000)
-- state  297
,(-1,-302)

-- state  298
,( 65, 73),(-1,-1000)
-- state  299
,( 79, 363),(-1,-1000)

-- state  300
,(-1,-302)
-- state  301
,( 81,-116),( 83,-116),( 84,-116)
,(-1,-2)
-- state  302
,( 83, 145),(-1,-2)
-- state  303
,(-1,-286)

-- state  304
,(-1,-458)
-- state  305
,( 69, 367),(-1,-1000)
-- state  306
,(-1,-289)

-- state  307
,( 69,-287),(-1,-101)
-- state  308
,( 69,-288),(-1,-103)

-- state  309
,(-1,-460)
-- state  310
,(-1,-456)
-- state  311
,( 79, 369),(-1,-1000)

-- state  312
,( 31, 370),(-1,-1000)
-- state  313
,( 11, 69),(-1,-1000)

-- state  314
,( 11, 371),(-1,-1000)
-- state  315
,( 79, 372),(-1,-1000)

-- state  316
,( 65, 73),(-1,-1000)
-- state  317
,(-1,-347)
-- state  318
,(-1,-349)

-- state  319
,(-1,-346)
-- state  320
,(-1,-348)
-- state  321
,( 34,-138),( 49,-138)
,( 70,-138),( 71,-138),( 81,-116),( 83,-116)
,( 84,-116),( 88,-138),( 89,-138),( 90,-138)
,( 91,-138),( 92,-138),(-1,-46)
-- state  322
,( 70, 374)
,(-1,-1000)
-- state  323
,(-1,-352)
-- state  324
,(-1,-158)
-- state  325
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  326
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 40, 188)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  327
,( 82,-120),( 93,-120),(-1,-79)
-- state  328
,(-1,-45)

-- state  329
,(-1,-117)
-- state  330
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 40, 188),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  331
,(-1,-205)
-- state  332
,( 41, 380)
,(-1,-400)
-- state  333
,(-1,-207)
-- state  334
,( 65, 73),(-1,-1000)

-- state  335
,(-1,-203)
-- state  336
,( 65, 39),(-1,-1000)
-- state  337
,(-1,-2)

-- state  338
,(-1,-211)
-- state  339
,( 31, 384),( 50, 66),(-1,-2)

-- state  340
,( 65, 32),( 67, 57),( 68, 111),(-1,-1000)

-- state  341
,( 80, 388),(-1,-1000)
-- state  342
,( 65, 389),(-1,-1000)

-- state  343
,( 65, 390),(-1,-1000)
-- state  344
,( 11, 391),( 65, 68)
,(-1,-1000)
-- state  345
,( 11, 394),( 59, 392),(-1,-412)

-- state  346
,( 48, 396),( 81, 116),(-1,-1000)
-- state  347
,(-1,-222)

-- state  348
,( 43,-1),(-1,-334)
-- state  349
,( 26,-1),( 27,-1)
,( 42,-1),( 45,-1),( 56,-1),( 60,-1)
,(-1,-85)
-- state  350
,( 43,-1),(-1,-333)
-- state  351
,( 43,-1)
,(-1,-365)
-- state  352
,( 23, 408),(-1,-385)
-- state  353
,(-1,-449)

-- state  354
,( 72, 410),(-1,-308)
-- state  355
,( 65, 39),(-1,-1000)

-- state  356
,( 5, 423),( 8, 424),( 16, 418),( 17, 417)
,( 32, 414),( 47, 416),( 81, 415),(-1,-408)

-- state  357
,( 31, 427),(-1,-1000)
-- state  358
,( 81,-116),( 83,-116)
,( 84,-116),(-1,-451)
-- state  359
,(-1,-452)
-- state  360
,(-1,-275)

-- state  361
,( 25,-1),( 26,-1),( 27,-1),( 42,-1)
,( 44, 428),( 45,-1),( 55,-1),( 56,-1)
,( 59,-1),( 60,-1),( 65,-1),(-1,-404)

-- state  362
,( 81, 215),( 83, 145),(-1,-454)
-- state  363
,(-1,-220)

-- state  364
,( 10, 432),(-1,-406)
-- state  365
,( 79, 434),(-1,-1000)

-- state  366
,( 79, 435),(-1,-1000)
-- state  367
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  368
,( 82, 437),( 93, 438)
,(-1,-1000)
-- state  369
,(-1,-283)
-- state  370
,(-1,-208)
-- state  371
,( 65, 32)
,(-1,-1000)
-- state  372
,(-1,-217)
-- state  373
,( 83, 145),(-1,-411)

-- state  374
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  375
,(-1,-119)
-- state  376
,( 70, 441),(-1,-77)
-- state  377
,( 47, 245)
,( 81,-116),( 83,-116),( 84,-116),(-1,-138)

-- state  378
,(-1,-331)
-- state  379
,(-1,-337)
-- state  380
,(-1,-206)
-- state  381
,( 72, 410)
,(-1,-308)
-- state  382
,(-1,-398)
-- state  383
,( 79, 444),(-1,-1000)

-- state  384
,( 35,-453),( 54, 445),(-1,-208)
-- state  385
,(-1,-116)

-- state  386
,( 60, 446),(-1,-101)
-- state  387
,( 60, 447),(-1,-106)

-- state  388
,( 8, 449),( 13, 451),( 23, 453),( 65, 73)
,(-1,-1000)
-- state  389
,( 31, 454),( 81, 355),(-1,-2)

-- state  390
,( 31, 457),(-1,-1000)
-- state  391
,( 65, 32),(-1,-1000)

-- state  392
,(-1,-413)
-- state  393
,( 65, 459),(-1,-1000)
-- state  394
,( 65, 32)
,(-1,-1000)
-- state  395
,(-1,-2)
-- state  396
,(-1,-302)
-- state  397
,(-1,-89)

-- state  398
,(-1,-90)
-- state  399
,(-1,-91)
-- state  400
,(-1,-92)
-- state  401
,(-1,-93)

-- state  402
,(-1,-94)
-- state  403
,(-1,-95)
-- state  404
,( 26, 38),( 27, 42)
,( 42, 465),( 45, 37),( 56, 345),( 60, 77)
,(-1,-1000)
-- state  405
,(-1,-302)
-- state  406
,( 1, 477),( 37, 485)
,( 46, 486),( 76, 484),(-1,-1)
-- state  407
,(-1,-302)

-- state  408
,(-1,-302)
-- state  409
,( 21, 496),(-1,-1000)
-- state  410
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  411
,( 79, 498)
,(-1,-1000)
-- state  412
,( 80, 499),(-1,-1000)
-- state  413
,(-1,-326)

-- state  414
,(-1,-409)
-- state  415
,( 78, 501),(-1,-1000)
-- state  416
,( 78, 502)
,(-1,-1000)
-- state  417
,( 78, 503),(-1,-1000)
-- state  418
,( 78, 504)
,(-1,-1000)
-- state  419
,(-1,-280)
-- state  420
,(-1,-281)
-- state  421
,(-1,-59)

-- state  422
,(-1,-60)
-- state  423
,( 65, 73),(-1,-1000)
-- state  424
,( 81, 507)
,(-1,-1000)
-- state  425
,( 44, 509),(-1,-1000)
-- state  426
,(-1,-2)

-- state  427
,( 32, 414),(-1,-408)
-- state  428
,(-1,-302)
-- state  429
,( 25, 340)
,( 26, 38),( 27, 42),( 42, 514),( 45, 37)
,( 55, 343),( 56, 515),( 59, 342),( 60, 77)
,( 65, 39),(-1,-1000)
-- state  430
,( 21, 516),(-1,-1000)

-- state  431
,(-1,-2)
-- state  432
,(-1,-302)
-- state  433
,( 21, 519),(-1,-1000)

-- state  434
,(-1,-218)
-- state  435
,(-1,-219)
-- state  436
,(-1,-459)
-- state  437
,(-1,-285)

-- state  438
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  439
,( 31, 521),(-1,-1000)
-- state  440
,(-1,-47)
-- state  441
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  442
,(-1,-78)

-- state  443
,(-1,-204)
-- state  444
,(-1,-284)
-- state  445
,(-1,-2)
-- state  446
,( 9, 524)
,(-1,-461)
-- state  447
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  448
,( 16, 534),( 17, 533),( 47, 245)
,( 50, 212),( 81, 116),(-1,-312)
-- state  449
,( 81, 536)
,(-1,-1000)
-- state  450
,( 72, 410),(-1,-308)
-- state  451
,( 8, 449)
,( 65, 73),( 72, 540),(-1,-1000)
-- state  452
,( 72, 410)
,(-1,-308)
-- state  453
,( 50, 213),(-1,-2)
-- state  454
,( 5, 423)
,( 8, 424),( 16, 534),( 17, 533),( 32, 414)
,( 35, 555),( 47, 245),( 48, 554),( 81, 550)
,(-1,-408)
-- state  455
,( 31, 557),(-1,-2)
-- state  456
,( 79, 559)
,(-1,-1000)
-- state  457
,( 65, 73),(-1,-1000)
-- state  458
,( 31, 561)
,(-1,-1000)
-- state  459
,( 31, 562),(-1,-414)
-- state  460
,( 31, 564)
,(-1,-1000)
-- state  461
,( 79, 565),(-1,-1000)
-- state  462
,( 21,-462)
,( 65,-462),( 67,-462),( 68,-462),(-1,-1)

-- state  463
,(-1,-464)
-- state  464
,( 31, 384),(-1,-2)
-- state  465
,( 11, 391)
,( 65, 569),(-1,-1000)
-- state  466
,( 43,-1),(-1,-335)

-- state  467
,(-1,-162)
-- state  468
,(-1,-163)
-- state  469
,(-1,-164)
-- state  470
,(-1,-165)

-- state  471
,(-1,-166)
-- state  472
,(-1,-167)
-- state  473
,(-1,-168)
-- state  474
,(-1,-169)

-- state  475
,(-1,-170)
-- state  476
,( 2, 582),( 4, 579),( 12, 574)
,( 15, 580),( 24, 576),( 28, 578),( 29, 573)
,( 51, 577),( 53, 581),( 65, 32),( 67, 57)
,( 68, 111),(-1,-375)
-- state  477
,(-1,-172)
-- state  478
,(-1,-173)

-- state  479
,(-1,-174)
-- state  480
,(-1,-175)
-- state  481
,(-1,-176)
-- state  482
,(-1,-177)

-- state  483
,(-1,-178)
-- state  484
,( 65, 32),(-1,-1000)
-- state  485
,( 79, 585)
,(-1,-1000)
-- state  486
,( 65, 73),(-1,-389)
-- state  487
,(-1,-231)

-- state  488
,(-1,-232)
-- state  489
,(-1,-233)
-- state  490
,(-1,-160)
-- state  491
,(-1,-161)

-- state  492
,(-1,-366)
-- state  493
,( 43,-1),(-1,-363)
-- state  494
,( 19,-159)
,( 20,-159),( 21,-159),( 23,-159),( 39,-159)
,( 61,-159),(-1,-365)
-- state  495
,( 61, 591),(-1,-1)

-- state  496
,( 65, 55),( 67, 57),(-1,-402)
-- state  497
,(-1,-309)

-- state  498
,(-1,-272)
-- state  499
,( 65, 73),(-1,-1000)
-- state  500
,( 79, 596)
,( 82, 595),(-1,-1000)
-- state  501
,( 82, 597),(-1,-1000)

-- state  502
,(-1,-277)
-- state  503
,(-1,-278)
-- state  504
,(-1,-279)
-- state  505
,( 16, 534)
,( 17, 533),( 47, 245),( 81, 116),(-1,-312)

-- state  506
,(-1,-81)
-- state  507
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  508
,( 38, 602),(-1,-1000)
-- state  509
,(-1,-2)

-- state  510
,( 79, 604),(-1,-1000)
-- state  511
,( 44, 605),(-1,-1000)

-- state  512
,( 25,-1),( 26,-1),( 27,-1),( 42,-1)
,( 45,-1),( 55,-1),( 56,-1),( 59,-1)
,( 60,-1),( 65,-1),(-1,-405)
-- state  513
,( 31, 606)
,( 50, 66),(-1,-2)
-- state  514
,( 65, 68),(-1,-1000)

-- state  515
,( 59, 392),(-1,-412)
-- state  516
,( 65, 32),(-1,-377)

-- state  517
,( 79, 609),(-1,-1000)
-- state  518
,( 23, 408),(-1,-385)

-- state  519
,( 65, 32),(-1,-377)
-- state  520
,(-1,-457)
-- state  521
,(-1,-302)

-- state  522
,(-1,-79)
-- state  523
,( 79, 613),(-1,-1000)
-- state  524
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  525
,(-1,-2)

-- state  526
,(-1,-313)
-- state  527
,(-1,-40)
-- state  528
,(-1,-41)
-- state  529
,(-1,-42)

-- state  530
,(-1,-43)
-- state  531
,( 47, 245),(-1,-318)
-- state  532
,( 47, 245)
,(-1,-318)
-- state  533
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  534
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  535
,(-1,-38)
-- state  536
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  537
,(-1,-2)
-- state  538
,( 72, 410)
,(-1,-308)
-- state  539
,( 72, 410),(-1,-308)
-- state  540
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  541
,(-1,-2)

-- state  542
,( 79, 627),(-1,-1000)
-- state  543
,(-1,-30)
-- state  544
,(-1,-31)

-- state  545
,(-1,-32)
-- state  546
,(-1,-33)
-- state  547
,(-1,-34)
-- state  548
,(-1,-35)

-- state  549
,(-1,-36)
-- state  550
,( 65, 629),( 68, 630),(-1,-1000)

-- state  551
,(-1,-52)
-- state  552
,(-1,-53)
-- state  553
,(-1,-54)
-- state  554
,(-1,-302)

-- state  555
,( 65, 73),(-1,-1000)
-- state  556
,( 79, 635),(-1,-1000)

-- state  557
,( 5, 423),( 8, 424),( 16, 534),( 17, 533)
,( 32, 414),( 35, 555),( 47, 245),( 48, 554)
,( 81, 550),(-1,-408)
-- state  558
,( 79, 637),(-1,-1000)

-- state  559
,(-1,-82)
-- state  560
,(-1,-2)
-- state  561
,( 54, 639),(-1,-213)

-- state  562
,(-1,-302)
-- state  563
,(-1,-2)
-- state  564
,( 54, 643),(-1,-302)

-- state  565
,(-1,-296)
-- state  566
,( 9, 644),( 43, 16),(-1,-1000)

-- state  567
,(-1,-302)
-- state  568
,( 21, 647),( 65, 32),( 67, 57)
,( 68, 111),(-1,-1000)
-- state  569
,(-1,-3)
-- state  570
,( 80, 649)
,(-1,-101)
-- state  571
,(-1,-466)
-- state  572
,( 72, 651),( 81,-116)
,( 83,-116),( 84,-116),(-1,-2)
-- state  573
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  574
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  575
,( 25, 657)
,( 33,-379),( 62, 656),(-1,-192)
-- state  576
,( 65, 73)
,(-1,-389)
-- state  577
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-393)
-- state  578
,( 65, 73),(-1,-1000)
-- state  579
,( 65, 32)
,(-1,-1000)
-- state  580
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  581
,( 61, 669),(-1,-302)
-- state  582
,( 65, 32)
,( 67, 57),( 68, 111),(-1,-1000)
-- state  583
,(-1,-2)

-- state  584
,( 77, 680),(-1,-1000)
-- state  585
,(-1,-180)
-- state  586
,( 83, 145)
,(-1,-390)
-- state  587
,( 79, 681),(-1,-1000)
-- state  588
,(-1,-302)

-- state  589
,(-1,-387)
-- state  590
,( 61, 591),(-1,-386)
-- state  591
,( 40, 685)
,( 65, 73),(-1,-1000)
-- state  592
,(-1,-403)
-- state  593
,(-1,-2)

-- state  594
,( 72, 410),(-1,-308)
-- state  595
,(-1,-73)
-- state  596
,( 65, 39)
,(-1,-1000)
-- state  597
,(-1,-276)
-- state  598
,( 47, 690),( 81,-116)
,( 82,-46),( 83,-116),( 84,-116),( 93,-46)
,(-1,-138)
-- state  599
,(-1,-65)
-- state  600
,(-1,-320)
-- state  601
,(-1,-322)

-- state  602
,( 65, 73),(-1,-1000)
-- state  603
,( 79, 695),(-1,-1000)

-- state  604
,(-1,-273)
-- state  605
,(-1,-2)
-- state  606
,(-1,-453)
-- state  607
,(-1,-378)

-- state  608
,(-1,-2)
-- state  609
,(-1,-282)
-- state  610
,(-1,-407)
-- state  611
,(-1,-2)

-- state  612
,( 10, 699),(-1,-1000)
-- state  613
,(-1,-259)
-- state  614
,(-1,-2)

-- state  615
,( 79, 701),(-1,-1000)
-- state  616
,(-1,-319)
-- state  617
,(-1,-55)

-- state  618
,(-1,-57)
-- state  619
,(-1,-56)
-- state  620
,(-1,-58)
-- state  621
,( 34,-138)
,( 47, 245),( 49,-138),( 70,-138),( 71,-138)
,( 81,-116),( 83,-116),( 84,-116),( 88,-138)
,( 89,-138),( 90,-138),( 91,-138),( 92,-138)
,(-1,-46)
-- state  622
,( 79, 702),(-1,-1000)
-- state  623
,(-1,-2)

-- state  624
,(-1,-2)
-- state  625
,(-1,-2)
-- state  626
,( 79, 706),(-1,-1000)

-- state  627
,(-1,-263)
-- state  628
,(-1,-49)
-- state  629
,(-1,-50)
-- state  630
,(-1,-51)

-- state  631
,(-1,-316)
-- state  632
,( 37, 709),( 43,-1),(-1,-324)

-- state  633
,( 21, 710),(-1,-1000)
-- state  634
,(-1,-44)
-- state  635
,(-1,-2)

-- state  636
,( 79, 712),(-1,-1000)
-- state  637
,(-1,-83)
-- state  638
,( 79, 713)
,(-1,-1000)
-- state  639
,(-1,-2)
-- state  640
,( 43,-1),(-1,-416)

-- state  641
,( 22,-1),(-1,-418)
-- state  642
,(-1,-223)
-- state  643
,(-1,-2)

-- state  644
,( 34, 719),(-1,-1000)
-- state  645
,( 43,-1),(-1,-463)

-- state  646
,( 81,-116),( 83,-116),( 84,-116),(-1,-1)

-- state  647
,( 48, 721),(-1,-1000)
-- state  648
,(-1,-302)
-- state  649
,(-1,-376)

-- state  650
,( 79, 723),(-1,-1000)
-- state  651
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  652
,(-1,-184)
-- state  653
,( 58, 725)
,(-1,-1000)
-- state  654
,( 31, 726),(-1,-1000)
-- state  655
,(-1,-380)

-- state  656
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  657
,( 65, 728),(-1,-1000)
-- state  658
,( 33, 730),(-1,-1000)

-- state  659
,( 14, 731),(-1,-383)
-- state  660
,( 61, 733),(-1,-391)

-- state  661
,(-1,-394)
-- state  662
,(-1,-2)
-- state  663
,( 83, 145),(-1,-2)

-- state  664
,( 81, 738),(-1,-395)
-- state  665
,(-1,-2)
-- state  666
,(-1,-235)

-- state  667
,( 57, 745),( 65, 32),( 67, 57),( 68, 111)
,(-1,-1)
-- state  668
,(-1,-426)
-- state  669
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  670
,(-1,-236)
-- state  671
,(-1,-237)

-- state  672
,(-1,-238)
-- state  673
,(-1,-239)
-- state  674
,(-1,-240)
-- state  675
,(-1,-241)

-- state  676
,(-1,-424)
-- state  677
,(-1,-302)
-- state  678
,( 81,-116),( 83,-116)
,( 84,-116),(-1,-433)
-- state  679
,( 79, 752),(-1,-1000)

-- state  680
,(-1,-179)
-- state  681
,(-1,-267)
-- state  682
,( 43,-1),(-1,-364)

-- state  683
,(-1,-388)
-- state  684
,( 83, 145),(-1,-265)
-- state  685
,(-1,-266)

-- state  686
,(-1,-444)
-- state  687
,( 79, 754),(-1,-1000)
-- state  688
,(-1,-74)

-- state  689
,(-1,-327)
-- state  690
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 78, 755),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  691
,(-1,-66)
-- state  692
,( 82, 756)
,( 93, 757),(-1,-1000)
-- state  693
,( 82, 758),( 93, 759)
,(-1,-1000)
-- state  694
,(-1,-62)
-- state  695
,(-1,-215)
-- state  696
,( 79, 760)
,(-1,-1000)
-- state  697
,(-1,-212)
-- state  698
,( 79, 761),(-1,-1000)

-- state  699
,(-1,-302)
-- state  700
,( 79, 763),(-1,-1000)
-- state  701
,(-1,-295)

-- state  702
,(-1,-19)
-- state  703
,( 79, 764),(-1,-1000)
-- state  704
,( 79, 765)
,(-1,-1000)
-- state  705
,( 79, 766),(-1,-1000)
-- state  706
,(-1,-21)

-- state  707
,( 82, 767),( 93, 768),(-1,-1000)
-- state  708
,(-1,-1)

-- state  709
,( 79, 772),(-1,-1000)
-- state  710
,( 48, 773),(-1,-1000)

-- state  711
,(-1,-28)
-- state  712
,(-1,-2)
-- state  713
,(-1,-37)
-- state  714
,( 79, 775)
,(-1,-1000)
-- state  715
,( 21, 777),(-1,-1)
-- state  716
,( 22, 779)
,(-1,-1000)
-- state  717
,(-1,-302)
-- state  718
,( 79, 781),(-1,-1000)

-- state  719
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  720
,( 9, 783),(-1,-1000)
-- state  721
,(-1,-2)
-- state  722
,( 43,-1)
,(-1,-465)
-- state  723
,(-1,-171)
-- state  724
,(-1,-2)
-- state  725
,(-1,-182)

-- state  726
,(-1,-185)
-- state  727
,(-1,-189)
-- state  728
,( 30, 788),(-1,-1000)

-- state  729
,(-1,-190)
-- state  730
,(-1,-302)
-- state  731
,(-1,-302)
-- state  732
,( 10, 791)
,(-1,-1000)
-- state  733
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 32),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  734
,(-1,-2)
-- state  735
,( 79, 794),(-1,-1000)

-- state  736
,( 79, 795),(-1,-1000)
-- state  737
,(-1,-420)
-- state  738
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 797)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  739
,( 18, 799)
,(-1,-422)
-- state  740
,( 79, 801),(-1,-1000)
-- state  741
,( 4, 579)
,( 15, 580),( 43, 16),(-1,-1000)
-- state  742
,( 79, 802)
,(-1,-116)
-- state  743
,(-1,-302)
-- state  744
,(-1,-302)
-- state  745
,( 79, 805)
,(-1,-1000)
-- state  746
,( 69, 806),(-1,-1000)
-- state  747
,( 19, 807)
,( 39, 809),(-1,-370)
-- state  748
,( 19,-431),( 21,-431)
,( 39,-431),( 43,-1),(-1,-365)
-- state  749
,(-1,-432)

-- state  750
,( 19, 810),( 39, 811),(-1,-1000)
-- state  751
,( 93, 813)
,(-1,-2)
-- state  752
,(-1,-301)
-- state  753
,( 69, 814),( 94, 815)
,(-1,-1000)
-- state  754
,(-1,-209)
-- state  755
,(-1,-63)
-- state  756
,( 38, 816)
,(-1,-1000)
-- state  757
,( 65, 32),( 67, 57),( 68, 111)
,(-1,-1000)
-- state  758
,(-1,-64)
-- state  759
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  760
,(-1,-216)
-- state  761
,(-1,-214)

-- state  762
,( 23, 408),(-1,-385)
-- state  763
,(-1,-300)
-- state  764
,(-1,-20)

-- state  765
,(-1,-22)
-- state  766
,(-1,-23)
-- state  767
,(-1,-48)
-- state  768
,( 65, 629)
,( 68, 630),(-1,-1000)
-- state  769
,( 12, 823),( 65, 39)
,(-1,-1000)
-- state  770
,(-1,-302)
-- state  771
,(-1,-302)
-- state  772
,(-1,-302)

-- state  773
,(-1,-67)
-- state  774
,(-1,-29)
-- state  775
,(-1,-260)
-- state  776
,( 25, 340)
,(-1,-1000)
-- state  777
,( 65, 32),(-1,-377)
-- state  778
,(-1,-302)

-- state  779
,( 65, 829),(-1,-1000)
-- state  780
,( 43,-1),(-1,-417)

-- state  781
,(-1,-261)
-- state  782
,(-1,-2)
-- state  783
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 65, 32),( 66, 102)
,( 67, 57),( 68, 111),( 81, 116),( 88, 96)
,( 89, 97),(-1,-1000)
-- state  784
,( 79, 832),(-1,-1000)

-- state  785
,( 79, 833),(-1,-1000)
-- state  786
,(-1,-302)
-- state  787
,(-1,-302)

-- state  788
,( 52, 837),(-1,-381)
-- state  789
,( 21, 839),(-1,-1000)

-- state  790
,(-1,-384)
-- state  791
,(-1,-302)
-- state  792
,(-1,-392)
-- state  793
,( 79, 841)
,(-1,-1000)
-- state  794
,(-1,-195)
-- state  795
,(-1,-196)
-- state  796
,(-1,-229)

-- state  797
,( 80,-310),( 93,-310),(-1,-107)
-- state  798
,( 82, 842)
,(-1,-1000)
-- state  799
,(-1,-302)
-- state  800
,(-1,-2)
-- state  801
,(-1,-230)

-- state  802
,(-1,-227)
-- state  803
,(-1,-428)
-- state  804
,(-1,-429)
-- state  805
,(-1,-302)

-- state  806
,(-1,-302)
-- state  807
,(-1,-302)
-- state  808
,( 21, 849),(-1,-1000)

-- state  809
,( 61, 669),(-1,-302)
-- state  810
,(-1,-302)
-- state  811
,(-1,-302)

-- state  812
,( 79, 854),(-1,-1000)
-- state  813
,( 65, 32),( 67, 57)
,( 68, 111),(-1,-1000)
-- state  814
,(-1,-302)
-- state  815
,( 40, 685)
,( 65, 73),(-1,-1000)
-- state  816
,( 65, 73),(-1,-1000)

-- state  817
,( 47, 859),(-1,-116)
-- state  818
,(-1,-321)
-- state  819
,(-1,-323)

-- state  820
,( 21, 860),(-1,-1000)
-- state  821
,(-1,-317)
-- state  822
,( 80, 861)
,(-1,-1000)
-- state  823
,( 65, 32),(-1,-1000)
-- state  824
,( 21,-68)
,( 43,-1),( 61,-68),(-1,-325)
-- state  825
,( 43,-1)
,(-1,-69)
-- state  826
,( 43,-1),(-1,-70)
-- state  827
,(-1,-415)

-- state  828
,( 43,-1),(-1,-419)
-- state  829
,( 81, 863),(-1,-395)

-- state  830
,( 79, 865),(-1,-1000)
-- state  831
,( 47, 866),(-1,-1000)

-- state  832
,(-1,-297)
-- state  833
,(-1,-181)
-- state  834
,(-1,-367)
-- state  835
,( 61, 868)
,(-1,-1)
-- state  836
,( 21, 870),(-1,-1000)
-- state  837
,(-1,-382)

-- state  838
,( 3, 100),( 35, 108),( 36, 101),( 37, 103)
,( 65, 32),( 66, 102),( 67, 57),( 68, 111)
,( 81, 116),( 88, 96),( 89, 97),(-1,-1000)

-- state  839
,( 33, 872),(-1,-1000)
-- state  840
,( 23, 408),(-1,-385)

-- state  841
,(-1,-194)
-- state  842
,( 81, 120),(-1,-395)
-- state  843
,( 21, 875)
,(-1,-1000)
-- state  844
,( 79, 876),(-1,-1000)
-- state  845
,( 43,-1)
,(-1,-430)
-- state  846
,( 57, 745),(-1,-1)
-- state  847
,(-1,-427)

-- state  848
,(-1,-371)
-- state  849
,( 53, 877),(-1,-1000)
-- state  850
,(-1,-425)

-- state  851
,( 21, 878),(-1,-1000)
-- state  852
,(-1,-1)
-- state  853
,( 21, 880)
,(-1,-1000)
-- state  854
,(-1,-244)
-- state  855
,( 81,-116),( 83,-116)
,( 84,-116),(-1,-434)
-- state  856
,(-1,-264)
-- state  857
,(-1,-445)

-- state  858
,(-1,-61)
-- state  859
,( 78, 755),(-1,-1000)
-- state  860
,( 65, 32)
,(-1,-377)
-- state  861
,( 65, 73),(-1,-1000)
-- state  862
,( 31, 884)
,(-1,-1000)
-- state  863
,( 3, 100),( 35, 108),( 36, 101)
,( 37, 103),( 65, 797),( 66, 102),( 67, 57)
,( 68, 111),( 81, 116),( 88, 96),( 89, 97)
,(-1,-1000)
-- state  864
,(-1,-2)
-- state  865
,(-1,-298)
-- state  866
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  867
,( 19, 807)
,( 20, 889),(-1,-370)
-- state  868
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 40, 188),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  869
,(-1,-373)

-- state  870
,( 12, 892),(-1,-1000)
-- state  871
,(-1,-191)
-- state  872
,( 65, 32)
,(-1,-377)
-- state  873
,( 21, 894),(-1,-1000)
-- state  874
,(-1,-421)

-- state  875
,( 65, 32),(-1,-377)
-- state  876
,(-1,-228)
-- state  877
,(-1,-2)

-- state  878
,( 53, 897),(-1,-1000)
-- state  879
,( 15, 580),( 43, 16)
,(-1,-1000)
-- state  880
,( 53, 898),(-1,-1000)
-- state  881
,(-1,-2)

-- state  882
,(-1,-72)
-- state  883
,( 72, 410),(-1,-308)
-- state  884
,(-1,-302)

-- state  885
,( 82, 902),(-1,-1000)
-- state  886
,( 79, 903),(-1,-1000)

-- state  887
,(-1,-2)
-- state  888
,( 21, 905),(-1,-1000)
-- state  889
,( 3, 100)
,( 35, 108),( 36, 101),( 37, 103),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  890
,(-1,-330)

-- state  891
,( 61, 868),(-1,-372)
-- state  892
,( 79, 909),(-1,-1000)

-- state  893
,(-1,-2)
-- state  894
,( 65, 32),(-1,-377)
-- state  895
,(-1,-423)

-- state  896
,( 79, 912),(-1,-1000)
-- state  897
,(-1,-2)
-- state  898
,(-1,-2)

-- state  899
,( 79, 915),(-1,-1000)
-- state  900
,(-1,-2)
-- state  901
,( 61, 917)
,(-1,-1)
-- state  902
,( 81, 120),(-1,-395)
-- state  903
,(-1,-225)

-- state  904
,( 79, 920),(-1,-1000)
-- state  905
,( 29, 921),(-1,-1000)

-- state  906
,( 58, 922),(-1,-1000)
-- state  907
,( 69, 923),( 94, 326)
,(-1,-1000)
-- state  908
,(-1,-374)
-- state  909
,(-1,-2)
-- state  910
,( 79, 925)
,(-1,-1000)
-- state  911
,(-1,-2)
-- state  912
,(-1,-234)
-- state  913
,( 79, 927)
,(-1,-1000)
-- state  914
,( 79, 928),(-1,-1000)
-- state  915
,(-1,-224)

-- state  916
,( 79, 929),(-1,-1000)
-- state  917
,( 3, 100),( 35, 108)
,( 36, 101),( 37, 103),( 40, 188),( 65, 32)
,( 66, 102),( 67, 57),( 68, 111),( 81, 116)
,( 88, 96),( 89, 97),(-1,-1000)
-- state  918
,(-1,-328)

-- state  919
,(-1,-2)
-- state  920
,(-1,-299)
-- state  921
,( 79, 933),(-1,-1000)

-- state  922
,(-1,-368)
-- state  923
,(-1,-302)
-- state  924
,(-1,-186)
-- state  925
,(-1,-188)

-- state  926
,( 79, 936),(-1,-1000)
-- state  927
,(-1,-242)
-- state  928
,(-1,-243)

-- state  929
,(-1,-71)
-- state  930
,(-1,-330)
-- state  931
,( 21, 938),( 61, 917)
,(-1,-1000)
-- state  932
,( 79, 940),(-1,-1000)
-- state  933
,(-1,-2)

-- state  934
,(-1,-302)
-- state  935
,(-1,-187)
-- state  936
,(-1,-193)
-- state  937
,( 69, 943)
,( 94, 326),(-1,-1000)
-- state  938
,( 12, 944),(-1,-1000)

-- state  939
,(-1,-329)
-- state  940
,(-1,-226)
-- state  941
,(-1,-183)
-- state  942
,(-1,-369)

-- state  943
,(-1,-302)
-- state  944
,(-1,-2)
-- state  945
,(-1,-76)
-- state  946
,( 79, 947)
,(-1,-1000)
-- state  947
,(-1,-75)
);
--  The offset vector
SHIFT_REDUCE_OFFSET : array (0.. 947) of Integer :=
( 0,
 1, 2, 10, 12, 14, 15, 17, 18, 19, 21,
 22, 23, 25, 27, 28, 30, 32, 33, 34, 35,
 36, 37, 38, 39, 40, 46, 48, 49, 51, 52,
 53, 54, 55, 56, 58, 60, 62, 64, 67, 68,
 71, 74, 75, 78, 80, 81, 83, 84, 86, 89,
 91, 92, 104, 106, 108, 109, 110, 111, 114, 116,
 119, 121, 122, 123, 125, 127, 131, 135, 137, 139,
 142, 144, 146, 147, 150, 151, 153, 155, 157, 158,
 161, 162, 164, 166, 168, 170, 172, 173, 177, 179,
 188, 189, 193, 194, 204, 209, 210, 211, 212, 214,
 222, 230, 231, 232, 233, 234, 238, 239, 241, 242,
 243, 244, 245, 246, 247, 248, 261, 265, 266, 267,
 269, 270, 272, 274, 276, 278, 280, 281, 282, 286,
 290, 292, 294, 295, 298, 299, 301, 303, 305, 307,
 309, 311, 312, 315, 316, 318, 319, 321, 322, 334,
 346, 358, 360, 372, 374, 387, 400, 412, 424, 436,
 437, 438, 439, 440, 441, 442, 443, 444, 446, 447,
 448, 449, 459, 460, 461, 462, 463, 464, 474, 482,
 483, 484, 485, 488, 489, 490, 502, 507, 508, 509,
 510, 515, 518, 519, 521, 522, 524, 526, 527, 528,
 529, 540, 542, 544, 546, 548, 550, 552, 554, 556,
 558, 559, 563, 565, 566, 578, 579, 580, 581, 582,
 587, 588, 589, 591, 592, 593, 594, 606, 607, 619,
 620, 632, 633, 645, 646, 647, 648, 660, 661, 662,
 663, 664, 666, 669, 681, 693, 696, 699, 700, 701,
 702, 703, 704, 705, 706, 707, 710, 713, 714, 717,
 719, 720, 721, 722, 723, 724, 735, 736, 737, 738,
 739, 740, 741, 742, 743, 744, 745, 746, 747, 748,
 749, 750, 751, 753, 754, 755, 756, 757, 758, 759,
 760, 761, 763, 765, 768, 773, 775, 776, 778, 780,
 781, 785, 787, 788, 789, 791, 792, 794, 796, 797,
 798, 800, 802, 804, 806, 808, 810, 811, 812, 813,
 814, 827, 829, 830, 831, 843, 856, 859, 860, 861,
 874, 875, 877, 878, 880, 881, 883, 884, 885, 888,
 892, 894, 896, 898, 901, 904, 907, 908, 910, 917,
 919, 921, 923, 924, 926, 928, 936, 938, 942, 943,
 944, 956, 959, 960, 962, 964, 966, 978, 981, 982,
 983, 985, 986, 988, 1000, 1001, 1003, 1008, 1009, 1010,
 1011, 1013, 1014, 1016, 1019, 1020, 1022, 1024, 1029, 1032,
 1034, 1036, 1037, 1039, 1041, 1042, 1043, 1044, 1045, 1046,
 1047, 1048, 1049, 1050, 1057, 1058, 1063, 1064, 1065, 1067,
 1079, 1081, 1083, 1084, 1085, 1087, 1089, 1091, 1093, 1094,
 1095, 1096, 1097, 1099, 1101, 1103, 1104, 1106, 1107, 1118,
 1120, 1121, 1122, 1124, 1125, 1126, 1127, 1128, 1140, 1142,
 1143, 1155, 1156, 1157, 1158, 1159, 1161, 1173, 1179, 1181,
 1183, 1187, 1189, 1191, 1201, 1203, 1205, 1207, 1209, 1211,
 1213, 1215, 1220, 1221, 1223, 1226, 1228, 1229, 1230, 1231,
 1232, 1233, 1234, 1235, 1236, 1237, 1250, 1251, 1252, 1253,
 1254, 1255, 1256, 1257, 1259, 1261, 1263, 1264, 1265, 1266,
 1267, 1268, 1269, 1271, 1278, 1280, 1283, 1284, 1285, 1287,
 1290, 1292, 1293, 1294, 1295, 1300, 1301, 1313, 1315, 1316,
 1318, 1320, 1331, 1334, 1336, 1338, 1340, 1342, 1344, 1346,
 1347, 1348, 1349, 1351, 1363, 1364, 1365, 1366, 1367, 1368,
 1369, 1371, 1373, 1385, 1397, 1398, 1410, 1411, 1413, 1415,
 1427, 1428, 1430, 1431, 1432, 1433, 1434, 1435, 1436, 1437,
 1440, 1441, 1442, 1443, 1444, 1446, 1448, 1458, 1460, 1461,
 1462, 1464, 1465, 1466, 1468, 1469, 1472, 1473, 1478, 1479,
 1481, 1482, 1487, 1499, 1511, 1515, 1517, 1529, 1531, 1533,
 1545, 1547, 1551, 1552, 1554, 1555, 1557, 1559, 1560, 1561,
 1563, 1566, 1567, 1568, 1570, 1571, 1573, 1574, 1581, 1582,
 1583, 1584, 1586, 1588, 1589, 1590, 1591, 1592, 1593, 1594,
 1595, 1596, 1598, 1599, 1600, 1602, 1603, 1604, 1605, 1606,
 1607, 1621, 1623, 1624, 1625, 1626, 1628, 1629, 1630, 1631,
 1632, 1633, 1636, 1638, 1639, 1640, 1642, 1643, 1645, 1646,
 1648, 1650, 1651, 1652, 1654, 1656, 1660, 1662, 1663, 1664,
 1666, 1678, 1679, 1681, 1683, 1684, 1696, 1698, 1700, 1702,
 1704, 1705, 1706, 1708, 1710, 1711, 1712, 1717, 1718, 1730,
 1731, 1732, 1733, 1734, 1735, 1736, 1737, 1738, 1742, 1744,
 1745, 1746, 1748, 1749, 1751, 1752, 1753, 1755, 1756, 1757,
 1770, 1771, 1774, 1777, 1778, 1779, 1781, 1782, 1784, 1785,
 1787, 1788, 1789, 1791, 1793, 1795, 1796, 1799, 1800, 1802,
 1804, 1805, 1806, 1807, 1809, 1811, 1813, 1814, 1816, 1828,
 1830, 1831, 1833, 1834, 1835, 1836, 1837, 1838, 1840, 1841,
 1842, 1843, 1845, 1857, 1858, 1860, 1862, 1863, 1875, 1877,
 1879, 1883, 1885, 1886, 1887, 1889, 1891, 1894, 1899, 1900,
 1903, 1905, 1906, 1909, 1910, 1911, 1913, 1917, 1918, 1930,
 1931, 1932, 1934, 1935, 1936, 1937, 1938, 1939, 1942, 1945,
 1946, 1947, 1948, 1949, 1950, 1951, 1953, 1955, 1956, 1958,
 1960, 1961, 1962, 1974, 1976, 1978, 1979, 1980, 1982, 1984,
 1985, 1986, 1987, 1989, 1990, 1991, 1992, 1995, 1997, 1998,
 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2008, 2010,
 2011, 2012, 2014, 2018, 2019, 2022, 2024, 2026, 2027, 2028,
 2030, 2031, 2033, 2035, 2039, 2041, 2043, 2044, 2046, 2048,
 2050, 2052, 2053, 2054, 2055, 2057, 2059, 2060, 2072, 2074,
 2076, 2077, 2079, 2081, 2083, 2085, 2087, 2088, 2089, 2091,
 2092, 2094, 2095, 2097, 2098, 2102, 2103, 2104, 2105, 2107,
 2109, 2111, 2113, 2125, 2126, 2127, 2139, 2142, 2155, 2156,
 2158, 2159, 2161, 2163, 2164, 2166, 2167, 2168, 2170, 2173,
 2175, 2176, 2177, 2179, 2180, 2182, 2184, 2185, 2187, 2199,
 2200, 2202, 2204, 2205, 2207, 2208, 2210, 2211, 2212, 2214,
 2215, 2217, 2219, 2220, 2222, 2224, 2226, 2229, 2230, 2231,
 2233, 2234, 2235, 2237, 2239, 2240, 2242, 2255, 2256, 2257,
 2258, 2260, 2261, 2262, 2263, 2264, 2266, 2267, 2268, 2269,
 2270, 2273, 2275, 2276, 2277, 2278, 2279, 2282, 2284, 2285,
 2286, 2287, 2288, 2289, 2290, 2291, 2293);
end Compilation_Unit_Shift_Reduce;
