--|$Log:	decl_part_shift_reduce.a,v $
--|Revision 8.0  91/01/17  10:44:42  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
package Decl_Part_Shift_Reduce is

    type Small_Integer is range -32_000 .. 32_000;

    type Shift_Reduce_Entry is record
        T   : Small_Integer;
        Act : Small_Integer;
    end record;
    pragma Pack(Shift_Reduce_Entry);

    subtype Row is Integer range -1 .. Integer'Last;

  --pragma suppress(index_check);

    type Shift_Reduce_Array is array (Row  range <>) of Shift_Reduce_Entry;

    Shift_Reduce_Matrix : constant Shift_Reduce_Array :=
        ( (-1,-1) -- Dummy Entry

-- state  0
,(-1,-302)
-- state  1
,(-1,-4)
-- state  2
,( 25,-1),( 26,-1)
,( 27,-1),( 42,-1),( 45,-1),( 55,-1)
,( 56,-1),( 59,-1),( 60,-1),( 65,-1)
,(-1,-84)
-- state  3
,( 43,-1),(-1,-332)
-- state  4
,( 0,-1001)
,(-1,-1000)
-- state  5
,(-1,-96)
-- state  6
,(-1,-97)
-- state  7
,(-1,-86)

-- state  8
,(-1,-87)
-- state  9
,(-1,-88)
-- state  10
,(-1,-98)
-- state  11
,(-1,-99)

-- state  12
,(-1,-100)
-- state  13
,( 25, 45),( 26, 42),( 27, 46)
,( 42, 50),( 45, 41),( 55, 49),( 56, 52)
,( 59, 48),( 60, 51),( 65, 40),(-1,-1000)

-- state  14
,(-1,-8)
-- state  15
,(-1,-9)
-- state  16
,(-1,-10)
-- state  17
,(-1,-11)

-- state  18
,(-1,-12)
-- state  19
,(-1,-13)
-- state  20
,(-1,-14)
-- state  21
,(-1,-15)

-- state  22
,(-1,-16)
-- state  23
,(-1,-17)
-- state  24
,(-1,-18)
-- state  25
,(-1,-290)

-- state  26
,(-1,-291)
-- state  27
,(-1,-25)
-- state  28
,(-1,-26)
-- state  29
,(-1,-27)

-- state  30
,( 79, 56),(-1,-1000)
-- state  31
,( 79, 57),(-1,-1000)

-- state  32
,(-1,-292)
-- state  33
,(-1,-293)
-- state  34
,(-1,-294)
-- state  35
,(-1,-302)

-- state  36
,(-1,-302)
-- state  37
,( 43, 61),(-1,-1000)
-- state  38
,(-1,-303)

-- state  39
,(-1,-1000)
-- state  40
,(-1,-310)
-- state  41
,( 65, 63),(-1,-1000)

-- state  42
,( 65, 64),( 67, 66),(-1,-1000)
-- state  43
,( 26, 68)
,( 45, 41),(-1,-1)
-- state  44
,( 31, 73),( 50, 74)
,(-1,-2)
-- state  45
,( 65, 76),( 67, 66),( 68, 79)
,(-1,-1000)
-- state  46
,(-1,-446)
-- state  47
,( 80, 85),(-1,-1000)

-- state  48
,( 65, 86),(-1,-1000)
-- state  49
,( 65, 87),(-1,-1000)

-- state  50
,( 11, 89),( 65, 88),(-1,-1000)
-- state  51
,( 65, 90)
,(-1,-1000)
-- state  52
,( 11, 94),( 59, 92),(-1,-412)

-- state  53
,(-1,-2)
-- state  54
,( 35, 96),(-1,-1000)
-- state  55
,( 48, 99)
,( 81, 97),(-1,-1000)
-- state  56
,(-1,-210)
-- state  57
,(-1,-222)

-- state  58
,( 43,-1),(-1,-334)
-- state  59
,( 26,-1),( 27,-1)
,( 42,-1),( 45,-1),( 56,-1),( 60,-1)
,(-1,-85)
-- state  60
,( 43,-1),(-1,-333)
-- state  61
,( 65, 109)
,(-1,-1000)
-- state  62
,( 93, 110),(-1,-24)
-- state  63
,( 81, 112)
,(-1,-395)
-- state  64
,(-1,-200)
-- state  65
,(-1,-201)
-- state  66
,(-1,-202)

-- state  67
,( 31, 115),( 81, 112),(-1,-395)
-- state  68
,( 65, 64)
,( 67, 66),(-1,-1000)
-- state  69
,( 42, 117),(-1,-1000)

-- state  70
,(-1,-269)
-- state  71
,(-1,-270)
-- state  72
,( 79, 118),(-1,-1000)

-- state  73
,( 35,-453),( 54, 120),(-1,-208)
-- state  74
,( 65, 76)
,( 67, 66),( 68, 79),(-1,-1000)
-- state  75
,( 81, 97)
,( 83, 125),( 84, 126),(-1,-1000)
-- state  76
,(-1,-107)

-- state  77
,(-1,-116)
-- state  78
,( 60, 127),(-1,-101)
-- state  79
,(-1,-102)

-- state  80
,(-1,-103)
-- state  81
,(-1,-104)
-- state  82
,(-1,-105)
-- state  83
,( 60, 128)
,(-1,-106)
-- state  84
,( 59,-1),( 63, 132),( 65, 40)
,(-1,-271)
-- state  85
,( 8, 135),( 13, 138),( 23, 140)
,( 65, 90),(-1,-1000)
-- state  86
,( 31, 142),( 81, 141)
,(-1,-2)
-- state  87
,( 31, 145),(-1,-1000)
-- state  88
,( 50, 147)
,(-1,-3)
-- state  89
,( 65, 76),(-1,-1000)
-- state  90
,(-1,-314)

-- state  91
,( 83, 150),(-1,-410)
-- state  92
,(-1,-413)
-- state  93
,( 65, 151)
,(-1,-1000)
-- state  94
,( 65, 76),(-1,-1000)
-- state  95
,( 79, 153)
,(-1,-1000)
-- state  96
,( 65, 90),(-1,-1000)
-- state  97
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 40, 164)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  98
,(-1,-2)
-- state  99
,(-1,-302)
-- state  100
,(-1,-89)
-- state  101
,(-1,-90)

-- state  102
,(-1,-91)
-- state  103
,(-1,-92)
-- state  104
,(-1,-93)
-- state  105
,(-1,-94)

-- state  106
,(-1,-95)
-- state  107
,( 26, 42),( 27, 46),( 42, 191)
,( 45, 41),( 56, 52),( 60, 51),(-1,-1000)

-- state  108
,(-1,-302)
-- state  109
,( 81, 193),(-1,-304)
-- state  110
,( 65, 195)
,(-1,-1000)
-- state  111
,(-1,-396)
-- state  112
,( 65, 40),(-1,-1000)

-- state  113
,(-1,-198)
-- state  114
,( 51, 198),(-1,-1000)
-- state  115
,( 35, 199)
,(-1,-1000)
-- state  116
,( 81, 112),(-1,-395)
-- state  117
,( 65, 200)
,(-1,-1000)
-- state  118
,(-1,-197)
-- state  119
,(-1,-302)
-- state  120
,(-1,-2)

-- state  121
,(-1,-101)
-- state  122
,(-1,-106)
-- state  123
,( 81,-116),( 83,-116)
,( 84,-116),(-1,-2)
-- state  124
,(-1,-108)
-- state  125
,( 6, 208)
,( 65, 76),( 67, 66),( 68, 206),(-1,-1000)

-- state  126
,( 65, 76),(-1,-1000)
-- state  127
,( 9, 212),(-1,-461)

-- state  128
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  129
,( 80, 215),(-1,-1000)
-- state  130
,( 59, 216),(-1,-1000)

-- state  131
,(-1,-274)
-- state  132
,( 26, 68),( 45, 41),(-1,-1000)

-- state  133
,(-1,-447)
-- state  134
,( 16, 227),( 17, 226),( 47, 223)
,( 50, 229),( 81, 97),(-1,-312)
-- state  135
,( 81, 230)
,(-1,-1000)
-- state  136
,( 83, 150),(-1,-39)
-- state  137
,( 72, 232)
,(-1,-308)
-- state  138
,( 8, 135),( 65, 90),( 72, 237)
,(-1,-1000)
-- state  139
,( 72, 232),(-1,-308)
-- state  140
,( 50, 239)
,(-1,-2)
-- state  141
,( 65, 40),(-1,-1000)
-- state  142
,( 5, 258)
,( 8, 260),( 16, 227),( 17, 226),( 32, 250)
,( 35, 259),( 47, 223),( 48, 257),( 81, 251)
,(-1,-408)
-- state  143
,( 31, 263),(-1,-2)
-- state  144
,( 79, 265)
,(-1,-1000)
-- state  145
,( 65, 90),(-1,-1000)
-- state  146
,( 31, 267)
,(-1,-1000)
-- state  147
,( 65, 90),(-1,-1000)
-- state  148
,( 31, 269)
,(-1,-1000)
-- state  149
,( 93, 271),(-1,-2)
-- state  150
,( 65, 272)
,(-1,-1000)
-- state  151
,( 31, 273),(-1,-414)
-- state  152
,( 31, 275)
,(-1,-1000)
-- state  153
,(-1,-268)
-- state  154
,( 81, 277),( 83, 150)
,(-1,-454)
-- state  155
,(-1,-118)
-- state  156
,(-1,-330)
-- state  157
,( 30,-353)
,( 36, 281),( 69,-77),( 70, 288),( 73, 283)
,( 74, 287),( 75, 285),( 85, 282),( 86, 284)
,( 87, 286),( 94,-77),(-1,-350)
-- state  158
,( 47, 223)
,( 81,-116),( 83,-116),( 84,-116),(-1,-138)

-- state  159
,( 7, 292),(-1,-122)
-- state  160
,( 7, 293),(-1,-123)

-- state  161
,( 39, 294),(-1,-124)
-- state  162
,( 39, 295),(-1,-125)

-- state  163
,(-1,-126)
-- state  164
,(-1,-80)
-- state  165
,( 88, 296),( 89, 297)
,( 90, 298),(-1,-129)
-- state  166
,( 7, 300),( 39, 301)
,( 64, 302),(-1,-342)
-- state  167
,( 64, 303),(-1,-343)

-- state  168
,(-1,-355)
-- state  169
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),(-1,-1000)
-- state  170
,( 81, 97)
,( 83, 125),( 84, 305),(-1,-1000)
-- state  171
,(-1,-128)

-- state  172
,( 34, 308),( 49, 309),( 91, 306),( 92, 307)
,(-1,-130)
-- state  173
,(-1,-149)
-- state  174
,(-1,-150)
-- state  175
,(-1,-358)

-- state  176
,( 71, 311),(-1,-360)
-- state  177
,( 35, 184),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),(-1,-1000)
-- state  178
,( 35, 184),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),(-1,-1000)
-- state  179
,(-1,-134)
-- state  180
,(-1,-135)

-- state  181
,(-1,-136)
-- state  182
,(-1,-137)
-- state  183
,(-1,-139)
-- state  184
,( 65, 90)
,(-1,-1000)
-- state  185
,(-1,-155)
-- state  186
,(-1,-336)
-- state  187
,( 79, 317)
,(-1,-1000)
-- state  188
,( 21,-462),( 65,-462),( 67,-462)
,( 68,-462),(-1,-1)
-- state  189
,(-1,-464)
-- state  190
,( 31, 73)
,(-1,-2)
-- state  191
,( 11, 89),( 65, 321),(-1,-1000)

-- state  192
,( 43,-1),(-1,-335)
-- state  193
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 325),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  194
,( 79, 327),(-1,-1000)

-- state  195
,(-1,-311)
-- state  196
,( 80, 328),(-1,-1000)
-- state  197
,(-1,-397)

-- state  198
,( 65, 90),(-1,-1000)
-- state  199
,( 65, 90),(-1,-1000)

-- state  200
,(-1,-3)
-- state  201
,(-1,-401)
-- state  202
,( 10, 333),(-1,-1000)

-- state  203
,( 79, 334),(-1,-1000)
-- state  204
,( 79, 335),(-1,-1000)

-- state  205
,(-1,-110)
-- state  206
,(-1,-111)
-- state  207
,(-1,-112)
-- state  208
,(-1,-113)

-- state  209
,(-1,-109)
-- state  210
,(-1,-115)
-- state  211
,(-1,-114)
-- state  212
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 65, 76)
,( 66, 179),( 67, 66),( 68, 79),( 81, 97)
,( 88, 173),( 89, 174),(-1,-1000)
-- state  213
,( 81,-116)
,( 83,-116),( 84,-116),(-1,-138)
-- state  214
,(-1,-2)

-- state  215
,( 30, 339),(-1,-399)
-- state  216
,( 65, 341),(-1,-1000)

-- state  217
,( 31, 342),(-1,-450)
-- state  218
,(-1,-313)
-- state  219
,(-1,-40)

-- state  220
,(-1,-41)
-- state  221
,(-1,-42)
-- state  222
,(-1,-43)
-- state  223
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 65, 76)
,( 66, 179),( 67, 66),( 68, 79),( 81, 97)
,( 88, 173),( 89, 174),(-1,-1000)
-- state  224
,( 47, 223)
,(-1,-318)
-- state  225
,( 47, 223),(-1,-318)
-- state  226
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 65, 76)
,( 66, 179),( 67, 66),( 68, 79),( 81, 97)
,( 88, 173),( 89, 174),(-1,-1000)
-- state  227
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 65, 76)
,( 66, 179),( 67, 66),( 68, 79),( 81, 97)
,( 88, 173),( 89, 174),(-1,-1000)
-- state  228
,(-1,-38)

-- state  229
,( 65, 76),( 67, 66),( 68, 79),(-1,-1000)

-- state  230
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  231
,( 38, 356),(-1,-1000)
-- state  232
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 76),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  233
,(-1,-2)
-- state  234
,( 16, 227)
,( 17, 226),( 47, 223),( 81, 97),(-1,-312)

-- state  235
,( 72, 232),(-1,-308)
-- state  236
,( 72, 232),(-1,-308)

-- state  237
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  238
,(-1,-2)
-- state  239
,( 65, 90),(-1,-1000)
-- state  240
,( 79, 364)
,(-1,-1000)
-- state  241
,( 80, 365),(-1,-1000)
-- state  242
,(-1,-326)

-- state  243
,(-1,-30)
-- state  244
,(-1,-31)
-- state  245
,(-1,-32)
-- state  246
,(-1,-33)

-- state  247
,(-1,-34)
-- state  248
,(-1,-35)
-- state  249
,(-1,-36)
-- state  250
,(-1,-409)

-- state  251
,( 65, 368),( 68, 369),(-1,-1000)
-- state  252
,(-1,-52)

-- state  253
,(-1,-53)
-- state  254
,(-1,-54)
-- state  255
,(-1,-59)
-- state  256
,(-1,-60)

-- state  257
,(-1,-302)
-- state  258
,( 65, 90),(-1,-1000)
-- state  259
,( 65, 90)
,(-1,-1000)
-- state  260
,( 81, 375),(-1,-1000)
-- state  261
,( 79, 376)
,(-1,-1000)
-- state  262
,( 44, 377),(-1,-1000)
-- state  263
,( 5, 258)
,( 8, 260),( 16, 227),( 17, 226),( 32, 250)
,( 35, 259),( 47, 223),( 48, 257),( 81, 251)
,(-1,-408)
-- state  264
,( 79, 380),(-1,-1000)
-- state  265
,(-1,-82)

-- state  266
,(-1,-2)
-- state  267
,( 35, 383),(-1,-211)
-- state  268
,( 83, 150)
,(-1,-2)
-- state  269
,( 54, 386),(-1,-213)
-- state  270
,( 79, 387)
,(-1,-1000)
-- state  271
,( 65, 90),(-1,-1000)
-- state  272
,(-1,-315)

-- state  273
,(-1,-302)
-- state  274
,(-1,-2)
-- state  275
,( 54, 393),(-1,-302)

-- state  276
,(-1,-455)
-- state  277
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  278
,(-1,-2)
-- state  279
,( 69, 403),( 94, 404)
,(-1,-1000)
-- state  280
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  281
,(-1,-354)
-- state  282
,(-1,-140)
-- state  283
,(-1,-141)

-- state  284
,(-1,-142)
-- state  285
,(-1,-143)
-- state  286
,(-1,-144)
-- state  287
,(-1,-145)

-- state  288
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  289
,(-1,-127)
-- state  290
,( 30, 407),(-1,-1000)
-- state  291
,( 82,-121)
,( 93,-121),(-1,-78)
-- state  292
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 76),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  293
,( 58, 409),(-1,-1000)

-- state  294
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  295
,( 19, 411),(-1,-1000)
-- state  296
,(-1,-146)
-- state  297
,(-1,-147)

-- state  298
,(-1,-148)
-- state  299
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),(-1,-1000)
-- state  300
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 58, 414)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  301
,( 3, 177),( 19, 416),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  302
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  303
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  304
,(-1,-356)
-- state  305
,( 65, 76),( 81, 97)
,(-1,-1000)
-- state  306
,(-1,-151)
-- state  307
,(-1,-152)
-- state  308
,(-1,-153)

-- state  309
,(-1,-154)
-- state  310
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),(-1,-1000)
-- state  311
,( 35, 184)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),(-1,-1000)
-- state  312
,(-1,-131)

-- state  313
,(-1,-132)
-- state  314
,(-1,-133)
-- state  315
,( 81, 97),( 84, 423)
,(-1,-156)
-- state  316
,( 82, 424),( 93, 425),(-1,-1000)

-- state  317
,(-1,-296)
-- state  318
,( 9, 426),( 43, 61),(-1,-1000)

-- state  319
,(-1,-302)
-- state  320
,( 21, 429),( 65, 76),( 67, 66)
,( 68, 79),(-1,-1000)
-- state  321
,(-1,-3)
-- state  322
,(-1,-306)

-- state  323
,( 82, 431),( 93, 432),(-1,-1000)
-- state  324
,(-1,-6)

-- state  325
,( 69, 433),(-1,-107)
-- state  326
,( 30,-353),( 36, 281)
,( 73, 283),( 74, 287),( 75, 285),( 85, 282)
,( 86, 284),( 87, 286),(-1,-350)
-- state  327
,(-1,-2)

-- state  328
,( 30, 436),( 41, 437),(-1,-399)
-- state  329
,( 79, 440)
,( 82, 439),(-1,-1000)
-- state  330
,(-1,-199)
-- state  331
,( 81, 277)
,( 83, 150),(-1,-454)
-- state  332
,( 31, 442),(-1,-1000)

-- state  333
,(-1,-302)
-- state  334
,(-1,-259)
-- state  335
,(-1,-221)
-- state  336
,(-1,-2)

-- state  337
,( 79, 446),(-1,-1000)
-- state  338
,(-1,-448)
-- state  339
,( 41, 447)
,(-1,-400)
-- state  340
,( 65, 90),(-1,-1000)
-- state  341
,( 31, 449)
,( 81, 141),(-1,-1000)
-- state  342
,( 65, 76),( 67, 66)
,( 68, 79),( 78, 452),(-1,-1000)
-- state  343
,( 79, 453)
,(-1,-1000)
-- state  344
,( 34,-138),( 49,-138),( 70,-138)
,( 71,-138),( 81,-116),( 83,-116),( 84,-116)
,( 88,-138),( 89,-138),( 90,-138),( 91,-138)
,( 92,-138),(-1,-46)
-- state  345
,( 70, 454),(-1,-1000)

-- state  346
,(-1,-45)
-- state  347
,(-1,-319)
-- state  348
,(-1,-55)
-- state  349
,(-1,-57)

-- state  350
,(-1,-56)
-- state  351
,(-1,-58)
-- state  352
,( 81,-116),( 83,-116)
,( 84,-116),(-1,-2)
-- state  353
,(-1,-65)
-- state  354
,( 34,-138)
,( 47, 223),( 49,-138),( 70,-138),( 71,-138)
,( 81,-116),( 83,-116),( 84,-116),( 88,-138)
,( 89,-138),( 90,-138),( 91,-138),( 92,-138)
,(-1,-46)
-- state  355
,(-1,-322)
-- state  356
,( 65, 90),(-1,-1000)

-- state  357
,(-1,-309)
-- state  358
,( 79, 459),(-1,-1000)
-- state  359
,(-1,-2)

-- state  360
,(-1,-2)
-- state  361
,(-1,-2)
-- state  362
,( 79, 463),(-1,-1000)

-- state  363
,( 83, 150),(-1,-2)
-- state  364
,(-1,-263)
-- state  365
,( 65, 90)
,(-1,-1000)
-- state  366
,( 79, 467),( 82, 466),(-1,-1000)

-- state  367
,(-1,-49)
-- state  368
,(-1,-50)
-- state  369
,(-1,-51)
-- state  370
,(-1,-316)

-- state  371
,( 37, 470),( 43,-1),(-1,-324)
-- state  372
,( 21, 471)
,(-1,-1000)
-- state  373
,(-1,-81)
-- state  374
,(-1,-44)
-- state  375
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 65, 76)
,( 66, 179),( 67, 66),( 68, 79),( 81, 97)
,( 88, 173),( 89, 174),(-1,-1000)
-- state  376
,(-1,-2)

-- state  377
,(-1,-2)
-- state  378
,( 79, 476),(-1,-1000)
-- state  379
,( 44, 477)
,(-1,-1000)
-- state  380
,(-1,-83)
-- state  381
,( 79, 478),(-1,-1000)

-- state  382
,(-1,-302)
-- state  383
,( 65, 90),(-1,-1000)
-- state  384
,( 79, 481)
,(-1,-1000)
-- state  385
,(-1,-302)
-- state  386
,(-1,-2)
-- state  387
,(-1,-217)

-- state  388
,( 83, 150),(-1,-411)
-- state  389
,( 43,-1),(-1,-416)

-- state  390
,( 22,-1),(-1,-418)
-- state  391
,(-1,-223)
-- state  392
,( 10, 487)
,(-1,-1000)
-- state  393
,(-1,-2)
-- state  394
,(-1,-286)
-- state  395
,(-1,-458)

-- state  396
,( 69, 489),(-1,-1000)
-- state  397
,(-1,-289)
-- state  398
,( 69,-287)
,(-1,-101)
-- state  399
,( 69,-288),(-1,-103)
-- state  400
,(-1,-460)

-- state  401
,(-1,-456)
-- state  402
,( 79, 491),(-1,-1000)
-- state  403
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 65, 76)
,( 66, 179),( 67, 66),( 68, 79),( 81, 97)
,( 88, 173),( 89, 174),(-1,-1000)
-- state  404
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 40, 164)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  405
,(-1,-351)
-- state  406
,( 82,-120),( 93,-120),(-1,-79)

-- state  407
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  408
,(-1,-339)
-- state  409
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  410
,(-1,-341)
-- state  411
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 76),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  412
,(-1,-357)
-- state  413
,(-1,-338)

-- state  414
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  415
,(-1,-340)
-- state  416
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  417
,(-1,-344)
-- state  418
,(-1,-345)
-- state  419
,(-1,-362)

-- state  420
,(-1,-359)
-- state  421
,(-1,-361)
-- state  422
,(-1,-157)
-- state  423
,( 81, 97)
,(-1,-1000)
-- state  424
,(-1,-117)
-- state  425
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 40, 164),( 65, 76)
,( 66, 179),( 67, 66),( 68, 79),( 81, 97)
,( 88, 173),( 89, 174),(-1,-1000)
-- state  426
,( 34, 503)
,(-1,-1000)
-- state  427
,( 43,-1),(-1,-463)
-- state  428
,( 81,-116)
,( 83,-116),( 84,-116),(-1,-1)
-- state  429
,( 48, 505)
,(-1,-1000)
-- state  430
,(-1,-302)
-- state  431
,(-1,-305)
-- state  432
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 65, 325)
,( 66, 179),( 67, 66),( 68, 79),( 81, 97)
,( 88, 173),( 89, 174),(-1,-1000)
-- state  433
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 65, 76)
,( 66, 179),( 67, 66),( 68, 79),( 81, 97)
,( 88, 173),( 89, 174),(-1,-1000)
-- state  434
,(-1,-5)

-- state  435
,(-1,-205)
-- state  436
,( 41, 509),(-1,-400)
-- state  437
,(-1,-207)

-- state  438
,( 65, 90),(-1,-1000)
-- state  439
,(-1,-203)
-- state  440
,( 65, 40)
,(-1,-1000)
-- state  441
,(-1,-2)
-- state  442
,(-1,-211)
-- state  443
,( 43,-1)
,(-1,-365)
-- state  444
,( 23, 515),(-1,-385)
-- state  445
,( 79, 517)
,(-1,-1000)
-- state  446
,(-1,-295)
-- state  447
,(-1,-449)
-- state  448
,( 72, 232)
,(-1,-308)
-- state  449
,( 5, 258),( 8, 260),( 16, 522)
,( 17, 521),( 32, 250),( 47, 520),( 81, 519)
,(-1,-408)
-- state  450
,( 31, 526),(-1,-1000)
-- state  451
,( 81,-116)
,( 83,-116),( 84,-116),(-1,-451)
-- state  452
,(-1,-452)

-- state  453
,(-1,-275)
-- state  454
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  455
,( 79, 528),(-1,-1000)
-- state  456
,(-1,-66)

-- state  457
,( 82, 529),( 93, 530),(-1,-1000)
-- state  458
,(-1,-62)

-- state  459
,(-1,-19)
-- state  460
,( 79, 531),(-1,-1000)
-- state  461
,( 79, 532)
,(-1,-1000)
-- state  462
,( 79, 533),(-1,-1000)
-- state  463
,(-1,-21)

-- state  464
,( 79, 534),(-1,-1000)
-- state  465
,( 72, 232),(-1,-308)

-- state  466
,(-1,-73)
-- state  467
,( 65, 40),(-1,-1000)
-- state  468
,( 82, 537)
,( 93, 538),(-1,-1000)
-- state  469
,(-1,-1)
-- state  470
,( 79, 542)
,(-1,-1000)
-- state  471
,( 48, 543),(-1,-1000)
-- state  472
,( 47, 544)
,( 81,-116),( 82,-46),( 83,-116),( 84,-116)
,( 93,-46),(-1,-138)
-- state  473
,(-1,-320)
-- state  474
,(-1,-28)

-- state  475
,( 79, 546),(-1,-1000)
-- state  476
,(-1,-2)
-- state  477
,(-1,-2)

-- state  478
,(-1,-37)
-- state  479
,( 25,-1),( 26,-1),( 27,-1)
,( 42,-1),( 44, 549),( 45,-1),( 55,-1)
,( 56,-1),( 59,-1),( 60,-1),( 65,-1)
,(-1,-404)
-- state  480
,( 81, 277),( 83, 150),(-1,-454)

-- state  481
,(-1,-220)
-- state  482
,( 10, 553),(-1,-406)
-- state  483
,( 79, 555)
,(-1,-1000)
-- state  484
,( 21, 557),(-1,-1)
-- state  485
,( 22, 559)
,(-1,-1000)
-- state  486
,(-1,-302)
-- state  487
,(-1,-302)
-- state  488
,( 79, 562)
,(-1,-1000)
-- state  489
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  490
,( 82, 564),( 93, 565),(-1,-1000)

-- state  491
,(-1,-283)
-- state  492
,(-1,-119)
-- state  493
,( 70, 566),(-1,-77)

-- state  494
,( 47, 223),( 81,-116),( 83,-116),( 84,-116)
,(-1,-138)
-- state  495
,(-1,-331)
-- state  496
,(-1,-352)
-- state  497
,(-1,-347)

-- state  498
,(-1,-349)
-- state  499
,(-1,-346)
-- state  500
,(-1,-348)
-- state  501
,(-1,-158)

-- state  502
,(-1,-337)
-- state  503
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  504
,( 9, 569),(-1,-1000)
-- state  505
,(-1,-2)

-- state  506
,( 43,-1),(-1,-465)
-- state  507
,(-1,-307)
-- state  508
,(-1,-7)

-- state  509
,(-1,-206)
-- state  510
,( 72, 232),(-1,-308)
-- state  511
,(-1,-398)

-- state  512
,( 79, 572),(-1,-1000)
-- state  513
,( 1, 583),( 37, 591)
,( 46, 592),( 76, 590),(-1,-1)
-- state  514
,(-1,-302)

-- state  515
,(-1,-302)
-- state  516
,( 21, 602),(-1,-1000)
-- state  517
,(-1,-300)

-- state  518
,( 79, 603),(-1,-1000)
-- state  519
,( 78, 604),(-1,-1000)

-- state  520
,( 78, 605),(-1,-1000)
-- state  521
,( 78, 606),(-1,-1000)

-- state  522
,( 78, 607),(-1,-1000)
-- state  523
,(-1,-280)
-- state  524
,(-1,-281)

-- state  525
,(-1,-2)
-- state  526
,( 32, 250),(-1,-408)
-- state  527
,(-1,-47)

-- state  528
,(-1,-218)
-- state  529
,(-1,-64)
-- state  530
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 76),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  531
,(-1,-20)
-- state  532
,(-1,-22)

-- state  533
,(-1,-23)
-- state  534
,(-1,-219)
-- state  535
,(-1,-74)
-- state  536
,(-1,-327)

-- state  537
,(-1,-48)
-- state  538
,( 65, 368),( 68, 369),(-1,-1000)

-- state  539
,( 12, 612),( 65, 40),(-1,-1000)
-- state  540
,(-1,-302)

-- state  541
,(-1,-302)
-- state  542
,(-1,-302)
-- state  543
,(-1,-67)
-- state  544
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 65, 76)
,( 66, 179),( 67, 66),( 68, 79),( 78, 616)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  545
,( 82, 617),( 93, 618),(-1,-1000)
-- state  546
,(-1,-215)

-- state  547
,(-1,-29)
-- state  548
,( 79, 619),(-1,-1000)
-- state  549
,(-1,-302)

-- state  550
,( 25, 45),( 26, 42),( 27, 46),( 42, 622)
,( 45, 41),( 55, 49),( 56, 623),( 59, 48)
,( 60, 51),( 65, 40),(-1,-1000)
-- state  551
,( 21, 624)
,(-1,-1000)
-- state  552
,(-1,-2)
-- state  553
,(-1,-302)
-- state  554
,( 21, 627)
,(-1,-1000)
-- state  555
,(-1,-260)
-- state  556
,( 25, 45),(-1,-1000)

-- state  557
,( 65, 76),(-1,-377)
-- state  558
,(-1,-302)
-- state  559
,( 65, 631)
,(-1,-1000)
-- state  560
,( 43,-1),(-1,-417)
-- state  561
,( 23, 515)
,(-1,-385)
-- state  562
,(-1,-261)
-- state  563
,(-1,-459)
-- state  564
,(-1,-285)

-- state  565
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  566
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  567
,(-1,-78)
-- state  568
,(-1,-2)
-- state  569
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 76),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  570
,( 79, 637),(-1,-1000)

-- state  571
,(-1,-204)
-- state  572
,(-1,-284)
-- state  573
,(-1,-162)
-- state  574
,(-1,-163)

-- state  575
,(-1,-164)
-- state  576
,(-1,-165)
-- state  577
,(-1,-166)
-- state  578
,(-1,-167)

-- state  579
,(-1,-168)
-- state  580
,(-1,-169)
-- state  581
,(-1,-170)
-- state  582
,( 2, 650)
,( 4, 647),( 12, 642),( 15, 648),( 24, 644)
,( 28, 646),( 29, 641),( 51, 645),( 53, 649)
,( 65, 76),( 67, 66),( 68, 79),(-1,-375)

-- state  583
,(-1,-172)
-- state  584
,(-1,-173)
-- state  585
,(-1,-174)
-- state  586
,(-1,-175)

-- state  587
,(-1,-176)
-- state  588
,(-1,-177)
-- state  589
,(-1,-178)
-- state  590
,( 65, 76)
,(-1,-1000)
-- state  591
,( 79, 653),(-1,-1000)
-- state  592
,( 65, 90)
,(-1,-389)
-- state  593
,(-1,-231)
-- state  594
,(-1,-232)
-- state  595
,(-1,-233)

-- state  596
,(-1,-160)
-- state  597
,(-1,-161)
-- state  598
,(-1,-366)
-- state  599
,( 43,-1)
,(-1,-363)
-- state  600
,( 19,-159),( 20,-159),( 21,-159)
,( 23,-159),( 39,-159),( 61,-159),(-1,-365)

-- state  601
,( 61, 659),(-1,-1)
-- state  602
,( 65, 64),( 67, 66)
,(-1,-402)
-- state  603
,(-1,-272)
-- state  604
,( 82, 662),(-1,-1000)

-- state  605
,(-1,-277)
-- state  606
,(-1,-278)
-- state  607
,(-1,-279)
-- state  608
,( 79, 663)
,(-1,-1000)
-- state  609
,(-1,-323)
-- state  610
,(-1,-317)
-- state  611
,( 80, 664)
,(-1,-1000)
-- state  612
,( 65, 76),(-1,-1000)
-- state  613
,( 21,-68)
,( 43,-1),( 61,-68),(-1,-325)
-- state  614
,( 43,-1)
,(-1,-69)
-- state  615
,( 43,-1),(-1,-70)
-- state  616
,(-1,-63)

-- state  617
,( 38, 666),(-1,-1000)
-- state  618
,( 65, 76),( 67, 66)
,( 68, 79),(-1,-1000)
-- state  619
,(-1,-216)
-- state  620
,( 25,-1)
,( 26,-1),( 27,-1),( 42,-1),( 45,-1)
,( 55,-1),( 56,-1),( 59,-1),( 60,-1)
,( 65,-1),(-1,-405)
-- state  621
,( 31, 669),( 50, 74)
,(-1,-2)
-- state  622
,( 65, 88),(-1,-1000)
-- state  623
,( 59, 92)
,(-1,-412)
-- state  624
,( 65, 76),(-1,-377)
-- state  625
,( 79, 671)
,(-1,-1000)
-- state  626
,( 23, 515),(-1,-385)
-- state  627
,( 65, 76)
,(-1,-377)
-- state  628
,(-1,-378)
-- state  629
,(-1,-415)
-- state  630
,( 43,-1)
,(-1,-419)
-- state  631
,( 81, 674),(-1,-395)
-- state  632
,( 21, 676)
,(-1,-1000)
-- state  633
,(-1,-457)
-- state  634
,(-1,-79)
-- state  635
,( 79, 677)
,(-1,-1000)
-- state  636
,( 47, 678),(-1,-1000)
-- state  637
,(-1,-297)

-- state  638
,( 80, 679),(-1,-101)
-- state  639
,(-1,-466)
-- state  640
,( 72, 681)
,( 81,-116),( 83,-116),( 84,-116),(-1,-2)

-- state  641
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  642
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  643
,( 25, 687),( 33,-379),( 62, 686),(-1,-192)

-- state  644
,( 65, 90),(-1,-389)
-- state  645
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 76),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-393)
-- state  646
,( 65, 90),(-1,-1000)

-- state  647
,( 65, 76),(-1,-1000)
-- state  648
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 76),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  649
,( 61, 699),(-1,-302)

-- state  650
,( 65, 76),( 67, 66),( 68, 79),(-1,-1000)

-- state  651
,(-1,-2)
-- state  652
,( 77, 710),(-1,-1000)
-- state  653
,(-1,-180)

-- state  654
,( 83, 150),(-1,-390)
-- state  655
,( 79, 711),(-1,-1000)

-- state  656
,(-1,-302)
-- state  657
,(-1,-387)
-- state  658
,( 61, 659),(-1,-386)

-- state  659
,( 40, 715),( 65, 90),(-1,-1000)
-- state  660
,(-1,-403)

-- state  661
,(-1,-2)
-- state  662
,(-1,-276)
-- state  663
,(-1,-273)
-- state  664
,( 65, 90)
,(-1,-1000)
-- state  665
,( 31, 720),(-1,-1000)
-- state  666
,( 65, 90)
,(-1,-1000)
-- state  667
,( 47, 722),(-1,-116)
-- state  668
,(-1,-321)

-- state  669
,(-1,-453)
-- state  670
,(-1,-2)
-- state  671
,(-1,-282)
-- state  672
,(-1,-407)

-- state  673
,(-1,-2)
-- state  674
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 725),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  675
,(-1,-2)
-- state  676
,( 65, 76),(-1,-377)

-- state  677
,(-1,-298)
-- state  678
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  679
,(-1,-376)
-- state  680
,( 79, 730),(-1,-1000)

-- state  681
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  682
,(-1,-184)
-- state  683
,( 58, 732),(-1,-1000)
-- state  684
,( 31, 733)
,(-1,-1000)
-- state  685
,(-1,-380)
-- state  686
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 76),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  687
,( 65, 735),(-1,-1000)

-- state  688
,( 33, 737),(-1,-1000)
-- state  689
,( 14, 738),(-1,-383)

-- state  690
,( 61, 740),(-1,-391)
-- state  691
,(-1,-394)
-- state  692
,(-1,-2)

-- state  693
,( 83, 150),(-1,-2)
-- state  694
,( 81, 745),(-1,-395)

-- state  695
,(-1,-2)
-- state  696
,(-1,-235)
-- state  697
,( 57, 752),( 65, 76)
,( 67, 66),( 68, 79),(-1,-1)
-- state  698
,(-1,-426)

-- state  699
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  700
,(-1,-236)
-- state  701
,(-1,-237)
-- state  702
,(-1,-238)
-- state  703
,(-1,-239)

-- state  704
,(-1,-240)
-- state  705
,(-1,-241)
-- state  706
,(-1,-424)
-- state  707
,(-1,-302)

-- state  708
,( 81,-116),( 83,-116),( 84,-116),(-1,-433)

-- state  709
,( 79, 759),(-1,-1000)
-- state  710
,(-1,-179)
-- state  711
,(-1,-267)

-- state  712
,( 43,-1),(-1,-364)
-- state  713
,(-1,-388)
-- state  714
,( 83, 150)
,(-1,-265)
-- state  715
,(-1,-266)
-- state  716
,(-1,-444)
-- state  717
,( 79, 761)
,(-1,-1000)
-- state  718
,(-1,-72)
-- state  719
,( 72, 232),(-1,-308)

-- state  720
,(-1,-302)
-- state  721
,(-1,-61)
-- state  722
,( 78, 616),(-1,-1000)

-- state  723
,(-1,-212)
-- state  724
,( 79, 764),(-1,-1000)
-- state  725
,( 80,-310)
,( 93,-310),(-1,-107)
-- state  726
,( 82, 765),(-1,-1000)

-- state  727
,( 79, 766),(-1,-1000)
-- state  728
,(-1,-2)
-- state  729
,(-1,-2)

-- state  730
,(-1,-171)
-- state  731
,(-1,-2)
-- state  732
,(-1,-182)
-- state  733
,(-1,-185)

-- state  734
,(-1,-189)
-- state  735
,( 30, 772),(-1,-1000)
-- state  736
,(-1,-190)

-- state  737
,(-1,-302)
-- state  738
,(-1,-302)
-- state  739
,( 10, 775),(-1,-1000)

-- state  740
,( 3, 177),( 35, 184),( 36, 178),( 37, 180)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  741
,(-1,-2)
-- state  742
,( 79, 778),(-1,-1000)
-- state  743
,( 79, 779)
,(-1,-1000)
-- state  744
,(-1,-420)
-- state  745
,( 3, 177),( 35, 184)
,( 36, 178),( 37, 180),( 65, 725),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  746
,( 18, 782),(-1,-422)

-- state  747
,( 79, 784),(-1,-1000)
-- state  748
,( 4, 647),( 15, 648)
,( 43, 61),(-1,-1000)
-- state  749
,( 79, 785),(-1,-116)

-- state  750
,(-1,-302)
-- state  751
,(-1,-302)
-- state  752
,( 79, 788),(-1,-1000)

-- state  753
,( 69, 789),(-1,-1000)
-- state  754
,( 19, 790),( 39, 792)
,(-1,-370)
-- state  755
,( 19,-431),( 21,-431),( 39,-431)
,( 43,-1),(-1,-365)
-- state  756
,(-1,-432)
-- state  757
,( 19, 793)
,( 39, 794),(-1,-1000)
-- state  758
,( 93, 796),(-1,-2)

-- state  759
,(-1,-301)
-- state  760
,( 69, 797),( 94, 798),(-1,-1000)

-- state  761
,(-1,-209)
-- state  762
,(-1,-2)
-- state  763
,( 61, 800),(-1,-1)

-- state  764
,(-1,-214)
-- state  765
,( 81, 112),(-1,-395)
-- state  766
,(-1,-225)

-- state  767
,( 79, 803),(-1,-1000)
-- state  768
,( 79, 804),(-1,-1000)

-- state  769
,( 79, 805),(-1,-1000)
-- state  770
,(-1,-302)
-- state  771
,(-1,-302)

-- state  772
,( 52, 809),(-1,-381)
-- state  773
,( 21, 811),(-1,-1000)

-- state  774
,(-1,-384)
-- state  775
,(-1,-302)
-- state  776
,(-1,-392)
-- state  777
,( 79, 813)
,(-1,-1000)
-- state  778
,(-1,-195)
-- state  779
,(-1,-196)
-- state  780
,(-1,-229)

-- state  781
,( 82, 814),(-1,-1000)
-- state  782
,(-1,-302)
-- state  783
,(-1,-2)

-- state  784
,(-1,-230)
-- state  785
,(-1,-227)
-- state  786
,(-1,-428)
-- state  787
,(-1,-429)

-- state  788
,(-1,-302)
-- state  789
,(-1,-302)
-- state  790
,(-1,-302)
-- state  791
,( 21, 821)
,(-1,-1000)
-- state  792
,( 61, 699),(-1,-302)
-- state  793
,(-1,-302)

-- state  794
,(-1,-302)
-- state  795
,( 79, 826),(-1,-1000)
-- state  796
,( 65, 76)
,( 67, 66),( 68, 79),(-1,-1000)
-- state  797
,(-1,-302)

-- state  798
,( 40, 715),( 65, 90),(-1,-1000)
-- state  799
,( 79, 830)
,(-1,-1000)
-- state  800
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 40, 164),( 65, 76),( 66, 179)
,( 67, 66),( 68, 79),( 81, 97),( 88, 173)
,( 89, 174),(-1,-1000)
-- state  801
,(-1,-328)
-- state  802
,(-1,-2)

-- state  803
,(-1,-224)
-- state  804
,(-1,-299)
-- state  805
,(-1,-181)
-- state  806
,(-1,-367)

-- state  807
,( 61, 835),(-1,-1)
-- state  808
,( 21, 837),(-1,-1000)

-- state  809
,(-1,-382)
-- state  810
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  811
,( 33, 839),(-1,-1000)
-- state  812
,( 23, 515)
,(-1,-385)
-- state  813
,(-1,-194)
-- state  814
,( 81, 112),(-1,-395)

-- state  815
,( 21, 842),(-1,-1000)
-- state  816
,( 79, 843),(-1,-1000)

-- state  817
,( 43,-1),(-1,-430)
-- state  818
,( 57, 752),(-1,-1)

-- state  819
,(-1,-427)
-- state  820
,(-1,-371)
-- state  821
,( 53, 844),(-1,-1000)

-- state  822
,(-1,-425)
-- state  823
,( 21, 845),(-1,-1000)
-- state  824
,(-1,-1)

-- state  825
,( 21, 847),(-1,-1000)
-- state  826
,(-1,-244)
-- state  827
,( 81,-116)
,( 83,-116),( 84,-116),(-1,-434)
-- state  828
,(-1,-264)

-- state  829
,(-1,-445)
-- state  830
,(-1,-71)
-- state  831
,(-1,-330)
-- state  832
,( 21, 849)
,( 61, 800),(-1,-1000)
-- state  833
,( 79, 851),(-1,-1000)

-- state  834
,( 19, 790),( 20, 853),(-1,-370)
-- state  835
,( 3, 177)
,( 35, 184),( 36, 178),( 37, 180),( 40, 164)
,( 65, 76),( 66, 179),( 67, 66),( 68, 79)
,( 81, 97),( 88, 173),( 89, 174),(-1,-1000)

-- state  836
,(-1,-373)
-- state  837
,( 12, 856),(-1,-1000)
-- state  838
,(-1,-191)

-- state  839
,( 65, 76),(-1,-377)
-- state  840
,( 21, 858),(-1,-1000)

-- state  841
,(-1,-421)
-- state  842
,( 65, 76),(-1,-377)
-- state  843
,(-1,-228)

-- state  844
,(-1,-2)
-- state  845
,( 53, 861),(-1,-1000)
-- state  846
,( 15, 648)
,( 43, 61),(-1,-1000)
-- state  847
,( 53, 862),(-1,-1000)

-- state  848
,( 69, 863),( 94, 404),(-1,-1000)
-- state  849
,( 12, 864)
,(-1,-1000)
-- state  850
,(-1,-329)
-- state  851
,(-1,-226)
-- state  852
,( 21, 865)
,(-1,-1000)
-- state  853
,( 3, 177),( 35, 184),( 36, 178)
,( 37, 180),( 65, 76),( 66, 179),( 67, 66)
,( 68, 79),( 81, 97),( 88, 173),( 89, 174)
,(-1,-1000)
-- state  854
,(-1,-330)
-- state  855
,( 61, 835),(-1,-372)

-- state  856
,( 79, 869),(-1,-1000)
-- state  857
,(-1,-2)
-- state  858
,( 65, 76)
,(-1,-377)
-- state  859
,(-1,-423)
-- state  860
,( 79, 872),(-1,-1000)

-- state  861
,(-1,-2)
-- state  862
,(-1,-2)
-- state  863
,(-1,-302)
-- state  864
,(-1,-2)

-- state  865
,( 29, 877),(-1,-1000)
-- state  866
,( 58, 878),(-1,-1000)

-- state  867
,( 69, 879),( 94, 404),(-1,-1000)
-- state  868
,(-1,-374)

-- state  869
,(-1,-2)
-- state  870
,( 79, 881),(-1,-1000)
-- state  871
,(-1,-2)

-- state  872
,(-1,-234)
-- state  873
,( 79, 883),(-1,-1000)
-- state  874
,( 79, 884)
,(-1,-1000)
-- state  875
,(-1,-76)
-- state  876
,( 79, 885),(-1,-1000)

-- state  877
,( 79, 886),(-1,-1000)
-- state  878
,(-1,-368)
-- state  879
,(-1,-302)

-- state  880
,(-1,-186)
-- state  881
,(-1,-188)
-- state  882
,( 79, 889),(-1,-1000)

-- state  883
,(-1,-242)
-- state  884
,(-1,-243)
-- state  885
,(-1,-75)
-- state  886
,(-1,-2)

-- state  887
,(-1,-302)
-- state  888
,(-1,-187)
-- state  889
,(-1,-193)
-- state  890
,(-1,-183)

-- state  891
,(-1,-369)
);
--  The offset vector
SHIFT_REDUCE_OFFSET : array (0.. 891) of Integer :=
( 0,
 1, 2, 13, 15, 17, 18, 19, 20, 21, 22,
 23, 24, 25, 36, 37, 38, 39, 40, 41, 42,
 43, 44, 45, 46, 47, 48, 49, 50, 51, 52,
 54, 56, 57, 58, 59, 60, 61, 63, 64, 65,
 66, 68, 71, 74, 77, 81, 82, 84, 86, 88,
 91, 93, 96, 97, 99, 102, 103, 104, 106, 113,
 115, 117, 119, 121, 122, 123, 124, 127, 130, 132,
 133, 134, 136, 139, 143, 147, 148, 149, 151, 152,
 153, 154, 155, 157, 161, 166, 169, 171, 173, 175,
 176, 178, 179, 181, 183, 185, 187, 200, 201, 202,
 203, 204, 205, 206, 207, 208, 209, 216, 217, 219,
 221, 222, 224, 225, 227, 229, 231, 233, 234, 235,
 236, 237, 238, 242, 243, 248, 250, 252, 264, 266,
 268, 269, 272, 273, 279, 281, 283, 285, 289, 291,
 293, 295, 305, 307, 309, 311, 313, 315, 317, 319,
 321, 323, 325, 326, 329, 330, 331, 343, 348, 350,
 352, 354, 356, 357, 358, 362, 366, 368, 369, 379,
 383, 384, 389, 390, 391, 392, 394, 402, 410, 411,
 412, 413, 414, 415, 417, 418, 419, 421, 426, 427,
 429, 432, 434, 446, 448, 449, 451, 452, 454, 456,
 457, 458, 460, 462, 464, 465, 466, 467, 468, 469,
 470, 471, 483, 487, 488, 490, 492, 494, 495, 496,
 497, 498, 499, 511, 513, 515, 527, 539, 540, 544,
 556, 558, 570, 571, 576, 578, 580, 592, 593, 595,
 597, 599, 600, 601, 602, 603, 604, 605, 606, 607,
 608, 611, 612, 613, 614, 615, 616, 617, 619, 621,
 623, 625, 627, 637, 639, 640, 641, 643, 645, 647,
 649, 651, 652, 653, 654, 656, 657, 669, 670, 673,
 685, 686, 687, 688, 689, 690, 691, 692, 704, 705,
 707, 710, 722, 724, 736, 738, 739, 740, 741, 751,
 764, 777, 789, 801, 802, 805, 806, 807, 808, 809,
 819, 827, 828, 829, 830, 833, 836, 837, 840, 841,
 846, 847, 848, 851, 852, 854, 863, 864, 867, 870,
 871, 874, 876, 877, 878, 879, 880, 882, 883, 885,
 887, 890, 895, 897, 910, 912, 913, 914, 915, 916,
 917, 918, 922, 923, 937, 938, 940, 941, 943, 944,
 945, 946, 948, 950, 951, 953, 956, 957, 958, 959,
 960, 963, 965, 966, 967, 979, 980, 981, 983, 985,
 986, 988, 989, 991, 993, 994, 995, 996, 998, 1000,
 1002, 1003, 1005, 1006, 1007, 1008, 1010, 1011, 1013, 1015,
 1016, 1017, 1019, 1031, 1044, 1045, 1048, 1060, 1061, 1073,
 1074, 1086, 1087, 1088, 1100, 1101, 1113, 1114, 1115, 1116,
 1117, 1118, 1119, 1121, 1122, 1135, 1137, 1139, 1143, 1145,
 1146, 1147, 1159, 1171, 1172, 1173, 1175, 1176, 1178, 1179,
 1181, 1182, 1183, 1185, 1187, 1189, 1190, 1191, 1193, 1201,
 1203, 1207, 1208, 1209, 1221, 1223, 1224, 1227, 1228, 1229,
 1231, 1233, 1235, 1236, 1238, 1240, 1241, 1243, 1246, 1247,
 1249, 1251, 1258, 1259, 1260, 1262, 1263, 1264, 1265, 1277,
 1280, 1281, 1283, 1285, 1287, 1289, 1290, 1291, 1293, 1305,
 1308, 1309, 1310, 1312, 1317, 1318, 1319, 1320, 1321, 1322,
 1323, 1324, 1325, 1337, 1339, 1340, 1342, 1343, 1344, 1345,
 1347, 1348, 1350, 1355, 1356, 1357, 1359, 1360, 1362, 1364,
 1366, 1368, 1370, 1371, 1372, 1373, 1375, 1376, 1377, 1378,
 1390, 1391, 1392, 1393, 1394, 1395, 1396, 1397, 1400, 1403,
 1404, 1405, 1406, 1407, 1420, 1423, 1424, 1425, 1427, 1428,
 1439, 1441, 1442, 1443, 1445, 1446, 1448, 1450, 1451, 1453,
 1455, 1457, 1458, 1459, 1460, 1472, 1484, 1485, 1486, 1498,
 1500, 1501, 1502, 1503, 1504, 1505, 1506, 1507, 1508, 1509,
 1510, 1511, 1524, 1525, 1526, 1527, 1528, 1529, 1530, 1531,
 1533, 1535, 1537, 1538, 1539, 1540, 1541, 1542, 1543, 1545,
 1552, 1554, 1557, 1558, 1560, 1561, 1562, 1563, 1565, 1566,
 1567, 1569, 1571, 1575, 1577, 1579, 1580, 1582, 1586, 1587,
 1598, 1601, 1603, 1605, 1607, 1609, 1611, 1613, 1614, 1615,
 1617, 1619, 1621, 1622, 1623, 1625, 1627, 1628, 1630, 1631,
 1636, 1648, 1660, 1664, 1666, 1678, 1680, 1682, 1694, 1696,
 1700, 1701, 1703, 1704, 1706, 1708, 1709, 1710, 1712, 1715,
 1716, 1717, 1718, 1719, 1721, 1723, 1725, 1727, 1728, 1729,
 1730, 1731, 1732, 1733, 1745, 1746, 1748, 1749, 1761, 1762,
 1764, 1776, 1777, 1779, 1781, 1782, 1794, 1796, 1798, 1800,
 1802, 1803, 1804, 1806, 1808, 1809, 1810, 1815, 1816, 1828,
 1829, 1830, 1831, 1832, 1833, 1834, 1835, 1836, 1840, 1842,
 1843, 1844, 1846, 1847, 1849, 1850, 1851, 1853, 1854, 1856,
 1857, 1858, 1860, 1861, 1863, 1866, 1868, 1870, 1871, 1872,
 1873, 1874, 1875, 1876, 1877, 1879, 1880, 1881, 1882, 1884,
 1896, 1897, 1899, 1901, 1902, 1914, 1916, 1918, 1922, 1924,
 1925, 1926, 1928, 1930, 1933, 1938, 1939, 1942, 1944, 1945,
 1948, 1949, 1950, 1952, 1953, 1955, 1956, 1958, 1960, 1962,
 1963, 1964, 1966, 1968, 1969, 1970, 1971, 1973, 1974, 1975,
 1976, 1978, 1979, 1980, 1981, 1982, 1983, 1984, 1985, 1986,
 1987, 1989, 1991, 1992, 1993, 1995, 1999, 2000, 2003, 2005,
 2018, 2019, 2020, 2021, 2022, 2023, 2024, 2026, 2028, 2029,
 2041, 2043, 2045, 2046, 2048, 2050, 2052, 2054, 2056, 2057,
 2058, 2060, 2061, 2063, 2064, 2066, 2067, 2071, 2072, 2073,
 2074, 2075, 2078, 2080, 2083, 2096, 2097, 2099, 2100, 2102,
 2104, 2105, 2107, 2108, 2109, 2111, 2114, 2116, 2119, 2121,
 2122, 2123, 2125, 2137, 2138, 2140, 2142, 2143, 2145, 2146,
 2148, 2149, 2150, 2151, 2152, 2154, 2156, 2159, 2160, 2161,
 2163, 2164, 2165, 2167, 2169, 2170, 2172, 2174, 2175, 2176,
 2177, 2178, 2180, 2181, 2182, 2183, 2184, 2185, 2186, 2187,
 2188);
end Decl_Part_Shift_Reduce;
