--|$Log:	decl_part_goto.a,v $
--|Revision 8.0  91/01/17  10:44:39  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
package Decl_Part_Goto is

    type Small_Integer is range -32_000 .. 32_000;

    type Goto_Entry is record
        Nonterm  : Small_Integer;
        Newstate : Small_Integer;
    end record;

  --pragma suppress(index_check);

    subtype Row is Integer range -1 .. Integer'Last;

    type Goto_Parse_Table is array (Row range <>) of Goto_Entry;

    Goto_Matrix : constant Goto_Parse_Table :=
       ((-1,-1)  -- Dummy Entry.
-- State  0
,(-76, 2),(-64, 3),(-6, 1),(-2, 4)

-- State  1

-- State  2
,(-235, 34),(-234, 33),(-233, 32),(-232, 26)
,(-231, 25),(-177, 31),(-170, 30),(-87, 12)
,(-86, 11),(-85, 10),(-84, 6),(-83, 5)
,(-81, 9),(-80, 8),(-79, 36),(-77, 35)
,(-30, 29),(-29, 28),(-28, 27),(-22, 24)
,(-21, 23),(-20, 22),(-19, 21),(-18, 20)
,(-17, 19),(-16, 18),(-15, 17),(-14, 16)
,(-13, 15),(-12, 14),(-11, 7),(-3, 13)

-- State  3
,(-7, 38),(-3, 37)
-- State  4

-- State  5

-- State  6

-- State  7

-- State  8

-- State  9

-- State  10

-- State  11

-- State  12

-- State  13
,(-236, 55),(-223, 54)
,(-216, 43),(-215, 53),(-159, 44),(-23, 47)

-- State  14

-- State  15

-- State  16

-- State  17

-- State  18

-- State  19

-- State  20

-- State  21

-- State  22

-- State  23

-- State  24

-- State  25

-- State  26

-- State  27

-- State  28

-- State  29

-- State  30

-- State  31

-- State  32

-- State  33

-- State  34

-- State  35
,(-78, 59),(-64, 58)
-- State  36
,(-64, 60)
-- State  37

-- State  38

-- State  39

-- State  40
,(-27, 62)

-- State  41

-- State  42
,(-161, 67),(-88, 65)
-- State  43
,(-170, 71),(-159, 70)
,(-3, 69)
-- State  44
,(-4, 72)
-- State  45
,(-92, 75),(-91, 83)
,(-90, 82),(-89, 81),(-88, 80),(-71, 78)
,(-49, 77)
-- State  46
,(-217, 84)
-- State  47

-- State  48

-- State  49

-- State  50

-- State  51
,(-42, 91)
-- State  52
,(-178, 93)

-- State  53
,(-4, 95)
-- State  54

-- State  55
,(-47, 98)
-- State  56

-- State  57

-- State  58
,(-7, 38),(-3, 37)

-- State  59
,(-177, 31),(-170, 30),(-87, 12),(-86, 11)
,(-85, 10),(-84, 6),(-83, 5),(-82, 108)
,(-81, 105),(-77, 100),(-20, 106),(-18, 104)
,(-17, 103),(-16, 102),(-15, 101),(-3, 107)

-- State  60
,(-7, 38),(-3, 37)
-- State  61

-- State  62

-- State  63
,(-162, 111),(-160, 113)

-- State  64

-- State  65

-- State  66

-- State  67
,(-162, 111),(-160, 114)
-- State  68
,(-161, 116),(-88, 65)

-- State  69

-- State  70

-- State  71

-- State  72

-- State  73
,(-167, 119)
-- State  74
,(-92, 75),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-49, 123)

-- State  75
,(-47, 124)
-- State  76

-- State  77

-- State  78

-- State  79

-- State  80

-- State  81

-- State  82

-- State  83

-- State  84
,(-218, 133),(-30, 131),(-23, 129)
,(-3, 130)
-- State  85
,(-42, 136),(-40, 134),(-26, 139)
,(-24, 137)
-- State  86
,(-32, 143),(-4, 144)
-- State  87

-- State  88
,(-5, 146)

-- State  89
,(-71, 148)
-- State  90

-- State  91
,(-176, 149)
-- State  92

-- State  93

-- State  94
,(-71, 152)
-- State  95

-- State  96
,(-42, 154)

-- State  97
,(-243, 167),(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-104, 171),(-102, 166)
,(-101, 163),(-100, 162),(-99, 161),(-98, 160)
,(-97, 159),(-95, 186),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-74, 156)
,(-71, 121),(-50, 157),(-49, 158),(-47, 183)
,(-10, 155)
-- State  98
,(-4, 187)
-- State  99
,(-237, 189),(-64, 188)

-- State  100

-- State  101

-- State  102

-- State  103

-- State  104

-- State  105

-- State  106

-- State  107
,(-223, 54),(-216, 43),(-215, 53),(-159, 190)

-- State  108
,(-64, 192)
-- State  109
,(-8, 194)
-- State  110

-- State  111

-- State  112
,(-163, 197),(-23, 196)

-- State  113

-- State  114

-- State  115

-- State  116
,(-162, 111),(-160, 114)
-- State  117

-- State  118

-- State  119
,(-168, 202),(-76, 2)
,(-64, 3),(-6, 201)
-- State  120
,(-4, 203)
-- State  121

-- State  122

-- State  123
,(-4, 204)

-- State  124

-- State  125
,(-93, 209),(-88, 207),(-71, 205)
-- State  126
,(-94, 211)
,(-71, 210)
-- State  127

-- State  128
,(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 214),(-49, 213),(-47, 183)
-- State  129

-- State  130

-- State  131

-- State  132
,(-159, 217)

-- State  133

-- State  134
,(-56, 225),(-54, 224),(-47, 222),(-46, 221)
,(-45, 220),(-44, 219),(-43, 218),(-41, 228)

-- State  135
,(-60, 231)
-- State  136

-- State  137
,(-25, 233)
-- State  138
,(-42, 136),(-40, 234)
,(-26, 236),(-24, 235)
-- State  139
,(-25, 238)
-- State  140
,(-4, 240)

-- State  141
,(-69, 242),(-23, 241)
-- State  142
,(-175, 262),(-57, 255)
,(-56, 225),(-54, 224),(-46, 254),(-45, 253)
,(-44, 252),(-39, 249),(-38, 248),(-37, 247)
,(-36, 246),(-35, 245),(-34, 244),(-33, 243)
,(-31, 261),(-26, 256)
-- State  143
,(-4, 264)
-- State  144

-- State  145
,(-42, 136)
,(-40, 234),(-24, 266)
-- State  146

-- State  147
,(-42, 268)
-- State  148

-- State  149
,(-4, 270)

-- State  150

-- State  151
,(-179, 274)
-- State  152

-- State  153

-- State  154
,(-224, 276),(-222, 278)
-- State  155

-- State  156
,(-75, 279)

-- State  157
,(-244, 290),(-113, 280),(-103, 289)
-- State  158
,(-44, 291)

-- State  159

-- State  160

-- State  161

-- State  162

-- State  163

-- State  164

-- State  165
,(-114, 299)
-- State  166

-- State  167

-- State  168

-- State  169
,(-117, 185),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 304)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-49, 213),(-47, 183)

-- State  170
,(-47, 124)
-- State  171

-- State  172
,(-116, 310)
-- State  173

-- State  174

-- State  175

-- State  176
,(-110, 312)
-- State  177
,(-117, 185)
,(-112, 182),(-111, 181),(-109, 313),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-49, 213),(-47, 183)
-- State  178
,(-117, 185)
,(-112, 182),(-111, 181),(-109, 314),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-49, 213),(-47, 183)
-- State  179

-- State  180

-- State  181

-- State  182

-- State  183

-- State  184
,(-42, 136)
,(-40, 315)
-- State  185

-- State  186
,(-96, 316)
-- State  187

-- State  188
,(-239, 319),(-7, 38)
,(-3, 318)
-- State  189
,(-238, 320)
-- State  190
,(-4, 72)
-- State  191

-- State  192
,(-7, 38)
,(-3, 37)
-- State  193
,(-243, 167),(-242, 323),(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 166),(-101, 163),(-100, 162)
,(-99, 161),(-98, 160),(-97, 159),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 326),(-49, 213),(-47, 183)
,(-10, 324),(-9, 322)
-- State  194

-- State  195

-- State  196

-- State  197
,(-164, 329)
-- State  198
,(-42, 136)
,(-40, 330)
-- State  199
,(-42, 331)
-- State  200
,(-5, 332)
-- State  201

-- State  202

-- State  203

-- State  204

-- State  205

-- State  206

-- State  207

-- State  208

-- State  209

-- State  210

-- State  211

-- State  212
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 336),(-49, 213)
,(-47, 183)
-- State  213

-- State  214
,(-4, 337)
-- State  215
,(-219, 340),(-166, 338)

-- State  216

-- State  217
,(-221, 343)
-- State  218

-- State  219

-- State  220

-- State  221

-- State  222

-- State  223
,(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 345),(-49, 344),(-48, 346),(-47, 183)

-- State  224
,(-55, 348),(-44, 347)
-- State  225
,(-55, 349),(-44, 347)

-- State  226
,(-117, 185),(-115, 169),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 168)
,(-105, 165),(-92, 170),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-50, 350)
,(-49, 213),(-47, 183)
-- State  227
,(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 351),(-49, 213),(-47, 183)

-- State  228

-- State  229
,(-92, 75),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-49, 352)
-- State  230
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-61, 355),(-50, 345)
,(-49, 354),(-48, 353),(-47, 183)
-- State  231

-- State  232
,(-243, 167)
,(-117, 185),(-115, 169),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 168)
,(-105, 165),(-104, 171),(-102, 166),(-101, 163)
,(-100, 162),(-99, 161),(-98, 160),(-97, 159)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 326),(-49, 213)
,(-47, 183),(-10, 357)
-- State  233
,(-4, 358)
-- State  234
,(-56, 225)
,(-54, 224),(-47, 222),(-46, 221),(-45, 220)
,(-44, 219),(-43, 218),(-41, 228)
-- State  235
,(-25, 359)

-- State  236
,(-25, 360)
-- State  237
,(-243, 167),(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-104, 171)
,(-102, 166),(-101, 163),(-100, 162),(-99, 161)
,(-98, 160),(-97, 159),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 326),(-49, 213),(-47, 183),(-10, 361)

-- State  238
,(-4, 362)
-- State  239
,(-42, 363)
-- State  240

-- State  241

-- State  242
,(-70, 366)
-- State  243

-- State  244

-- State  245

-- State  246

-- State  247

-- State  248

-- State  249

-- State  250

-- State  251
,(-53, 367)
,(-51, 370)
-- State  252

-- State  253

-- State  254

-- State  255

-- State  256

-- State  257
,(-64, 371),(-63, 372)
-- State  258
,(-42, 136)
,(-40, 234),(-24, 373)
-- State  259
,(-42, 136),(-40, 234)
,(-24, 374)
-- State  260
,(-60, 231)
-- State  261

-- State  262

-- State  263
,(-175, 379),(-57, 255)
,(-56, 225),(-54, 224),(-46, 254),(-45, 253)
,(-44, 252),(-39, 249),(-38, 248),(-37, 247)
,(-36, 246),(-35, 245),(-34, 244),(-33, 243)
,(-31, 378),(-26, 256)
-- State  264

-- State  265

-- State  266
,(-4, 381)
-- State  267
,(-171, 382)

-- State  268
,(-4, 384)
-- State  269
,(-173, 385)
-- State  270

-- State  271
,(-42, 388)
-- State  272

-- State  273
,(-248, 390)
,(-64, 389)
-- State  274
,(-4, 391)
-- State  275
,(-168, 392),(-76, 2)
,(-64, 3),(-6, 201)
-- State  276

-- State  277
,(-243, 167),(-230, 397)
,(-229, 395),(-228, 396),(-227, 394),(-225, 401)
,(-117, 185),(-115, 169),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 168)
,(-105, 165),(-104, 171),(-102, 166),(-101, 163)
,(-100, 162),(-99, 161),(-98, 160),(-97, 159)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 399),(-71, 398),(-50, 326),(-49, 213)
,(-47, 183),(-10, 400)
-- State  278
,(-4, 402)
-- State  279

-- State  280
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 405),(-49, 213)
,(-47, 183)
-- State  281

-- State  282

-- State  283

-- State  284

-- State  285

-- State  286

-- State  287

-- State  288
,(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 406),(-49, 213),(-47, 183)
-- State  289

-- State  290

-- State  291

-- State  292
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 408),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 326),(-49, 213),(-47, 183)
-- State  293

-- State  294
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 410),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 326),(-49, 213),(-47, 183)
-- State  295

-- State  296

-- State  297

-- State  298

-- State  299
,(-117, 185)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 412),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-49, 213),(-47, 183)
-- State  300
,(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-104, 171)
,(-102, 413),(-92, 170),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-50, 326)
,(-49, 213),(-47, 183)
-- State  301
,(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-104, 171)
,(-102, 415),(-92, 170),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-50, 326)
,(-49, 213),(-47, 183)
-- State  302
,(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-104, 171)
,(-102, 417),(-92, 170),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-50, 326)
,(-49, 213),(-47, 183)
-- State  303
,(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-104, 171)
,(-102, 418),(-92, 170),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-50, 326)
,(-49, 213),(-47, 183)
-- State  304

-- State  305
,(-94, 211),(-71, 210)
,(-47, 419)
-- State  306

-- State  307

-- State  308

-- State  309

-- State  310
,(-117, 185),(-112, 182),(-111, 181)
,(-109, 176),(-108, 420),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-49, 213),(-47, 183)
-- State  311
,(-117, 185),(-112, 182)
,(-111, 181),(-109, 421),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-49, 213),(-47, 183)
-- State  312

-- State  313

-- State  314

-- State  315
,(-47, 422)
-- State  316

-- State  317

-- State  318

-- State  319
,(-64, 427)

-- State  320
,(-240, 430),(-92, 75),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-49, 428)

-- State  321
,(-5, 146)
-- State  322

-- State  323

-- State  324

-- State  325

-- State  326
,(-244, 290),(-113, 280),(-103, 289)

-- State  327
,(-4, 434)
-- State  328
,(-166, 435),(-165, 438)
-- State  329

-- State  330

-- State  331
,(-224, 276)
,(-222, 441)
-- State  332

-- State  333
,(-118, 444),(-64, 443)
-- State  334

-- State  335

-- State  336
,(-4, 445)

-- State  337

-- State  338

-- State  339

-- State  340
,(-42, 136),(-40, 448)
-- State  341
,(-32, 450)
-- State  342
,(-92, 75)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-49, 451)
-- State  343

-- State  344

-- State  345

-- State  346

-- State  347

-- State  348

-- State  349

-- State  350

-- State  351

-- State  352
,(-4, 455)
-- State  353

-- State  354
,(-44, 456)

-- State  355
,(-62, 457)
-- State  356
,(-42, 136),(-40, 234),(-24, 458)

-- State  357

-- State  358

-- State  359
,(-4, 460)
-- State  360
,(-4, 461)
-- State  361
,(-4, 462)
-- State  362

-- State  363
,(-4, 464)

-- State  364

-- State  365
,(-42, 136),(-40, 465)
-- State  366

-- State  367

-- State  368

-- State  369

-- State  370
,(-52, 468)
-- State  371
,(-65, 469)
,(-7, 38),(-3, 37)
-- State  372

-- State  373

-- State  374

-- State  375
,(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-61, 355),(-58, 473),(-50, 345)
,(-49, 472),(-48, 353),(-47, 183)
-- State  376
,(-4, 474)

-- State  377
,(-4, 475)
-- State  378

-- State  379

-- State  380

-- State  381

-- State  382
,(-76, 479),(-64, 3)
-- State  383
,(-42, 480)

-- State  384

-- State  385
,(-168, 482),(-76, 2),(-64, 3),(-6, 201)

-- State  386
,(-4, 483)
-- State  387

-- State  388

-- State  389
,(-7, 38),(-3, 37)
-- State  390
,(-249, 484)
,(-180, 486),(-3, 485)
-- State  391

-- State  392

-- State  393
,(-4, 488)
-- State  394

-- State  395

-- State  396

-- State  397

-- State  398

-- State  399

-- State  400

-- State  401
,(-226, 490)

-- State  402

-- State  403
,(-243, 167),(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-104, 171),(-102, 166)
,(-101, 163),(-100, 162),(-99, 161),(-98, 160)
,(-97, 159),(-92, 170),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-50, 326)
,(-49, 213),(-47, 183),(-10, 492)
-- State  404
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-74, 495),(-71, 121),(-50, 493)
,(-49, 494),(-47, 183)
-- State  405

-- State  406

-- State  407
,(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 345),(-49, 344),(-48, 496)
,(-47, 183)
-- State  408

-- State  409
,(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-104, 171),(-102, 497)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 326),(-49, 213)
,(-47, 183)
-- State  410

-- State  411
,(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-104, 171),(-102, 498)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 326),(-49, 213)
,(-47, 183)
-- State  412

-- State  413

-- State  414
,(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-104, 171),(-102, 499)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 326),(-49, 213)
,(-47, 183)
-- State  415

-- State  416
,(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-104, 171),(-102, 500)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 326),(-49, 213)
,(-47, 183)
-- State  417

-- State  418

-- State  419

-- State  420

-- State  421

-- State  422

-- State  423
,(-47, 501)
-- State  424

-- State  425
,(-243, 167),(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 166),(-101, 163),(-100, 162)
,(-99, 161),(-98, 160),(-97, 159),(-95, 502)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-74, 156),(-71, 121),(-50, 157)
,(-49, 158),(-47, 183),(-10, 155)
-- State  426

-- State  427
,(-7, 38)
,(-3, 37)
-- State  428
,(-3, 504)
-- State  429

-- State  430
,(-64, 506)
-- State  431

-- State  432
,(-243, 167)
,(-117, 185),(-115, 169),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 168)
,(-105, 165),(-104, 171),(-102, 166),(-101, 163)
,(-100, 162),(-99, 161),(-98, 160),(-97, 159)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 326),(-49, 213)
,(-47, 183),(-10, 324),(-9, 507)
-- State  433
,(-243, 167)
,(-117, 185),(-115, 169),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 168)
,(-105, 165),(-104, 171),(-102, 166),(-101, 163)
,(-100, 162),(-99, 161),(-98, 160),(-97, 159)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 326),(-49, 213)
,(-47, 183),(-10, 508)
-- State  434

-- State  435

-- State  436

-- State  437

-- State  438
,(-42, 136),(-40, 510)

-- State  439

-- State  440
,(-163, 511),(-23, 196)
-- State  441
,(-4, 512)
-- State  442
,(-171, 382)

-- State  443
,(-121, 513),(-119, 514),(-7, 38),(-3, 37)

-- State  444
,(-155, 516)
-- State  445

-- State  446

-- State  447

-- State  448
,(-25, 518)
-- State  449
,(-220, 525),(-175, 262)
,(-57, 255),(-38, 524),(-36, 523),(-26, 256)

-- State  450

-- State  451

-- State  452

-- State  453

-- State  454
,(-117, 185),(-115, 169),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 168)
,(-105, 165),(-92, 170),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-50, 527)
,(-49, 213),(-47, 183)
-- State  455

-- State  456

-- State  457

-- State  458

-- State  459

-- State  460

-- State  461

-- State  462

-- State  463

-- State  464

-- State  465
,(-25, 535)
-- State  466

-- State  467
,(-69, 536)
,(-23, 241)
-- State  468

-- State  469
,(-67, 541),(-66, 540),(-3, 539)

-- State  470

-- State  471

-- State  472
,(-44, 456)
-- State  473
,(-59, 545)
-- State  474

-- State  475

-- State  476
,(-4, 547)
-- State  477
,(-4, 548)

-- State  478

-- State  479
,(-235, 34),(-234, 33),(-233, 32),(-232, 26)
,(-231, 25),(-177, 31),(-172, 551),(-170, 30)
,(-81, 9),(-80, 8),(-79, 36),(-30, 29)
,(-29, 28),(-28, 27),(-22, 24),(-21, 23)
,(-20, 22),(-19, 21),(-18, 20),(-17, 19)
,(-16, 18),(-15, 17),(-14, 16),(-13, 15)
,(-12, 14),(-11, 7),(-3, 550)
-- State  480
,(-224, 276)
,(-222, 552)
-- State  481

-- State  482
,(-174, 554)
-- State  483

-- State  484
,(-235, 34),(-234, 33)
,(-233, 32),(-232, 26),(-231, 25),(-80, 558)
,(-3, 556)
-- State  485

-- State  486
,(-64, 560)
-- State  487
,(-118, 561),(-64, 443)

-- State  488

-- State  489
,(-243, 167),(-230, 397),(-229, 563),(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 166),(-101, 163),(-100, 162)
,(-99, 161),(-98, 160),(-97, 159),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 326),(-49, 213),(-47, 183)
,(-10, 400)
-- State  490

-- State  491

-- State  492

-- State  493

-- State  494
,(-44, 567)
-- State  495

-- State  496

-- State  497

-- State  498

-- State  499

-- State  500

-- State  501

-- State  502

-- State  503
,(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 568),(-49, 213),(-47, 183)

-- State  504

-- State  505
,(-4, 570)
-- State  506
,(-7, 38),(-3, 37)
-- State  507

-- State  508

-- State  509

-- State  510
,(-25, 571)

-- State  511

-- State  512

-- State  513
,(-187, 595),(-186, 594),(-185, 593),(-139, 598)
,(-138, 589),(-137, 588),(-136, 587),(-135, 586)
,(-134, 585),(-133, 584),(-132, 581),(-131, 580)
,(-130, 579),(-129, 578),(-128, 577),(-127, 576)
,(-126, 575),(-125, 574),(-124, 573),(-123, 597)
,(-122, 596),(-3, 582)
-- State  514
,(-120, 600),(-64, 599)

-- State  515
,(-64, 601)
-- State  516

-- State  517

-- State  518

-- State  519

-- State  520

-- State  521

-- State  522

-- State  523

-- State  524

-- State  525
,(-4, 608)
-- State  526
,(-175, 379)
-- State  527

-- State  528

-- State  529

-- State  530
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-61, 609),(-50, 345)
,(-49, 354),(-48, 353),(-47, 183)
-- State  531

-- State  532

-- State  533

-- State  534

-- State  535

-- State  536

-- State  537

-- State  538
,(-53, 367)
,(-51, 610)
-- State  539
,(-23, 611)
-- State  540
,(-64, 613)
-- State  541
,(-64, 614)

-- State  542
,(-64, 615)
-- State  543

-- State  544
,(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 345),(-49, 344),(-48, 346),(-47, 183)

-- State  545

-- State  546

-- State  547

-- State  548

-- State  549
,(-76, 620),(-64, 3)
-- State  550
,(-236, 55),(-223, 54)
,(-216, 43),(-215, 53),(-159, 621),(-23, 47)

-- State  551

-- State  552
,(-4, 625)
-- State  553
,(-118, 626),(-64, 443)
-- State  554

-- State  555

-- State  556
,(-236, 55)

-- State  557
,(-149, 629),(-71, 628)
-- State  558
,(-64, 630)
-- State  559

-- State  560
,(-7, 38)
,(-3, 37)
-- State  561
,(-155, 632)
-- State  562

-- State  563

-- State  564

-- State  565
,(-243, 167),(-230, 397)
,(-229, 395),(-228, 396),(-227, 394),(-225, 633)
,(-117, 185),(-115, 169),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 168)
,(-105, 165),(-104, 171),(-102, 166),(-101, 163)
,(-100, 162),(-99, 161),(-98, 160),(-97, 159)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 399),(-71, 398),(-50, 326),(-49, 213)
,(-47, 183),(-10, 400)
-- State  566
,(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 634),(-49, 213),(-47, 183)

-- State  567

-- State  568
,(-4, 635)
-- State  569
,(-117, 185),(-115, 169),(-112, 182)
,(-111, 181),(-109, 176),(-108, 175),(-107, 172)
,(-106, 168),(-105, 165),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 636),(-49, 213),(-47, 183)
-- State  570

-- State  571

-- State  572

-- State  573

-- State  574

-- State  575

-- State  576

-- State  577

-- State  578

-- State  579

-- State  580

-- State  581

-- State  582
,(-241, 651)
,(-147, 643),(-117, 185),(-112, 639),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 638),(-49, 640)
-- State  583

-- State  584

-- State  585

-- State  586

-- State  587

-- State  588

-- State  589

-- State  590
,(-71, 652)
-- State  591

-- State  592
,(-156, 655)
,(-42, 654)
-- State  593

-- State  594

-- State  595

-- State  596

-- State  597

-- State  598

-- State  599
,(-7, 38),(-3, 37)
-- State  600
,(-121, 513)
,(-119, 656)
-- State  601
,(-247, 658),(-212, 657),(-7, 38)
,(-3, 37)
-- State  602
,(-169, 661),(-161, 660),(-88, 65)

-- State  603

-- State  604

-- State  605

-- State  606

-- State  607

-- State  608

-- State  609

-- State  610

-- State  611

-- State  612
,(-71, 665)
-- State  613
,(-7, 38),(-3, 37)
-- State  614
,(-7, 38)
,(-3, 37)
-- State  615
,(-7, 38),(-3, 37)
-- State  616

-- State  617

-- State  618
,(-92, 75)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-58, 668),(-49, 667)
-- State  619

-- State  620
,(-235, 34)
,(-234, 33),(-233, 32),(-232, 26),(-231, 25)
,(-177, 31),(-170, 30),(-81, 9),(-80, 8)
,(-79, 36),(-30, 29),(-29, 28),(-28, 27)
,(-22, 24),(-21, 23),(-20, 22),(-19, 21)
,(-18, 20),(-17, 19),(-16, 18),(-15, 17)
,(-14, 16),(-13, 15),(-12, 14),(-11, 7)
,(-3, 550)
-- State  621
,(-4, 72)
-- State  622

-- State  623
,(-178, 93)
-- State  624
,(-149, 670)
,(-71, 628)
-- State  625

-- State  626
,(-155, 672)
-- State  627
,(-149, 673),(-71, 628)

-- State  628

-- State  629

-- State  630
,(-7, 38),(-3, 37)
-- State  631
,(-162, 111),(-160, 675)

-- State  632

-- State  633

-- State  634

-- State  635

-- State  636

-- State  637

-- State  638

-- State  639

-- State  640
,(-4, 680)
-- State  641
,(-243, 167),(-140, 683),(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 166),(-101, 163),(-100, 162)
,(-99, 161),(-98, 160),(-97, 159),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 326),(-49, 213),(-47, 183)
,(-10, 682)
-- State  642
,(-243, 167),(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-104, 171)
,(-102, 166),(-101, 163),(-100, 162),(-99, 161)
,(-98, 160),(-97, 159),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 326),(-49, 213),(-47, 183),(-10, 684)

-- State  643
,(-153, 689),(-150, 685),(-148, 688)
-- State  644
,(-156, 690)
,(-42, 654)
-- State  645
,(-243, 167),(-158, 692),(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 166),(-101, 163),(-100, 162)
,(-99, 161),(-98, 160),(-97, 159),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 326),(-49, 213),(-47, 183)
,(-10, 691)
-- State  646
,(-42, 693)
-- State  647
,(-71, 694)
-- State  648
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 695),(-49, 213)
,(-47, 183)
-- State  649
,(-197, 705),(-196, 704),(-195, 703)
,(-194, 702),(-193, 701),(-192, 700),(-191, 698)
,(-190, 696),(-188, 706),(-181, 707),(-64, 697)

-- State  650
,(-92, 75),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-49, 708)
-- State  651
,(-4, 709)

-- State  652

-- State  653

-- State  654

-- State  655

-- State  656
,(-64, 712)
-- State  657

-- State  658
,(-212, 713)
-- State  659
,(-213, 716),(-42, 714)

-- State  660

-- State  661
,(-4, 717)
-- State  662

-- State  663

-- State  664
,(-68, 719),(-42, 136),(-40, 234)
,(-24, 718)
-- State  665

-- State  666
,(-42, 136),(-40, 234),(-24, 721)

-- State  667

-- State  668

-- State  669

-- State  670
,(-4, 723)
-- State  671

-- State  672

-- State  673
,(-4, 724)
-- State  674
,(-163, 197),(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-61, 726),(-50, 345)
,(-49, 354),(-48, 353),(-47, 183),(-23, 196)

-- State  675
,(-4, 727)
-- State  676
,(-149, 728),(-71, 628)
-- State  677

-- State  678
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 345),(-49, 344)
,(-48, 729),(-47, 183)
-- State  679

-- State  680

-- State  681
,(-243, 167),(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 166),(-101, 163),(-100, 162)
,(-99, 161),(-98, 160),(-97, 159),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 326),(-49, 213),(-47, 183)
,(-10, 731)
-- State  682

-- State  683

-- State  684

-- State  685

-- State  686
,(-243, 167),(-140, 734),(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 166),(-101, 163),(-100, 162)
,(-99, 161),(-98, 160),(-97, 159),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 326),(-49, 213),(-47, 183)
,(-10, 682)
-- State  687
,(-151, 736)
-- State  688

-- State  689
,(-154, 739)
-- State  690
,(-157, 741)

-- State  691

-- State  692
,(-4, 742)
-- State  693
,(-4, 743)
-- State  694
,(-182, 746),(-162, 111)
,(-160, 744)
-- State  695
,(-4, 747)
-- State  696

-- State  697
,(-137, 750),(-129, 751)
,(-92, 75),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-49, 749),(-7, 38)
,(-3, 748)
-- State  698

-- State  699
,(-243, 167),(-140, 753),(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-104, 171),(-102, 166),(-101, 163),(-100, 162)
,(-99, 161),(-98, 160),(-97, 159),(-92, 170)
,(-91, 122),(-90, 82),(-89, 81),(-88, 80)
,(-71, 121),(-50, 326),(-49, 213),(-47, 183)
,(-10, 682)
-- State  700

-- State  701

-- State  702

-- State  703

-- State  704

-- State  705

-- State  706
,(-189, 754)
-- State  707
,(-198, 757),(-118, 756)
,(-64, 755)
-- State  708
,(-199, 758)
-- State  709

-- State  710

-- State  711

-- State  712
,(-7, 38),(-3, 37)

-- State  713

-- State  714

-- State  715

-- State  716
,(-214, 760)
-- State  717

-- State  718

-- State  719
,(-25, 762)
-- State  720
,(-64, 763)
-- State  721

-- State  722

-- State  723

-- State  724

-- State  725
,(-27, 62)

-- State  726

-- State  727

-- State  728
,(-4, 767)
-- State  729
,(-4, 768)
-- State  730

-- State  731
,(-4, 769)
-- State  732
,(-141, 770)

-- State  733
,(-144, 771)
-- State  734

-- State  735

-- State  736

-- State  737
,(-118, 773),(-64, 443)
-- State  738
,(-76, 2)
,(-64, 3),(-6, 774)
-- State  739

-- State  740
,(-243, 167),(-140, 776)
,(-117, 185),(-115, 169),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 168)
,(-105, 165),(-104, 171),(-102, 166),(-101, 163)
,(-100, 162),(-99, 161),(-98, 160),(-97, 159)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-50, 326),(-49, 213)
,(-47, 183),(-10, 682)
-- State  741
,(-4, 777)
-- State  742

-- State  743

-- State  744

-- State  745
,(-243, 167)
,(-184, 781),(-163, 197),(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-104, 171)
,(-102, 166),(-101, 163),(-100, 162),(-99, 161)
,(-98, 160),(-97, 159),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 326),(-49, 213),(-47, 183),(-23, 196)
,(-10, 780)
-- State  746
,(-183, 783)
-- State  747

-- State  748

-- State  749

-- State  750
,(-198, 786),(-118, 756)
,(-64, 755)
-- State  751
,(-198, 787),(-118, 756),(-64, 755)

-- State  752

-- State  753

-- State  754
,(-143, 791)
-- State  755
,(-121, 513),(-119, 514),(-7, 38)
,(-3, 37)
-- State  756

-- State  757

-- State  758
,(-4, 795)
-- State  759

-- State  760

-- State  761

-- State  762
,(-4, 799)
-- State  763
,(-72, 801)
,(-7, 38),(-3, 37)
-- State  764

-- State  765
,(-162, 111),(-160, 802)

-- State  766

-- State  767

-- State  768

-- State  769

-- State  770
,(-118, 806),(-64, 443)
-- State  771
,(-145, 808),(-64, 807)

-- State  772
,(-152, 810)
-- State  773

-- State  774

-- State  775
,(-118, 812),(-64, 443)
-- State  776

-- State  777

-- State  778

-- State  779

-- State  780

-- State  781

-- State  782
,(-118, 815)
,(-64, 443)
-- State  783
,(-4, 816)
-- State  784

-- State  785

-- State  786

-- State  787

-- State  788
,(-64, 817)
-- State  789
,(-197, 705)
,(-196, 704),(-195, 703),(-194, 702),(-193, 701)
,(-192, 700),(-191, 819),(-64, 818)
-- State  790
,(-118, 820)
,(-64, 443)
-- State  791

-- State  792
,(-197, 705),(-196, 704),(-195, 703)
,(-194, 702),(-193, 701),(-192, 700),(-191, 698)
,(-190, 696),(-188, 822),(-64, 818)
-- State  793
,(-118, 823)
,(-64, 443)
-- State  794
,(-196, 704),(-193, 825),(-64, 824)

-- State  795

-- State  796
,(-92, 75),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-71, 121),(-49, 827)
-- State  797
,(-118, 828)
,(-64, 443)
-- State  798
,(-213, 829),(-42, 714)
-- State  799

-- State  800
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-74, 831),(-71, 121),(-50, 493)
,(-49, 494),(-47, 183)
-- State  801
,(-73, 832)
-- State  802
,(-4, 833)

-- State  803

-- State  804

-- State  805

-- State  806
,(-142, 834)
-- State  807
,(-146, 836),(-7, 38),(-3, 37)

-- State  808

-- State  809

-- State  810
,(-117, 185),(-115, 169),(-112, 182),(-111, 181)
,(-109, 176),(-108, 175),(-107, 172),(-106, 168)
,(-105, 165),(-92, 170),(-91, 122),(-90, 82)
,(-89, 81),(-88, 80),(-71, 121),(-61, 838)
,(-50, 345),(-49, 354),(-48, 353),(-47, 183)

-- State  811

-- State  812
,(-155, 840)
-- State  813

-- State  814
,(-162, 111),(-160, 841)
-- State  815

-- State  816

-- State  817
,(-7, 38)
,(-3, 37)
-- State  818
,(-137, 750),(-129, 751),(-7, 38)
,(-3, 748)
-- State  819

-- State  820

-- State  821

-- State  822

-- State  823

-- State  824
,(-129, 751),(-7, 38),(-3, 846)

-- State  825

-- State  826

-- State  827

-- State  828

-- State  829

-- State  830

-- State  831
,(-75, 848)
-- State  832
,(-72, 850)
-- State  833

-- State  834
,(-143, 852)
-- State  835
,(-117, 185)
,(-115, 169),(-112, 182),(-111, 181),(-109, 176)
,(-108, 175),(-107, 172),(-106, 168),(-105, 165)
,(-92, 170),(-91, 122),(-90, 82),(-89, 81)
,(-88, 80),(-74, 854),(-71, 121),(-50, 493)
,(-49, 494),(-47, 183)
-- State  836
,(-246, 855)
-- State  837

-- State  838

-- State  839
,(-149, 857)
,(-71, 628)
-- State  840

-- State  841

-- State  842
,(-149, 859),(-71, 628)
-- State  843

-- State  844
,(-4, 860)

-- State  845

-- State  846

-- State  847

-- State  848

-- State  849

-- State  850

-- State  851

-- State  852

-- State  853
,(-243, 167),(-140, 866),(-117, 185),(-115, 169)
,(-112, 182),(-111, 181),(-109, 176),(-108, 175)
,(-107, 172),(-106, 168),(-105, 165),(-104, 171)
,(-102, 166),(-101, 163),(-100, 162),(-99, 161)
,(-98, 160),(-97, 159),(-92, 170),(-91, 122)
,(-90, 82),(-89, 81),(-88, 80),(-71, 121)
,(-50, 326),(-49, 213),(-47, 183),(-10, 682)

-- State  854
,(-75, 867)
-- State  855
,(-146, 868)
-- State  856

-- State  857
,(-4, 870)
-- State  858
,(-149, 871)
,(-71, 628)
-- State  859

-- State  860

-- State  861
,(-4, 873)
-- State  862
,(-4, 874)
-- State  863
,(-64, 371)
,(-63, 875)
-- State  864
,(-4, 876)
-- State  865

-- State  866

-- State  867

-- State  868

-- State  869
,(-4, 880)
-- State  870

-- State  871
,(-4, 882)

-- State  872

-- State  873

-- State  874

-- State  875

-- State  876

-- State  877

-- State  878
,(-245, 887)
-- State  879
,(-118, 888),(-64, 443)
-- State  880

-- State  881

-- State  882

-- State  883

-- State  884

-- State  885

-- State  886
,(-4, 890)

-- State  887
,(-118, 891),(-64, 443)
-- State  888

-- State  889

-- State  890

-- State  891

);
--  The offset vector
GOTO_OFFSET : array (0.. 891) of Integer :=
( 0,
 4, 4, 36, 38, 38, 38, 38, 38, 38, 38,
 38, 38, 38, 44, 44, 44, 44, 44, 44, 44,
 44, 44, 44, 44, 44, 44, 44, 44, 44, 44,
 44, 44, 44, 44, 44, 46, 47, 47, 47, 47,
 48, 48, 50, 53, 54, 61, 62, 62, 62, 62,
 62, 63, 64, 65, 65, 66, 66, 66, 68, 84,
 86, 86, 86, 88, 88, 88, 88, 90, 92, 92,
 92, 92, 92, 93, 100, 101, 101, 101, 101, 101,
 101, 101, 101, 101, 105, 109, 111, 111, 112, 113,
 113, 114, 114, 114, 115, 115, 116, 145, 146, 148,
 148, 148, 148, 148, 148, 148, 148, 152, 153, 154,
 154, 154, 156, 156, 156, 156, 158, 158, 158, 162,
 163, 163, 163, 164, 164, 167, 169, 169, 187, 187,
 187, 187, 188, 188, 196, 197, 197, 198, 202, 203,
 204, 206, 222, 223, 223, 226, 226, 227, 227, 228,
 228, 229, 229, 229, 231, 231, 232, 235, 236, 236,
 236, 236, 236, 236, 236, 237, 237, 237, 237, 252,
 253, 253, 254, 254, 254, 254, 255, 267, 279, 279,
 279, 279, 279, 279, 281, 281, 282, 282, 285, 286,
 287, 287, 289, 318, 318, 318, 318, 319, 321, 322,
 323, 323, 323, 323, 323, 323, 323, 323, 323, 323,
 323, 323, 341, 341, 342, 344, 344, 345, 345, 345,
 345, 345, 345, 364, 366, 368, 386, 404, 404, 411,
 431, 431, 458, 459, 467, 468, 469, 496, 497, 498,
 498, 498, 499, 499, 499, 499, 499, 499, 499, 499,
 499, 501, 501, 501, 501, 501, 501, 503, 506, 509,
 510, 510, 510, 526, 526, 526, 527, 528, 529, 530,
 530, 531, 531, 533, 534, 538, 538, 570, 571, 571,
 589, 589, 589, 589, 589, 589, 589, 589, 607, 607,
 607, 607, 627, 627, 647, 647, 647, 647, 647, 662,
 682, 702, 722, 742, 742, 745, 745, 745, 745, 745,
 758, 770, 770, 770, 770, 771, 771, 771, 771, 772,
 780, 781, 781, 781, 781, 781, 784, 785, 787, 787,
 787, 789, 789, 791, 791, 791, 792, 792, 792, 792,
 794, 795, 802, 802, 802, 802, 802, 802, 802, 802,
 802, 802, 803, 803, 804, 805, 808, 808, 808, 809,
 810, 811, 811, 812, 812, 814, 814, 814, 814, 814,
 815, 818, 818, 818, 818, 839, 840, 841, 841, 841,
 841, 841, 843, 844, 844, 848, 849, 849, 849, 851,
 854, 854, 854, 855, 855, 855, 855, 855, 855, 855,
 855, 856, 856, 883, 902, 902, 902, 921, 921, 941,
 941, 961, 961, 961, 981, 981, 1001, 1001, 1001, 1001,
 1001, 1001, 1001, 1002, 1002, 1031, 1031, 1033, 1034, 1034,
 1035, 1035, 1063, 1090, 1090, 1090, 1090, 1090, 1092, 1092,
 1094, 1095, 1096, 1100, 1101, 1101, 1101, 1101, 1102, 1108,
 1108, 1108, 1108, 1108, 1126, 1126, 1126, 1126, 1126, 1126,
 1126, 1126, 1126, 1126, 1126, 1127, 1127, 1129, 1129, 1132,
 1132, 1132, 1133, 1134, 1134, 1134, 1135, 1136, 1136, 1163,
 1165, 1165, 1166, 1166, 1173, 1173, 1174, 1176, 1176, 1205,
 1205, 1205, 1205, 1205, 1206, 1206, 1206, 1206, 1206, 1206,
 1206, 1206, 1206, 1224, 1224, 1225, 1227, 1227, 1227, 1227,
 1228, 1228, 1228, 1250, 1252, 1253, 1253, 1253, 1253, 1253,
 1253, 1253, 1253, 1253, 1253, 1254, 1255, 1255, 1255, 1255,
 1275, 1275, 1275, 1275, 1275, 1275, 1275, 1275, 1277, 1278,
 1279, 1280, 1281, 1281, 1300, 1300, 1300, 1300, 1300, 1302,
 1308, 1308, 1309, 1311, 1311, 1311, 1312, 1314, 1315, 1315,
 1317, 1318, 1318, 1318, 1318, 1350, 1368, 1368, 1369, 1387,
 1387, 1387, 1387, 1387, 1387, 1387, 1387, 1387, 1387, 1387,
 1387, 1387, 1398, 1398, 1398, 1398, 1398, 1398, 1398, 1398,
 1399, 1399, 1401, 1401, 1401, 1401, 1401, 1401, 1401, 1403,
 1405, 1409, 1412, 1412, 1412, 1412, 1412, 1412, 1412, 1412,
 1412, 1412, 1413, 1415, 1417, 1419, 1419, 1419, 1427, 1427,
 1453, 1454, 1454, 1455, 1457, 1457, 1458, 1460, 1460, 1460,
 1462, 1464, 1464, 1464, 1464, 1464, 1464, 1464, 1464, 1464,
 1465, 1493, 1520, 1523, 1525, 1553, 1554, 1555, 1573, 1584,
 1591, 1592, 1592, 1592, 1592, 1592, 1593, 1593, 1594, 1596,
 1596, 1597, 1597, 1597, 1601, 1601, 1604, 1604, 1604, 1604,
 1605, 1605, 1605, 1606, 1628, 1629, 1631, 1631, 1650, 1650,
 1650, 1677, 1677, 1677, 1677, 1677, 1705, 1706, 1706, 1707,
 1708, 1708, 1709, 1710, 1713, 1714, 1714, 1725, 1725, 1753,
 1753, 1753, 1753, 1753, 1753, 1753, 1754, 1757, 1758, 1758,
 1758, 1758, 1760, 1760, 1760, 1760, 1761, 1761, 1761, 1762,
 1763, 1763, 1763, 1763, 1763, 1764, 1764, 1764, 1765, 1766,
 1766, 1767, 1768, 1769, 1769, 1769, 1769, 1771, 1774, 1774,
 1802, 1803, 1803, 1803, 1803, 1833, 1834, 1834, 1834, 1834,
 1837, 1840, 1840, 1840, 1841, 1845, 1845, 1845, 1846, 1846,
 1846, 1846, 1847, 1850, 1850, 1852, 1852, 1852, 1852, 1852,
 1854, 1856, 1857, 1857, 1857, 1859, 1859, 1859, 1859, 1859,
 1859, 1859, 1861, 1862, 1862, 1862, 1862, 1862, 1863, 1871,
 1873, 1873, 1883, 1885, 1888, 1888, 1895, 1897, 1899, 1899,
 1918, 1919, 1920, 1920, 1920, 1920, 1921, 1924, 1924, 1924,
 1944, 1944, 1945, 1945, 1947, 1947, 1947, 1949, 1953, 1953,
 1953, 1953, 1953, 1953, 1956, 1956, 1956, 1956, 1956, 1956,
 1956, 1957, 1958, 1958, 1959, 1978, 1979, 1979, 1979, 1981,
 1981, 1981, 1983, 1983, 1984, 1984, 1984, 1984, 1984, 1984,
 1984, 1984, 1984, 2012, 2013, 2014, 2014, 2015, 2017, 2017,
 2017, 2018, 2019, 2021, 2022, 2022, 2022, 2022, 2022, 2023,
 2023, 2024, 2024, 2024, 2024, 2024, 2024, 2024, 2025, 2027,
 2027, 2027, 2027, 2027, 2027, 2027, 2028, 2030, 2030, 2030,
 2030);

subtype Rule        is Natural;
subtype Nonterminal is Integer;

   Rule_Length : array (Rule range  0 ..  466) of Natural := ( 2,
 0, 0, 0, 1, 6, 1, 3, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 7, 8, 7, 8, 8, 2,
 1, 1, 1, 7, 8, 1, 1, 1,
 1, 1, 1, 1, 7, 2, 1, 1,
 1, 1, 1, 2, 2, 1, 3, 4,
 1, 1, 1, 1, 1, 1, 2, 2,
 2, 2, 1, 1, 7, 4, 3, 4,
 1, 2, 4, 4, 4, 4, 7, 1,
 4, 4, 11, 5, 1, 2, 3, 1,
 2, 5, 6, 1, 3, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 2, 3, 1, 1, 1,
 1, 3, 1, 1, 4, 1, 4, 3,
 2, 1, 1, 1, 1, 1, 2, 1,
 1, 1, 2, 2, 2, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 1, 2, 3, 4, 3, 2,
 2, 1, 1, 1, 1, 1, 1, 1,
 1, 1, 4, 1, 1, 1, 1, 1,
 1, 1, 3, 2, 6, 0, 12, 1,
 0, 10, 5, 10, 2, 2, 4, 0,
 11, 6, 5, 5, 4, 3, 5, 1,
 1, 1, 4, 5, 1, 2, 1, 0,
 12, 2, 0, 11, 0, 12, 8, 9,
 6, 8, 8, 7, 6, 2, 6, 13,
 6, 9, 3, 7, 1, 5, 1, 1,
 1, 9, 1, 1, 1, 1, 1, 1,
 1, 10, 10, 6, 1, 3, 3, 1,
 1, 1, 1, 1, 1, 1, 1, 1,
 1, 4, 6, 8, 8, 5, 6, 5,
 1, 1, 3, 4, 2, 2, 2, 6,
 7, 1, 4, 3, 2, 2, 2, 1,
 1, 10, 7, 9, 4, 1, 1, 1,
 1, 1, 1, 1, 1, 1, 7, 5,
 9, 6, 8, 8, 4, 0, 2, 0,
 3, 1, 3, 0, 2, 0, 3, 0,
 1, 1, 3, 0, 3, 0, 1, 0,
 3, 0, 3, 0, 3, 0, 3, 0,
 2, 0, 3, 1, 3, 1, 3, 0,
 3, 3, 3, 3, 3, 1, 1, 3,
 3, 4, 4, 4, 4, 0, 2, 4,
 0, 1, 1, 2, 3, 1, 3, 0,
 2, 3, 1, 3, 0, 2, 0, 0,
 6, 0, 2, 3, 0, 2, 0, 2,
 0, 1, 0, 1, 0, 1, 0, 2,
 0, 3, 1, 2, 0, 1, 0, 2,
 0, 1, 0, 1, 0, 3, 0, 1,
 1, 0, 1, 0, 2, 0, 3, 0,
 1, 0, 3, 0, 1, 0, 5, 1,
 3, 0, 3, 1, 4, 0, 4, 0,
 3, 1, 4, 3, 3, 4, 1, 1,
 0, 3, 1, 3, 1, 1, 3, 1,
 3, 0, 3, 0, 3, 0, 2, 1,
 2, 0, 2, 2, 2, 0, 1, 0,
 3, 1, 3, 1, 3, 1, 3, 0,
 3, 1);
   Get_LHS_Rule: array (Rule range  0 ..  466) of Nonterminal := (-1,
-3,-4,-5,-2,-7,-9,-9,-11,
-11,-11,-11,-11,-11,-11,-11,-11,
-11,-11,-12,-12,-12,-12,-22,-23,
-13,-13,-13,-28,-28,-31,-31,-31,
-31,-31,-31,-31,-14,-24,-40,-43,
-43,-43,-43,-39,-44,-48,-48,-33,
-51,-53,-53,-34,-35,-35,-45,-54,
-46,-56,-36,-36,-57,-26,-58,-60,
-61,-61,-37,-63,-63,-63,-66,-68,
-32,-69,-67,-72,-74,-74,-74,-74,
-38,-29,-29,-6,-6,-79,-79,-79,
-82,-82,-82,-82,-82,-82,-82,-77,
-77,-83,-83,-83,-49,-49,-49,-49,
-49,-49,-71,-89,-90,-93,-93,-93,
-93,-91,-94,-92,-47,-95,-95,-95,
-95,-10,-10,-10,-10,-10,-102,-102,
-50,-106,-108,-108,-108,-109,-109,-109,
-109,-109,-109,-113,-113,-113,-113,-113,
-113,-114,-114,-114,-115,-115,-116,-116,
-116,-116,-112,-111,-111,-111,-118,-119,
-119,-122,-122,-122,-122,-122,-122,-122,
-122,-122,-122,-122,-123,-123,-123,-123,
-123,-123,-139,-124,-125,-141,-133,-140,
-144,-134,-146,-135,-150,-150,-151,-153,
-136,-126,-127,-128,-15,-159,-159,-161,
-161,-88,-162,-163,-165,-165,-165,-167,
-85,-16,-171,-170,-173,-86,-30,-30,
-81,-21,-21,-21,-21,-17,-177,-87,
-180,-180,-181,-137,-184,-129,-138,-138,
-138,-185,-188,-191,-191,-191,-192,-193,
-194,-186,-187,-130,-200,-202,-202,-204,
-204,-204,-204,-204,-204,-205,-205,-206,
-203,-210,-84,-84,-84,-207,-19,-212,
-213,-213,-131,-18,-215,-215,-216,-218,
-218,-218,-218,-220,-220,-220,-220,-220,
-220,-20,-20,-20,-224,-225,-228,-228,
-229,-80,-80,-231,-231,-231,-233,-234,
-235,-239,-240,-232,-132,-64,-64,-8,
-8,-242,-242,-25,-25,-27,-27,-41,
-41,-42,-42,-52,-52,-55,-55,-59,
-59,-62,-62,-65,-65,-70,-70,-73,
-73,-75,-75,-76,-76,-78,-78,-96,
-96,-97,-97,-99,-99,-101,-101,-243,
-243,-98,-98,-100,-100,-103,-103,-104,
-244,-244,-105,-105,-105,-107,-107,-110,
-110,-117,-120,-120,-121,-121,-142,-245,
-142,-143,-143,-145,-246,-246,-147,-147,
-149,-149,-148,-148,-152,-152,-154,-154,
-155,-155,-247,-247,-156,-156,-157,-157,
-158,-158,-160,-160,-164,-164,-166,-166,
-168,-169,-169,-172,-172,-174,-174,-175,
-175,-176,-176,-178,-178,-179,-179,-248,
-248,-249,-249,-182,-182,-183,-183,-189,
-189,-190,-190,-195,-196,-197,-198,-198,
-199,-199,-201,-201,-208,-209,-209,-250,
-250,-211,-211,-214,-214,-217,-217,-219,
-219,-221,-221,-221,-223,-222,-222,-226,
-226,-227,-227,-230,-236,-237,-237,-238,
-238,-241);
end Decl_Part_Goto;
