--|$Log:	eobject.a,v $
--|Revision 8.0  91/01/17  10:45:36  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
separate (Statement_Evaluator.Evaluate_Statement.Evaluate_Individual_Statement)

--  -----------------------------------------------------------------------
--  <Subprogram Name>
--    Evaluate_Block
--
--    Last Mod:    Wed Nov  1 10:46:31 1989
--    Author:      William P Loftus <wpl@huey>
--
--  <Description>
--
--    Executes an object statement pointed to by Node
--
--  -----------------------------------------------------------------------

procedure Evaluate_Object (Node : in Ref_Statement_Database) is
   List_Node                  : Ref_Statement_Database := Get_Name_List (Node);
   Is_An_Init_Value_To_Assign : Boolean := False;
   Should_Raise_Tasking_Error : Boolean;
begin
   if (not Is_Empty (Get_Expression (Node))) then
      Is_An_Init_Value_To_Assign := True;
   end if;
   while (not Is_Empty (List_Node)) loop
      declare
         Object_Symtbl_Entry : Ref_Symbol_Table_Entry :=
            Get_Symbol_Table_Entry (Get_Expression (List_Node));
      begin
         Allocate_Storage (Context, Object_Symtbl_Entry);
         --
         if Context_Control.Is_In_Subprogram_Call (Context) then
            if Is_Symbol_Table_Debugging_On then
               Add_Duplicate_Of_Entry_To_Symbol_Table (Context,
                                                       Object_Symtbl_Entry);
            end if;
         else
            Add_Entry_To_Symbol_Table (Context, Object_Symtbl_Entry);
         end if;
         --
         if (Is_An_Init_Value_To_Assign) then
            -- [tbd] use eval_indiv_stmt (assignment_stmt)
            Store_Value
                (Context, Object_Symtbl_Entry,
                 Copy_Value
                     (Get_Value (Evaluate_Expression (Get_Expression (Node)))));
         end if;

         Observe_Object_If_Objects_Observation_Is_On (Object_Symtbl_Entry);
         --
         List_Node := Get_Next_List_Item (List_Node);
      end;
   end loop;
end Evaluate_Object;
