--|$Log:	epkgb.a,v $
--|Revision 8.0  91/01/17  10:45:37  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|

separate (Statement_Evaluator.Evaluate_Statement.Evaluate_Individual_Statement)

--  -----------------------------------------------------------------------
--  <Subprogram Name>
--    Evaluate_Block
--
--    Last Mod:    Wed Nov  1 10:46:31 1989
--    Author:      William P Loftus <wpl@huey>
--
--  <Description>
--
--    Executes a package body statement pointed to by Node
--
--  -----------------------------------------------------------------------
procedure Evaluate_Package_Body (Node : in Ref_Statement_Database) is
   Previous_Scope : Ref_Statement_Database;
begin
   -- In case we have tasks in this scope.
   --Create_Master_Frame (Get_Current_Master_Task(Context), Master_Frame);
   --Set_Current_Master_Frame (Context, Master_Frame);

   Evaluate_Statement (Context,
                       Get_Context_Clause_Body (Get_Symbol_Table_Entry (Node)));
   Allocate_And_Init_Storage_For_Package_Decls
       (Context, Get_Package_Body_Decls (Get_Symbol_Table_Entry (Node)));

   -- First save the old scope
   Previous_Scope := Context_Control.Get_Enclosing_Scope (Context);
   -- Set the enclosing scope to the subprogram so we can handle an
   -- exception when it occurs.
   Context_Control.Set_Enclosing_Scope (Context, Node);

   Evaluate_Statement
       (Context, Get_Head_Of_Statements_List (Get_Symbol_Table_Entry (Node)));
   -- [tbd] observe package body entry ???

   -- Restore Scope
   Context_Control.Set_Enclosing_Scope (Context, Previous_Scope);

exception
   when others  =>
      Context_Control.Set_Enclosing_Scope (Context, Previous_Scope);

end Evaluate_Package_Body;
