--|$Log:	lex.a,v $
--|Revision 8.0  91/01/17  10:45:48  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
with Parserdefs, Text_Io, Lexacts, Yyval_Error; use Parserdefs, Text_Io, Lexacts, Yyval_Error;
with Misc, Create_Statement_Database, Help_Pkg; use Misc, Create_Statement_Database, Help_Pkg;
with Ace_Universal_Types; use Ace_Universal_Types;
with Error_Handler; use Error_Handler;
with Node_Create_Routines; use Node_Create_Routines;
with Parserdefs, Text_Io, Lexacts, Yyval_Error;
use Parserdefs, Text_Io, Lexacts, Yyval_Error;
with Misc, Create_Statement_Database, Help_Pkg;
use Misc, Create_Statement_Database, Help_Pkg;
with User_Pkg;
package body Lex_Pkg is
   use User_Pkg;

   package Dfa_Interp is

      type Action is new Integer;
      type St is new Natural;

      function Yylook return Action;
      function Yyreject return Action;
      procedure Start (S : in St);

      procedure Yymore;
      procedure Yyless (X : in Integer);

   end Dfa_Interp;

   ---------------------------------------------------------------------
   package body Dfa_Interp is

      type Crank_Ind is new Integer;
      type Vstop_Ind is new Natural;
      type Lstate_Ind is new Natural range 0 .. Lmax;
      type C_Ent is
         record
            Verify, Advance : St;
         end record;
      type C_Tab is array (Crank_Ind range <>) of C_Ent;
      type Sv_Ent is
         record
            Stoff : Crank_Ind;
            Other : St;
            Stops : Vstop_Ind;
         end record;
      type Sv_Tab is array (St range <>) of Sv_Ent;
      subtype Str_Ind is Positive range 1 .. Lmax;

      --
      -- end of type def's
      --
      -- generated tables start here
      --
VSTOP: constant array(VSTOP_IND range 0..692) of ACTION := (
0,

98,
0,

95,
98,
0,

94,
0,

94,
98,
0,

88,
98,
0,

98,
0,

98,
0,

74,
98,
0,

75,
98,
0,

76,
98,
0,

77,
98,
0,

78,
98,
0,

79,
98,
0,

80,
98,
0,

81,
98,
0,

82,
98,
0,

91,
98,
0,

83,
98,
0,

84,
98,
0,

85,
98,
0,

86,
98,
0,

87,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

90,
98,
0,

89,
98,
0,

90,
98,
0,

90,
98,
0,

98,
0,

92,
0,

92,
0,

66,
0,

97,
0,

65,
0,

68,
0,

91,
0,

67,
0,

71,
0,

70,
0,

73,
0,

64,
0,

69,
0,

72,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

8,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

17,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

28,
90,
0,

29,
90,
0,

30,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

37,
90,
0,

38,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

97,
0,

96,
97,
0,

91,
0,

91,
0,

90,
0,

2,
90,
0,

90,
0,

5,
90,
0,

6,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

20,
90,
0,

90,
0,

90,
0,

90,
0,

24,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

33,
90,
0,

34,
90,
0,

35,
90,
0,

90,
0,

90,
0,

40,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

48,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

59,
90,
0,

90,
0,

90,
0,

90,
0,

63,
90,
0,

90,
0,

90,
0,

90,
0,

93,
0,

91,
0,

91,
0,

90,
0,

90,
0,

90,
0,

90,
0,

10,
90,
0,

11,
90,
0,

90,
0,

90,
0,

90,
0,

18,
90,
0,

90,
0,

90,
0,

90,
0,

23,
90,
0,

90,
0,

90,
0,

27,
90,
0,

90,
0,

32,
90,
0,

36,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

55,
90,
0,

90,
0,

57,
90,
0,

58,
90,
0,

60,
90,
0,

90,
0,

62,
90,
0,

90,
0,

90,
0,

90,
0,

1,
90,
0,

90,
0,

90,
0,

7,
90,
0,

9,
90,
0,

90,
0,

90,
0,

14,
90,
0,

19,
90,
0,

21,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

45,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

61,
90,
0,

15,
90,
0,

90,
0,

46,
90,
0,

91,
0,

91,
0,

3,
90,
0,

4,
90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

90,
0,

39,
90,
0,

90,
0,

42,
90,
0,

90,
0,

90,
0,

47,
90,
0,

90,
0,

50,
90,
0,

90,
0,

52,
90,
0,

90,
0,

90,
0,

90,
0,

16,
90,
0,

90,
0,

13,
90,
0,

90,
0,

90,
0,

26,
90,
0,

31,
90,
0,

41,
90,
0,

43,
90,
0,

90,
0,

49,
90,
0,

51,
90,
0,

90,
0,

54,
90,
0,

90,
0,

12,
90,
0,

90,
0,

25,
90,
0,

90,
0,

53,
90,
0,

90,
0,

22,
90,
0,

44,
90,
0,

56,
90,
0,
0); 
CRANK: constant C_TAB(0..1276) :=(
(0,0),	(0,0),	(1,9),	(0,0),	
(0,0),	(0,0),	(0,0),	(0,0),	
(0,0),	(0,0),	(1,10),	(1,11),	
(55,0),	(57,0),	(1,12),	(0,0),	
(0,0),	(0,0),	(0,0),	(0,0),	
(0,0),	(0,0),	(0,0),	(0,0),	
(0,0),	(0,0),	(0,0),	(0,0),	
(0,0),	(0,0),	(0,0),	(0,0),	
(0,0),	(0,0),	(1,13),	(1,14),	
(56,55),	(57,0),	(1,15),	(1,16),	
(58,57),	(1,17),	(1,18),	(1,19),	
(1,20),	(1,21),	(1,22),	(1,23),	
(1,24),	(1,25),	(19,59),	(22,60),	
(23,61),	(0,0),	(0,0),	(0,0),	
(0,0),	(0,0),	(0,0),	(1,26),	
(1,27),	(1,28),	(1,29),	(1,30),	
(2,16),	(24,62),	(2,17),	(2,18),	
(2,19),	(26,69),	(2,21),	(2,22),	
(29,73),	(2,24),	(28,70),	(28,71),	
(28,72),	(30,74),	(30,75),	(0,0),	
(0,0),	(0,0),	(0,0),	(0,0),	
(2,26),	(2,27),	(2,28),	(2,29),	
(2,30),	(0,0),	(0,0),	(0,0),	
(0,0),	(0,0),	(0,0),	(0,0),	
(0,0),	(83,77),	(1,31),	(1,32),	
(1,33),	(1,34),	(1,35),	(1,36),	
(1,37),	(1,38),	(1,39),	(1,38),	
(1,38),	(1,40),	(1,41),	(1,42),	
(1,43),	(1,44),	(1,38),	(1,45),	
(1,46),	(1,47),	(1,48),	(1,38),	
(1,49),	(1,50),	(1,38),	(1,38),	
(2,32),	(2,33),	(2,34),	(2,35),	
(2,36),	(89,77),	(2,38),	(2,39),	
(2,38),	(2,38),	(2,40),	(2,41),	
(2,42),	(2,43),	(2,44),	(2,38),	
(2,45),	(2,46),	(2,47),	(2,48),	
(2,38),	(2,49),	(2,50),	(2,38),	
(2,38),	(3,16),	(3,51),	(3,17),	
(3,18),	(3,19),	(97,77),	(3,21),	
(3,22),	(98,77),	(3,24),	(64,131),	
(64,131),	(64,131),	(64,131),	(64,131),	
(64,131),	(64,131),	(64,131),	(64,131),	
(64,131),	(3,26),	(3,27),	(3,28),	
(3,29),	(3,30),	(4,16),	(4,51),	
(4,17),	(4,18),	(4,19),	(84,77),	
(4,21),	(4,22),	(79,77),	(4,24),	
(78,77),	(99,77),	(79,137),	(84,141),	
(106,77),	(32,76),	(32,76),	(107,77),	
(32,84),	(80,77),	(4,26),	(4,27),	
(4,28),	(4,29),	(4,30),	(32,76),	
(78,135),	(32,76),	(32,85),	(81,77),	
(78,136),	(32,76),	(80,138),	(32,76),	
(81,139),	(3,32),	(3,33),	(3,52),	
(3,35),	(3,36),	(127,189),	(3,38),	
(3,39),	(3,38),	(3,38),	(3,40),	
(3,41),	(3,42),	(3,43),	(3,44),	
(3,38),	(3,53),	(3,46),	(3,47),	
(3,48),	(3,38),	(3,49),	(3,50),	
(3,38),	(3,38),	(4,32),	(4,33),	
(4,52),	(4,35),	(4,36),	(134,197),	
(4,38),	(4,39),	(4,38),	(4,38),	
(4,40),	(4,41),	(4,42),	(4,43),	
(4,44),	(4,38),	(4,53),	(4,46),	
(4,47),	(4,48),	(4,38),	(4,49),	
(4,50),	(4,38),	(4,38),	(5,16),	
(5,54),	(5,17),	(5,18),	(5,19),	
(115,77),	(5,21),	(5,22),	(115,176),	
(5,24),	(67,65),	(67,65),	(67,65),	
(67,65),	(67,65),	(67,65),	(67,65),	
(67,65),	(67,65),	(67,65),	(5,26),	
(5,27),	(5,28),	(5,29),	(5,30),	
(6,16),	(6,54),	(6,17),	(6,18),	
(6,19),	(100,77),	(6,21),	(6,22),	
(85,77),	(6,24),	(82,77),	(87,77),	
(86,77),	(85,142),	(33,86),	(33,76),	
(33,76),	(136,77),	(138,77),	(100,156),	
(6,26),	(6,27),	(6,28),	(6,29),	
(6,30),	(33,76),	(87,144),	(33,76),	
(33,87),	(82,140),	(92,77),	(33,76),	
(86,143),	(33,76),	(92,150),	(5,32),	
(5,33),	(5,52),	(5,35),	(5,36),	
(92,151),	(5,38),	(5,39),	(5,38),	
(5,38),	(5,40),	(5,41),	(5,42),	
(5,43),	(5,44),	(5,38),	(5,53),	
(5,46),	(5,47),	(5,48),	(5,38),	
(5,49),	(5,50),	(5,38),	(5,38),	
(6,32),	(6,33),	(6,52),	(6,35),	
(6,36),	(139,77),	(6,38),	(6,39),	
(6,38),	(6,38),	(6,40),	(6,41),	
(6,42),	(6,43),	(6,44),	(6,38),	
(6,53),	(6,46),	(6,47),	(6,48),	
(6,38),	(6,49),	(6,50),	(6,38),	
(6,38),	(7,16),	(7,54),	(7,17),	
(7,18),	(7,19),	(105,77),	(7,21),	
(7,22),	(102,77),	(7,24),	(90,77),	
(125,77),	(91,77),	(102,158),	(148,77),	
(96,77),	(93,77),	(91,148),	(105,161),	
(125,187),	(7,26),	(7,27),	(7,28),	
(7,29),	(7,30),	(8,16),	(8,54),	
(8,17),	(8,18),	(8,19),	(90,147),	
(8,21),	(8,22),	(91,149),	(8,24),	
(93,152),	(96,155),	(116,77),	(88,77),	
(94,77),	(34,76),	(34,76),	(88,145),	
(34,88),	(95,77),	(8,26),	(8,27),	
(8,28),	(8,29),	(8,30),	(34,76),	
(88,146),	(34,76),	(34,89),	(94,153),	
(112,77),	(34,76),	(116,177),	(34,76),	
(95,154),	(7,32),	(7,33),	(7,34),	
(7,35),	(7,36),	(112,168),	(7,38),	
(7,39),	(7,38),	(7,38),	(7,40),	
(7,41),	(7,42),	(7,43),	(7,44),	
(7,38),	(7,45),	(7,46),	(7,47),	
(7,48),	(7,38),	(7,49),	(7,50),	
(7,38),	(7,38),	(8,32),	(8,33),	
(8,34),	(8,35),	(8,36),	(103,77),	
(8,38),	(8,39),	(8,38),	(8,38),	
(8,40),	(8,41),	(8,42),	(8,43),	
(8,44),	(8,38),	(8,45),	(8,46),	
(8,47),	(8,48),	(8,38),	(8,49),	
(8,50),	(8,38),	(8,38),	(14,55),	
(101,77),	(108,77),	(119,77),	(103,159),	
(152,77),	(158,77),	(15,57),	(14,55),	
(14,0),	(104,77),	(108,162),	(14,55),	
(109,77),	(110,77),	(15,57),	(15,0),	
(101,157),	(110,164),	(15,57),	(119,180),	
(31,76),	(31,76),	(31,76),	(31,76),	
(31,76),	(31,76),	(31,76),	(31,76),	
(31,76),	(31,76),	(104,160),	(14,55),	
(14,56),	(109,163),	(118,77),	(14,55),	
(117,77),	(159,77),	(15,57),	(15,0),	
(118,179),	(14,55),	(15,58),	(25,63),	
(14,55),	(153,77),	(14,55),	(122,77),	
(15,57),	(153,212),	(140,77),	(15,57),	
(140,200),	(15,57),	(25,64),	(117,178),	
(25,65),	(25,65),	(25,65),	(25,65),	
(25,65),	(25,65),	(25,65),	(25,65),	
(25,65),	(25,65),	(25,66),	(31,77),	
(122,184),	(31,76),	(31,78),	(31,79),	
(31,76),	(31,76),	(31,76),	(31,76),	
(31,76),	(31,76),	(31,76),	(31,76),	
(31,80),	(31,76),	(31,81),	(31,76),	
(31,76),	(31,76),	(31,82),	(31,76),	
(31,83),	(31,76),	(31,76),	(31,76),	
(31,76),	(31,76),	(31,76),	(14,55),	
(123,77),	(111,77),	(135,77),	(111,165),	
(120,77),	(14,55),	(15,57),	(25,67),	
(35,76),	(35,76),	(120,181),	(111,166),	
(15,57),	(25,68),	(160,77),	(36,76),	
(36,76),	(111,167),	(35,90),	(123,185),	
(35,91),	(135,198),	(126,77),	(163,77),	
(35,76),	(36,76),	(35,76),	(36,76),	
(36,93),	(114,77),	(35,92),	(36,76),	
(126,168),	(36,76),	(36,94),	(37,76),	
(37,76),	(126,188),	(37,95),	(142,77),	
(38,76),	(38,76),	(114,174),	(131,193),	
(145,77),	(37,76),	(114,175),	(37,76),	
(37,96),	(131,68),	(38,76),	(37,76),	
(38,76),	(37,76),	(40,76),	(40,76),	
(38,76),	(145,205),	(38,76),	(39,76),	
(39,76),	(40,100),	(137,77),	(39,97),	
(40,76),	(142,202),	(40,76),	(40,101),	
(137,199),	(39,76),	(40,76),	(39,98),	
(40,76),	(41,76),	(41,76),	(39,76),	
(39,99),	(39,76),	(146,77),	(170,77),	
(146,206),	(144,77),	(181,77),	(41,76),	
(130,190),	(41,76),	(41,102),	(42,76),	
(42,76),	(41,76),	(42,103),	(41,76),	
(43,76),	(43,76),	(124,77),	(130,191),	
(43,106),	(42,76),	(124,145),	(42,76),	
(42,104),	(144,204),	(43,76),	(42,76),	
(43,76),	(42,76),	(42,105),	(124,186),	
(43,107),	(161,77),	(43,108),	(43,109),	
(44,110),	(44,76),	(44,76),	(45,112),	
(45,76),	(45,76),	(132,194),	(45,113),	
(167,77),	(185,77),	(161,217),	(44,76),	
(167,222),	(44,76),	(45,76),	(121,77),	
(45,76),	(44,111),	(132,195),	(44,76),	
(45,76),	(121,182),	(45,76),	(46,76),	
(46,76),	(121,183),	(46,114),	(47,116),	
(47,76),	(47,76),	(143,77),	(47,117),	
(130,192),	(46,76),	(47,118),	(46,76),	
(143,203),	(149,77),	(47,76),	(46,76),	
(47,76),	(46,76),	(46,115),	(141,77),	
(47,76),	(190,241),	(47,76),	(48,76),	
(48,76),	(195,244),	(151,77),	(47,119),	
(156,77),	(141,201),	(113,77),	(132,196),	
(149,209),	(48,76),	(113,169),	(48,76),	
(49,76),	(49,76),	(156,215),	(48,76),	
(48,120),	(48,76),	(49,121),	(49,122),	
(113,170),	(113,171),	(49,76),	(151,211),	
(49,76),	(50,76),	(50,76),	(113,172),	
(49,76),	(113,173),	(49,76),	(202,77),	
(155,77),	(164,77),	(171,77),	(50,76),	
(171,225),	(50,76),	(50,123),	(52,76),	
(52,76),	(50,76),	(52,124),	(50,76),	
(147,77),	(164,219),	(52,125),	(150,77),	
(155,214),	(52,76),	(147,207),	(52,76),	
(52,89),	(150,210),	(147,208),	(52,76),	
(54,127),	(52,76),	(53,126),	(53,76),	
(53,76),	(154,77),	(53,113),	(166,77),	
(54,127),	(54,0),	(157,77),	(154,213),	
(54,127),	(53,76),	(162,77),	(53,76),	
(60,128),	(168,77),	(165,77),	(53,76),	
(162,218),	(53,76),	(169,77),	(188,77),	
(60,128),	(60,0),	(165,220),	(157,216),	
(60,128),	(172,77),	(166,221),	(188,240),	
(54,127),	(54,127),	(173,77),	(174,77),	
(54,127),	(168,223),	(169,224),	(178,77),	
(173,227),	(174,228),	(54,127),	(176,77),	
(175,77),	(54,127),	(175,229),	(54,127),	
(60,128),	(60,128),	(180,77),	(172,226),	
(60,128),	(178,232),	(198,77),	(186,77),	
(180,234),	(186,206),	(60,128),	(203,77),	
(68,133),	(60,128),	(68,133),	(60,128),	
(176,230),	(68,134),	(68,134),	(68,134),	
(68,134),	(68,134),	(68,134),	(68,134),	
(68,134),	(68,134),	(68,134),	(198,245),	
(186,238),	(179,77),	(60,129),	(63,130),	
(63,130),	(63,130),	(63,130),	(63,130),	
(63,130),	(63,130),	(63,130),	(63,130),	
(63,130),	(76,76),	(76,76),	(177,77),	
(179,233),	(182,77),	(199,77),	(184,77),	
(54,127),	(183,77),	(200,77),	(76,76),	
(201,77),	(76,76),	(54,127),	(177,231),	
(184,237),	(76,76),	(187,77),	(76,76),	
(182,235),	(207,77),	(183,236),	(199,246),	
(60,128),	(208,77),	(199,247),	(201,249),	
(187,239),	(205,77),	(60,128),	(205,251),	
(208,253),	(211,77),	(214,77),	(216,77),	
(200,248),	(217,77),	(231,77),	(233,77),	
(63,130),	(63,130),	(63,130),	(63,130),	
(63,130),	(63,130),	(66,132),	(66,132),	
(66,132),	(66,132),	(66,132),	(66,132),	
(66,132),	(66,132),	(66,132),	(66,132),	
(77,76),	(77,76),	(77,76),	(77,76),	
(77,76),	(77,76),	(77,76),	(77,76),	
(77,76),	(77,76),	(133,134),	(133,134),	
(133,134),	(133,134),	(133,134),	(133,134),	
(133,134),	(133,134),	(133,134),	(133,134),	
(206,77),	(209,77),	(228,77),	(219,77),	
(204,77),	(219,260),	(228,269),	(191,242),	
(191,242),	(191,242),	(191,242),	(191,242),	
(191,242),	(191,242),	(191,242),	(191,242),	
(191,242),	(234,77),	(232,77),	(66,132),	
(66,132),	(66,132),	(66,132),	(66,132),	
(66,132),	(204,250),	(206,252),	(209,254),	
(232,272),	(77,76),	(77,76),	(77,76),	
(77,76),	(77,76),	(77,76),	(77,76),	
(77,76),	(77,76),	(77,76),	(77,76),	
(77,76),	(77,76),	(77,76),	(77,76),	
(77,76),	(77,76),	(77,76),	(77,76),	
(77,76),	(77,76),	(77,76),	(77,76),	
(77,76),	(77,76),	(77,76),	(128,128),	
(191,242),	(191,242),	(191,242),	(191,242),	
(191,242),	(191,242),	(129,129),	(128,128),	
(128,0),	(212,77),	(222,77),	(128,128),	
(210,77),	(215,77),	(129,129),	(129,0),	
(222,263),	(213,77),	(129,129),	(194,243),	
(194,243),	(194,243),	(194,243),	(194,243),	
(194,243),	(194,243),	(194,243),	(194,243),	
(194,243),	(210,255),	(212,256),	(128,128),	
(128,128),	(218,77),	(215,258),	(128,128),	
(213,257),	(224,77),	(129,129),	(129,129),	
(220,77),	(128,128),	(129,129),	(221,77),	
(128,128),	(221,262),	(128,128),	(225,77),	
(129,129),	(223,77),	(235,77),	(129,129),	
(218,259),	(129,129),	(220,261),	(223,264),	
(224,265),	(226,77),	(227,77),	(229,77),	
(230,77),	(225,266),	(237,77),	(238,77),	
(239,77),	(238,274),	(242,190),	(245,77),	
(194,243),	(194,243),	(194,243),	(194,243),	
(194,243),	(194,243),	(236,77),	(240,77),	
(226,267),	(227,268),	(229,270),	(246,77),	
(236,273),	(240,276),	(243,195),	(247,77),	
(248,77),	(239,275),	(230,271),	(249,77),	
(250,77),	(252,77),	(250,285),	(253,77),	
(254,77),	(258,77),	(261,77),	(128,128),	
(261,293),	(256,77),	(264,77),	(258,290),	
(246,283),	(128,128),	(129,129),	(247,284),	
(241,277),	(259,77),	(241,277),	(256,288),	
(129,129),	(241,278),	(241,278),	(241,278),	
(241,278),	(241,278),	(241,278),	(241,278),	
(241,278),	(241,278),	(241,278),	(243,280),	
(251,77),	(255,77),	(244,281),	(262,77),	
(244,281),	(259,291),	(242,279),	(244,282),	
(244,282),	(244,282),	(244,282),	(244,282),	
(244,282),	(244,282),	(244,282),	(244,282),	
(244,282),	(257,77),	(260,77),	(251,286),	
(263,77),	(267,77),	(255,287),	(265,77),	
(262,294),	(263,295),	(260,292),	(257,289),	
(265,296),	(266,77),	(268,77),	(269,77),	
(270,77),	(272,77),	(270,301),	(266,297),	
(267,298),	(271,77),	(273,77),	(274,77),	
(275,77),	(276,77),	(278,305),	(282,306),	
(283,77),	(284,77),	(287,77),	(286,77),	
(272,303),	(291,77),	(268,299),	(289,77),	
(269,300),	(286,308),	(271,302),	(289,311),	
(287,309),	(293,77),	(296,77),	(298,77),	
(275,304),	(277,278),	(277,278),	(277,278),	
(277,278),	(277,278),	(277,278),	(277,278),	
(277,278),	(277,278),	(277,278),	(281,282),	
(281,282),	(281,282),	(281,282),	(281,282),	
(281,282),	(281,282),	(281,282),	(281,282),	
(281,282),	(285,77),	(288,77),	(290,77),	
(292,77),	(294,77),	(295,77),	(297,77),	
(290,312),	(299,77),	(292,313),	(294,314),	
(300,77),	(301,77),	(302,77),	(299,317),	
(285,307),	(303,77),	(288,310),	(303,320),	
(302,319),	(304,77),	(307,77),	(308,77),	
(309,77),	(311,77),	(310,77),	(297,316),	
(295,315),	(312,77),	(313,77),	(314,77),	
(315,77),	(316,77),	(301,318),	(317,77),	
(318,77),	(319,77),	(320,77),	(321,77),	
(309,322),	(310,323),	(318,325),	(307,321),	
(323,77),	(322,77),	(324,77),	(325,77),	
(326,77),	(327,77),	(328,77),	(315,324),	
(324,328),	(329,77),	(326,329),	(0,0),	
(0,0),	(0,0),	(0,0),	(320,326),	
(322,327),	(0,0),	(0,0),	(0,0),	
(0,0));
SVEC: constant SV_TAB(0..330) := (
(0,	0,	0),
(-1,	0,	0),
(-26,	1,	0),
(-111,	1,	0),
(-136,	1,	0),
(-221,	1,	0),
(-246,	1,	0),
(-331,	1,	0),
(-356,	1,	0),
(0,	0,	1),
(0,	0,	3),
(0,	0,	6),
(0,	0,	8),
(0,	0,	11),
(-478,	0,	14),
(-485,	0,	16),
(0,	0,	18),
(0,	0,	21),
(0,	0,	24),
(8,	0,	27),
(0,	0,	30),
(0,	0,	33),
(6,	0,	36),
(6,	0,	39),
(4,	0,	42),
(488,	0,	45),
(8,	0,	48),
(0,	0,	51),
(14,	0,	54),
(10,	0,	57),
(16,	0,	60),
(452,	0,	63),
(91,	31,	66),
(201,	31,	69),
(311,	31,	72),
(486,	31,	75),
(493,	31,	78),
(513,	31,	81),
(518,	31,	84),
(537,	31,	87),
(532,	31,	90),
(551,	31,	93),
(565,	31,	96),
(570,	31,	99),
(591,	31,	102),
(594,	31,	105),
(613,	31,	108),
(618,	31,	111),
(637,	31,	114),
(650,	31,	117),
(663,	31,	120),
(0,	0,	123),
(677,	31,	126),
(697,	31,	129),
(-791,	0,	132),
(-2,	14,	0),
(2,	0,	134),
(-3,	15,	0),
(3,	0,	136),
(0,	0,	138),
(-807,	0,	140),
(0,	0,	142),
(0,	0,	144),
(823,	0,	0),
(111,	0,	0),
(0,	25,	146),
(878,	0,	0),
(221,	0,	0),
(809,	0,	0),
(0,	0,	148),
(0,	0,	150),
(0,	0,	152),
(0,	0,	154),
(0,	0,	156),
(0,	0,	158),
(0,	0,	160),
(783,	31,	162),
(888,	0,	0),
(89,	77,	164),
(87,	77,	166),
(98,	77,	168),
(108,	77,	170),
(199,	77,	172),
(2,	77,	174),
(84,	77,	177),
(197,	77,	179),
(201,	77,	181),
(200,	77,	183),
(312,	77,	185),
(34,	77,	187),
(284,	77,	190),
(286,	77,	192),
(219,	77,	194),
(290,	77,	196),
(313,	77,	198),
(318,	77,	200),
(289,	77,	202),
(59,	77,	204),
(62,	77,	207),
(90,	77,	210),
(194,	77,	213),
(385,	77,	215),
(282,	77,	217),
(364,	77,	219),
(394,	77,	221),
(279,	77,	223),
(93,	77,	225),
(96,	77,	228),
(386,	77,	231),
(397,	77,	233),
(398,	77,	235),
(482,	77,	237),
(329,	77,	239),
(647,	77,	241),
(510,	77,	243),
(169,	77,	245),
(311,	77,	247),
(421,	77,	249),
(419,	77,	251),
(387,	77,	253),
(485,	77,	255),
(608,	77,	257),
(432,	77,	259),
(481,	77,	261),
(575,	77,	263),
(285,	77,	265),
(503,	77,	267),
(175,	0,	0),
(-1010,	0,	269),
(-1017,	0,	271),
(625,	63,	0),
(524,	64,	274),
(648,	66,	0),
(898,	0,	0),
(144,	133,	276),
(483,	77,	278),
(206,	77,	280),
(543,	77,	283),
(207,	77,	285),
(254,	77,	288),
(435,	77,	291),
(636,	77,	293),
(520,	77,	295),
(623,	77,	297),
(562,	77,	299),
(525,	77,	301),
(559,	77,	303),
(685,	77,	305),
(288,	77,	307),
(630,	77,	310),
(688,	77,	312),
(643,	77,	314),
(389,	77,	316),
(430,	77,	319),
(702,	77,	321),
(673,	77,	323),
(645,	77,	325),
(707,	77,	327),
(390,	77,	329),
(422,	77,	332),
(495,	77,	335),
(590,	77,	338),
(711,	77,	340),
(504,	77,	342),
(674,	77,	345),
(715,	77,	347),
(704,	77,	349),
(601,	77,	351),
(714,	77,	353),
(719,	77,	355),
(560,	77,	357),
(675,	77,	360),
(726,	77,	362),
(731,	77,	364),
(732,	77,	366),
(741,	77,	368),
(740,	77,	370),
(788,	77,	372),
(736,	77,	374),
(774,	77,	376),
(747,	77,	378),
(563,	77,	380),
(790,	77,	383),
(794,	77,	385),
(792,	77,	387),
(602,	77,	389),
(752,	77,	392),
(803,	77,	394),
(720,	77,	396),
(0,	0,	398),
(632,	0,	400),
(915,	0,	0),
(0,	63,	0),
(0,	64,	0),
(983,	0,	0),
(636,	0,	402),
(0,	66,	0),
(0,	133,	0),
(751,	77,	404),
(791,	77,	406),
(795,	77,	408),
(797,	77,	410),
(672,	77,	412),
(756,	77,	415),
(865,	77,	418),
(814,	77,	420),
(861,	77,	422),
(806,	77,	424),
(810,	77,	427),
(862,	77,	429),
(929,	77,	431),
(818,	77,	433),
(926,	77,	436),
(934,	77,	438),
(819,	77,	440),
(930,	77,	443),
(820,	77,	445),
(822,	77,	448),
(950,	77,	451),
(864,	77,	453),
(957,	77,	455),
(960,	77,	457),
(927,	77,	459),
(966,	77,	461),
(954,	77,	463),
(964,	77,	465),
(974,	77,	467),
(975,	77,	469),
(863,	77,	471),
(976,	77,	473),
(977,	77,	475),
(823,	77,	477),
(879,	77,	480),
(824,	77,	482),
(878,	77,	485),
(967,	77,	488),
(991,	77,	491),
(979,	77,	493),
(980,	77,	496),
(981,	77,	498),
(992,	77,	500),
(1073,	0,	0),
(1043,	191,	0),
(1036,	194,	0),
(1091,	0,	0),
(984,	77,	502),
(996,	77,	505),
(1000,	77,	507),
(1001,	77,	509),
(1004,	77,	512),
(1005,	77,	515),
(1037,	77,	517),
(1006,	77,	519),
(1008,	77,	522),
(1009,	77,	525),
(1038,	77,	528),
(1014,	77,	530),
(1054,	77,	532),
(1010,	77,	534),
(1022,	77,	536),
(1055,	77,	538),
(1011,	77,	540),
(1040,	77,	542),
(1057,	77,	544),
(1015,	77,	546),
(1060,	77,	549),
(1066,	77,	551),
(1058,	77,	553),
(1067,	77,	555),
(1068,	77,	557),
(1069,	77,	559),
(1074,	77,	561),
(1070,	77,	563),
(1075,	77,	565),
(1076,	77,	568),
(1077,	77,	571),
(1078,	77,	573),
(1145,	0,	0),
(1079,	277,	576),
(0,	191,	0),
(0,	194,	0),
(1155,	0,	0),
(1080,	281,	578),
(1081,	77,	580),
(1082,	77,	583),
(1118,	77,	586),
(1084,	77,	588),
(1083,	77,	590),
(1119,	77,	592),
(1088,	77,	594),
(1120,	77,	596),
(1086,	77,	598),
(1121,	77,	601),
(1094,	77,	603),
(1122,	77,	606),
(1123,	77,	608),
(1095,	77,	610),
(1124,	77,	613),
(1096,	77,	615),
(1126,	77,	618),
(1129,	77,	620),
(1130,	77,	623),
(1131,	77,	625),
(1134,	77,	627),
(1138,	77,	629),
(0,	277,	0),
(0,	281,	0),
(1139,	77,	632),
(1140,	77,	634),
(1141,	77,	637),
(1143,	77,	639),
(1142,	77,	641),
(1146,	77,	644),
(1147,	77,	647),
(1148,	77,	650),
(1149,	77,	653),
(1150,	77,	655),
(1152,	77,	658),
(1153,	77,	661),
(1154,	77,	663),
(1155,	77,	666),
(1156,	77,	668),
(1162,	77,	671),
(1161,	77,	673),
(1163,	77,	676),
(1164,	77,	678),
(1165,	77,	681),
(1166,	77,	683),
(1167,	77,	686),
(1170,	77,	689),
(0,	0,	0));
TOP: constant CRANK_IND := 1272;
MATCH: constant array(NATURAL range 0..128) of INTEGER := (
0, 1, 1, 1, 1, 1, 1, 1, 
1, 9, 10, 9, 9, 13, 1, 1, 
1, 1, 1, 1, 1, 1, 1, 1, 
1, 1, 1, 1, 1, 1, 1, 1, 
9, 33, 34, 1, 1, 37, 1, 1, 
1, 1, 1, 43, 1, 43, 46, 1, 
48, 48, 48, 48, 48, 48, 48, 48, 
48, 48, 1, 1, 1, 1, 1, 1, 
1, 1, 1, 1, 1, 1, 1, 1, 
1, 1, 1, 1, 1, 1, 1, 1, 
1, 1, 1, 1, 1, 1, 1, 1, 
1, 1, 1, 1, 1, 1, 1, 1, 
1, 97, 97, 97, 97, 97, 97, 103, 
103, 103, 103, 103, 103, 103, 103, 103, 
103, 103, 103, 103, 103, 103, 103, 103, 
103, 103, 103, 1, 33, 1, 1, 1, 
0);
EXTRA: constant array(ACTION range 0..104) of INTEGER := (
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0);

      --
      -- End of Tables
      --

      Lstate        : array (Lstate_Ind) of St;
      Yylsp, Yyolsp : Lstate_Ind;
      Fnd           : Vstop_Ind;
      Estate        : St;
      Bgin          : St                 := 1;
      Previous      : Character          := Newline;
      Moreflg       : Boolean            := False;

      function Yyback (P_In : in Vstop_Ind;
                       M    : in Action) return Boolean is
         P : Vstop_Ind := P_In;
      begin
         while Vstop (P) /= 0 loop
            if Vstop (P) = M then
               return True;
            end if;
            P := P + 1;
         end loop;
         return False;
      end Yyback;


      function Yylook return Action is

         State, Z : St;
         Lsp      : Lstate_Ind;
         R, T     : Crank_Ind;
         Fndtemp  : Vstop_Ind;
         Ch       : Character;
         Lastch   : Str_Ind;

      begin
         if not Moreflg then
            Lastch := 1;
         else
            Moreflg := False;
            Lastch  := Yyleng + 1;
         end if;

         loop
            Lsp    := 0;
            State  := Bgin;
            Estate := State;
            if Previous = Newline then
               State := State + 1;
            end if;
         Stloop:
            loop
               T := Svec (State).Stoff;
               if T = 0 then
                  Z := Svec (State).Other;
                  if Z = 0 then
                     exit Stloop;
                  end if;
                  if Svec (Z).Stoff = 0 then
                     exit Stloop;
                  end if;
               end if;

               Ch              := Input;
               Yytext (Lastch) := Ch;
               Lastch          := Lastch + 1;

            <<Tryagain>>

               R               := T;
               if T > 0 then
                  T := R + Crank_Ind (Character'POS (Ch));
                  if T <= Top and then Crank (T).Verify = State then
                     if Crank (T).Advance = 0 then
                        Lastch := Lastch - 1;
                        Unput (Yytext (Lastch));
                        exit Stloop;
                     end if;
                     State        := Crank (T).Advance;
                     Lstate (Lsp) := State;
                     Lsp          := Lsp + 1;
                     goto Continue;
                  end if;

               elsif T < 0 then
                  R := - T;
                  T := R;
                  T := T + Crank_Ind (Character'POS (Ch));
                  if T <= Top and then Crank (T).Verify = State then
                     if Crank (T).Advance = 0 then
                        Lastch := Lastch - 1;
                        Unput (Yytext (Lastch));
                        exit Stloop;
                     end if;
                     State        := Crank (T).Advance;
                     Lstate (Lsp) := State;
                     Lsp          := Lsp + 1;
                     goto Continue;
                  end if;

                  T := R + Crank_Ind (Match (Character'POS (Ch)));
                  if T <= Top and then Crank (T).Verify = State then
                     if Crank (T).Advance = 0 then
                        Lastch := Lastch - 1;
                        Unput (Yytext (Lastch));
                        exit Stloop;
                     end if;
                     State        := Crank (T).Advance;
                     Lstate (Lsp) := State;
                     Lsp          := Lsp + 1;
                     goto Continue;
                  end if;
               end if;
               State := Svec (State).Other;
               T     := Svec (State).Stoff;
               if State /= 0 and T /= 0 then
                  goto Tryagain;
               else
                  Lastch := Lastch - 1;
                  Unput (Yytext (Lastch));
                  exit Stloop;
               end if;

            <<Continue>>
               null;

            end loop Stloop;

            while Lsp > 0 loop
               Lsp             := Lsp - 1;
               Yytext (Lastch) := Nul;
               Lastch          := Lastch - 1;
               Fnd             := Svec (Lstate (Lsp)).Stops;
               if Lstate (Lsp) /= 0 and Fnd /= 0 and Vstop (Fnd) > 0 then
                  Yyolsp := Lsp;
                  if Extra (Vstop (Fnd)) /= 0 then
                     while not Yyback
                            (Svec (Lstate (Lsp)).Stops, - Vstop (Fnd)) and
                        Lsp > 0 loop
                        Lsp    := Lsp - 1;
                        Unput (Yytext (Lastch));
                        Lastch := Lastch - 1;
                     end loop;
                  end if;
                  Previous := Yytext (Lastch);
                  Yylsp               := Lsp;
                  Yytext (Lastch + 1) := Nul; -- terminate string
                  Yyleng              := Lastch;
                  Fndtemp             := Fnd;
                  Fnd                 := Fnd + 1;
                  return Vstop (Fndtemp);
               end if;
               Unput (Yytext (Lastch));
            end loop;
            if Yytext (1) = Nul then
               Init_Buf;
               return 0;
            end if;
            Yytext (1) := Input;
            Previous := Yytext (1);
            if Previous > Nul then
               Output (Previous);
            end if;
            Lastch := 1;
         end loop;
      end Yylook;

      function Yyreject return Action is

         Fndtemp : Vstop_Ind;

         function Yyracc (M : in Action) return Action is
         begin
            Yyolsp := Yylsp;
            if Extra (M) /= 0 then
               while not Yyback (Svec (Lstate (Yylsp)).Stops, - M) and
                  Yylsp > 0 loop
                  Yylsp  := Yylsp - 1;
                  Unput (Yytext (Yyleng));
                  Yyleng := Yyleng - 1;
               end loop;
            end if;
            Previous := Yytext (Yyleng);
            Yytext (Yyleng + 1) := Nul;
            return M;
         end Yyracc;


      begin
         while Yylsp < Yyolsp loop
            Yytext (Yyleng + 1) := Input;
            Yyleng              := Yyleng + 1;
            Yylsp               := Yylsp + 1;
         end loop;
         if Vstop (Fnd) > 0 then
            Fndtemp := Fnd;
            Fnd     := Fnd + 1;
            return Yyracc (Vstop (Fndtemp));
         end if;
         while Yylsp > 0 loop
            Yylsp           := Yylsp - 1;
            Unput (Yytext (Yyleng));
            Yytext (Yyleng) := Nul;
            Yyleng          := Yyleng - 1;
            if Lstate (Yylsp) /= 0 then
               Fnd := Svec (Lstate (Yylsp)).Stops;
               if Fnd /= 0 and Vstop (Fnd) > 0 then
                  Fndtemp := Fnd;
                  Fnd     := Fnd + 1;
                  return Yyracc (Vstop (Fndtemp));
               end if;
            end if;
         end loop;
         if Yytext (1) = Nul then
            return 0;
         end if;
         Previous := Input;
         Output (Previous);
         Yyleng   := 0;
         return - 1;
      end Yyreject;

      procedure Start (S : in St) is
      begin
         Bgin := S + 1;
      end Start;

      procedure Yymore is
      begin
         Moreflg := True;
      end Yymore;

      procedure Yyless (X : in Integer) is
         Ptr, Lastch : Str_Ind;
      begin
         if X >= 0 and X <= Yyleng then
            Lastch := Yyleng;
            while Lastch > X loop
               Unput (Yytext (Lastch));
               Lastch := Lastch - 1;
            end loop;
            Yytext (Lastch + 1) := Nul;
            if X > 0 then
               Previous := Yytext (Lastch);
            end if;
            Yyleng := Lastch;
         end if;
      end Yyless;


   end Dfa_Interp;
   use Dfa_Interp;

   function Yylex return Integer is

      Nstr        : Action;
      Reject_Flag : Boolean     := False;
Id_String : STRING(1..200);            -- identifier being processed
Char_Lit : STRING(1..200);             -- character or string literal
Num_Lit : STRING(1..200);              -- numeric literal
IDENT: constant ST := 2;
Z: constant ST := 4;
Z1: constant ST := 6;

procedure REJECT is
begin
	REJECT_FLAG := TRUE;
end REJECT;

procedure ECHO is
begin
	PUT(YYTEXT(1..YYLENG));
end ECHO;

begin -- YYLEX
NSTR := YYLOOK;
while NSTR >= 0 or REJECT_FLAG loop
REJECT_FLAG := FALSE;
case NSTR is
when 0 => if YYWRAP then return 0; end if;
when 1 =>
NULL; START(Z); return(ABORT_TK);
when 2 =>
NULL; START(Z); return(ABS_TK);
when 3 =>
NULL; START(Z); return(ACCEPT_TK);
when 4 =>
NULL; START(Z); return(ACCESS_TK);
when 5 =>
NULL; START(IDENT); return(ALL_TK);
when 6 =>
NULL; START(Z); return(AND_TK);
when 7 =>
NULL; START(Z); return(ARRAY_TK);
when 8 =>
NULL; START(Z); return(AT_TK);
when 9 =>
NULL; START(Z); return(BEGIN_TK);
when 10 =>
NULL; START(Z); return(BODY_TK);
when 11 =>
NULL; START(Z); return(CASE_TK);
when 12 =>
NULL; START(Z); return(CONSTANT_TK);
when 13 =>
NULL; START(Z); return(DECLARE_TK);
when 14 =>
NULL; START(Z); return(DELAY_TK);
when 15 =>
NULL; START(Z); return(DELTA_TK);
when 16 =>
NULL; START(Z); return(DIGITS_TK);
when 17 =>
NULL; START(Z); return(DO_TK);
when 18 =>
NULL; START(Z); return(ELSE_TK);
when 19 =>
NULL; START(Z); return(ELSIF_TK);
when 20 =>
NULL; START(Z); return(END_TK);
when 21 =>
NULL; START(Z); return(ENTRY_TK);
when 22 =>
NULL; START(Z); return(EXCEPTION_TK);
when 23 =>
NULL; START(Z); return(EXIT_TK);
when 24 =>
NULL; START(Z); return(FOR_TK);
when 25 =>
NULL; START(Z); return(FUNCTION_TK);
when 26 =>
NULL; START(Z); return(GENERIC_TK);
when 27 =>
NULL; START(Z); return(GOTO_TK);
when 28 =>
NULL; START(Z); return(IF_TK);
when 29 =>
NULL; START(Z); return(IN_TK);
when 30 =>
NULL; START(Z); return(IS_TK);
when 31 =>
NULL; START(Z); return(LIMITED_TK);
when 32 =>
NULL; START(Z); return(LOOP_TK);
when 33 =>
NULL; START(Z); return(MOD_TK);
when 34 =>
NULL; START(Z); return(NEW_TK);
when 35 =>
NULL; START(Z); return(NOT_TK);
when 36 =>
NULL; START(Z); return(null_TK);
when 37 =>
NULL; START(Z); return(OF_TK);
when 38 =>
NULL; START(Z); return(OR_TK);
when 39 =>
NULL; START(Z); return(OTHERS_TK);
when 40 =>
NULL; START(Z); return(OUT_TK);
when 41 =>
NULL; START(Z); return(PACKAGE_TK);
when 42 =>
NULL; START(Z); return(PRAGMA_TK);
when 43 =>
NULL; START(Z); return(PRIVATE_TK);
when 44 =>
NULL; START(Z); return(PROCEDURE_TK);
when 45 =>
NULL; START(Z); return(RAISE_TK);
when 46 =>
NULL; START(Z); return(RANGE_TK);
when 47 =>
NULL; START(Z); return(RECORD_TK);
when 48 =>
NULL; START(Z); return(REM_TK);
when 49 =>
NULL; START(Z); return(RENAMES_TK);
when 50 =>
NULL; START(Z); return(RETURN_TK);
when 51 =>
NULL; START(Z); return(REVERSE_TK);
when 52 =>
NULL; START(Z); return(SELECT_TK);
when 53 =>
NULL; START(Z); return(SEPARATE_TK);
when 54 =>
NULL; START(Z); return(SUBTYPE_TK);
when 55 =>
NULL; START(Z); return(TASK_TK);
when 56 =>
NULL; START(Z); return(TERMINATE_TK);
when 57 =>
NULL; START(Z); return(THEN_TK);
when 58 =>
NULL; START(Z); return(TYPE_TK);
when 59 =>
NULL; START(Z); return(USE_TK);
when 60 =>
NULL; START(Z); return(WHEN_TK);
when 61 =>
NULL; START(Z); return(WHILE_TK);
when 62 =>
NULL; START(Z); return(WITH_TK);
when 63 =>
NULL; START(Z); return(XOR_TK);
when 64 =>
NULL; START(Z); return(ARROW_TK);
when 65 =>
NULL; START(Z); return(DBLDOT_TK);
when 66 =>
NULL; START(Z); return(EXP_TK);
when 67 =>
NULL; START(Z); return(ASSIGN_TK);
when 68 =>
NULL; START(Z); return(NOTEQL_TK);
when 69 =>
NULL; START(Z); return(GTEQL_TK);
when 70 =>
NULL; START(Z); return(LTEQ_TK);
when 71 =>
NULL; START(Z); return(L_LBL_TK);
when 72 =>
NULL; START(Z); return(R_LBL_TK);
when 73 =>
NULL; START(Z); return(BOX_TK);
when 74 =>
NULL; START(Z); return(Character'Pos('&')); 
when 75 =>
NULL; START(Z); return(Character'Pos('(')); 
when 76 =>
NULL; START(IDENT); return(Character'Pos(')')); 
when 77 =>
NULL; START(Z); return(Character'Pos('*')); 
when 78 =>
NULL; START(Z); return(Character'Pos('+')); 
when 79 =>
NULL; START(Z); return(Character'Pos(',')); 
when 80 =>
NULL; START(Z); return(Character'Pos('-')); 
when 81 =>
NULL; START(Z); return(Character'Pos('.')); 
when 82 =>
NULL; START(Z); return(Character'Pos('/')); 
when 83 =>
NULL; START(Z); return(Character'Pos(':')); 
when 84 =>
NULL; START(Z); return(Character'Pos(';')); 
when 85 =>
NULL; START(Z); return(Character'Pos('<')); 
when 86 =>
NULL; START(Z); return(Character'Pos('=')); 
when 87 =>
NULL; START(Z); return(Character'Pos('>')); 
when 88 =>
NULL; START(Z); return(Character'Pos('|')); 
when 89 =>
NULL; START(Z1); return(Character'Pos('''));
when 90 =>

                    NULL;
                    START(IDENT);
                    Lval := Create_Expr_Node (Yytext, Yyleng);
                    return (Identifier);
                   
when 91 =>

                         NULL;
                         START(Z);
                         Num_Lit := Yytext;
                         Lval := Create_Constant_Node (Yytext, Yyleng);
                         return(Numeric_Literal);
                        
when 92 =>

                          NULL;
                          START(Z);
                          declare
                            Num_Quotes : Natural := 0;
                          begin
                            for I in 2 .. Yyleng-1 loop
                              if Yytext(I) = '"' then
                                 Yytext(I+1..Yyleng-1) :=
                                   Yytext(I+2..Yyleng-1) & ' ';
                                 Num_Quotes := Num_Quotes + 1;
                              end if;
                            end loop;
                            Lval := Create_String_Node( Yytext(2 .. Yyleng-1),
                              Yyleng-2-Num_Quotes);
                          end;
                          return(String_Literal);
                        
when 93 =>

               NULL;
               START(IDENT);
               Lval := Create_Character_Node (Yytext (2 .. Yyleng-1), Yyleng-2);
               return(Character_Literal);
               
when 94 =>

                          NULL;
                          if Lexacts.Eol_Flag = 0 then
                            Yyline_Number := 0;
                            return (0);
                          else
                            Prompt(Continuation_Prompt);
                            Yyline_Number := Yyline_Number +1;
                          end if;
                        
when 95 =>
NULL;
when 96 =>
 NULL; Process_Help (Yytext(1 .. Yyleng)); 
when 97 =>
 NULL; Process_Comments (Yytext(1 .. Yyleng)); 
when 98 =>
 NULL;
          Show_Error (3011, Fatal, Yytext(1..Yyleng));
          raise Ace_Universal_Types.Scanner_Error; 
when -1 => NULL;
when others => raise CONSTRAINT_ERROR;
end case;
if REJECT_FLAG then NSTR := YYREJECT;
else NSTR := YYLOOK;
end if;
end loop;
return 0;
end YYLEX;

end LEX_PKG;
