--|$Log:	main.a,v $
--|Revision 8.0  91/01/17  10:45:52  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - Main
--
---------------------------------------------------------------
--
--
-- Abstract
--
--    This is the top level of ACE.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------
with Ace;
use Ace;

with Window_System;

with Ace_Universal_Types;
use Ace_Universal_Types;

with Ace_Text_Io;
use Ace_Text_Io;

with Symbol_Table_Routines;

procedure Main is

   -- The following Strings are maintained by RCS (the revision control
   -- system used on the ACE project).  Revision and Date are copies
   -- of RCS_Revision and RCS_Date respectively, with the "$" character
   -- striped.

   Rcs_Revision : constant String := "$Revision: 8.0 $";
   Rcs_Date     : constant String := "$Date: 91/01/17 10:45:52 $";
   Revision     : constant String := Rcs_Revision (Rcs_Revision'FIRST + 1 ..
                                               Rcs_Revision'LAST - 1);
   Date : constant String := Rcs_Date (Rcs_Date'FIRST + 1 .. Rcs_Date'LAST - 1);

begin
   Symbol_Table_Routines.Initialize_Symbol_Table;
   Ace_Level := 0;

   Put_Line ("Ada Command Environment; " & Revision & ' ' & Date);
   New_Line;
   Put_Line ("Processing environment definition...");
   loop
      begin
         Ace_Main;
      exception
         when Super_Terminate  =>
            Put_Line ("Returned to ACE Top Level");
            Ace_Level := 0;
         when Interrupt_Error  =>
            Put_Line ("Already at ACE Top Level");
      end;
   end loop;
   Put_Line ("Abnormal Exit");
exception
   when End_Ace =>
      Window_System.Kill_Window; -- destroy subprogram observe window
      Put_Line ("Exiting ACE");
end Main;
