--|$Log:	nowin.a,v $
--|Revision 8.0  91/01/17  10:45:55  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - ACE Window System
--
---------------------------------------------------------------
--
--
-- Abstract
--
--   The following package are just stubs for the windowing system.
--   It is used in place of the windowing routines on the Sun.
--   Nothing can be gained by looking at this code, since it
--   is just a stub.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------

package body Window_System is

   type Window_System_Kind is (None, Sun, X);

   Current_Ws : Window_System_Kind := None;

   -- ======================================================================

   function Running_Under_Windowing_System return Boolean is
   begin
      return (Current_Ws /= None);
   end Running_Under_Windowing_System;

   procedure Create_Observe_Subprograms_Window is
   begin
      case Current_Ws is
         when Sun    =>
            null;
         when X =>
            null;
         when None   =>
            null;
      end case;
   end Create_Observe_Subprograms_Window;

   procedure End_Of_Displaying_Lines is
   begin
      case Current_Ws is
         when Sun    =>
            null;
         when X =>
            null;
         when None   =>
            null;
      end case;
   end End_Of_Displaying_Lines;

   procedure Synchonize_With_Textwindow is
   begin
      case Current_Ws is
         when Sun    =>
            null;
         when X =>
            null;
         when None   =>
            null;
      end case;
   end Synchonize_With_Textwindow;

   procedure Clear_Textwindow is
   begin
      case Current_Ws is
         when Sun    =>
            null;
         when X =>
            null;
         when None   =>
            null;
      end case;
   end Clear_Textwindow;

   procedure Kill_Window is
   begin
      case Current_Ws is
         when Sun    =>
            null;
         when X =>
            null;
         when None   =>
            null;
      end case;
   end Kill_Window;

   procedure Show_Statement (Str : in String) is
   begin
      case Current_Ws is
         when Sun    =>
            null;
         when X =>
            null;
         when None   =>
            null;
      end case;
   end Show_Statement;

   procedure Display_Line (Str : in String) is
   begin
      case Current_Ws is
         when Sun    =>
            null;
         when X =>
            null;
         when None   =>
            null;
      end case;
   end Display_Line;

   -- ======================================================================

end Window_System;

--
--
-- Package Name -  X_Window_Adt
--
---------------------------------------------------------------
--
-- Abstract -
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------

package body X_Window_Adt is

   --=======================================================================
   --
   --=======================================================================
   --
   procedure Create_Window (Window              : in out Ace_Window_Type;
                            Horizontal_Position : in Ace_Coordinate := 0;
                            Vertical_Position   : in Ace_Coordinate := 0;
                            Horizontal_Size     : in Ace_Pixels     := 100;
                            Vertical_Size       : in Ace_Pixels     := 100) is
   begin
      null;
   end Create_Window;

   --=======================================================================
   --
   --=======================================================================
   --
   procedure Destroy_Window (Window : in out Ace_Window_Type) is
   begin
      null;
   end Destroy_Window;

   --=======================================================================
   --
   --=======================================================================
   --
   procedure Clear_Window (Window : in Ace_Window_Type) is
   begin
      null;
   end Clear_Window;

   --=======================================================================
   --
   --=======================================================================
   --
   procedure Draw_Line (Window         : in Ace_Window_Type;
                        X1, Y1, X2, Y2 : in Ace_Coordinate) is
   begin
      null;
   end Draw_Line;

   --=======================================================================
   --
   --=======================================================================
   --
   procedure Draw_Dashed_Line (Window         : in Ace_Window_Type;
                               X1, Y1, X2, Y2 : in Ace_Coordinate) is
   begin
      null;
   end Draw_Dashed_Line;

   --=======================================================================
   --
   --=======================================================================
   --
   procedure Draw_Text (Window : in Ace_Window_Type;
                        X, Y   : in Ace_Coordinate;
                        Text   : in String) is
   begin
      null;
   end Draw_Text;

   --=======================================================================
   --
   --=======================================================================
   --
   procedure Draw_Rectangle_Builtin (Window        : in Ace_Window_Type;
                                     X, Y          : in Ace_Coordinate;
                                     Width, Height : in Ace_Pixels) is
   begin
      null;
   end Draw_Rectangle_Builtin;

end X_Window_Adt;
