--|$Log:	seq_of_stmts_shift_reduce.a,v $
--|Revision 8.0  91/01/17  10:46:16  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
package Seq_Of_Stmts_Shift_Reduce is

    type Small_Integer is range -32_000 .. 32_000;

    type Shift_Reduce_Entry is record
        T   : Small_Integer;
        Act : Small_Integer;
    end record;
    pragma Pack(Shift_Reduce_Entry);

    subtype Row is Integer range -1 .. Integer'Last;

  --pragma suppress(index_check);

    type Shift_Reduce_Array is array (Row  range <>) of Shift_Reduce_Entry;

    Shift_Reduce_Matrix : constant Shift_Reduce_Array :=
        ( (-1,-1) -- Dummy Entry

-- state  0
,(-1,-302)
-- state  1
,(-1,-4)
-- state  2
,( 43,-1),(-1,-365)

-- state  3
,( 0,-1001),(-1,-1000)
-- state  4
,( 1, 19),( 37, 27)
,( 46, 28),( 76, 26),(-1,-1)
-- state  5
,( 43, 35)
,(-1,-1000)
-- state  6
,(-1,-302)
-- state  7
,(-1,-303)
-- state  8
,(-1,-1000)

-- state  9
,(-1,-162)
-- state  10
,(-1,-163)
-- state  11
,(-1,-164)
-- state  12
,(-1,-165)

-- state  13
,(-1,-166)
-- state  14
,(-1,-167)
-- state  15
,(-1,-168)
-- state  16
,(-1,-169)

-- state  17
,(-1,-170)
-- state  18
,( 2, 59),( 4, 56),( 12, 51)
,( 15, 57),( 24, 53),( 28, 55),( 29, 50)
,( 51, 54),( 53, 58),( 65, 45),( 67, 46)
,( 68, 39),(-1,-375)
-- state  19
,(-1,-172)
-- state  20
,(-1,-173)

-- state  21
,(-1,-174)
-- state  22
,(-1,-175)
-- state  23
,(-1,-176)
-- state  24
,(-1,-177)

-- state  25
,(-1,-178)
-- state  26
,( 65, 45),(-1,-1000)
-- state  27
,( 79, 62)
,(-1,-1000)
-- state  28
,( 65, 64),(-1,-389)
-- state  29
,(-1,-231)

-- state  30
,(-1,-232)
-- state  31
,(-1,-233)
-- state  32
,(-1,-160)
-- state  33
,(-1,-161)

-- state  34
,(-1,-366)
-- state  35
,( 65, 66),(-1,-1000)
-- state  36
,( 43,-1)
,(-1,-363)
-- state  37
,( 1,-365),( 2,-365),( 4,-365)
,( 10,-365),( 12,-365),( 14,-365),( 15,-365)
,( 24,-365),( 25,-365),( 28,-365),( 29,-365)
,( 33,-365),( 37,-365),( 46,-365),( 51,-365)
,( 53,-365),( 62,-365),( 65,-365),( 67,-365)
,( 68,-365),( 76,-365),(-1,-159)
-- state  38
,( 80, 68)
,(-1,-101)
-- state  39
,(-1,-102)
-- state  40
,(-1,-103)
-- state  41
,(-1,-104)

-- state  42
,(-1,-105)
-- state  43
,(-1,-106)
-- state  44
,(-1,-466)
-- state  45
,(-1,-107)

-- state  46
,(-1,-202)
-- state  47
,( 81, 69),( 83, 71),( 84, 72)
,(-1,-1000)
-- state  48
,(-1,-155)
-- state  49
,( 72, 74),( 81,-116)
,( 83,-116),( 84,-116),(-1,-2)
-- state  50
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 45)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  51
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 45)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  52
,( 25, 107)
,( 33,-379),( 62, 106),(-1,-192)
-- state  53
,( 65, 64)
,(-1,-389)
-- state  54
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-393)
-- state  55
,( 65, 64),(-1,-1000)
-- state  56
,( 65, 45)
,(-1,-1000)
-- state  57
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  58
,( 61, 119),(-1,-302)
-- state  59
,( 65, 45)
,( 67, 46),( 68, 39),(-1,-1000)
-- state  60
,(-1,-2)

-- state  61
,( 77, 131),(-1,-1000)
-- state  62
,(-1,-180)
-- state  63
,( 83, 132)
,(-1,-390)
-- state  64
,(-1,-314)
-- state  65
,( 79, 133),(-1,-1000)

-- state  66
,( 81, 134),(-1,-304)
-- state  67
,(-1,-302)
-- state  68
,(-1,-376)

-- state  69
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 40, 141),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  70
,(-1,-108)
-- state  71
,( 6, 146),( 65, 45)
,( 67, 46),( 68, 144),(-1,-1000)
-- state  72
,( 65, 45)
,( 81, 69),(-1,-1000)
-- state  73
,( 79, 151),(-1,-1000)

-- state  74
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  75
,(-1,-184)
-- state  76
,( 7, 153),(-1,-122)
-- state  77
,( 7, 154)
,(-1,-123)
-- state  78
,( 39, 155),(-1,-124)
-- state  79
,( 39, 156)
,(-1,-125)
-- state  80
,(-1,-126)
-- state  81
,( 7, 157),( 39, 158)
,( 64, 159),(-1,-342)
-- state  82
,( 64, 160),(-1,-343)

-- state  83
,( 30,-353),( 36, 162),( 73, 164),( 74, 168)
,( 75, 166),( 85, 163),( 86, 165),( 87, 167)
,(-1,-350)
-- state  84
,(-1,-128)
-- state  85
,( 88, 171),( 89, 172)
,( 90, 173),(-1,-129)
-- state  86
,(-1,-355)
-- state  87
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 45)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,(-1,-1000)
-- state  88
,( 34, 178),( 49, 179),( 91, 176)
,( 92, 177),(-1,-130)
-- state  89
,(-1,-149)
-- state  90
,(-1,-150)

-- state  91
,(-1,-358)
-- state  92
,( 71, 181),(-1,-360)
-- state  93
,( 35, 101)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),(-1,-1000)
-- state  94
,( 35, 101)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),(-1,-1000)
-- state  95
,(-1,-134)

-- state  96
,(-1,-135)
-- state  97
,(-1,-136)
-- state  98
,(-1,-137)
-- state  99
,( 81,-116)
,( 83,-116),( 84,-116),(-1,-138)
-- state  100
,(-1,-139)

-- state  101
,( 65, 64),(-1,-1000)
-- state  102
,(-1,-101)
-- state  103
,( 58, 187)
,(-1,-1000)
-- state  104
,( 31, 188),(-1,-1000)
-- state  105
,(-1,-380)

-- state  106
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  107
,( 65, 190),(-1,-1000)
-- state  108
,( 33, 192),(-1,-1000)

-- state  109
,( 14, 193),(-1,-383)
-- state  110
,( 61, 195),(-1,-391)

-- state  111
,(-1,-394)
-- state  112
,(-1,-2)
-- state  113
,( 83, 132),(-1,-2)

-- state  114
,( 81, 200),(-1,-395)
-- state  115
,(-1,-2)
-- state  116
,(-1,-235)

-- state  117
,( 57, 208),( 65, 45),( 67, 46),( 68, 39)
,(-1,-1)
-- state  118
,(-1,-426)
-- state  119
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),( 88, 89)
,( 89, 90),(-1,-1000)
-- state  120
,(-1,-236)
-- state  121
,(-1,-237)

-- state  122
,(-1,-238)
-- state  123
,(-1,-239)
-- state  124
,(-1,-240)
-- state  125
,(-1,-241)

-- state  126
,(-1,-424)
-- state  127
,(-1,-302)
-- state  128
,( 81, 69),( 83, 71)
,( 84, 214),(-1,-1000)
-- state  129
,( 81,-116),( 83,-116)
,( 84,-116),(-1,-433)
-- state  130
,( 79, 216),(-1,-1000)

-- state  131
,(-1,-179)
-- state  132
,( 65, 217),(-1,-1000)
-- state  133
,(-1,-267)

-- state  134
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 221),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  135
,( 79, 222),(-1,-1000)
-- state  136
,( 43,-1),(-1,-364)

-- state  137
,(-1,-118)
-- state  138
,(-1,-330)
-- state  139
,( 30,-353),( 36, 162)
,( 69,-77),( 70, 224),( 73, 164),( 74, 168)
,( 75, 166),( 85, 163),( 86, 165),( 87, 167)
,( 94,-77),(-1,-350)
-- state  140
,( 47, 225),( 81,-116)
,( 83,-116),( 84,-116),(-1,-138)
-- state  141
,(-1,-80)

-- state  142
,(-1,-336)
-- state  143
,(-1,-110)
-- state  144
,(-1,-111)
-- state  145
,(-1,-112)

-- state  146
,(-1,-113)
-- state  147
,(-1,-109)
-- state  148
,(-1,-115)
-- state  149
,(-1,-114)

-- state  150
,(-1,-362)
-- state  151
,(-1,-171)
-- state  152
,(-1,-2)
-- state  153
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 45)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  154
,( 58, 230)
,(-1,-1000)
-- state  155
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  156
,( 19, 232),(-1,-1000)
-- state  157
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 58, 234)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  158
,( 3, 93),( 19, 236),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  159
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  160
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  161
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  162
,(-1,-354)
-- state  163
,(-1,-140)
-- state  164
,(-1,-141)

-- state  165
,(-1,-142)
-- state  166
,(-1,-143)
-- state  167
,(-1,-144)
-- state  168
,(-1,-145)

-- state  169
,(-1,-127)
-- state  170
,( 30, 240),(-1,-1000)
-- state  171
,(-1,-146)

-- state  172
,(-1,-147)
-- state  173
,(-1,-148)
-- state  174
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),(-1,-1000)

-- state  175
,(-1,-356)
-- state  176
,(-1,-151)
-- state  177
,(-1,-152)
-- state  178
,(-1,-153)

-- state  179
,(-1,-154)
-- state  180
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),(-1,-1000)
-- state  181
,( 35, 101)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),(-1,-1000)
-- state  182
,(-1,-131)

-- state  183
,(-1,-132)
-- state  184
,(-1,-133)
-- state  185
,( 83, 132),(-1,-39)

-- state  186
,( 81, 69),( 84, 245),(-1,-156)
-- state  187
,(-1,-182)

-- state  188
,(-1,-185)
-- state  189
,(-1,-189)
-- state  190
,( 30, 248),(-1,-1000)

-- state  191
,(-1,-190)
-- state  192
,(-1,-302)
-- state  193
,(-1,-302)
-- state  194
,( 10, 253)
,(-1,-1000)
-- state  195
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  196
,(-1,-2)
-- state  197
,( 79, 256),(-1,-1000)

-- state  198
,( 79, 257),(-1,-1000)
-- state  199
,(-1,-420)
-- state  200
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 260)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  201
,(-1,-396)

-- state  202
,( 18, 263),(-1,-422)
-- state  203
,( 79, 265),(-1,-1000)

-- state  204
,( 4, 56),( 15, 57),( 43, 35),(-1,-1000)

-- state  205
,( 79, 266),(-1,-116)
-- state  206
,(-1,-302)
-- state  207
,(-1,-302)

-- state  208
,( 79, 269),(-1,-1000)
-- state  209
,( 69, 270),(-1,-1000)

-- state  210
,( 19, 271),( 39, 273),(-1,-370)
-- state  211
,( 19,-431)
,( 21,-431),( 39,-431),( 43,-1),(-1,-365)

-- state  212
,(-1,-432)
-- state  213
,( 19, 274),( 39, 275),(-1,-1000)

-- state  214
,( 65, 45),(-1,-1000)
-- state  215
,( 93, 277),(-1,-2)

-- state  216
,(-1,-301)
-- state  217
,(-1,-315)
-- state  218
,(-1,-306)
-- state  219
,( 82, 278)
,( 93, 279),(-1,-1000)
-- state  220
,(-1,-6)
-- state  221
,( 69, 280)
,(-1,-107)
-- state  222
,(-1,-2)
-- state  223
,( 69, 282),( 94, 283)
,(-1,-1000)
-- state  224
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  225
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  226
,( 82,-121),( 93,-121),(-1,-78)

-- state  227
,( 82, 288),( 93, 289),(-1,-1000)
-- state  228
,( 79, 290)
,(-1,-1000)
-- state  229
,(-1,-339)
-- state  230
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),( 88, 89)
,( 89, 90),(-1,-1000)
-- state  231
,(-1,-341)
-- state  232
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 45)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  233
,(-1,-338)

-- state  234
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  235
,(-1,-340)
-- state  236
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  237
,(-1,-344)
-- state  238
,(-1,-345)
-- state  239
,(-1,-351)

-- state  240
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  241
,(-1,-357)
-- state  242
,(-1,-359)
-- state  243
,(-1,-361)
-- state  244
,(-1,-157)

-- state  245
,( 81, 69),(-1,-1000)
-- state  246
,(-1,-302)
-- state  247
,(-1,-302)

-- state  248
,( 52, 300),(-1,-381)
-- state  249
,( 21, 302),(-1,-1000)

-- state  250
,( 25,-1),( 26,-1),( 27,-1),( 42,-1)
,( 45,-1),( 55,-1),( 56,-1),( 59,-1)
,( 60,-1),( 65,-1),(-1,-84)
-- state  251
,( 43,-1)
,(-1,-332)
-- state  252
,(-1,-384)
-- state  253
,(-1,-302)
-- state  254
,(-1,-392)

-- state  255
,( 79, 336),(-1,-1000)
-- state  256
,(-1,-195)
-- state  257
,(-1,-196)

-- state  258
,( 80, 337),(-1,-1000)
-- state  259
,(-1,-229)
-- state  260
,( 80,-310)
,( 93,-310),(-1,-107)
-- state  261
,(-1,-397)
-- state  262
,( 82, 340)
,(-1,-1000)
-- state  263
,(-1,-302)
-- state  264
,(-1,-2)
-- state  265
,(-1,-230)

-- state  266
,(-1,-227)
-- state  267
,(-1,-428)
-- state  268
,(-1,-429)
-- state  269
,(-1,-302)

-- state  270
,(-1,-302)
-- state  271
,(-1,-302)
-- state  272
,( 21, 347),(-1,-1000)

-- state  273
,( 61, 119),(-1,-302)
-- state  274
,(-1,-302)
-- state  275
,(-1,-302)

-- state  276
,( 79, 352),(-1,-1000)
-- state  277
,( 65, 45),( 67, 46)
,( 68, 39),(-1,-1000)
-- state  278
,(-1,-305)
-- state  279
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 221)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  280
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 45)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  281
,(-1,-5)

-- state  282
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  283
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 40, 141),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  284
,( 82,-120),( 93,-120),(-1,-79)

-- state  285
,( 34,-138),( 49,-138),( 70,-138),( 71,-138)
,( 81,-116),( 83,-116),( 84,-116),( 88,-138)
,( 89,-138),( 90,-138),( 91,-138),( 92,-138)
,(-1,-46)
-- state  286
,( 70, 360),(-1,-1000)
-- state  287
,(-1,-45)

-- state  288
,(-1,-117)
-- state  289
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 40, 141),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),( 88, 89)
,( 89, 90),(-1,-1000)
-- state  290
,(-1,-181)
-- state  291
,(-1,-347)

-- state  292
,(-1,-349)
-- state  293
,(-1,-346)
-- state  294
,(-1,-348)
-- state  295
,(-1,-352)

-- state  296
,(-1,-158)
-- state  297
,(-1,-367)
-- state  298
,( 61, 363),(-1,-1)

-- state  299
,( 21, 365),(-1,-1000)
-- state  300
,(-1,-382)
-- state  301
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 45)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  302
,( 33, 369)
,(-1,-1000)
-- state  303
,(-1,-96)
-- state  304
,(-1,-97)
-- state  305
,(-1,-86)

-- state  306
,(-1,-87)
-- state  307
,(-1,-88)
-- state  308
,(-1,-98)
-- state  309
,(-1,-99)

-- state  310
,(-1,-100)
-- state  311
,( 25, 375),( 26, 372),( 27, 376)
,( 42, 380),( 45, 371),( 55, 379),( 56, 382)
,( 59, 378),( 60, 381),( 65, 370),(-1,-1000)

-- state  312
,(-1,-8)
-- state  313
,(-1,-9)
-- state  314
,(-1,-10)
-- state  315
,(-1,-11)

-- state  316
,(-1,-12)
-- state  317
,(-1,-13)
-- state  318
,(-1,-14)
-- state  319
,(-1,-15)

-- state  320
,(-1,-16)
-- state  321
,(-1,-17)
-- state  322
,(-1,-18)
-- state  323
,(-1,-290)

-- state  324
,(-1,-291)
-- state  325
,(-1,-25)
-- state  326
,(-1,-26)
-- state  327
,(-1,-27)

-- state  328
,( 79, 386),(-1,-1000)
-- state  329
,( 79, 387),(-1,-1000)

-- state  330
,(-1,-292)
-- state  331
,(-1,-293)
-- state  332
,(-1,-294)
-- state  333
,(-1,-302)

-- state  334
,(-1,-302)
-- state  335
,( 23, 391),(-1,-385)
-- state  336
,(-1,-194)

-- state  337
,( 30, 394),( 41, 395),(-1,-399)
-- state  338
,( 93, 397)
,(-1,-24)
-- state  339
,( 79, 399),( 82, 398),(-1,-1000)

-- state  340
,( 81, 400),(-1,-395)
-- state  341
,( 21, 402),(-1,-1000)

-- state  342
,( 79, 403),(-1,-1000)
-- state  343
,( 43,-1),(-1,-430)

-- state  344
,( 57, 208),(-1,-1)
-- state  345
,(-1,-427)
-- state  346
,(-1,-371)

-- state  347
,( 53, 404),(-1,-1000)
-- state  348
,(-1,-425)
-- state  349
,( 21, 405)
,(-1,-1000)
-- state  350
,(-1,-1)
-- state  351
,( 21, 407),(-1,-1000)

-- state  352
,(-1,-244)
-- state  353
,( 81,-116),( 83,-116),( 84,-116)
,(-1,-434)
-- state  354
,(-1,-307)
-- state  355
,(-1,-7)
-- state  356
,(-1,-119)

-- state  357
,( 70, 408),(-1,-77)
-- state  358
,( 47, 225),( 81,-116)
,( 83,-116),( 84,-116),(-1,-138)
-- state  359
,(-1,-331)

-- state  360
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  361
,(-1,-337)
-- state  362
,( 19, 271),( 20, 412),(-1,-370)

-- state  363
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 40, 141),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  364
,(-1,-373)
-- state  365
,( 12, 415),(-1,-1000)

-- state  366
,(-1,-65)
-- state  367
,( 34,-138),( 47, 225),( 49,-138)
,( 70,-138),( 71,-138),( 81,-116),( 83,-116)
,( 84,-116),( 88,-138),( 89,-138),( 90,-138)
,( 91,-138),( 92,-138),(-1,-46)
-- state  368
,(-1,-191)

-- state  369
,( 65, 45),(-1,-377)
-- state  370
,(-1,-310)
-- state  371
,( 65, 419)
,(-1,-1000)
-- state  372
,( 65, 420),( 67, 46),(-1,-1000)

-- state  373
,( 26, 423),( 45, 371),(-1,-1)
-- state  374
,( 31, 428)
,( 50, 429),(-1,-2)
-- state  375
,( 65, 45),( 67, 46)
,( 68, 39),(-1,-1000)
-- state  376
,(-1,-446)
-- state  377
,( 80, 434)
,(-1,-1000)
-- state  378
,( 65, 435),(-1,-1000)
-- state  379
,( 65, 436)
,(-1,-1000)
-- state  380
,( 11, 438),( 65, 437),(-1,-1000)

-- state  381
,( 65, 64),(-1,-1000)
-- state  382
,( 11, 442),( 59, 440)
,(-1,-412)
-- state  383
,(-1,-2)
-- state  384
,( 35, 444),(-1,-1000)

-- state  385
,( 48, 446),( 81, 69),(-1,-1000)
-- state  386
,(-1,-210)

-- state  387
,(-1,-222)
-- state  388
,( 43,-1),(-1,-334)
-- state  389
,( 26,-1)
,( 27,-1),( 42,-1),( 45,-1),( 56,-1)
,( 60,-1),(-1,-85)
-- state  390
,( 43,-1),(-1,-333)

-- state  391
,(-1,-302)
-- state  392
,( 21, 457),(-1,-1000)
-- state  393
,(-1,-205)

-- state  394
,( 41, 458),(-1,-400)
-- state  395
,(-1,-207)
-- state  396
,( 65, 64)
,(-1,-1000)
-- state  397
,( 65, 460),(-1,-1000)
-- state  398
,(-1,-203)

-- state  399
,( 65, 370),(-1,-1000)
-- state  400
,( 65, 370),(-1,-1000)

-- state  401
,(-1,-421)
-- state  402
,( 65, 45),(-1,-377)
-- state  403
,(-1,-228)

-- state  404
,(-1,-2)
-- state  405
,( 53, 464),(-1,-1000)
-- state  406
,( 15, 57)
,( 43, 35),(-1,-1000)
-- state  407
,( 53, 465),(-1,-1000)

-- state  408
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  409
,(-1,-78)
-- state  410
,(-1,-47)
-- state  411
,( 21, 467),(-1,-1000)

-- state  412
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  413
,(-1,-330)
-- state  414
,( 61, 363),(-1,-372)
-- state  415
,( 79, 471)
,(-1,-1000)
-- state  416
,(-1,-66)
-- state  417
,(-1,-378)
-- state  418
,(-1,-2)

-- state  419
,( 81, 400),(-1,-395)
-- state  420
,(-1,-200)
-- state  421
,(-1,-201)

-- state  422
,( 31, 475),( 81, 400),(-1,-395)
-- state  423
,( 65, 420)
,( 67, 46),(-1,-1000)
-- state  424
,( 42, 477),(-1,-1000)

-- state  425
,(-1,-269)
-- state  426
,(-1,-270)
-- state  427
,( 79, 478),(-1,-1000)

-- state  428
,( 35,-453),( 54, 480),(-1,-208)
-- state  429
,( 65, 45)
,( 67, 46),( 68, 39),(-1,-1000)
-- state  430
,(-1,-116)

-- state  431
,( 60, 482),(-1,-101)
-- state  432
,( 60, 483),(-1,-106)

-- state  433
,( 59,-1),( 63, 487),( 65, 370),(-1,-271)

-- state  434
,( 8, 490),( 13, 492),( 23, 494),( 65, 64)
,(-1,-1000)
-- state  435
,( 31, 496),( 81, 495),(-1,-2)

-- state  436
,( 31, 499),(-1,-1000)
-- state  437
,( 50, 501),(-1,-3)

-- state  438
,( 65, 45),(-1,-1000)
-- state  439
,( 83, 132),(-1,-410)

-- state  440
,(-1,-413)
-- state  441
,( 65, 504),(-1,-1000)
-- state  442
,( 65, 45)
,(-1,-1000)
-- state  443
,( 79, 506),(-1,-1000)
-- state  444
,( 65, 64)
,(-1,-1000)
-- state  445
,(-1,-2)
-- state  446
,(-1,-302)
-- state  447
,(-1,-89)

-- state  448
,(-1,-90)
-- state  449
,(-1,-91)
-- state  450
,(-1,-92)
-- state  451
,(-1,-93)

-- state  452
,(-1,-94)
-- state  453
,(-1,-95)
-- state  454
,( 26, 372),( 27, 376)
,( 42, 512),( 45, 371),( 56, 382),( 60, 381)
,(-1,-1000)
-- state  455
,(-1,-302)
-- state  456
,( 61, 516),(-1,-1)

-- state  457
,( 65, 45),(-1,-377)
-- state  458
,(-1,-206)
-- state  459
,( 72, 518)
,(-1,-308)
-- state  460
,(-1,-311)
-- state  461
,(-1,-398)
-- state  462
,(-1,-423)

-- state  463
,( 79, 520),(-1,-1000)
-- state  464
,(-1,-2)
-- state  465
,(-1,-2)

-- state  466
,(-1,-79)
-- state  467
,( 29, 523),(-1,-1000)
-- state  468
,( 58, 524)
,(-1,-1000)
-- state  469
,( 69, 525),( 94, 283),(-1,-1000)

-- state  470
,(-1,-374)
-- state  471
,(-1,-2)
-- state  472
,( 79, 527),(-1,-1000)

-- state  473
,(-1,-198)
-- state  474
,( 51, 528),(-1,-1000)
-- state  475
,( 35, 529)
,(-1,-1000)
-- state  476
,( 81, 400),(-1,-395)
-- state  477
,( 65, 530)
,(-1,-1000)
-- state  478
,(-1,-197)
-- state  479
,(-1,-302)
-- state  480
,(-1,-2)

-- state  481
,( 81,-116),( 83,-116),( 84,-116),(-1,-2)

-- state  482
,( 9, 535),(-1,-461)
-- state  483
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),( 88, 89)
,( 89, 90),(-1,-1000)
-- state  484
,( 80, 537),(-1,-1000)

-- state  485
,( 59, 538),(-1,-1000)
-- state  486
,(-1,-274)
-- state  487
,( 26, 423)
,( 45, 371),(-1,-1000)
-- state  488
,(-1,-447)
-- state  489
,( 16, 548)
,( 17, 547),( 47, 225),( 50, 550),( 81, 69)
,(-1,-312)
-- state  490
,( 81, 551),(-1,-1000)
-- state  491
,( 72, 518)
,(-1,-308)
-- state  492
,( 8, 490),( 65, 64),( 72, 557)
,(-1,-1000)
-- state  493
,( 72, 518),(-1,-308)
-- state  494
,( 50, 559)
,(-1,-2)
-- state  495
,( 65, 370),(-1,-1000)
-- state  496
,( 5, 578)
,( 8, 580),( 16, 548),( 17, 547),( 32, 570)
,( 35, 579),( 47, 225),( 48, 577),( 81, 571)
,(-1,-408)
-- state  497
,( 31, 583),(-1,-2)
-- state  498
,( 79, 585)
,(-1,-1000)
-- state  499
,( 65, 64),(-1,-1000)
-- state  500
,( 31, 587)
,(-1,-1000)
-- state  501
,( 65, 64),(-1,-1000)
-- state  502
,( 31, 589)
,(-1,-1000)
-- state  503
,( 93, 591),(-1,-2)
-- state  504
,( 31, 592)
,(-1,-414)
-- state  505
,( 31, 594),(-1,-1000)
-- state  506
,(-1,-268)

-- state  507
,( 81, 596),( 83, 132),(-1,-454)
-- state  508
,( 79, 598)
,(-1,-1000)
-- state  509
,( 21,-462),( 65,-462),( 67,-462)
,( 68,-462),(-1,-1)
-- state  510
,(-1,-464)
-- state  511
,( 31, 428)
,(-1,-2)
-- state  512
,( 11, 438),( 65, 602),(-1,-1000)

-- state  513
,( 43,-1),(-1,-335)
-- state  514
,(-1,-387)
-- state  515
,( 61, 516)
,(-1,-386)
-- state  516
,( 40, 605),( 65, 64),(-1,-1000)

-- state  517
,(-1,-2)
-- state  518
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  519
,(-1,-204)
-- state  520
,(-1,-234)
-- state  521
,( 79, 609)
,(-1,-1000)
-- state  522
,( 79, 610),(-1,-1000)
-- state  523
,( 79, 611)
,(-1,-1000)
-- state  524
,(-1,-368)
-- state  525
,(-1,-302)
-- state  526
,(-1,-186)

-- state  527
,(-1,-188)
-- state  528
,( 65, 64),(-1,-1000)
-- state  529
,( 65, 64)
,(-1,-1000)
-- state  530
,(-1,-3)
-- state  531
,(-1,-401)
-- state  532
,( 10, 617)
,(-1,-1000)
-- state  533
,( 79, 618),(-1,-1000)
-- state  534
,( 79, 619)
,(-1,-1000)
-- state  535
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  536
,(-1,-2)
-- state  537
,( 30, 623),(-1,-399)

-- state  538
,( 65, 625),(-1,-1000)
-- state  539
,( 31, 626),(-1,-450)

-- state  540
,(-1,-313)
-- state  541
,(-1,-40)
-- state  542
,(-1,-41)
-- state  543
,(-1,-42)

-- state  544
,(-1,-43)
-- state  545
,( 47, 225),(-1,-318)
-- state  546
,( 47, 225)
,(-1,-318)
-- state  547
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  548
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  549
,(-1,-38)
-- state  550
,( 65, 45),( 67, 46)
,( 68, 39),(-1,-1000)
-- state  551
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),( 88, 89)
,( 89, 90),(-1,-1000)
-- state  552
,( 38, 635),(-1,-1000)

-- state  553
,(-1,-2)
-- state  554
,( 16, 548),( 17, 547),( 47, 225)
,( 81, 69),(-1,-312)
-- state  555
,( 72, 518),(-1,-308)

-- state  556
,( 72, 518),(-1,-308)
-- state  557
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),( 88, 89)
,( 89, 90),(-1,-1000)
-- state  558
,(-1,-2)
-- state  559
,( 65, 64)
,(-1,-1000)
-- state  560
,( 79, 642),(-1,-1000)
-- state  561
,( 80, 643)
,(-1,-1000)
-- state  562
,(-1,-326)
-- state  563
,(-1,-30)
-- state  564
,(-1,-31)

-- state  565
,(-1,-32)
-- state  566
,(-1,-33)
-- state  567
,(-1,-34)
-- state  568
,(-1,-35)

-- state  569
,(-1,-36)
-- state  570
,(-1,-409)
-- state  571
,( 65, 646),( 68, 647)
,(-1,-1000)
-- state  572
,(-1,-52)
-- state  573
,(-1,-53)
-- state  574
,(-1,-54)

-- state  575
,(-1,-59)
-- state  576
,(-1,-60)
-- state  577
,(-1,-302)
-- state  578
,( 65, 64)
,(-1,-1000)
-- state  579
,( 65, 64),(-1,-1000)
-- state  580
,( 81, 653)
,(-1,-1000)
-- state  581
,( 79, 654),(-1,-1000)
-- state  582
,( 44, 655)
,(-1,-1000)
-- state  583
,( 5, 578),( 8, 580),( 16, 548)
,( 17, 547),( 32, 570),( 35, 579),( 47, 225)
,( 48, 577),( 81, 571),(-1,-408)
-- state  584
,( 79, 658)
,(-1,-1000)
-- state  585
,(-1,-82)
-- state  586
,(-1,-2)
-- state  587
,( 35, 661)
,(-1,-211)
-- state  588
,( 83, 132),(-1,-2)
-- state  589
,( 54, 664)
,(-1,-213)
-- state  590
,( 79, 665),(-1,-1000)
-- state  591
,( 65, 64)
,(-1,-1000)
-- state  592
,(-1,-302)
-- state  593
,(-1,-2)
-- state  594
,( 54, 671)
,(-1,-302)
-- state  595
,(-1,-455)
-- state  596
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),( 88, 89)
,( 89, 90),(-1,-1000)
-- state  597
,(-1,-2)
-- state  598
,(-1,-296)

-- state  599
,( 9, 681),( 43, 35),(-1,-1000)
-- state  600
,(-1,-302)

-- state  601
,( 21, 684),( 65, 45),( 67, 46),( 68, 39)
,(-1,-1000)
-- state  602
,(-1,-3)
-- state  603
,(-1,-388)
-- state  604
,( 83, 132)
,(-1,-265)
-- state  605
,(-1,-266)
-- state  606
,(-1,-444)
-- state  607
,( 79, 687)
,(-1,-1000)
-- state  608
,(-1,-309)
-- state  609
,(-1,-242)
-- state  610
,(-1,-243)

-- state  611
,(-1,-2)
-- state  612
,(-1,-302)
-- state  613
,(-1,-187)
-- state  614
,(-1,-199)

-- state  615
,( 81, 596),( 83, 132),(-1,-454)
-- state  616
,( 31, 691)
,(-1,-1000)
-- state  617
,(-1,-302)
-- state  618
,(-1,-259)
-- state  619
,(-1,-221)

-- state  620
,(-1,-2)
-- state  621
,( 79, 694),(-1,-1000)
-- state  622
,(-1,-448)

-- state  623
,( 41, 695),(-1,-400)
-- state  624
,( 65, 64),(-1,-1000)

-- state  625
,( 31, 697),( 81, 495),(-1,-1000)
-- state  626
,( 65, 45)
,( 67, 46),( 68, 39),( 78, 700),(-1,-1000)

-- state  627
,( 79, 701),(-1,-1000)
-- state  628
,(-1,-319)
-- state  629
,(-1,-55)

-- state  630
,(-1,-57)
-- state  631
,(-1,-56)
-- state  632
,(-1,-58)
-- state  633
,( 81,-116)
,( 83,-116),( 84,-116),(-1,-2)
-- state  634
,(-1,-322)

-- state  635
,( 65, 64),(-1,-1000)
-- state  636
,( 79, 705),(-1,-1000)

-- state  637
,(-1,-2)
-- state  638
,(-1,-2)
-- state  639
,(-1,-2)
-- state  640
,( 79, 709)
,(-1,-1000)
-- state  641
,( 83, 132),(-1,-2)
-- state  642
,(-1,-263)

-- state  643
,( 65, 64),(-1,-1000)
-- state  644
,( 79, 713),( 82, 712)
,(-1,-1000)
-- state  645
,(-1,-49)
-- state  646
,(-1,-50)
-- state  647
,(-1,-51)

-- state  648
,(-1,-316)
-- state  649
,( 37, 716),( 43,-1),(-1,-324)

-- state  650
,( 21, 717),(-1,-1000)
-- state  651
,(-1,-81)
-- state  652
,(-1,-44)

-- state  653
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  654
,(-1,-2)
-- state  655
,(-1,-2)
-- state  656
,( 79, 722),(-1,-1000)

-- state  657
,( 44, 723),(-1,-1000)
-- state  658
,(-1,-83)
-- state  659
,( 79, 724)
,(-1,-1000)
-- state  660
,(-1,-302)
-- state  661
,( 65, 64),(-1,-1000)

-- state  662
,( 79, 727),(-1,-1000)
-- state  663
,(-1,-302)
-- state  664
,(-1,-2)

-- state  665
,(-1,-217)
-- state  666
,( 83, 132),(-1,-411)
-- state  667
,( 43,-1)
,(-1,-416)
-- state  668
,( 22,-1),(-1,-418)
-- state  669
,(-1,-223)

-- state  670
,( 10, 733),(-1,-1000)
-- state  671
,(-1,-2)
-- state  672
,(-1,-286)

-- state  673
,(-1,-458)
-- state  674
,( 69, 735),(-1,-1000)
-- state  675
,(-1,-289)

-- state  676
,( 69,-287),(-1,-101)
-- state  677
,( 69,-288),(-1,-103)

-- state  678
,(-1,-460)
-- state  679
,(-1,-456)
-- state  680
,( 79, 737),(-1,-1000)

-- state  681
,( 34, 738),(-1,-1000)
-- state  682
,( 43,-1),(-1,-463)

-- state  683
,( 81,-116),( 83,-116),( 84,-116),(-1,-1)

-- state  684
,( 48, 740),(-1,-1000)
-- state  685
,(-1,-302)
-- state  686
,( 69, 742)
,( 94, 743),(-1,-1000)
-- state  687
,(-1,-193)
-- state  688
,(-1,-183)

-- state  689
,(-1,-369)
-- state  690
,(-1,-2)
-- state  691
,(-1,-211)
-- state  692
,( 23, 391)
,(-1,-385)
-- state  693
,( 79, 746),(-1,-1000)
-- state  694
,(-1,-295)

-- state  695
,(-1,-449)
-- state  696
,( 72, 518),(-1,-308)
-- state  697
,( 5, 578)
,( 8, 580),( 16, 751),( 17, 750),( 32, 570)
,( 47, 749),( 81, 748),(-1,-408)
-- state  698
,( 31, 755)
,(-1,-1000)
-- state  699
,( 81,-116),( 83,-116),( 84,-116)
,(-1,-451)
-- state  700
,(-1,-452)
-- state  701
,(-1,-275)
-- state  702
,( 79, 756)
,(-1,-1000)
-- state  703
,( 82, 757),( 93, 758),(-1,-1000)

-- state  704
,(-1,-62)
-- state  705
,(-1,-19)
-- state  706
,( 79, 759),(-1,-1000)

-- state  707
,( 79, 760),(-1,-1000)
-- state  708
,( 79, 761),(-1,-1000)

-- state  709
,(-1,-21)
-- state  710
,( 79, 762),(-1,-1000)
-- state  711
,( 72, 518)
,(-1,-308)
-- state  712
,(-1,-73)
-- state  713
,( 65, 370),(-1,-1000)

-- state  714
,( 82, 765),( 93, 766),(-1,-1000)
-- state  715
,(-1,-1)

-- state  716
,( 79, 770),(-1,-1000)
-- state  717
,( 48, 771),(-1,-1000)

-- state  718
,( 47, 772),( 81,-116),( 82,-46),( 83,-116)
,( 84,-116),( 93,-46),(-1,-138)
-- state  719
,(-1,-320)

-- state  720
,(-1,-28)
-- state  721
,( 79, 774),(-1,-1000)
-- state  722
,(-1,-2)

-- state  723
,(-1,-2)
-- state  724
,(-1,-37)
-- state  725
,( 25,-1),( 26,-1)
,( 27,-1),( 42,-1),( 44, 777),( 45,-1)
,( 55,-1),( 56,-1),( 59,-1),( 60,-1)
,( 65,-1),(-1,-404)
-- state  726
,( 81, 596),( 83, 132)
,(-1,-454)
-- state  727
,(-1,-220)
-- state  728
,( 10, 781),(-1,-406)

-- state  729
,( 79, 783),(-1,-1000)
-- state  730
,( 21, 785),(-1,-1)

-- state  731
,( 22, 787),(-1,-1000)
-- state  732
,(-1,-302)
-- state  733
,(-1,-302)

-- state  734
,( 79, 790),(-1,-1000)
-- state  735
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),( 88, 89)
,( 89, 90),(-1,-1000)
-- state  736
,( 82, 792),( 93, 793)
,(-1,-1000)
-- state  737
,(-1,-283)
-- state  738
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 81, 69),( 88, 89)
,( 89, 90),(-1,-1000)
-- state  739
,( 9, 795),(-1,-1000)

-- state  740
,(-1,-2)
-- state  741
,( 43,-1),(-1,-465)
-- state  742
,(-1,-302)

-- state  743
,( 40, 605),( 65, 64),(-1,-1000)
-- state  744
,( 79, 799)
,(-1,-1000)
-- state  745
,( 21, 800),(-1,-1000)
-- state  746
,(-1,-300)

-- state  747
,( 79, 801),(-1,-1000)
-- state  748
,( 78, 802),(-1,-1000)

-- state  749
,( 78, 803),(-1,-1000)
-- state  750
,( 78, 804),(-1,-1000)

-- state  751
,( 78, 805),(-1,-1000)
-- state  752
,(-1,-280)
-- state  753
,(-1,-281)

-- state  754
,(-1,-2)
-- state  755
,( 32, 570),(-1,-408)
-- state  756
,(-1,-218)

-- state  757
,(-1,-64)
-- state  758
,( 3, 93),( 35, 101),( 36, 94)
,( 37, 96),( 65, 45),( 66, 95),( 67, 46)
,( 68, 39),( 81, 69),( 88, 89),( 89, 90)
,(-1,-1000)
-- state  759
,(-1,-20)
-- state  760
,(-1,-22)
-- state  761
,(-1,-23)

-- state  762
,(-1,-219)
-- state  763
,(-1,-74)
-- state  764
,(-1,-327)
-- state  765
,(-1,-48)

-- state  766
,( 65, 646),( 68, 647),(-1,-1000)
-- state  767
,( 12, 810)
,( 65, 370),(-1,-1000)
-- state  768
,(-1,-302)
-- state  769
,(-1,-302)

-- state  770
,(-1,-302)
-- state  771
,(-1,-67)
-- state  772
,( 3, 93),( 35, 101)
,( 36, 94),( 37, 96),( 65, 45),( 66, 95)
,( 67, 46),( 68, 39),( 78, 814),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  773
,( 82, 815)
,( 93, 816),(-1,-1000)
-- state  774
,(-1,-215)
-- state  775
,(-1,-29)

-- state  776
,( 79, 817),(-1,-1000)
-- state  777
,(-1,-302)
-- state  778
,( 25, 375)
,( 26, 372),( 27, 376),( 42, 820),( 45, 371)
,( 55, 379),( 56, 821),( 59, 378),( 60, 381)
,( 65, 370),(-1,-1000)
-- state  779
,( 21, 822),(-1,-1000)

-- state  780
,(-1,-2)
-- state  781
,(-1,-302)
-- state  782
,( 21, 825),(-1,-1000)

-- state  783
,(-1,-260)
-- state  784
,( 25, 375),(-1,-1000)
-- state  785
,( 65, 45)
,(-1,-377)
-- state  786
,(-1,-302)
-- state  787
,( 65, 828),(-1,-1000)

-- state  788
,( 43,-1),(-1,-417)
-- state  789
,( 23, 391),(-1,-385)

-- state  790
,(-1,-261)
-- state  791
,(-1,-459)
-- state  792
,(-1,-285)
-- state  793
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 45)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  794
,(-1,-2)

-- state  795
,( 3, 93),( 35, 101),( 36, 94),( 37, 96)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  796
,( 79, 833),(-1,-1000)
-- state  797
,(-1,-264)
-- state  798
,(-1,-445)

-- state  799
,(-1,-284)
-- state  800
,( 65, 420),( 67, 46),(-1,-402)

-- state  801
,(-1,-272)
-- state  802
,( 82, 836),(-1,-1000)
-- state  803
,(-1,-277)

-- state  804
,(-1,-278)
-- state  805
,(-1,-279)
-- state  806
,( 79, 837),(-1,-1000)

-- state  807
,(-1,-323)
-- state  808
,(-1,-317)
-- state  809
,( 80, 838),(-1,-1000)

-- state  810
,( 65, 45),(-1,-1000)
-- state  811
,( 21,-68),( 43,-1)
,( 61,-68),(-1,-325)
-- state  812
,( 43,-1),(-1,-69)

-- state  813
,( 43,-1),(-1,-70)
-- state  814
,(-1,-63)
-- state  815
,( 38, 840)
,(-1,-1000)
-- state  816
,( 65, 45),( 67, 46),( 68, 39)
,(-1,-1000)
-- state  817
,(-1,-216)
-- state  818
,( 25,-1),( 26,-1)
,( 27,-1),( 42,-1),( 45,-1),( 55,-1)
,( 56,-1),( 59,-1),( 60,-1),( 65,-1)
,(-1,-405)
-- state  819
,( 31, 843),( 50, 429),(-1,-2)

-- state  820
,( 65, 437),(-1,-1000)
-- state  821
,( 59, 440),(-1,-412)

-- state  822
,( 65, 45),(-1,-377)
-- state  823
,( 79, 845),(-1,-1000)

-- state  824
,( 23, 391),(-1,-385)
-- state  825
,( 65, 45),(-1,-377)

-- state  826
,(-1,-415)
-- state  827
,( 43,-1),(-1,-419)
-- state  828
,( 81, 848)
,(-1,-395)
-- state  829
,( 21, 850),(-1,-1000)
-- state  830
,(-1,-457)

-- state  831
,( 79, 851),(-1,-1000)
-- state  832
,( 47, 852),(-1,-1000)

-- state  833
,(-1,-297)
-- state  834
,(-1,-403)
-- state  835
,(-1,-2)
-- state  836
,(-1,-276)

-- state  837
,(-1,-273)
-- state  838
,( 65, 64),(-1,-1000)
-- state  839
,( 31, 856)
,(-1,-1000)
-- state  840
,( 65, 64),(-1,-1000)
-- state  841
,( 47, 858)
,(-1,-116)
-- state  842
,(-1,-321)
-- state  843
,(-1,-453)
-- state  844
,(-1,-2)

-- state  845
,(-1,-282)
-- state  846
,(-1,-407)
-- state  847
,(-1,-2)
-- state  848
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 260)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  849
,(-1,-2)

-- state  850
,( 65, 45),(-1,-377)
-- state  851
,(-1,-298)
-- state  852
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 65, 45)
,( 66, 95),( 67, 46),( 68, 39),( 81, 69)
,( 88, 89),( 89, 90),(-1,-1000)
-- state  853
,( 79, 865)
,(-1,-1000)
-- state  854
,(-1,-72)
-- state  855
,( 72, 518),(-1,-308)

-- state  856
,(-1,-302)
-- state  857
,(-1,-61)
-- state  858
,( 78, 814),(-1,-1000)

-- state  859
,(-1,-212)
-- state  860
,( 79, 868),(-1,-1000)
-- state  861
,( 82, 869)
,(-1,-1000)
-- state  862
,( 79, 870),(-1,-1000)
-- state  863
,(-1,-2)

-- state  864
,(-1,-2)
-- state  865
,(-1,-209)
-- state  866
,(-1,-2)
-- state  867
,( 61, 874)
,(-1,-1)
-- state  868
,(-1,-214)
-- state  869
,( 81, 400),(-1,-395)

-- state  870
,(-1,-225)
-- state  871
,( 79, 877),(-1,-1000)
-- state  872
,( 79, 878)
,(-1,-1000)
-- state  873
,( 79, 879),(-1,-1000)
-- state  874
,( 3, 93)
,( 35, 101),( 36, 94),( 37, 96),( 40, 141)
,( 65, 45),( 66, 95),( 67, 46),( 68, 39)
,( 81, 69),( 88, 89),( 89, 90),(-1,-1000)

-- state  875
,(-1,-328)
-- state  876
,(-1,-2)
-- state  877
,(-1,-224)
-- state  878
,(-1,-299)

-- state  879
,(-1,-71)
-- state  880
,(-1,-330)
-- state  881
,( 21, 884),( 61, 874)
,(-1,-1000)
-- state  882
,( 79, 886),(-1,-1000)
-- state  883
,( 69, 887)
,( 94, 283),(-1,-1000)
-- state  884
,( 12, 888),(-1,-1000)

-- state  885
,(-1,-329)
-- state  886
,(-1,-226)
-- state  887
,(-1,-302)
-- state  888
,(-1,-2)

-- state  889
,(-1,-76)
-- state  890
,( 79, 891),(-1,-1000)
-- state  891
,(-1,-75)

);
--  The offset vector
SHIFT_REDUCE_OFFSET : array (0.. 891) of Integer :=
( 0,
 1, 2, 4, 6, 11, 13, 14, 15, 16, 17,
 18, 19, 20, 21, 22, 23, 24, 25, 38, 39,
 40, 41, 42, 43, 44, 45, 47, 49, 51, 52,
 53, 54, 55, 56, 57, 59, 61, 83, 85, 86,
 87, 88, 89, 90, 91, 92, 93, 97, 98, 103,
 115, 127, 131, 133, 145, 147, 149, 161, 163, 167,
 168, 170, 171, 173, 174, 176, 178, 179, 180, 193,
 194, 199, 202, 204, 216, 217, 219, 221, 223, 225,
 226, 230, 232, 241, 242, 246, 247, 257, 262, 263,
 264, 265, 267, 275, 283, 284, 285, 286, 287, 291,
 292, 294, 295, 297, 299, 300, 312, 314, 316, 318,
 320, 321, 322, 324, 326, 327, 328, 333, 334, 346,
 347, 348, 349, 350, 351, 352, 353, 354, 358, 362,
 364, 365, 367, 368, 380, 382, 384, 385, 386, 398,
 403, 404, 405, 406, 407, 408, 409, 410, 411, 412,
 413, 414, 415, 427, 429, 441, 443, 456, 469, 481,
 493, 505, 506, 507, 508, 509, 510, 511, 512, 513,
 515, 516, 517, 518, 528, 529, 530, 531, 532, 533,
 543, 551, 552, 553, 554, 556, 559, 560, 561, 562,
 564, 565, 566, 567, 569, 581, 582, 584, 586, 587,
 599, 600, 602, 604, 608, 610, 611, 612, 614, 616,
 619, 624, 625, 628, 630, 632, 633, 634, 635, 638,
 639, 641, 642, 645, 657, 669, 672, 675, 677, 678,
 690, 691, 703, 704, 716, 717, 729, 730, 731, 732,
 744, 745, 746, 747, 748, 750, 751, 752, 754, 756,
 767, 769, 770, 771, 772, 774, 775, 776, 778, 779,
 782, 783, 785, 786, 787, 788, 789, 790, 791, 792,
 793, 794, 796, 798, 799, 800, 802, 806, 807, 819,
 831, 832, 844, 857, 860, 873, 875, 876, 877, 890,
 891, 892, 893, 894, 895, 896, 897, 898, 900, 902,
 903, 915, 917, 918, 919, 920, 921, 922, 923, 924,
 925, 936, 937, 938, 939, 940, 941, 942, 943, 944,
 945, 946, 947, 948, 949, 950, 951, 952, 954, 956,
 957, 958, 959, 960, 961, 963, 964, 967, 969, 972,
 974, 976, 978, 980, 982, 983, 984, 986, 987, 989,
 990, 992, 993, 997, 998, 999, 1000, 1002, 1007, 1008,
 1020, 1021, 1024, 1037, 1038, 1040, 1041, 1055, 1056, 1058,
 1059, 1061, 1064, 1067, 1070, 1074, 1075, 1077, 1079, 1081,
 1084, 1086, 1089, 1090, 1092, 1095, 1096, 1097, 1099, 1106,
 1108, 1109, 1111, 1112, 1114, 1115, 1117, 1119, 1120, 1122,
 1124, 1125, 1127, 1128, 1129, 1131, 1134, 1136, 1148, 1149,
 1150, 1152, 1164, 1165, 1167, 1169, 1170, 1171, 1172, 1174,
 1175, 1176, 1179, 1182, 1184, 1185, 1186, 1188, 1191, 1195,
 1196, 1198, 1200, 1204, 1209, 1212, 1214, 1216, 1218, 1220,
 1221, 1223, 1225, 1227, 1229, 1230, 1231, 1232, 1233, 1234,
 1235, 1236, 1237, 1238, 1245, 1246, 1248, 1250, 1251, 1253,
 1254, 1255, 1256, 1258, 1259, 1260, 1261, 1263, 1265, 1268,
 1269, 1270, 1272, 1273, 1275, 1277, 1279, 1281, 1282, 1283,
 1284, 1288, 1290, 1302, 1304, 1306, 1307, 1310, 1311, 1317,
 1319, 1321, 1325, 1327, 1329, 1331, 1341, 1343, 1345, 1347,
 1349, 1351, 1353, 1355, 1357, 1359, 1360, 1363, 1365, 1370,
 1371, 1373, 1376, 1378, 1379, 1381, 1384, 1385, 1397, 1398,
 1399, 1401, 1403, 1405, 1406, 1407, 1408, 1409, 1411, 1413,
 1414, 1415, 1417, 1419, 1421, 1433, 1434, 1436, 1438, 1440,
 1441, 1442, 1443, 1444, 1445, 1447, 1449, 1461, 1473, 1474,
 1478, 1490, 1492, 1493, 1498, 1500, 1502, 1514, 1515, 1517,
 1519, 1521, 1522, 1523, 1524, 1525, 1526, 1527, 1528, 1529,
 1530, 1533, 1534, 1535, 1536, 1537, 1538, 1539, 1541, 1543,
 1545, 1547, 1549, 1559, 1561, 1562, 1563, 1565, 1567, 1569,
 1571, 1573, 1574, 1575, 1577, 1578, 1590, 1591, 1592, 1595,
 1596, 1601, 1602, 1603, 1605, 1606, 1607, 1609, 1610, 1611,
 1612, 1613, 1614, 1615, 1616, 1619, 1621, 1622, 1623, 1624,
 1625, 1627, 1628, 1630, 1632, 1635, 1640, 1642, 1643, 1644,
 1645, 1646, 1647, 1651, 1652, 1654, 1656, 1657, 1658, 1659,
 1661, 1663, 1664, 1666, 1669, 1670, 1671, 1672, 1673, 1676,
 1678, 1679, 1680, 1692, 1693, 1694, 1696, 1698, 1699, 1701,
 1702, 1704, 1706, 1707, 1708, 1709, 1711, 1713, 1715, 1716,
 1718, 1719, 1720, 1721, 1723, 1724, 1726, 1728, 1729, 1730,
 1732, 1734, 1736, 1740, 1742, 1743, 1746, 1747, 1748, 1749,
 1750, 1751, 1753, 1755, 1756, 1757, 1759, 1767, 1769, 1773,
 1774, 1775, 1777, 1780, 1781, 1782, 1784, 1786, 1788, 1789,
 1791, 1793, 1794, 1796, 1799, 1800, 1802, 1804, 1811, 1812,
 1813, 1815, 1816, 1817, 1818, 1830, 1833, 1834, 1836, 1838,
 1840, 1842, 1843, 1844, 1846, 1858, 1861, 1862, 1874, 1876,
 1877, 1879, 1880, 1883, 1885, 1887, 1888, 1890, 1892, 1894,
 1896, 1898, 1899, 1900, 1901, 1903, 1904, 1905, 1917, 1918,
 1919, 1920, 1921, 1922, 1923, 1924, 1927, 1930, 1931, 1932,
 1933, 1934, 1947, 1950, 1951, 1952, 1954, 1955, 1966, 1968,
 1969, 1970, 1972, 1973, 1975, 1977, 1978, 1980, 1982, 1984,
 1985, 1986, 1987, 1999, 2000, 2012, 2014, 2015, 2016, 2017,
 2020, 2021, 2023, 2024, 2025, 2026, 2028, 2029, 2030, 2032,
 2034, 2038, 2040, 2042, 2043, 2045, 2049, 2050, 2061, 2064,
 2066, 2068, 2070, 2072, 2074, 2076, 2077, 2079, 2081, 2083,
 2084, 2086, 2088, 2089, 2090, 2091, 2092, 2093, 2095, 2097,
 2099, 2101, 2102, 2103, 2104, 2105, 2106, 2107, 2119, 2120,
 2122, 2123, 2135, 2137, 2138, 2140, 2141, 2142, 2144, 2145,
 2147, 2149, 2151, 2152, 2153, 2154, 2155, 2157, 2158, 2160,
 2161, 2163, 2165, 2167, 2180, 2181, 2182, 2183, 2184, 2185,
 2186, 2189, 2191, 2194, 2196, 2197, 2198, 2199, 2200, 2201,
 2203);
end Seq_Of_Stmts_Shift_Reduce;
