--|$Log:	stmtecs.a,v $
--|Revision 8.0  91/01/17  10:46:27  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Subunit for Package - Statement_Evaluator
--
---------------------------------------------------------------
--
--
-- Abstract
--
--  The following routines are separate units for Statement_Evaluator.
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------

-- ---------------------------------
-- evaluator support routines
-- ---------------------------------

-- -------------------------------------------------------------------------

--==========================================================================
--  <Subprogram Name>
--
--    Is_True
--
--  <Description>
--
--    Returns true iff the value stored at the given node is true.
--
--==========================================================================
separate (Statement_Evaluator)

-- tests if (expr.val = "true")
function Is_True (Node : in Ref_Statement_Database) return Boolean is
begin
   -- this is assuming predefined ACE boolean literal value for TRUE is 1
   return (Get_Integer_Value (Get_Value (Node)) = 1);
end Is_True;

-- -------------------------------------------------------------------------

--==========================================================================
--  <Subprogram Name>
--
--    Is_Equal
--
--  <Description>
--
--    Returns true iff the values stored at each node are equal.
--
--==========================================================================
separate (Statement_Evaluator)

-- [tests if node values equal]
-- node1, node2 are exprs
function Is_Equal (Node_1, Node_2 : in Ref_Data_Storage) return Boolean is
begin
   -- [tbd] fix so other ref_data_storage types can be tested also
   return (Get_Integer_Value (Node_1) = Get_Integer_Value (Node_2));
end Is_Equal;
