--|$Log:	system_environment.a,v $
--|Revision 8.0  91/01/17  10:48:34  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--                         Version Information
--                         ^^^^^^^^^^^^^^^^^^^
--
-- MIT X Toolkit X11R3 - Ada Language Interface.
-- Version: 2.0.
-- Release Date: June 26, 1990.
-- Compiled under SUN OS 3.5 with VADS 5.5(t).
-- Compiled under SUN OS 3.5 with TeleSoft TeleGen2 1.4.
--
--
--                         General Information
--                         ^^^^^^^^^^^^^^^^^^^
--
-- This is an alpha release of the Unisys STARS implementation of the MIT X
-- Toolkit (see copyright data, below).  The interfaces defined herein are
-- subject to change.  Future releases of this implementation are scheduled.
-- For further information, contact the authors:
--
--
--                         Kurt Wallnau
--                         Unisys
--                         kurt@prc.unisys.com
--                         (215) 648-2713
--
--                         Robert Smith
--                         Unisys
--                         smith@prc.unisys.com
--                         (215) 648-2402
--
--                         Timothy Schreyer
--                         Unisys
--                         schrey@prc.unisys.com
--                         (215) 648-2475
--
--                         Copyright Information
--                         ^^^^^^^^^^^^^^^^^^^^^
--
-- The following copyright notice must appear on all Ada/Xt implementations:
--
-- Copyright 1987, 1988 by Digital Equipment Corporation, Maynard,Massachusetts,
-- and the Massachusetts Institute of Technology, Cambridge, Massachusetts.
--
--                        All Rights Reserved
--
-- Permission to use, copy, modify, and distribute this software and its
-- documentation for any purpose and without fee is hereby granted,
-- provided that the above copyright notice appear in all copies and that
-- both that copyright notice and this permission notice appear in
-- supporting documentation, and that the names of Digital or MIT not be
-- used in advertising or publicity pertaining to distribution of the
-- software without specific, written prior permission.
--
-- DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
-- ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
-- DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
-- ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-- WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-- ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
-- SOFTWARE.
--
--                        Disclaimer:
--                        ^^^^^^^^^^^
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.

--#

-- Telesoft version
with system;
with unchecked_conversion;

with unix_types; use unix_types;

package body system_environment is

   function get_argc return argc_type is

      function get_argc return integer;
      pragma INTERFACE (C, get_argc);

   begin
      return argc_type (get_argc.get_argc);
   end get_argc;


   function get_argv return argv_type is

      function get_arg (index : argc_type) return thirty_two_int;
      pragma INTERFACE (C, get_arg);

      args : argv_type := new argv_list (0 .. get_argc - 1);
   begin
      for i in args'RANGE loop
         args (i) := new string'(convert_to_astring (get_arg (i)));
      end loop;
      return args;
   end get_argv;

end system_environment;
