--|$Log:	x.a,v $
--|Revision 8.0  91/01/17  10:48:35  cm
--|
--|
--|Copyright (c) 1990, Unisys Corporation.
--|
--|Ada Command Environment (ACE).
--|
--|This software, developed under the Software Technology for Adaptable,
--|Reliable Systems (STARS) program, is approved for release under Distribution
--|"A" of the Scientific and Technical Information Program Classification 
--|Scheme (DoD Directive 5230.24) unless otherwise indicated.  Sponsored by the
--|U.S. Defense Advanced Research Projects Agency (DARPA) under contract 
--|F19628-88-D-0031, the STARS program is supported by the military services, 
--|SEI, and MITRE, with the U.S. Air Force as the executive contracting agent.
--|
--|Permission to use, copy, modify, and comment on this software and its
--|documentation for purposes stated under Distribution "A" and without fee
--|is hereby granted.  This software retains Contractor indemnification to
--|the Government regarding copyrights pursuant to the above referenced
--|STARS contract.  The Government disclaims all responsibility against
--|liability, including costs and expenses for violation of proprietary
--|rights, or copyrights arising out of the creation or use of this
--|software.
--|
--|In addition, the Government and Unisys disclaim all warranties with
--|regard to this software, including all implied warranties of
--|merchantability and fitness, and in no event shall the Government or
--|Unisys be liable for any special, indirect or consequential damages or
--|any damages whatsoever resulting from the loss of use, data, or profits,
--|whether in action of contract, negligence or other tortuous action,
--|arising in connection with the use or performance of this software.
--|
--
-- Package Name - X_Window_System
--
---------------------------------------------------------------
--
--
-- Abstract
--
--   This package contains a small set of X window tool kit
--   routines. (Ada bindings).
--
-- Update Log - :
--
-- End of Header
----------------------------------------------------------------------------

with System_Dependent_Routines;
use System_Dependent_Routines;
package body X_Window_System is

   --==========================================================================
   --  <Subprogram Name>
   --
   --    Find_String
   --
   --  <Description>
   --
   --    This routine will find a string in an X window.
   --
   --==========================================================================
   ----------
   procedure Find_String (Str : in String) is

      procedure Internal_Find_String (Str : Cstring);
      pragma INTERFACE (C, Internal_Find_String);
      pragma LINKNAME (Internal_Find_String, "x_find_string");

   begin
      Internal_Find_String (Convert_To_Cstring (Str));
   exception
      when others    => -- ignore
         null;
   end Find_String;

   ----------
   --==========================================================================
   --  <Subprogram Name>
   --
   --    Display_Line
   --
   --  <Description>
   --
   --    This routine will display a line in an X window.
   --
   --==========================================================================
   procedure Display_Line (Str : in String) is

      procedure Internal_Display_Line (Str : Cstring);
      pragma INTERFACE (C, Internal_Display_Line);
      pragma LINKNAME (Internal_Display_Line, "x_display_line");

   begin
      Internal_Display_Line (Convert_To_Cstring (Str));
   exception
      when others    => -- ignore
         null;
   end Display_Line;

   --------------------------------------------------------------------------

end X_Window_System;
